/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTACH = 372,
    ATTRIBUTE = 373,
    AUTHORIZATION = 374,
    BACKWARD = 375,
    BEFORE = 376,
    BEGIN_P = 377,
    BETWEEN = 378,
    BIGINT = 379,
    BINARY = 380,
    BIT = 381,
    BOOLEAN_P = 382,
    BOTH = 383,
    BY = 384,
    CACHE = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    HANDLER = 504,
    HAVING = 505,
    HEADER_P = 506,
    HOLD = 507,
    HOUR_P = 508,
    IDENTITY_P = 509,
    IF_P = 510,
    ILIKE = 511,
    IMMEDIATE = 512,
    IMMUTABLE = 513,
    IMPLICIT_P = 514,
    IMPORT_P = 515,
    IN_P = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NO = 580,
    NONE = 581,
    NOT = 582,
    NOTHING = 583,
    NOTIFY = 584,
    NOTNULL = 585,
    NOWAIT = 586,
    NULL_P = 587,
    NULLIF = 588,
    NULLS_P = 589,
    NUMERIC = 590,
    OBJECT_P = 591,
    OF = 592,
    OFF = 593,
    OFFSET = 594,
    OIDS = 595,
    OLD = 596,
    ON = 597,
    ONLY = 598,
    OPERATOR = 599,
    OPTION = 600,
    OPTIONS = 601,
    OR = 602,
    ORDER = 603,
    ORDINALITY = 604,
    OUT_P = 605,
    OUTER_P = 606,
    OVER = 607,
    OVERLAPS = 608,
    OVERLAY = 609,
    OVERRIDING = 610,
    OWNED = 611,
    OWNER = 612,
    PARALLEL = 613,
    PARSER = 614,
    PARTIAL = 615,
    PARTITION = 616,
    PASSING = 617,
    PASSWORD = 618,
    PLACING = 619,
    PLANS = 620,
    POLICY = 621,
    POSITION = 622,
    PRECEDING = 623,
    PRECISION = 624,
    PRESERVE = 625,
    PREPARE = 626,
    PREPARED = 627,
    PRIMARY = 628,
    PRIOR = 629,
    PRIVILEGES = 630,
    PROCEDURAL = 631,
    PROCEDURE = 632,
    PROGRAM = 633,
    PUBLICATION = 634,
    QUOTE = 635,
    RANGE = 636,
    READ = 637,
    REAL = 638,
    REASSIGN = 639,
    RECHECK = 640,
    RECURSIVE = 641,
    REF = 642,
    REFERENCES = 643,
    REFERENCING = 644,
    REFRESH = 645,
    REINDEX = 646,
    RELATIVE_P = 647,
    RELEASE = 648,
    RENAME = 649,
    REPEATABLE = 650,
    REPLACE = 651,
    REPLICA = 652,
    RESET = 653,
    RESTART = 654,
    RESTRICT = 655,
    RETURNING = 656,
    RETURNS = 657,
    REVOKE = 658,
    RIGHT = 659,
    ROLE = 660,
    ROLLBACK = 661,
    ROLLUP = 662,
    ROW = 663,
    ROWS = 664,
    RULE = 665,
    SAVEPOINT = 666,
    SCHEMA = 667,
    SCHEMAS = 668,
    SCROLL = 669,
    SEARCH = 670,
    SECOND_P = 671,
    SECURITY = 672,
    SELECT = 673,
    SEQUENCE = 674,
    SEQUENCES = 675,
    SERIALIZABLE = 676,
    SERVER = 677,
    SESSION = 678,
    SESSION_USER = 679,
    SET = 680,
    SETS = 681,
    SETOF = 682,
    SHARE = 683,
    SHOW = 684,
    SIMILAR = 685,
    SIMPLE = 686,
    SKIP = 687,
    SMALLINT = 688,
    SNAPSHOT = 689,
    SOME = 690,
    SQL_P = 691,
    STABLE = 692,
    STANDALONE_P = 693,
    START = 694,
    STATEMENT = 695,
    STATISTICS = 696,
    STDIN = 697,
    STDOUT = 698,
    STORAGE = 699,
    STRICT_P = 700,
    STRIP_P = 701,
    SUBSCRIPTION = 702,
    SUBSTRING = 703,
    SYMMETRIC = 704,
    SYSID = 705,
    SYSTEM_P = 706,
    TABLE = 707,
    TABLES = 708,
    TABLESAMPLE = 709,
    TABLESPACE = 710,
    TEMP = 711,
    TEMPLATE = 712,
    TEMPORARY = 713,
    TEXT_P = 714,
    THEN = 715,
    TIME = 716,
    TIMESTAMP = 717,
    TO = 718,
    TRAILING = 719,
    TRANSACTION = 720,
    TRANSFORM = 721,
    TREAT = 722,
    TRIGGER = 723,
    TRIM = 724,
    TRUE_P = 725,
    TRUNCATE = 726,
    TRUSTED = 727,
    TYPE_P = 728,
    TYPES_P = 729,
    UNBOUNDED = 730,
    UNCOMMITTED = 731,
    UNENCRYPTED = 732,
    UNION = 733,
    UNIQUE = 734,
    UNKNOWN = 735,
    UNLISTEN = 736,
    UNLOGGED = 737,
    UNTIL = 738,
    UPDATE = 739,
    USER = 740,
    USING = 741,
    VACUUM = 742,
    VALID = 743,
    VALIDATE = 744,
    VALIDATOR = 745,
    VALUE_P = 746,
    VALUES = 747,
    VARCHAR = 748,
    VARIADIC = 749,
    VARYING = 750,
    VERBOSE = 751,
    VERSION_P = 752,
    VIEW = 753,
    VIEWS = 754,
    VOLATILE = 755,
    WHEN = 756,
    WHERE = 757,
    WHITESPACE_P = 758,
    WINDOW = 759,
    WITH = 760,
    WITHIN = 761,
    WITHOUT = 762,
    WORK = 763,
    WRAPPER = 764,
    WRITE = 765,
    XML_P = 766,
    XMLATTRIBUTES = 767,
    XMLCONCAT = 768,
    XMLELEMENT = 769,
    XMLEXISTS = 770,
    XMLFOREST = 771,
    XMLNAMESPACES = 772,
    XMLPARSE = 773,
    XMLPI = 774,
    XMLROOT = 775,
    XMLSERIALIZE = 776,
    XMLTABLE = 777,
    YEAR_P = 778,
    YES_P = 779,
    ZONE = 780,
    NOT_LA = 781,
    NULLS_LA = 782,
    WITH_LA = 783,
    POSTFIXOP = 784,
    UMINUS = 785
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1233 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1264 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   134668

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  796
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3137
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5963

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   785

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1598,  1598,  1601,  1603,  1605,  1607,  1609,  1611,  1613,
    1615,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,
    1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,
    1655,  1657,  1659,  1661,  1663,  1665,  1667,  1685,  1687,  1689,
    1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,  1707,  1709,
    1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1753,  1755,  1757,  1761,  1763,  1765,  1767,  1769,  1771,
    1773,  1775,  1777,  1779,  1781,  1783,  1785,  1787,  1789,  1791,
    1793,  1795,  1797,  1799,  1801,  1803,  1805,  1807,  1809,  1811,
    1813,  1815,  1817,  1819,  1821,  1823,  1830,  1832,  1834,  1836,
    1838,  1840,  1842,  1844,  1846,  1848,  1850,  1852,  1858,  1860,
    1862,  1864,  1866,  1868,  1870,  1872,  1874,  1880,  1890,  1894,
    1900,  1904,  1914,  1924,  1925,  1939,  1946,  1952,  1963,  1969,
    1978,  1985,  1991,  2000,  2007,  2015,  2020,  2028,  2032,  2037,
    2043,  2048,  2054,  2059,  2065,  2069,  2073,  2077,  2082,  2086,
    2090,  2094,  2098,  2106,  2110,  2114,  2118,  2122,  2126,  2134,
    2142,  2146,  2155,  2157,  2165,  2169,  2173,  2177,  2185,  2189,
    2193,  2197,  2201,  2205,  2213,  2221,  2229,  2233,  2241,  2245,
    2249,  2254,  2263,  2268,  2274,  2279,  2285,  2289,  2293,  2297,
    2301,  2305,  2313,  2317,  2321,  2329,  2333,  2337,  2345,  2349,
    2353,  2357,  2358,  2362,  2366,  2370,  2375,  2379,  2383,  2387,
    2391,  2395,  2399,  2407,  2411,  2419,  2423,  2431,  2435,  2449,
    2453,  2457,  2461,  2469,  2473,  2477,  2481,  2489,  2493,  2497,
    2501,  2505,  2509,  2513,  2521,  2525,  2530,  2536,  2540,  2548,
    2556,  2560,  2564,  2568,  2576,  2580,  2588,  2592,  2600,  2604,
    2612,  2616,  2620,  2624,  2628,  2637,  2645,  2649,  2657,  2661,
    2669,  2677,  2681,  2685,  2689,  2693,  2701,  2705,  2709,  2713,
    2717,  2721,  2725,  2729,  2733,  2737,  2741,  2745,  2749,  2753,
    2757,  2761,  2765,  2769,  2777,  2781,  2789,  2793,  2801,  2805,
    2809,  2813,  2817,  2821,  2825,  2829,  2833,  2837,  2841,  2845,
    2849,  2853,  2857,  2861,  2865,  2869,  2873,  2877,  2881,  2885,
    2889,  2893,  2897,  2901,  2905,  2909,  2913,  2917,  2921,  2925,
    2929,  2933,  2937,  2941,  2945,  2949,  2953,  2957,  2961,  2965,
    2969,  2973,  2977,  2981,  2985,  2989,  2993,  2997,  3001,  3005,
    3009,  3013,  3017,  3021,  3029,  3033,  3041,  3045,  3050,  3056,
    3061,  3067,  3072,  3078,  3082,  3086,  3090,  3098,  3106,  3111,
    3117,  3121,  3129,  3133,  3137,  3141,  3149,  3153,  3161,  3165,
    3169,  3173,  3181,  3185,  3193,  3197,  3201,  3205,  3209,  3217,
    3221,  3229,  3233,  3241,  3245,  3249,  3257,  3265,  3269,  3277,
    3281,  3285,  3289,  3297,  3302,  3310,  3318,  3326,  3330,  3338,
    3343,  3349,  3353,  3357,  3365,  3369,  3377,  3382,  3388,  3392,
    3396,  3400,  3404,  3408,  3412,  3416,  3420,  3424,  3428,  3432,
    3436,  3440,  3448,  3453,  3459,  3464,  3470,  3475,  3481,  3486,
    3492,  3496,  3504,  3512,  3516,  3520,  3524,  3529,  3535,  3539,
    3547,  3555,  3559,  3563,  3567,  3571,  3575,  3583,  3587,  3591,
    3595,  3599,  3603,  3607,  3612,  3618,  3623,  3629,  3634,  3640,
    3644,  3652,  3656,  3664,  3668,  3672,  3680,  3684,  3692,  3700,
    3704,  3712,  3717,  3723,  3727,  3731,  3735,  3743,  3747,  3751,
    3755,  3759,  3763,  3767,  3771,  3779,  3783,  3791,  3795,  3799,
    3803,  3811,  3819,  3823,  3828,  3834,  3838,  3842,  3846,  3850,
    3854,  3858,  3862,  3870,  3874,  3882,  3886,  3890,  3894,  3898,
    3902,  3906,  3914,  3919,  3925,  3930,  3936,  3940,  3948,  3956,
    3960,  3965,  3970,  3976,  3980,  3988,  3992,  4000,  4005,  4011,
    4015,  4019,  4023,  4028,  4034,  4042,  4050,  4054,  4058,  4062,
    4066,  4074,  4079,  4085,  4090,  4096,  4104,  4108,  4116,  4120,
    4128,  4132,  4136,  4144,  4148,  4152,  4157,  4163,  4167,  4171,
    4176,  4182,  4187,  4193,  4198,  4204,  4212,  4216,  4224,  4232,
    4236,  4241,  4247,  4251,  4259,  4267,  4272,  4278,  4286,  4290,
    4298,  4302,  4310,  4315,  4321,  4326,  4332,  4336,  4344,  4348,
    4352,  4356,  4360,  4364,  4368,  4372,  4376,  4380,  4384,  4388,
    4392,  4396,  4404,  4409,  4415,  4419,  4423,  4427,  4435,  4439,
    4447,  4451,  4459,  4464,  4470,  4474,  4482,  4487,  4493,  4497,
    4505,  4510,  4516,  4520,  4528,  4533,  4539,  4547,  4552,  4558,
    4562,  4570,  4574,  4582,  4587,  4593,  4597,  4601,  4605,  4613,
    4621,  4626,  4632,  4640,  4644,  4648,  4652,  4656,  4660,  4664,
    4668,  4672,  4676,  4680,  4684,  4688,  4692,  4696,  4700,  4704,
    4708,  4712,  4716,  4720,  4724,  4728,  4732,  4736,  4740,  4748,
    4756,  4760,  4764,  4768,  4776,  4780,  4788,  4793,  4799,  4803,
    4811,  4816,  4822,  4826,  4834,  4842,  4846,  4854,  4858,  4862,
    4866,  4874,  4882,  4890,  4898,  4902,  4910,  4915,  4921,  4925,
    4933,  4938,  4944,  4948,  4952,  4960,  4964,  4968,  4972,  4980,
    4984,  4992,  5000,  5004,  5012,  5017,  5023,  5027,  5035,  5039,
    5047,  5051,  5059,  5067,  5075,  5083,  5088,  5094,  5099,  5105,
    5110,  5116,  5121,  5127,  5132,  5138,  5143,  5149,  5153,  5157,
    5161,  5165,  5173,  5181,  5185,  5193,  5197,  5201,  5209,  5213,
    5221,  5225,  5229,  5233,  5237,  5245,  5250,  5256,  5260,  5268,
    5276,  5280,  5288,  5292,  5300,  5308,  5313,  5319,  5324,  5330,
    5334,  5342,  5347,  5353,  5357,  5362,  5368,  5372,  5376,  5380,
    5388,  5393,  5400,  5402,  5410,  5414,  5418,  5422,  5426,  5430,
    5438,  5442,  5450,  5454,  5462,  5470,  5474,  5482,  5490,  5494,
    5498,  5502,  5510,  5519,  5528,  5532,  5536,  5540,  5544,  5548,
    5552,  5556,  5560,  5564,  5568,  5572,  5576,  5580,  5584,  5588,
    5596,  5604,  5608,  5616,  5620,  5628,  5632,  5636,  5640,  5644,
    5648,  5656,  5664,  5668,  5676,  5684,  5689,  5695,  5699,  5707,
    5711,  5715,  5719,  5727,  5732,  5738,  5746,  5750,  5758,  5762,
    5766,  5770,  5774,  5782,  5787,  5793,  5798,  5804,  5808,  5813,
    5819,  5825,  5831,  5839,  5843,  5851,  5855,  5863,  5867,  5875,
    5879,  5887,  5891,  5899,  5907,  5915,  5919,  5923,  5927,  5931,
    5935,  5939,  5943,  5947,  5951,  5955,  5959,  5967,  5971,  5975,
    5979,  5983,  5987,  5991,  5995,  5999,  6003,  6007,  6011,  6015,
    6023,  6027,  6031,  6035,  6039,  6043,  6047,  6055,  6059,  6063,
    6071,  6075,  6083,  6087,  6095,  6099,  6107,  6111,  6112,  6120,
    6124,  6129,  6135,  6139,  6143,  6147,  6151,  6155,  6159,  6163,
    6167,  6171,  6175,  6179,  6183,  6187,  6191,  6195,  6199,  6207,
    6211,  6215,  6219,  6223,  6227,  6231,  6235,  6239,  6243,  6247,
    6251,  6255,  6259,  6267,  6271,  6275,  6279,  6283,  6287,  6291,
    6295,  6299,  6303,  6307,  6311,  6319,  6323,  6331,  6335,  6339,
    6343,  6347,  6351,  6355,  6363,  6368,  6374,  6378,  6382,  6386,
    6390,  6394,  6402,  6406,  6410,  6414,  6418,  6422,  6426,  6430,
    6438,  6442,  6450,  6454,  6458,  6462,  6468,  6474,  6480,  6486,
    6492,  6498,  6504,  6514,  6525,  6536,  6547,  6558,  6569,  6580,
    6596,  6612,  6628,  6639,  6655,  6666,  6682,  6697,  6701,  6709,
    6714,  6720,  6728,  6732,  6740,  6744,  6748,  6752,  6756,  6764,
    6768,  6776,  6780,  6784,  6788,  6796,  6800,  6804,  6808,  6812,
    6816,  6820,  6824,  6828,  6832,  6836,  6840,  6844,  6848,  6852,
    6856,  6864,  6868,  6876,  6880,  6888,  6893,  6899,  6907,  6911,
    6919,  6924,  6930,  6935,  6941,  6949,  6954,  6960,  6964,  6968,
    6976,  6980,  6984,  6992,  6996,  7000,  7004,  7008,  7016,  7020,
    7028,  7033,  7039,  7044,  7050,  7055,  7061,  7066,  7072,  7076,
    7084,  7088,  7092,  7100,  7105,  7111,  7116,  7122,  7126,  7131,
    7137,  7141,  7146,  7152,  7156,  7160,  7168,  7173,  7179,  7183,
    7191,  7195,  7203,  7207,  7215,  7219,  7223,  7227,  7235,  7239,
    7247,  7251,  7259,  7263,  7267,  7271,  7275,  7283,  7287,  7291,
    7295,  7299,  7307,  7315,  7323,  7327,  7331,  7339,  7343,  7347,
    7355,  7364,  7368,  7372,  7376,  7384,  7388,  7396,  7404,  7408,
    7416,  7420,  7428,  7432,  7436,  7440,  7444,  7448,  7452,  7456,
    7460,  7464,  7468,  7472,  7476,  7480,  7484,  7488,  7496,  7500,
    7504,  7508,  7512,  7520,  7524,  7532,  7536,  7544,  7549,  7555,
    7563,  7567,  7575,  7583,  7587,  7595,  7600,  7606,  7610,  7618,
    7622,  7630,  7634,  7642,  7646,  7650,  7654,  7662,  7666,  7674,
    7678,  7686,  7694,  7702,  7706,  7714,  7718,  7726,  7730,  7734,
    7742,  7746,  7751,  7757,  7765,  7770,  7776,  7784,  7788,  7792,
    7796,  7804,  7812,  7816,  7820,  7824,  7832,  7836,  7844,  7848,
    7852,  7860,  7864,  7872,  7880,  7884,  7892,  7896,  7900,  7904,
    7908,  7912,  7916,  7920,  7924,  7928,  7932,  7936,  7940,  7944,
    7948,  7952,  7956,  7960,  7964,  7968,  7972,  7976,  7980,  7984,
    7988,  7992,  7996,  8000,  8004,  8008,  8012,  8016,  8020,  8024,
    8028,  8032,  8036,  8040,  8044,  8048,  8052,  8056,  8060,  8064,
    8068,  8072,  8076,  8080,  8084,  8088,  8092,  8100,  8105,  8111,
    8116,  8122,  8126,  8130,  8134,  8142,  8146,  8150,  8154,  8158,
    8162,  8166,  8170,  8174,  8178,  8182,  8186,  8190,  8194,  8198,
    8202,  8206,  8210,  8214,  8218,  8222,  8226,  8230,  8234,  8238,
    8246,  8254,  8258,  8266,  8270,  8278,  8282,  8286,  8290,  8294,
    8302,  8306,  8310,  8314,  8318,  8322,  8326,  8330,  8334,  8338,
    8342,  8346,  8350,  8354,  8358,  8362,  8366,  8370,  8374,  8378,
    8382,  8386,  8394,  8402,  8407,  8413,  8417,  8425,  8429,  8433,
    8437,  8445,  8453,  8457,  8465,  8473,  8477,  8481,  8485,  8489,
    8493,  8501,  8505,  8513,  8521,  8525,  8529,  8537,  8541,  8549,
    8553,  8557,  8561,  8565,  8573,  8578,  8584,  8588,  8592,  8596,
    8604,  8608,  8613,  8619,  8627,  8632,  8638,  8646,  8650,  8658,
    8662,  8666,  8670,  8674,  8678,  8682,  8686,  8690,  8694,  8698,
    8702,  8706,  8710,  8718,  8722,  8727,  8733,  8737,  8741,  8745,
    8749,  8757,  8761,  8765,  8773,  8778,  8784,  8788,  8792,  8797,
    8806,  8810,  8814,  8819,  8825,  8833,  8841,  8846,  8852,  8856,
    8864,  8868,  8872,  8880,  8884,  8888,  8892,  8896,  8900,  8904,
    8912,  8917,  8923,  8927,  8931,  8939,  8947,  8951,  8959,  8967,
    8971,  8979,  8987,  8991,  8995,  8999,  9003,  9007,  9011,  9019,
    9024,  9030,  9038,  9042,  9046,  9050,  9054,  9058,  9066,  9070,
    9078,  9086,  9090,  9094,  9102,  9107,  9113,  9117,  9121,  9125,
    9129,  9137,  9141,  9149,  9153,  9157,  9161,  9165,  9173,  9177,
    9185,  9189,  9197,  9202,  9208,  9213,  9219,  9224,  9230,  9235,
    9241,  9245,  9249,  9253,  9261,  9265,  9269,  9273,  9277,  9281,
    9285,  9289,  9293,  9301,  9305,  9313,  9321,  9325,  9333,  9337,
    9342,  9348,  9354,  9364,  9369,  9375,  9379,  9383,  9387,  9395,
    9397,  9405,  9410,  9416,  9424,  9428,  9436,  9440,  9444,  9448,
    9452,  9460,  9464,  9472,  9476,  9484,  9492,  9496,  9501,  9507,
    9511,  9516,  9522,  9527,  9533,  9541,  9546,  9552,  9560,  9565,
    9571,  9575,  9579,  9583,  9587,  9591,  9595,  9599,  9607,  9612,
    9618,  9622,  9627,  9633,  9641,  9645,  9653,  9657,  9665,  9673,
    9677,  9685,  9738,  9742,  9755,  9757,  9761,  9765,  9769,  9778,
    9784,  9788,  9796,  9800,  9808,  9812,  9820,  9824,  9828,  9832,
    9836,  9840,  9844,  9848,  9856,  9860,  9868,  9872,  9876,  9880,
    9884,  9888,  9892,  9900,  9904,  9908,  9916,  9920,  9928,  9936,
    9941,  9947,  9952,  9954,  9960,  9964,  9968,  9972,  9976,  9980,
    9984,  9988,  9992, 10000, 10005, 10011, 10015, 10020, 10026, 10030,
   10038, 10043, 10049, 10054, 10060, 10068, 10072, 10080, 10084, 10092,
   10096, 10100, 10104, 10112, 10117, 10123, 10127, 10132, 10136, 10144,
   10148, 10156, 10160, 10168, 10176, 10180, 10184, 10192, 10196, 10204,
   10208, 10216, 10220, 10228, 10233, 10239, 10243, 10251, 10255, 10259,
   10263, 10267, 10275, 10283, 10291, 10299, 10307, 10312, 10318, 10322,
   10330, 10335, 10341, 10345, 10353, 10361, 10365, 10369, 10373, 10381,
   10386, 10392, 10396, 10404, 10409, 10415, 10419, 10427, 10431, 10435,
   10439, 10443, 10447, 10451, 10458, 10465, 10469, 10477, 10481, 10485,
   10489, 10493, 10497, 10505, 10509, 10513, 10517, 10525, 10530, 10536,
   10540, 10544, 10548, 10553, 10559, 10563, 10567, 10571, 10579, 10584,
   10590, 10594, 10602, 10606, 10610, 10614, 10622, 10626, 10634, 10638,
   10642, 10650, 10658, 10663, 10669, 10673, 10681, 10689, 10693, 10701,
   10706, 10712, 10717, 10723, 10728, 10734, 10738, 10744, 10750, 10755,
   10761, 10765, 10773, 10781, 10785, 10793, 10797, 10805, 10809, 10813,
   10821, 10825, 10833, 10837, 10841, 10845, 10853, 10857, 10865, 10869,
   10877, 10879, 10881, 10885, 10889, 10893, 10901, 10911, 10922, 10931,
   10935, 10939, 10943, 10947, 10951, 10955, 10963, 10967, 10971, 10975,
   10983, 10987, 10995, 11000, 11006, 11010, 11014, 11018, 11022, 11026,
   11030, 11034, 11038, 11042, 11046, 11054, 11059, 11065, 11069, 11077,
   11081, 11089, 11097, 11105, 11109, 11117, 11121, 11129, 11137, 11145,
   11149, 11153, 11157, 11161, 11165, 11173, 11178, 11184, 11188, 11192,
   11196, 11204, 11212, 11216, 11221, 11227, 11231, 11235, 11239, 11243,
   11247, 11251, 11255, 11259, 11263, 11267, 11271, 11275, 11280, 11286,
   11290, 11298, 11302, 11306, 11310, 11314, 11318, 11322, 11326, 11330,
   11334, 11338, 11342, 11346, 11350, 11354, 11358, 11362, 11366, 11370,
   11374, 11378, 11382, 11386, 11390, 11394, 11398, 11402, 11406, 11410,
   11414, 11418, 11422, 11426, 11430, 11434, 11438, 11442, 11446, 11450,
   11454, 11458, 11462, 11466, 11470, 11474, 11478, 11482, 11486, 11490,
   11494, 11498, 11502, 11506, 11510, 11514, 11518, 11522, 11526, 11530,
   11534, 11538, 11543, 11547, 11551, 11559, 11563, 11567, 11571, 11575,
   11579, 11583, 11587, 11591, 11595, 11599, 11603, 11607, 11611, 11615,
   11619, 11623, 11627, 11631, 11635, 11639, 11643, 11647, 11651, 11655,
   11663, 11667, 11671, 11675, 11679, 11683, 11687, 11691, 11695, 11699,
   11703, 11707, 11711, 11715, 11723, 11727, 11731, 11735, 11739, 11743,
   11747, 11755, 11759, 11767, 11771, 11779, 11783, 11787, 11791, 11795,
   11799, 11803, 11807, 11811, 11815, 11819, 11823, 11827, 11831, 11835,
   11839, 11843, 11847, 11851, 11855, 11859, 11863, 11867, 11871, 11875,
   11879, 11883, 11887, 11891, 11895, 11899, 11903, 11907, 11911, 11915,
   11919, 11923, 11927, 11931, 11935, 11939, 11943, 11951, 11955, 11963,
   11967, 11971, 11976, 11982, 11990, 11994, 12002, 12006, 12014, 12018,
   12026, 12030, 12035, 12041, 12045, 12049, 12053, 12061, 12066, 12072,
   12077, 12083, 12088, 12094, 12098, 12106, 12114, 12118, 12123, 12129,
   12137, 12141, 12148, 12153, 12159, 12164, 12169, 12175, 12179, 12187,
   12191, 12195, 12199, 12203, 12211, 12215, 12219, 12227, 12231, 12239,
   12247, 12251, 12255, 12263, 12267, 12275, 12279, 12283, 12287, 12291,
   12295, 12299, 12303, 12307, 12311, 12315, 12319, 12327, 12331, 12339,
   12343, 12351, 12355, 12359, 12363, 12367, 12371, 12379, 12383, 12391,
   12395, 12403, 12407, 12411, 12419, 12423, 12431, 12435, 12439, 12447,
   12451, 12459, 12464, 12470, 12474, 12478, 12482, 12486, 12490, 12494,
   12498, 12506, 12510, 12518, 12526, 12531, 12537, 12541, 12545, 12549,
   12553, 12558, 12564, 12572, 12580, 12584, 12588, 12596, 12600, 12608,
   12616, 12620, 12628, 12636, 12641, 12647, 12652, 12658, 12662, 12670,
   12674, 12678, 12682, 12690, 12695, 12701, 12705, 12714, 12716, 12724,
   12729, 12735, 12740, 12746, 12750, 12758, 12762, 12766, 12770, 12778,
   12782, 12790, 12794, 12802, 12806, 12814, 12822, 12830, 12838, 12846,
   12854, 12862, 12866, 12874, 12878, 12882, 12886, 12890, 12894, 12898,
   12902, 12906, 12910, 12914, 12918, 12922, 12926, 12927, 12932, 12938,
   12942, 12943, 12947, 12955, 12963, 12967, 12971, 12979, 12983, 12991,
   12995, 12999, 13003, 13011, 13015, 13019, 13023, 13027, 13031, 13035,
   13039, 13043, 13047, 13051, 13055, 13059, 13063, 13067, 13071, 13075,
   13079, 13083, 13087, 13091, 13095, 13099, 13103, 13107, 13111, 13115,
   13119, 13123, 13127, 13131, 13135, 13139, 13143, 13147, 13151, 13155,
   13159, 13163, 13167, 13171, 13175, 13179, 13183, 13187, 13191, 13195,
   13199, 13203, 13207, 13211, 13215, 13219, 13223, 13227, 13231, 13235,
   13239, 13243, 13247, 13251, 13255, 13259, 13263, 13267, 13271, 13275,
   13279, 13283, 13287, 13291, 13295, 13299, 13303, 13307, 13311, 13315,
   13319, 13323, 13327, 13331, 13335, 13339, 13343, 13347, 13351, 13355,
   13359, 13363, 13367, 13371, 13375, 13379, 13383, 13387, 13391, 13395,
   13399, 13403, 13407, 13411, 13415, 13419, 13423, 13427, 13431, 13435,
   13439, 13443, 13447, 13451, 13455, 13459, 13463, 13467, 13471, 13475,
   13479, 13483, 13487, 13491, 13495, 13499, 13503, 13507, 13511, 13515,
   13519, 13523, 13527, 13531, 13535, 13539, 13543, 13547, 13551, 13555,
   13559, 13563, 13567, 13571, 13575, 13579, 13583, 13587, 13591, 13595,
   13599, 13603, 13607, 13611, 13615, 13619, 13623, 13627, 13631, 13635,
   13639, 13643, 13647, 13651, 13655, 13659, 13663, 13667, 13671, 13675,
   13679, 13683, 13687, 13691, 13695, 13699, 13703, 13707, 13711, 13715,
   13719, 13723, 13727, 13731, 13735, 13739, 13743, 13747, 13751, 13755,
   13759, 13763, 13767, 13771, 13775, 13779, 13783, 13787, 13791, 13795,
   13799, 13803, 13807, 13811, 13815, 13819, 13823, 13827, 13831, 13835,
   13839, 13843, 13847, 13851, 13855, 13859, 13863, 13867, 13871, 13875,
   13879, 13883, 13887, 13891, 13895, 13899, 13903, 13907, 13911, 13915,
   13919, 13923, 13927, 13931, 13935, 13939, 13943, 13947, 13951, 13955,
   13959, 13963, 13967, 13971, 13975, 13979, 13983, 13987, 13991, 13995,
   13999, 14003, 14007, 14011, 14015, 14019, 14023, 14027, 14031, 14035,
   14039, 14043, 14047, 14051, 14055, 14059, 14063, 14067, 14071, 14075,
   14079, 14083, 14087, 14091, 14095, 14099, 14107, 14111, 14115, 14119,
   14123, 14127, 14131, 14135, 14139, 14143, 14147, 14151, 14155, 14159,
   14163, 14167, 14171, 14175, 14179, 14183, 14187, 14191, 14195, 14199,
   14203, 14207, 14211, 14215, 14219, 14223, 14227, 14231, 14235, 14239,
   14243, 14247, 14251, 14255, 14259, 14263, 14267, 14271, 14275, 14279,
   14283, 14287, 14291, 14299, 14303, 14307, 14311, 14315, 14319, 14323,
   14327, 14331, 14335, 14339, 14343, 14347, 14351, 14355, 14359, 14363,
   14367, 14371, 14375, 14379, 14383, 14387, 14395, 14399, 14403, 14407,
   14411, 14415, 14419, 14423, 14427, 14431, 14435, 14439, 14443, 14447,
   14451, 14455, 14459, 14463, 14467, 14471, 14475, 14479, 14483, 14487,
   14491, 14495, 14499, 14503, 14507, 14511, 14515, 14519, 14523, 14527,
   14531, 14535, 14539, 14543, 14547, 14551, 14555, 14559, 14563, 14567,
   14571, 14575, 14579, 14583, 14587, 14591, 14595, 14599, 14603, 14607,
   14611, 14615, 14619, 14623, 14627, 14631, 14635, 14639, 14643, 14647,
   14651, 14655, 14659, 14663, 14667, 14671, 14675, 14679, 14683, 14687,
   14691, 14701, 14702, 14705, 14706, 14707, 14713, 14714, 14715, 14716,
   14717, 14730, 14730, 14739, 14754, 14756, 14759, 14761, 14765, 14777,
   14793, 14797, 14808, 14809, 14812, 14824, 14833, 14834, 14837, 14838,
   14839, 14842, 14843, 14846, 14847, 14850, 14851, 14854, 14856, 14858,
   14860, 14864, 14871, 14878, 14894, 14928, 14938, 14941, 14945, 14958,
   14959, 14961, 14963, 14967, 14981, 14988, 15049, 15058, 15060, 15061,
   15064, 15066, 15067, 15070, 15071, 15072, 15073, 15074, 15081, 15080,
   15090, 15092, 15094, 15095, 15098, 15099, 15100, 15101, 15104, 15105,
   15109, 15108, 15125, 15123, 15139, 15138, 15152, 15158, 15159, 15162,
   15164, 15165, 15168, 15169, 15170, 15171, 15174, 15175, 15178, 15186,
   15203, 15211, 15234, 15340, 15374, 15376, 15378, 15382, 15386, 15385,
   15436, 15438, 15437, 15452, 15458, 15465, 15470, 15476, 15477, 15480,
   15481, 15482, 15483, 15484, 15485, 15486, 15494, 15502, 15505, 15506,
   15507, 15508, 15509, 15510, 15518, 15526, 15527, 15528, 15531, 15532,
   15535, 15537, 15546, 15634, 15635, 15642, 15643, 15644, 15650, 15659,
   15662, 15663, 15664, 15665, 15668, 15669, 15670, 15673, 15675, 15683,
   15684, 15690, 15698, 15699, 15702, 15703, 15706, 15711, 15718, 15723,
   15730, 15737, 15737, 15739, 15746, 15747, 15750, 15751, 15752, 15753,
   15754, 15755, 15756, 15757, 15758, 15764, 15771, 15783, 15789, 15796,
   15804, 15805, 15817, 15828, 15839, 15843, 15844, 15847, 15852, 15856,
   15857, 15860, 15866, 15874, 15880, 15887, 15891, 15892, 15895, 15898,
   15902, 15903, 15906, 15912, 15921, 15926, 15936, 15946, 15958, 15959,
   15960, 15961, 15962, 15963, 15964, 15965, 15966, 15967, 15968, 15969,
   15970, 15971, 15972, 15979, 15980, 15983, 15984, 15991, 15992, 15993,
   16000, 15999, 16016, 16017, 16024, 16023, 16093, 16099, 16105, 16113,
   16119, 16125, 16131, 16137, 16143, 16149, 16155, 16161, 16172, 16173,
   16176, 16177, 16178, 16179, 16180, 16181, 16182, 16183, 16184, 16185,
   16186, 16187, 16188, 16189, 16190, 16191, 16192, 16193, 16194, 16195,
   16196, 16197, 16198, 16201, 16202, 16203, 16204, 16205, 16206, 16210,
   16211, 16212, 16213, 16214, 16215, 16216, 16219, 16222, 16223, 16224,
   16225, 16226, 16227, 16228, 16229, 16242, 16243, 16244, 16245, 16246,
   16247, 16248, 16253, 16254, 16255, 16256, 16257, 16258, 16264, 16265,
   16266, 16267, 16268, 16269, 16270, 16271, 16272, 16273, 16274, 16277,
   16278, 16279, 16280, 16281, 16284, 16285, 16286, 16287, 16290, 16291,
   16292, 16293, 16294, 16295, 16296, 16313, 16314, 16315, 16318, 16319,
   16320, 16321, 16322, 16323, 16327, 16327, 16330, 16336, 16337, 16340,
   16342, 16347, 16357, 16368, 16375, 16376, 16377, 16380, 16413, 16415,
   16417, 16420, 16430, 16440, 16450, 16451, 16454, 16456, 16457, 16458,
   16461, 16463, 16471, 16472, 16473, 16477, 16478, 16482, 16483, 16486,
   16487, 16490, 16491, 16492, 16493, 16494, 16497, 16498, 16499, 16500,
   16501, 16502, 16503, 16504, 16505, 16506, 16507, 16508, 16509, 16510,
   16511, 16512, 16513, 16514, 16515, 16516, 16517, 16518, 16519, 16520,
   16521, 16522, 16523, 16524, 16525, 16526, 16527, 16528, 16529, 16530,
   16531, 16532, 16533, 16534, 16535, 16536, 16537, 16538, 16539, 16540,
   16541, 16542, 16543, 16544, 16545, 16546, 16547, 16548, 16549, 16550,
   16551, 16552, 16555, 16556, 16557, 16558, 16561, 16562, 16563, 16564,
   16565, 16566, 16567, 16568, 16569, 16570, 16577, 16578, 16579, 16580,
   16583, 16584, 16587, 16588, 16591, 16592, 16603, 16604
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5227

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5227)))

#define YYTABLE_NINF -2977

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2977)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5227,   546, 11694, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, 35301, -5227,
   -5227, -5227, -5227, -5227,122652,   827, -5227, -5227, -5227,126892,
   -5227, -5227, -5227,   314, 85732, -5227, 88852,  1111, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, 93012, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, 72196,  1008, -5227,   938,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227,  1286, 16550, -5227,
   -5227, 89372, -5227,   145, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, 89892,   746, -5227, -5227,  1033,  1421, -5227,   139, 18589,
   -5227, -5227, 82092, 86772, -5227, -5227, 93532,   506,  2173, 17229,
    1286, 36114, 94052, -5227,  1494, -5227, 68512, -5227, -5227, -5227,
   86252, -5227, -5227, -5227,  1257, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, 99772,  2771,  1133, 69041, -5227,
   -5227, -5227, -5227, 99772, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, 94572, -5227,  1262,  1402,  1184,100292,100812,
   83652, -5227,  1641, -5227, 99772,  1416,  1334, 71154, -5227,101332,
   -5227, -5227,  1507, -5227, 95092, -5227, -5227, -5227, -5227, -5227,
    1133, -5227, 72196, 67470,   181,  1339, -5227, -5227,101852, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   99772,  2857,  1527, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227,   746, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227,   885, -5227,   962,  1116,  1470,
     487,  1556, -5227, -5227, -5227,  8424, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, 25440,  2489, -5227, -5227, -5227,  1575, -5227,
    1740, -5227, -5227, -5227,  1777, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227,  1086, -5227, -5227, -5227, -5227,  2270,123169, 93012,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, 81572, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227,   221, -5227, -5227, -5227, -5227, -5227,
   93012, 93012, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, 93012,  1677,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
     675,  2184, -5227, -5227, 72196,  2623,  2623,  2291, 25440, -5227,
   -5227, -5227, 73759, 99772, 99772, 99772,  2088, 99772,  1937, 99772,
     180, 73759,131425, 95612,  2143,  2013, 62696,102372, -5227, 99772,
  129613, 99772, 99772,102892, 99772, 99772, 99772,  1800, 90412, 99772,
    2109, 99772, 99772,130066,103412,  2252, -5227,  2515,  1548, -5227,
   -5227, -5227, 99772, 19308,  2771, -5227, -5227,  2857, 99772,  2254,
   73759, 99772,  2029,103932,  2117, 99772, -5227, 99772,  2141,104452,
     291,   631,131425,  2122, 63229,  2289, 99772, 99772,131425,104972,
  105492,106012, 99772, 99772, -5227, -5227,  2223, 99772, 99772, -5227,
    2340,131878,  1585,  2356,  2506,  2431,   848, -5227, -5227,  2624,
    2188, -5227, -5227,  2649, 93012, -5227, 90932, -5227, -5227, -5227,
    2548, -5227, -5227, -5227, -5227, -5227, -5227,128707,  2173, -5227,
   -5227,  2455, 74280, 99772,  2516, -5227, -5227,106532, 77927,  2315,
   -5227,   427, 74801,132331,  2631,  2294, 63762,  2667, -5227, -5227,
  132784, -5227, -5227, -5227, -5227, -5227,107052, -5227,107572,  2391,
    2516, -5227, 78448,133237, -5227,  2525,108092,108612,109132, -5227,
   10904, -5227,  2271,  2562,  2281,  1538, 93012, 93012,  1063,124592,
   -5227, -5227,   746, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227,   225,  2163, 69570,   974, 70099, -5227, -5227,  1066,  1315,
    1447,   225,  2751,  2751,   647, 93012, -5227, -5227,  2163, -5227,
     567,   613,  2300,  2300,  2300,  2507,   904, -5227,  2300,  2449,
   -5227, -5227, -5227, -5227, 95092, 69570, 70099, -5227,  2308,  2771,
     220,  2728,  2386, -5227, -5227, -5227, -5227, -5227,  2416, 99772,
   99772, 99772, -5227, -5227, -5227,  2796,  2411,  2659, -5227,  2402,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,  2611,
    2635,  2626,    88,  2771,  2513, -5227,  2736, -5227,  2639, 42512,
   42512,   -40, 93012,  2771, 70628, 96132,119532,   210,128707,  2771,
  109652,  2460,  1761,  2648, -5227, -5227, -5227,   778, -5227,  2881,
    2478,  2731,   226,  1548, 59533, -5227,  2481,  2057, 95092, 21771,
   -5227, -5227, -5227, -5227,   283,  2783, 46278, 99772,  2476, -5227,
    2497,  2476,  2501,  2519,  1470, -5227, 99772,  1397,  1397,  2927,
    1397,  1861,  2063, -5227,  2724, -5227,  2817,  2790, 95092,  2527,
    1286,  2557, -5227, -5227, -5227,  2567, -5227,  2563,  2566, -5227,
     942,  2847, -5227, -5227, -5227, -5227,  2665,  2669,  2674,  2694,
    2598,  2704,   218, -5227, -5227, -5227, -5227,  2960, -5227, -5227,
   -5227, -5227, -5227, -5227,  3062,  3052,127348,127348,   693,   752,
     205,   293, -5227, -5227, -5227,  2908, -5227, -5227,  2913, 99772,
    2747, 99772, -5227, -5227, -5227,110172, -5227, -5227,  2623,  2567,
    1752,  2643, -5227,   243, -5227,  2057, -5227,   261,   282,   306,
    1943,  2655,  1895,  3017, -5227,   362, 99772,   352,  2702, 96652,
    3848,  2675,  2683,  2057,  2846,   937,  2967,  3032,  3038,   218,
   97172, -5227, -5227, -5227, -5227, 99772, 99772, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227,  2717,  1794, -5227, -5227,
    2716,  3047,  2932,   414,  3024,  2884,  1393,  2957,  1778,  3072,
   16820,  1498,  2071,  1743,110692,120052,  3039,  3086,  6740,  2162,
     816,  2973,  1189,  3024,  3078,  2928,  1393,  3106,  9294, 99772,
    2797, -5227,  3043,  3146,   769, -5227,   141, -5227,  2885,  3005,
     757,  3060, 73759,  2859, -5227, -5227, 99772, -5227, -5227, 78969,
    2921, -5227,   593, 73759, -5227,  3069,  2900, 64295, 99772, -5227,
   -5227, 99772, -5227, -5227, -5227, -5227, -5227, -5227, -5227,  2994,
    3180, 99772, 78969, -5227,  3128, 99772, 99772, -5227,  2878, -5227,
   -5227, -5227, -5227,  2300, 99772,  2888,  3292, 78969,  3107,   374,
   99772,  1248,  3327, 99772,  3112,  1248,  2941,111212, -5227, -5227,
    1248, -5227, -5227, 99772, 99772,  2912,  1682,  3115,  3225,  1248,
    3134,  3345,  3346,  3148,  3027,  3159,  2497,  3358,  3163,   841,
    1441,   147,  2229,  1248,  3026,111732,112252, 99772,  3042, 99772,
    3381, 73759, 99772,  3304, -5227,  3169, 97692, -5227,  3007,  2624,
   -5227, -5227, -5227, -5227, -5227,  1079, -5227, -5227, -5227, -5227,
   -5227,  3334, -5227,   191,   213,  3337,  3044,  3354, -5227, -5227,
    3090, -5227,  3090,  3090,  3050,  3050,  3220,  3054,  3376, -5227,
   -5227, -5227,  2636,  3090,  3050, -5227, 80011, -5227,  1645,  1837,
   -5227,   222, -5227,  3488, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227,  3058, -5227,  1458, -5227,  2179, -5227, -5227, -5227,
   -5227,  3092, -5227,  3384,   256, -5227,  3386, -5227,  3065,112772,
   -5227,113292,113812,  3392,   275, -5227,131425,  3393,  3065,  3400,
     213,  3402, -5227,   960,  3394,  3407,   222,  3408,  2242,  3065,
  129160,  3409,   287, -5227,  3410,   299, -5227,  3411,  3293, 12494,
   10904, -5227, 17858,  2133, -5227, -5227, -5227, -5227, -5227, -5227,
   46278,   805,  3182, -5227, -5227, -5227,  2207, -5227,125970, -5227,
    1063,  2163, -5227, 93012,  2163, 93012,   647,  2163, 93012,  2163,
   93012,   647,  2163, 93012, 93012, 93012,  2163, -5227, -5227,   240,
     248, -5227, -5227, -5227, -5227, -5227, 93012,  3094, 99772, 99772,
   -5227, -5227, -5227, 87292,131425, 87812, -5227, 99772, -5227,   192,
   93012, -5227, 93012, -5227,  2771, -5227, -5227,  2562, 78969,  3526,
  131425,  3381, -5227,  2250, -5227, -5227, -5227, -5227, -5227, -5227,
    3343, 99772,  3412,  3413, 87292,131425, -5227,114332,128707,  3298,
    3099, -5227, -5227, -5227, -5227,  2267,  2856,   388,  3085, 46278,
    3100,   388,   388,  3101,  3414, -5227, -5227, -5227,   324,  3102,
    3113, -5227,   335,   335, -5227,  3114,  3118, -5227,   370,  3119,
    3120,  3155,   400,  3122,  3123,  3126,  2636,   388, 46278, -5227,
    3127,   335,  3130,  3132,  3133,  3207,  3137, -5227,  3243,  3138,
     358,   380,  3139,  3140, -5227,  3114, -5227,   418,  3142,  3143,
    3145,  3149,  3151,  3152,  3153,  3157, 46278, 46278, 46278, -5227,
   40898,  2057,  2771, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227,   440,  4611, -5227,  3191, -5227, -5227,  3295, -5227, -5227,
   46278, -5227, -5227,   359, -5227,   453, -5227, -5227,  2057, -5227,
   -5227,  1793, -5227, -5227, -5227, -5227,  3374,  3162,  2362,  2362,
     236, -5227, 89372, 89372, -5227, -5227,  1712,  3166, -5227,   333,
   -5227, -5227, -5227, -5227, -5227, -5227,128254,  3577, -5227,   485,
    2771,   141,  1724,  3534,125048,125509,  3438,  3438,  3423, -5227,
   -5227, 99772, -5227, -5227, 46278, 66428, -5227,  2057,   126,  3439,
   -5227, -5227, -5227,  2256, -5227, -5227, -5227, -5227,   746, 16761,
    2273,  2476, 99772, 99772,  3609, -5227, -5227,  2497, -5227, -5227,
    1470,  1470, 46278,  1470,   255,  1883, 43050, 46816,  3489,  3387,
    1349,  1524,  3490, -5227,  3388,  1861,  2063, 95092, 99772,114852,
    3306, 46278, -5227,  2567,  3194,  2233, -5227, 81052,123686,123686,
    3457, -5227, -5227,  1281,   998,  3318,  3419,  2751,  1622,  1941,
    1941, -5227, -5227,  3192, -5227,  3553, 89372,  3257,127348, -5227,
   -5227, 99772, -5227, -5227, 98212, -5227, -5227, -5227,  2279,  3199,
   -5227,  3214, 99772, -5227,  3732,  1941,  1941, -5227, -5227,  3202,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, 25440,  3216,
   99772, -5227,  3218,  3219, -5227, 21771,  3307,  3308,  3357, 66949,
   -5227,  2057,  3309,  3276,  3311,  3365, 72196,  3235,  3317,  3322,
    3369,  3492, -5227, -5227,  3323,  3329,120572, -5227, -5227,  1245,
   -5227, -5227, -5227,  1245, -5227,  3262, -5227,  1621,  1039,  1482,
    3331,   284,  1015,  3642, -5227,  1514, -5227, -5227,  3390, -5227,
    6571, 99772,  3582,  9874,  3462,   218,  3463,  3389, -5227, -5227,
    3515,  3347, 99772,  3349,  3483,   218,  1395,121092, -5227, -5227,
   -5227, -5227, -5227, -5227,  4271, 39848, -5227,  2204,  3355,  3332,
    3364, 99772, 82612,  1868,  3480,  3481,  1766,  2366,   920,  3417,
   99772,  2012,  3491, 99772,  3284,  3367,  3368,  3573,  3291,  1995,
    3675,  3290, -5227, -5227,  3479,  3576,  3617,  9148,  3356,  3359,
   76364, -5227,  3380,   880, 64828, 99772, 99772,  3395,  3396,  3391,
    3398,  1235,  3668,  2047,  3416, -5227, -5227, -5227,  2047, 99772,
    3422,  3425, 99772, 80011,   218, -5227,  3721,   218,   218,  2028,
    3722,  3426,   526,  3537,  2248,  1248,  3290,  2195, -5227,  3427,
    3429,  1568, -5227,  3506,  3430,  3431,  3444,  2771, -5227, -5227,
    3432,  3478,  3433,    15, -5227, -5227,  1484,  3418, 95092,  3504,
    3513,   300,  2719,  3290, -5227,  3434,  3436,  3291,  3291, 99772,
   99772, 99772, 99772, 99772,   172,  3762,  3764,  3437,   160,  3474,
    3361, -5227,  2047,130519,  3440, -5227,  2047, 99772,  3441,  2791,
    3290,  1933, -5227,  1913, -5227, -5227, -5227,  1548, -5227, 99772,
   -5227, 99772, -5227,  3619, 78969,  3565,  3626, -5227,  3403, -5227,
    3627,   218, -5227, 99772, 99772,  3632,  3574,  3581,  1065, 78969,
    3583,  3633, -5227,  3636,  3650,  3461,  3443,  3470, 66949, -5227,
    2912,  3415,  3834,  3728, 99772, 72196, -5227,  3852,  1245, -5227,
   78969,  3611,  3733, -5227, 99772,  3628,   171, -5227,  3771,  3477,
   -5227, -5227,   658, 99772,   177,  3460, -5227, -5227,  3745,131425,
     334,  3746,  2771,  3471,  3748,  3629,  2771,131425,  3666, 99772,
   99772, 99772, 99772, -5227, -5227,  3641,   939,   190, -5227,130519,
    3647, -5227, 99772,  3657,  2195,  3660,  3877,  1217,  2300,115372,
    3758, -5227,115892,  3450,  3882, 78969,  3709, -5227, -5227,  3454,
    2751, -5227,  3007, -5227,  2317, -5227,  3586, -5227, 73759, -5227,
   -5227, 73759, -5227, -5227, -5227, 78969, 99772, -5227,  3468, -5227,
   -5227, 46278, -5227, -5227, -5227,  2751, -5227, 78969,  3090,  3090,
   -5227, -5227,  3893,  3543,  3554,  2751, -5227,  2751, -5227, 78969,
   -5227,  3476,  3482,  2751,  3557, -5227,  3561,  2751, -5227,  2297,
   -5227, -5227, 73759, 73759, -5227,131425,131425,  3796,   287,  3807,
    3544,  3810,  3546, 64828, 64828, -5227,   308,131425, 99772, -5227,
   99772, -5227, -5227, -5227, -5227, 78969, 78969, -5227,131425,130519,
    3817,  3818,   213, 99772, 99772, -5227, 99772, 99772, -5227, 99772,
   99772, -5227, 15695,  2152, -5227, 10904, -5227,  2332,  3438, -5227,
    1677, 99772,  1492,  1063,133690, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, 93012, -5227, 93012,   647, -5227, -5227, 93012,
   -5227, 93012,   647, -5227, 93012, -5227, -5227, -5227, 93012, 99772,
    4027,  3499, -5227,  1793, -5227, 99772,  2351, -5227, -5227,  2355,
    1202, 99772, 99772,   413, 73759, 99772,  3710, 99772, 99772, 99772,
   99772, 99772,  3585,  3166,  1463, -5227,  1440,   269, 95092,  3714,
   -5227, -5227, -5227, -5227, -5227,  2365,  2857,  1219, 99772,   982,
    2416, -5227, -5227, 87812, 86252,  3812,    95, 99772, -5227, -5227,
    6529, 46278, 41974, -5227, -5227, 16761,  3550, 46278, 46278,  3510,
    2751,  2751, -5227,  2896, 46278, 46278, 46278,  2751,  2751,  7713,
   46278, 64828, 46278, 50044, 38231, 46278, 46278, 41436, -5227, 46278,
    3735, 51658, 46278,  1724,  3736, 46278,  1724,  7713,  3969,  3969,
    1339,  2726,  6119,  3512,  2057, -5227,  2751,   873,   232, 78969,
   46278, 46278, 46278, 46278, 72196,  3597,   186, 99772, 46278,  3517,
    2003, -5227, 46278, -5227,  3519, 46278,  3601,   279, 46278, 46278,
   46278, 46278, 46278, 46278, 46278, 46278, 46278, -5227, 53230,   320,
   -5227,  3819,  3836,   618,   531, 88332, 42512,  3829, -5227, 37153,
   -5227,   174, 93012, -5227, -5227,  2057,  3829, -5227, -5227, -5227,
   -5227, -5227,  2279,  3524, -5227,  3539, -5227, -5227, -5227, -5227,
   -5227, 99772,  3577, -5227, -5227,  3606, -5227, -5227, -5227, -5227,
     462, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,  3529,
   -5227, -5227, -5227, -5227,  3529, -5227, -5227,  3438,  3533, 13192,
    3530, -5227, -5227, -5227, -5227,  3824,  3825,   213, 25440, 99772,
     283, 91452, -5227, 46278, -5227,  2368,  3538, -5227,  3803, -5227,
    3545, -5227, 13268,  3803, -5227, -5227, 50582,  3656,  3802,  3751,
   -5227, -5227, -5227,  3551, 16761, 46278, 46278, -5227,  2421, 16761,
    2463, -5227, -5227, -5227, -5227, -5227, -5227,  1119, -5227, 99772,
    1027,  3489,  1524,  3613,  2030,  3984, 99772, -5227, 60057,  2396,
    2335, -5227,  2567, -5227, -5227, 33560, -5227, 36634, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227,  3558, -5227, -5227,
   -5227, -5227, -5227,   218,  3559,  4063, -5227,127348, -5227, -5227,
   -5227,  4027, -5227,  2649, -5227,  2649,  4090, -5227, 93012, -5227,
   -5227, -5227, -5227,   999, -5227, 10904, -5227, 10904, -5227,131425,
   99772, 99772,  3753, -5227,  3975, -5227, 80011, -5227,  3562, -5227,
   79490, 75322, -5227, -5227,   933, -5227,   763,131425, -5227, 99772,
   99772, -5227, 72196,131425, 99772, 99772, -5227,131425, 99772, 99772,
   -5227, -5227, -5227, -5227, -5227,126431,  1373, 86252,  3696, 84172,
   -5227, -5227,  3567, 99772,  3624,  3827,  3830,   869, -5227, -5227,
  116412, -5227,  3779,131425, 99772, 99772, 46278,  3783, 99772, 99772,
   -5227,   197,  3654,  3655, -5227, 99772,  3658,  3808, 73759,  3580,
   99772, 99772, 78969,  3659,   610, 73759,  3625, 65361, 99772, 99772,
   99772, 99772,  3713,  3891, 78969, 99772,  3837,  1721, 95092,   179,
    2955,  3290,  3797, -5227,  3907,  1438, -5227,131425, -5227, 99772,
    3790, -5227, -5227, -5227, 84692,  4014,  3700, -5227, -5227,121612,
   -5227, -5227, -5227,  2406, -5227,131425,131425, 99772, 10902,116932,
    1182,  3811, -5227, -5227, 78969, -5227, 99772, 99772, 99772,  3914,
    3843, 99772, 91972,117452,117972,    14,   584,  3844, 99772, 92492,
    3847, -5227,  3738, 99772, -5227, -5227, 72717,131425, 99772,   911,
   72196, -5227, -5227, 99772, -5227,  3809,   995, -5227, 99772,  6921,
    3684,  3693, 99772,  3813,   198,  3083,  3290, 99772, 99772,  3607,
    2410,131425, 99772, 72196, -5227,  3814,  1404, 95092, 95092,131425,
   99772, 95092, -5227, 99772,119532, -5227,131425,  1173, -5227,  3757,
  131425, 99772, 17899, -5227, -5227, -5227,   218, -5227, -5227, -5227,
   -5227, -5227, 99772, 99772,   218, 99772, 99772,   218,  1496, -5227,
  131425, 99772, -5227, -5227, -5227,131425, 99772, 99772, -5227,131425,
    3460, 99772, 72196, -5227, 99772,  8600, 99772, 99772, 99772, 99772,
   99772, 99772,131425, 99772, -5227, -5227,  1515,  1149,   988,  2031,
     796, 99772,  3898, 99772,118492,131425, 99772, 99772,  2771, 99772,
    1580, -5227, -5227,  3737, -5227,131425,  1173, -5227, 11583, 99772,
   99772,  3691,  3695,   316,  3778, -5227, -5227, -5227, -5227, -5227,
   -5227,  1882,  4051,119012,  1882, -5227,  1882,  3881,  3680,  3681,
    1882, 99772, 99772, -5227, -5227, -5227, -5227,  3880, 99772,  1882,
    1882,  1882,  3791,  3831,   698,  3909,  2441, -5227,  3643, -5227,
   46278, 78969, 99772, -5227,  2445, -5227,  3645,   939, -5227, -5227,
   72196, 99772,   245,   952,  3956,  3841, 83132,  4256,  3947, 99772,
    3685, 99772,  4076,  3739, 95092,  2912, -5227,  4256, 99772, -5227,
    2212, 86252, -5227, -5227, -5227, -5227, -5227, -5227, -5227, 99772,
   -5227, -5227,  3954, 99772, 46278,  3820, -5227,  2771,  2912,  2912,
    2912,  2912, -5227, -5227, -5227, -5227,  3856,  2062, -5227,  3661,
    2912, 99772,  3774,  3977,  4256,  3667,  3979, -5227,  2195,  3981,
    3988, 99772,  3878, 83132,  2491,  3711,  3890,  4107,  2300,  2771,
    3892,  3879, -5227, 40373,  7057,  3883,  3932,128707, 97692, -5227,
    3686,  3971,  3972,  3993, -5227,   191, -5227,  4117, -5227, 46278,
    2465,  3688,   222, -5227, -5227,  3692,  3482,  3715,  3716,  3704,
    3708, -5227,  2751, 57437,  3712,  1560,  3918,  3717, -5227,   256,
   -5227,  3065, -5227, 99772, -5227, 99772, 99772, 99772, 99772,   275,
   -5227, -5227,  3065,   213, -5227,  3964,   222,  3065,  3832,  4023,
  128707, -5227,   287, -5227,   299, -5227,  3916,   213, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227,  2300,  2317, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, 93012,  2649,
   -5227,  2469, -5227, 99772, -5227,  4000,  4002,  4005,  3724,  3725,
    3763, 99772,  3729,  3724,   218,  3724,  3166,  3166,  3724,  3725,
  130972,  4168,  4031, -5227,  3815,  3740,  4039,   650, -5227,   726,
     935,  3965, -5227, -5227, -5227, -5227, 78969, -5227,131425,  3781,
   99772, 99772, -5227,   170,  3942,  3747,130972,  4161,   213, -5227,
   73759, -5227, -5227, 78969,  3823,  3842, 73759,  3959,  3798, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, 78969, -5227,  4009, 99772,
   99772,  2482, -5227,  2164, -5227,  2191, 46278,   140, -5227, 14720,
    2495, 46278,  3755,  3759, -5227, -5227, -5227, -5227, -5227, -5227,
    3769,  4062, -5227, -5227,  2508,  2514,  2528,  3770,  3773,  5748,
    3775, 14762,  3780,  3765, 50044, 50044, 40898,  2512, -5227, 50044,
    3786,  3952,  2536, 14023,  3761,  3787, 15026, 43588, 46278, 43588,
   43588, 15268,  3761,  3788,  2537, 72196,  3955, 16068,  2564, -5227,
   46278, 72196,  6079, 46278, -5227, 46278,  3793, -5227, -5227,  3889,
    3889,  3889,  7713, -5227,  3789, -5227, 50044, 50044, -5227,  2653,
   40898, -5227, -5227,  4086, -5227, -5227,  1748, -5227,  3795, -5227,
   -5227,  3229, 64828,  7772, 46278,   194, 46278,  3517, 46278,  3876,
    3889,  3889,  3889,  1052,  1052,   165,   165,   165,  2129,   531,
   -5227, -5227, -5227,  3799,  3804,  3821,  3992,  3822, 46278, -5227,
    2404,  2654, 99772, 14133, 17221, 17919, -5227, -5227, -5227, 54292,
    3838, 46278, 46278, 46278,  3826, -5227,  2833, 16761,   663, -5227,
    2837, -5227, -5227, -5227,  3838,  1161,  4090,  2279, -5227,  1548,
    2751,   873,125970, -5227, -5227, -5227, 46278, -5227, -5227, -5227,
   -5227,  2497, -5227, -5227, -5227, 16761, -5227,  2857, 46278, -5227,
   -5227,  2555,  3839,    72,  4008,  1941,  1941,  2421,  4010, -5227,
   -5227,  3861, -5227, 46278, -5227,  2552,  2556, -5227, -5227, -5227,
   -5227,  3166, -5227,  4046, -5227, -5227, -5227, 54292,  3854,  3862,
    1771, 59009,  4015, -5227, 99772, -5227, 99772,   251, -5227,  3840,
   -5227, -5227, -5227, -5227,  1924, -5227, -5227, -5227, -5227, -5227,
   -5227,  3828, -5227,  3816, -5227,  3846, -5227, -5227, -5227, -5227,
     204,  3835,  3845,  3850,  2066, -5227, -5227, -5227, -5227, 75322,
    2179, -5227, 79490, -5227, 79490, -5227,  2179,  4236, -5227, 75322,
    2187, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227,131425,131425,  4025, 99772,  4028,  4030,
   46278,   296, 99772,  3849,  3853,  1530,  4106, 99772, -5227,  4159,
     213, -5227, -5227,  3920, -5227, 16761, -5227, -5227, -5227, -5227,
   -5227,131425, 99772, -5227,128707, -5227, 99772, -5227, 78969, -5227,
   -5227, -5227, 99772,  3872, 99772, -5227, 99772, 99772, 99772, -5227,
   -5227, -5227, -5227, -5227,  1409, 78969, -5227, -5227, 99772, 99772,
     676,  3921,  3922, 99772, -5227,   886,  3506, 11887, 99772, 99772,
   99772,  4124, 99772, -5227, -5227, -5227, -5227,  4057, -5227, -5227,
   75322, -5227,  3065,  1539,  3935,  3290,  4073, -5227,  4182,  4059,
   -5227,   807, -5227, 99772,  3991, -5227, -5227, -5227, -5227,  4188,
     213,  4195,   213, 99772, 99772, 99772, 99772,  4004, -5227, -5227,
   -5227, -5227,  4011,  4121, -5227, 72196, 72196, 72196,  2577, -5227,
   -5227,  2771, -5227, -5227, -5227, -5227, -5227, -5227,  4165, -5227,
    2584, -5227,  1107, -5227, -5227, -5227, -5227, -5227, -5227,131425,
   99772, 12507,  4208, 99772, 99772, 99772,  2123, -5227,  1044, 78969,
   -5227, 76885, -5227, -5227,  2590, -5227,  3901, 99772,  3970,131425,
    3948,  3894,  3894, -5227, -5227,  3894, -5227, -5227,  4137,  4074,
   -5227,  1986,  4075,131425,  3957, -5227, -5227,  3980, -5227, -5227,
    3994,  3144,  3290,  2195, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,  1652,
   -5227, -5227,  1673,   337,  3245,  3290, -5227,  4209, -5227,  3995,
   -5227,  3996, -5227, -5227, -5227,  4139,  4146,  4147,  3998,  3999,
    4044,  4006,  4007,  4056, -5227,  4013,  4060,  4016,  4066,  4129,
    4017,   213, 78969,  4136,  2771,  4049,  4260,   213, -5227,  4020,
   -5227,  4026, -5227,  4368, -5227, 99772, -5227,  4029,  3246,  3290,
   -5227, -5227,131425, 99772, -5227, -5227, -5227, -5227, -5227, -5227,
   78969, 99772,  4206, -5227, -5227,  1882, 99772, 99772, -5227,  4211,
    4212, 99772,  4214, -5227, -5227, -5227, -5227,   550, -5227, -5227,
   -5227,  3791,  4241, -5227,  2548, 61629,  6216,  3958,   381, -5227,
   72196, 61629,  2194,  2679,   281,  1248, -5227,128707, 99772,128707,
   -5227,   952,  4059, 99772, 99772, 99772,  3960,  3946, -5227, -5227,
   -5227, -5227,131425,   119,131425,  2751, -5227, -5227,  4024, -5227,
   99772,  2300,  2548,  4269, -5227,  3894, -5227,  4385,  3346,   334,
    4109,  1624,  3027,  4326,  2497,   252, 72196,  3711, -5227, -5227,
   -5227, -5227, 99772, 99772,   939,  2771, -5227,  3966,  3962, -5227,
   99772,  4275, 99772, 99772, 99772, 99772,  2857,  3973, 99772,  3968,
   78969,    46,  4172,  4171,  3291,  4403,  4297,  2857,  3711,  4058,
    4299, 99772, -5227,  2602,   106, -5227,  2771,128707, 75843,  4290,
   -5227,  9161, -5227, -5227,  1055, 99772,  4276, -5227, 99772, -5227,
   -5227, 58485, -5227, 78969,  2605, -5227, -5227, -5227,  2751, -5227,
   -5227,   913,   913,  3985, -5227, 57961, -5227,  3990, -5227,  2121,
   -5227, -5227, -5227,   287,  4041,   213,  4047,   213, -5227, -5227,
   99772, -5227, 99772,130519,   213, -5227, -5227, 99772, -5227,  4302,
   -5227, -5227, -5227, -5227,  4118,  4125,  4130, 99772,  3724, -5227,
    4003,131425,  1818, -5227, -5227,  4191, -5227, -5227, 95092,  4122,
   -5227, -5227, -5227, -5227,  4324,  4328, -5227, -5227, -5227,   224,
   -5227, -5227, -5227,131425, 87292,   376,131425, -5227,  4270,  4272,
   -5227, -5227,  4280,   218, -5227,  4284, -5227,  4285,  4286, -5227,
   -5227, -5227,  4032, 16286, 46278, -5227,  4341, 78969, -5227,  6908,
   -5227, -5227, -5227, 46278, -5227, -5227, -5227, -5227, -5227, 46278,
   -5227, 46278,  4319, -5227, 38770,  4483,  4483,  4033, 78969, 50044,
   50044, 50044, 50044,  1776,  3130, 50044, 50044, 50044, 50044, 50044,
   50044, 50044, 50044, 50044, 51120,   571, -5227,  4218, 46278, 46278,
    4340,  4319, -5227, 78969,  4034,  3761,  4036,  4037, 46278, -5227,
   -5227,  2610, 52182,  4040, 72196, -5227, 46278, 14386,  2620,  4077,
   16352,  2057,  7239,  2771, 46278,  2499,  3013, 46278,  2625, 46278,
    4344, -5227, -5227, -5227,  4042, -5227, -5227, 78969, 46278,  4043,
    4964, 50044, 50044,  5051, -5227,  5506, 46278, 40898, -5227,  4237,
    4085, 60581, -5227, 39309,  4045,  1133,  1133,  1133,  1133, -5227,
   99772, 99772, 99772, 54816,  4350,  4050, 53768, 98732,  4052,  2268,
   -5227, 98732, 99252, 98732, -5227,  4067, -5227,  4061,  2057, 46278,
    4347,   811,   811,  4237, -5227, 46278, 46278, 44126,  4048, -5227,
    4347, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227,  4054, -5227,  4069, -5227,
   -5227,   141,  4065, -5227, -5227, 16761,  4064,   204, -5227,  4070,
   -5227,  4068, -5227,  3839,  1915, -5227, -5227, -5227,  4259, -5227,
   -5227, -5227, -5227,  4052, 44664,  4203, -5227, -5227, -5227,  4123,
    2633, -5227, -5227,  4452,  4203, -5227, -5227,  2637, 60057,  3854,
   46278,  2057,  2751,  4081, -5227,  2649,  1161, -5227, -5227, -5227,
   -5227, -5227,  2671,  2290, -5227, -5227, 75322, -5227,  4142,  3065,
    3065,  1436,  3724,  4383,  1436,  7285, -5227, -5227, 55340, 99772,
   99772, -5227, 99772,  2677,  1730, 99772, -5227, 99772, -5227, -5227,
   -5227, -5227,  4507, -5227, 99772, -5227, -5227,  4134,  4135, 99772,
   99772, 99772, 99772,  4334, -5227, -5227,  2655, -5227, -5227,131425,
   99772, -5227, -5227, -5227,   203,  3302,  3290, -5227,  4160, -5227,
   -5227, -5227,  4352, -5227,  4496,  4173, 99772,  4405, 99772,  4088,
   -5227,  1730,  4391,  1506,  3291,  2211,  3297, -5227,  1899, -5227,
   -5227,  4154, -5227, -5227, 99772, -5227, 99772, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227,  4219, -5227, -5227, -5227, -5227, 72717,
   -5227, -5227, 99772, -5227, 72196, 61629, 72196, -5227,  1735,   257,
    3637,  3290, 99772, -5227,  4175, -5227,  4176,  4177,  4229,  1153,
    1056,  4179,  4180,  4232,  4102,  4103,  4104, -5227, 72196, 62163,
    4255, 99772,  3065,  4108,  4150,   225,  2771, -5227, -5227,  2771,
    3065,  2771, 99772, 99772, 99772, 72196, -5227,  4522,  4201, 99772,
   99772, 99772, 99772,  4166, -5227, 99772, 99772,  4424,   634,  2299,
  131425, 99772, 99772,131425, 99772, 99772, 99772, 99772, 99772, 99772,
    4436, 99772, -5227,  4513,  4441,  1834,  4484,  4193, 99772, -5227,
   99772,  2771,  3506, 99772, 99772, -5227, -5227,  4127,  4386,  1882,
   -5227,  4390,  4392,  1882,  1882,  4394,  1882, -5227, -5227,  1248,
   -5227,   550, 99772, -5227,  3643, -5227,  4068,  1941,  1941, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227,  2691, 99772, -5227, -5227,
   -5227, 99772,  4143, 99772, 99772, 50044, -5227,  2257,  1857,   888,
   -5227,  4381, 99772,  3460, -5227, -5227, -5227,  4300, 99772, -5227,
   -5227, -5227, -5227, -5227,   884,  3973, -5227,  4411, 83132,  3065,
  131425,131425,  3065, -5227, 78969,  4144,  3711, -5227,   244,  4216,
  131425,   334,  1847,112252,  3471,  4183,  4342, 54292,  1652, -5227,
    4149,  4308, -5227,  4148,  4156, -5227, -5227, 99772,  4059,130519,
    2696,  2195,  1460,  2281,  3781, 85212,  4338,  3973,  4411, -5227,
   -5227, -5227,  4554,  4254, -5227,  2857, 99772,  3781,  4254,  2771,
   99772,  3624, -5227, 75322, 46278, 46278, -5227,  4167, -5227,  4169,
    8845, -5227,  4240,  4170, -5227, -5227, -5227, -5227, -5227, -5227,
    4247,  4178, 99772,  4630, -5227, -5227,  4174, -5227,  4184, -5227,
   -5227, -5227,  2582, 25440, 57961, 57961, 57961, 57961, 57961, -5227,
   -5227, 99772, -5227, 99772, -5227,   213, -5227,  4296, -5227,   213,
    2857, 99772, 99772, 99772,  3724,   218, -5227,  4479,130972, -5227,
   -5227,  2700, 99772, -5227, -5227, -5227,  4544,    95,  4488, -5227,
   -5227,  2055,  2055,  2055,  4446,  2055,  2055,  2055, -5227, 46278,
   16761, -5227,  4186, -5227, 16761,  7856, 16761,  4340, -5227,  2706,
   46278, -5227,  1957,  1957,  1957,  3333,  4492, -5227,  1188,  4189,
    1957,  1957,  1957,   156,   156,   157,   157,   157,  4483,   571,
   16761, 16761, -5227, -5227,  4192, -5227, -5227, -5227,  3761, -5227,
   47354,  4345,  4607, -5227, -5227, -5227,  4242,  4253,  4196, -5227,
   46278, 47892,  4198, 80011,  4387, -5227,  1850, 46278, 46278,  4263,
   -5227,  8801, 46278, 78969,  2722,  4263,   396, 46278,  4217,  4870,
   46278, 46278,  5967,  8931,  4220, 46278,122132, -5227, -5227, -5227,
    2734, 46278, 99772, 99772, 99772, 99772, -5227, -5227, -5227, 98732,
   99252, 98732,  4215, 52706, 56912,  2268,  4223, 99772, -5227, -5227,
    4225, 54292,  4474,  4409, -5227, 54292,  4409,  2043,  4409,  4477,
    4314, 61105, -5227, -5227,  4227, -5227,  4421, -5227, 37153,  2204,
   16761,  4643,  4523, 46278,  4231,  4234,  4235, 16761, 16761, 46278,
   -5227,  2771,  4523,  1161,   524,  2771, -5227, -5227, -5227, 64828,
   -5227, -5227, -5227, -5227,  4438, 16761, 42512, -5227,  2857,  2845,
   99772,  2057,   681, -5227,  4248, 99772, -5227,  4203, 16761, -5227,
   10904, -5227, -5227, -5227, -5227,  4307,  2749, -5227, -5227, -5227,
   -5227, -5227, -5227,  4318, 86252,  4545, -5227, 46278,  2760, -5227,
    4277,  4637,   124,  2763,  2780,  1730, -5227,  3460, -5227,  1944,
    4519,   166, -5227,   213, -5227, 78969, -5227, 99772, 99772, -5227,
   -5227, -5227, -5227, 99772,  3235, -5227, -5227, 99772, 99772, 99772,
   99772, -5227,131425, 99772, -5227, 99772, -5227, 72196,  2679,  2257,
    4531,  4455, -5227,   218, -5227,  2257,  4456,   225, 99772, -5227,
   -5227,  2568, -5227, 78969,   213,   213, -5227, -5227, -5227, -5227,
   -5227,  4261,  4661,  4339, 99772, 99772, 99772, -5227, 99772,131425,
   99772, 99772,  2751,  2751, 78969,  4250, -5227,  2751,  2751,  4257,
   -5227,131425, 99772, 99772, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227,  4330, -5227, 46278,  4662, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,131425, 99772,
    4343, -5227,  4346, -5227,  2285, -5227, -5227, 99772, 99772, 99772,
   99772,  4583, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, 99772, -5227, 99772, -5227, -5227,  2771,  2771, 78969,
     213,   213, -5227, -5227, -5227, -5227,  4526,  1882, -5227,  1882,
    1882, -5227, -5227,  1882, -5227,  4268,   354, -5227,  1730,  2227,
    4565, -5227,  4573, 46278, -5227,   989,  3333, -5227,  4625,  4702,
   -5227, -5227, -5227, -5227,  3460,  2300,  4329, 73759,  1225, -5227,
    4553,   245,  4481, 83132,  4209,  1807,  4274,  4397, -5227,  3065,
    3065,  4335, 99772,  4709, -5227, -5227, -5227, -5227, -5227, -5227,
  131425,  3948, -5227,  1477,  4587, 99772, 46278,  4052, -5227,  2259,
    4590, -5227,  2771, -5227, -5227,  4402,  3711, -5227, 99772,  4489,
   83132,  3781, -5227,  2785, -5227, -5227, -5227,  4320,  4700,  2491,
   -5227,  4209,  4338,  1172, 99772, -5227,  4325,  4721, -5227, -5227,
    4595,  4493,  4292, -5227, 16761, 16761,  2771, 80532,  9161, 78969,
    4603, 99772,   771,  4568, 99772, -5227,   213, -5227, -5227,  4295,
    2226,  2226, -5227, -5227, -5227,   213,   213, -5227, 99772, -5227,
    3724,  3724,  3724, -5227,  4494, -5227, -5227,  4561, -5227,   213,
  130972, -5227, -5227, -5227, -5227, -5227,  2055, -5227, -5227, -5227,
   16761, -5227, -5227, -5227, -5227,  9018, 50044,  4604, -5227,  4301,
   78969, -5227,  4304,  2789,  2793, 51658,  4457, -5227, -5227, -5227,
    9585,  4356, 16761,  4410,  4306,  4309,  4263,  4263,  8801,  2799,
   -5227,  4263, 46278, 46278,  4263,  4263, 46278, -5227, -5227, 10077,
    4490, -5227, -5227, 10105, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227, 73238,  4311,  3955, 98732,  4315, 99772,  2268, 54292, -5227,
   -5227,  1177, -5227, 54292,  4574, -5227, 54292, 73759, -5227, 99772,
    4316, 99772, -5227,   663, 48430, 46278,  4357, -5227, -5227, -5227,
    4237, -5227,  4357, -5227,  1941, -5227, -5227, -5227, -5227, -5227,
    4317, 93012,   489, -5227,  1771, -5227, -5227,  4691, 55340,  4663,
   46278, -5227, -5227, -5227, -5227, -5227,130972,  4521,130972,  1730,
   10248,  3460, 55340, 65894, 99772, 99772, 99772,  4476,  3460,  4329,
   -5227, -5227, -5227, -5227, -5227, -5227,  4323, -5227, -5227, -5227,
   -5227,  4406, -5227, -5227,    42,  3714, -5227,  2803, -5227,  4759,
    4650, -5227, -5227, -5227, -5227, -5227, -5227,  4513, -5227, -5227,
   61629,131425, 99772, -5227,  4412, -5227, -5227, -5227, -5227, -5227,
   56388, 64828, -5227,  1153,  4336,  4349,  1056, -5227, -5227, -5227,
   99772, 10941,  4353,  1088,  3714, 99772, 99772,  4354,  4355,  1821,
    1415,  2022,  3724,  4644, -5227, -5227, -5227, -5227,  4513, -5227,
   -5227,  1882, -5227, -5227, -5227, -5227, 72196, -5227,  2374, -5227,
    1248,  4682, 73759,  4770,  4770, 99772, -5227, 11271,  4550, -5227,
   -5227,  4629,  4329,  4575,  4621, -5227,  4358, 99772,  4509,  4359,
   99772,  4360,  4465,  1615,  1615, 99772, 99772, 99772,  2808,  2857,
    3065,  4150,   334, 83132,  4708,  4059,   259, -5227, -5227,  2259,
   -5227,  1702,  4685,  4388, -5227, 99772,  4791,  3973, 99772,  4362,
   -5227, -5227, 85212,  4560,  2679,134143,  4171,  4338,  2491,  4498,
   -5227,  4500, -5227,   411, -5227,  2857, 99772, 99772, 55340, -5227,
   79490, -5227,  2811, -5227, -5227, -5227,  4437,  3838,  4475,  4480,
    4369, 99772,   216, -5227,  4382, -5227, -5227, -5227, -5227, -5227,
   -5227, 99772, -5227,   376, -5227, -5227,  3915, 50044, 78969,  2815,
   46278, -5227, 46278, -5227,  4789, -5227, -5227, -5227,   704, -5227,
   -5227, -5227,  4263,  4263,  4263, -5227,  4790,  4237, -5227, -5227,
    2816,  4809, 49506,  4771, -5227, 99772,  2821, -5227, 46278,  4384,
   -5227, -5227, 54292,  1177,  4389,  2825, 99772,  2834, 78969,  4380,
    4396,   706,  4398, 37692,  4379, -5227, -5227, -5227, -5227, -5227,
   16761, 16761, 99772, -5227,  4400, -5227, -5227, -5227, -5227, -5227,
   -5227,  4439, 99772,  2835, -5227,   875, 16761,  1818,  1436,   376,
    4637,  4329, -5227,  4404, -5227, -5227, -5227,  1371,  1371, 99772,
    4329, -5227, -5227, 99772,  4478, -5227, -5227, 72196,  4678, -5227,
    4448, -5227,  1141,  3714, 99772, 78969, -5227,    50,  4706, -5227,
   78969, 78969, -5227, -5227, -5227, 46278,  4495, -5227, -5227, -5227,
    1390,  1195, -5227, -5227, 99772, 99772, 99772, 99772, 99772,   213,
   -5227,  2838, -5227,124139, -5227, -5227,  3327,  2771,  3327,  1942,
   -5227, -5227,  3327, -5227,  3327, -5227,  4268,  2771,  4770,  1003,
   -5227, -5227, -5227,  2183,  4619,  4407, -5227,  1553,  4605,  4497,
    4408, -5227, 73759,  4864,  3973,  4411, 99772, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227,  2843,  4059,  4726,
    3711,  4325, -5227,  4447, -5227, 54292, -5227, -5227, -5227,  3327,
   -5227,  1901,  4423,  4746,  4059,  2857,  4338,  3973,  4411, -5227,
   -5227,  4425, -5227, -5227,  4254,  2491,  4171, -5227, -5227,  4829,
    4626,  4833,  3781, -5227,  3624,  2849, -5227,  8845, 80532, 78969,
    4773,  4471,  4482, -5227, -5227,  4491, 99772, -5227, -5227,  2640,
    4895,  4059, -5227,  3915,  2861, -5227,  2869,  2886,  4601,  4501,
   -5227, 46278,   691,  4067, 73238,  4440, -5227, 50044,  2902, -5227,
    4893, 99772,  2903, -5227, 16761, 99772, -5227, -5227, 46278, -5227,
    2910, -5227, -5227, 46278,  4451, 46278, -5227, 48430,  4444, -5227,
    4884, -5227,  2857, -5227,  3838, 55340, -5227,  4571, -5227,  4760,
   -5227, 99772,  4499, 64828,  3839,  3839,  2300, -5227,  1730, -5227,
   99772, -5227,  4407, 46278, -5227,  4542, -5227, -5227,  2925,  1805,
    4614,  4614,  2926,  2935, 11309, 99772, -5227, -5227, -5227, -5227,
   -5227, -5227,  2938, -5227, -5227, -5227, -5227,  2951,  3725,  2022,
    3725, -5227,  3724, -5227, -5227, 72196, -5227,127801, -5227, -5227,
   -5227,  2771, -5227,  2771,  4668, 99772, 67991,  2771,  2771, -5227,
   -5227, -5227, -5227, -5227,  4795,  4737, -5227,  2195, -5227, -5227,
   -5227, -5227,   310, -5227,  4664,  4665, 99772, -5227,  4463, -5227,
    2956,  4209,  4586,  4059, -5227, -5227, 99772,  4899,  4900, -5227,
   99772,  4052, 99772, -5227, -5227, -5227, 46278,  4635, -5227,  4325,
    2491,  4209,  4338,  2679, 55864, -5227,  4171,  4254,  4669, -5227,
    4670, -5227,  4485,  3711,  9161, -5227, -5227,   921,  4777,  4778,
   -5227, -5227, -5227, -5227, -5227, 99772, -5227, -5227, -5227, -5227,
   -5227, -5227,  3761, 45202, 45202,  4470, -5227, -5227, 99772,  3333,
    4486, 49506, 72196,  2961, -5227, 77406, -5227,  2962,  2965, -5227,
    2968, 48430,  2969, -5227, 99772,  4502, -5227, -5227, -5227, 60057,
  130972,  1371,  4503, -5227,  4487, -5227, -5227,  4575,  1730,  3714,
   -5227, 16761, 99772, 73759,  4890, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227,  3714,  4557,  1390, -5227,  1195, 99772, -5227, -5227,
    2972, -5227, -5227, -5227, 99772,  4149, -5227,  4149, -5227, -5227,
    4615, -5227,  1678,   770,   770,  4830, -5227,  4551, -5227, -5227,
    4504, -5227,  4945,  4606, 99772, -5227, -5227,  1153,  2857,  4059,
   -5227, -5227, 11767, 73759, -5227,  4171,  4338,  2491, 46278,  2976,
   -5227,  4637,   124,  4254, -5227, -5227, -5227, 55340,  4254, -5227,
   -5227, -5227,  2526, 73759, 73759, -5227, 48968,  4628,   206, 14678,
   -5227, -5227, -5227, -5227,  2980, 51658, -5227, -5227, -5227, 99772,
    4688,  1691, -5227,  4639, -5227,  2985, -5227, -5227, -5227,  1297,
     376,  3839, 46278,  1730, -5227,  4605, -5227,  3714, -5227, 99772,
   -5227,  4508, -5227, -5227, -5227, -5227,127801,  4149,  4388, -5227,
   -5227,  4941, -5227,  1098, -5227, -5227, -5227, -5227, 99772,  4059,
    4250,  4325, -5227, -5227,  4510,  4254,  2491,  4171, 12059, -5227,
   55864, 99772, 99772, -5227,  2986,  3838, -5227,  2359, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227,  4512,  4514,  4931, -5227, -5227,
   -5227, -5227, -5227, -5227,  3955, -5227, -5227, 50044,  4710, -5227,
    1691, -5227, 50044,  4511, -5227, -5227, -5227, -5227, -5227, 12651,
   -5227, -5227, -5227,  1390, -5227,  4820, -5227, -5227, -5227,  4059,
   -5227, -5227, 71675, -5227,  4171,  4254,  4637, -5227, -5227, -5227,
    3711, -5227,  1350, -5227, -5227,  1619,  2519,  4580,  4808, 45740,
    4904,  3333, -5227, -5227,  3333, 46278, -5227,  1730,  3018,  4672,
   -5227,  3019, -5227, -5227, -5227, -5227, -5227,  4254, -5227, 99772,
    4254, -5227,  2359,  4624,  4627, -5227, 99772, 12800, -5227, 73759,
   -5227, 71675, -5227, -5227,  3838, -5227,  4556,  4562,  3033, -5227,
    4520, -5227, -5227,  4825,  4828, -5227, 71675, 73759, 73759,  3037,
   -5227, -5227, -5227
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2661,     0,     2,     1,  3090,  3094,  3098,  3099,  3016,  3100,
    3101,  3066,  3067,  3068,  3069,  3070,  3071,  3072,  3073,  3074,
    3075,  3076,  3077,  3079,  3078,  3080,  3081,  3082,  3083,  3084,
    3085,  3086,  3087,  3089,  3088,  3038,  2668,  3035,  3032,  3033,
    3034,  3039,  3037,  3030,  3031,  2228,  3103,  3091,  3104,  3092,
    3093,  3095,  3096,  3065,  3097,  3105,  3106,  3107,  3102,  3110,
    3061,  3062,  3060,  3063,  3064,  3108,  3109,  3052,  3053,  3054,
    3055,  3111,  2669,  2670,  3057,  2662,  2666,  2728,  2799,  3058,
    3059,  3056,  2667,  3051,  2799,     0,  2920,  2921,  2922,     0,
    2923,  2924,  2925,  2851,  2813,  2926,     0,     0,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,     0,  2935,  2936,  2937,
    2938,  2798,  2939,  2940,  2941,  2942,  2775,  2781,  2904,     0,
    2755,  2756,  2752,  2754,  2753,  2757,  2740,  1425,   635,  1511,
    1510,     0,  2563,  1425,  2516,  2517,  2564,  2518,  2519,  2520,
     270,     0,  1513,  2521,  2565,     0,  1425,  2566,   433,  1117,
    2567,  2568,  2683,     0,  2522,  2523,     0,     0,     0,   635,
    1425,     0,     0,  2524,  1640,  2525,     0,  2526,  2569,  2570,
       0,  2527,  2528,  2571,     0,  2572,  2529,  2530,  2531,  2573,
    2574,  2575,  2532,  2576,  2577,     0,     0,  1654,     0,  2533,
    2578,  2534,  2535,     0,  2579,  2536,  2537,  2538,  2580,  2581,
    2539,  2540,  2541,     0,  2542,     0,     0,     0,     0,     0,
       0,  2582,  1425,  2543,     0,     0,  1661,     0,  2544,     0,
    2583,  2545,     0,  2546,     0,  2584,  2547,  2548,  2549,  2550,
    1654,  2900,  2776,     0,  1515,     0,  2551,  2585,     0,  2552,
    2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
       0,     0,     0,    69,    70,    29,    28,    89,    52,    16,
      60,   123,   122,   124,    39,    35,    77,    24,    26,    36,
      40,    62,    64,    53,   101,    61,    22,    59,    84,    65,
      87,    47,    10,    11,    48,    12,    49,    13,    50,    14,
      97,    71,    90,    33,    58,    21,    41,    67,    68,     3,
      43,    79,    75,     9,    54,    55,    57,    81,    82,    83,
     106,    85,   118,    38,   115,    94,    95,   112,    96,   113,
       7,    98,    51,    15,   109,   108,   110,    78,    44,    80,
      66,    88,   107,    25,   111,    17,    18,    20,    19,    56,
      27,    63,    30,    86,   114,   104,   100,   119,   117,   125,
     102,    72,     5,     6,    91,     4,    23,    46,     8,    32,
      31,    45,    37,   121,    34,  1513,    93,   105,    92,    99,
      76,   103,   120,    74,   116,  1625,  1612,  1663,  1624,  1639,
       0,  1628,  2995,  2996,    42,  1640,   127,   128,   133,  2665,
    2717,  2718,  2719,  2799,  2750,  2751,  2744,  2760,  2770,  2759,
    2763,  2771,  2758,  2777,     0,   130,   132,   134,   137,   131,
     126,   129,   136,   141,   135,   140,   138,   139,   142,   143,
     144,  2997,  1888,  2994,    73,  2735,  2734,     0,  2799,     0,
    3027,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,
    2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,
    2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
    2282,  2283,  2284,  2285,  2286,  2287,  2288,  2235,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,  2310,
    2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,
    2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,
    2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,
    2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,
    2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,  2379,  2380,
    2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,
    2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,
    2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2411,  2409,
    2410,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,
    2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,  2430,
    2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,
    2451,  2452,  2453,  2454,  2236,  2455,  2456,  2457,  2458,  2459,
    2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,
    2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,
    2480,  2481,  2683,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
    2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,
    2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,
    2509,  2510,  2511,  2512,  2513,  2514,  2515,  2701,  2233,  2234,
    2240,  2241,  2242,  2676,  2697,  2703,  3023,  2702,  2239,  2850,
       0,     0,  2943,  2944,  2945,  2946,  2947,  2948,  2998,  2999,
    3000,  3001,  3002,  3004,  3003,  2812,  2970,  3007,  2811,  3008,
    2815,  3009,  3010,  3011,  3012,  2971,  3013,  2814,  3005,  2967,
    2816,  2809,  2810,  2968,  2918,  2919,  2206,  2969,  2966,  3006,
    2704,  2965,  2820,  2819,  1602,  3022,  2205,  1603,     0,  2822,
    2949,  2950,  2951,  2952,  2954,  2953,  2955,  2586,  2587,  2588,
    2589,  2590,  2591,  2592,  2593,  2594,  2595,  2596,  2597,  2980,
    2598,  2599,  2600,  2993,  2601,  2602,  2981,  2603,  2604,  2605,
    2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,
    2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,
    2626,  2982,  2983,  2627,  2628,  2629,  2630,  2631,  2632,  2633,
    2634,  2635,  2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,
    2644,  2645,  2646,  2647,  2648,  2649,  2650,  2984,  2651,  2652,
    2985,  2653,  2654,  2655,  2986,  2656,  2657,  2658,  2659,  2660,
    2990,  2991,  2992,  2979,  2773,  2956,  2978,  2989,  2987,  2988,
    2783,  2779,  2787,  2782,     0,     0,     0,     0,  2799,  1424,
    1423,  1409,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2673,     0,  1435,   404,
     403,  1512,  1492,   635,     0,  1412,   432,  1640,     0,     0,
       0,     0,     0,     0,     0,     0,   863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,   458,   457,     0,     0,     0,  1090,
     463,     0,     0,     0,     0,     0,   623,  2682,  2677,  2687,
       0,  2680,  2681,  2965,     0,  3114,  2409,  2713,  2714,  3112,
    2466,  1604,   271,   274,   275,   272,   273,     0,  1212,  1213,
    1215,     0,     0,     0,  1225,   903,   904,     0,     0,     0,
     912,     0,     0,     0,   901,     0,     0,     0,   917,   914,
       0,   918,   915,   898,   916,   905,     0,   897,     0,     0,
    1225,   919,     0,     0,   899,     0,     0,     0,     0,  1413,
       0,  2765,  2766,  2340,  1552,   464,     0,     0,  1640,     0,
    1530,  1531,  1513,  1520,  1532,  1525,  1527,  1526,  1528,  1524,
    1529,  2244,  1030,  2259,  1030,  2329,  1027,  1028,  1030,  1030,
    1030,  2428,     0,     0,  1002,     0,  1013,  2229,  1030,  2230,
    3023,  1035,   525,   525,   525,     0,  1034,  1039,   525,     0,
    1406,  1444,  2210,  1653,     0,  2259,  2329,  1003,  1405,  2482,
    1544,     0,     0,  1240,  1236,  1238,  1239,  1237,     0,     0,
       0,  2444,  1417,   255,  2963,  2454,  2547,  2482,  2964,   254,
     249,   250,  2958,  2959,  2961,   223,  2962,  2960,  2957,  2248,
       0,     0,  1034,     0,  1414,  1415,   985,  1660,  1658,     0,
    2192,     0,     0,  2267,     0,  2281,  2365,   246,  2439,  2445,
    2454,  2547,  2482,  2513,   202,   212,   207,     0,   264,  2454,
    2547,  2482,     0,  1435,     0,  1629,  1762,  2201,     0,     0,
    2774,  1408,  1407,  1514,     0,  1517,     0,  2423,  1633,  1636,
    1519,  1634,  1625,     0,     0,  2664,  1508,  1657,  1657,     0,
    1657,     0,  1617,  1625,  1620,  1624,     0,     0,     0,     0,
    1425,     0,  2742,  2770,  2749,  2805,  2746,     0,     0,  2795,
    2791,  2788,  2796,  2797,  2790,  2778,  1877,  1878,  1879,  1876,
    1889,  1875,     0,  2723,  1880,  2762,  2729,     0,  2737,  2736,
    3040,  3041,  2852,  2675,  2694,     0,     0,     0,     0,     0,
       0,     0,  2821,  2823,  2825,  2785,  2784,  2780,     0,     0,
       0,     0,  2910,  2911,  2909,     0,  2906,  2908,     0,  2805,
       0,     0,  2974,  2968,  2977,     0,  2211,  2969,  2966,  2965,
       0,   922,     0,  1447,  1076,     0,     0,     0,     0,     0,
       0,     0,  1125,  1126,     0,  2233,     0,  2339,     0,     0,
       0,  2103,  2114,  2115,  2116,  2271,  2324,  2111,  2112,  2113,
    2105,  2106,  2107,  2108,  2109,  2110,     0,     0,  1207,  2104,
       0,  2339,     0,     0,   172,     0,   149,     0,     0,  2339,
       0,     0,     0,     0,     0,     0,     0,  2339,     0,     0,
       0,     0,     0,   172,  2370,     0,   149,  2339,     0,     0,
       0,  1429,     0,     0,     0,  1431,  1434,  1410,  1495,     0,
    2201,     0,     0,     0,   956,   949,     0,   957,   964,     0,
       0,   966,     0,     0,   950,     0,     0,     0,     0,   969,
     970,     0,   971,   951,   972,   952,   973,   953,   974,     0,
       0,     0,     0,   954,     0,     0,     0,  1421,     0,  1546,
    1548,  1547,  1545,   525,     0,     0,     0,     0,  2339,     0,
       0,   149,  1480,     0,  2339,   149,     0,     0,   462,   461,
     149,   460,   459,  2271,  2324,     0,  1116,     0,  1364,   149,
    2339,     0,   195,  2339,   707,  2339,  1519,     0,   638,     0,
       0,   818,  2370,   149,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,   622,   635,     0,  2686,  2692,     0,
    2684,  2853,  3115,  3113,  2808,     0,  1216,   247,   248,  1214,
     910,  2339,  1158,   358,   358,     0,     0,  2339,  1466,  1837,
    1866,  1844,  1866,  1866,  1833,  1833,  2308,  1846,  2339,  1834,
    1835,  1871,     0,  1866,  1833,  1838,     0,  1836,  1874,  1874,
    1861,   358,   926,  1818,  1819,  1820,  1821,  1847,  1848,  1822,
    1853,  1854,  1858,  1823,  1888,  2975,  1833,  2976,  2973,  2972,
     911,     0,   902,  2339,   358,  1122,  2339,  2237,   182,     0,
     900,  2271,  2324,  2339,   358,  1209,     0,  2339,   178,  2339,
     358,  2339,   639,     0,     0,  2339,   358,  2339,  2370,   180,
       0,  2339,   358,   920,  2339,   358,  2203,  2339,     0,     0,
       0,  3045,  3049,     0,  3047,  3042,  2764,  2818,  2817,  2716,
       0,  3126,     0,  1604,  1522,  1537,     0,  1533,  1540,  1536,
    1640,  1030,  1029,     0,  1030,     0,  3136,  1030,     0,  1030,
       0,  3136,  1030,     0,     0,     0,  1030,  2231,  2232,     0,
       0,  3135,  3131,  3134,  1004,  1014,     0,  1036,     0,     0,
    1043,  1042,  1041,     0,     0,     0,  1044,     0,  1766,  1579,
       0,  1011,     0,  1009,     0,  1403,  1420,     0,     0,     0,
       0,  1093,  1243,     0,  1241,  1232,  1233,  1416,   253,   251,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,  3029,  2217,  2117,  3028,     0,  2517,  2518,  2519,  2176,
       0,  2970,  2520,  2521,  2565,  2019,  2006,  2015,  2020,  2007,
    2009,  2016,  2522,  2523,  1954,  2524,  2525,  2224,  2526,  2527,
    2528,  2530,  2531,  2532,  2011,  2013,  2533,  2534,     0,  2225,
    2536,  2537,  2392,  2539,  2540,  2542,  2543,  2017,  2545,  2546,
    2547,  2548,  2549,  2550,  2223,     0,  2018,  2551,  2553,  2554,
    2555,  2556,  2558,  2559,  2560,  2561,     0,     0,     0,  2198,
       0,  1986,     0,  1826,  1827,  1849,  1850,  1828,  1855,  1856,
    1829,     0,  2197,  1891,  2068,  1985,  2002,     0,  1991,  1992,
       0,  1984,  1980,  1643,  2193,     0,  1981,  2213,  2177,  2227,
    2226,  3023,  2187,  2216,  2214,  2215,  1643,  2191,     0,     0,
       0,   215,     0,     0,  2899,   266,     0,   267,  2199,  2454,
     203,   245,   217,   244,   218,   216,     0,  2269,   204,     0,
       0,   205,     0,     0,     0,     0,     0,     0,     0,   260,
    1411,     0,  1764,  1763,  2184,     0,  2185,  2202,   931,     0,
    1505,  1506,  1504,     0,  1501,  1503,  1507,  1516,  1513,  2127,
       0,  1635,     0,     0,     0,  1615,  1614,  1519,  1655,  1656,
       0,     0,     0,     0,     0,     0,     0,     0,  1711,  1671,
    1672,  1674,  1708,  1712,  1720,     0,  1621,     0,     0,  1768,
       0,     0,  2663,  2805,  2806,     0,  2800,     0,  2799,  2799,
    2793,  2792,  2789,     0,     0,     0,     0,     0,     0,     0,
       0,  2720,   617,  2722,   614,     0,     0,  2696,     0,  2700,
    2698,     0,  2845,  2848,     0,  2846,  2847,  2849,     0,  2854,
    2855,     0,     0,  3036,     0,     0,     0,  2836,  2824,  2831,
    2833,  2835,  2834,  2843,  2839,  2842,  2844,  2786,  2799,  2917,
       0,  2912,  2915,     0,  2907,     0,     0,     0,     0,     0,
    1157,  2212,     0,     0,     0,     0,     0,   923,     0,     0,
       0,     0,  1455,  1456,  1457,     0,     0,  1458,  1459,  1447,
     257,  1465,  1463,  1446,  1448,  1461,  1453,     0,     0,     0,
       0,     0,     0,     0,  1472,     0,   186,   187,     0,   651,
     635,     0,  2339,     0,     0,     0,     0,     0,  1165,  1172,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,  1164,
    1167,   259,  1176,  1193,  1196,     0,  1124,  1127,     0,     0,
       0,     0,     0,  1298,     0,     0,     0,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   282,   294,   353,     0,     0,  2339,     0,     0,     0,
       0,  1211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   153,     0,     0,
       0,     0,     0,     0,     0,   600,   613,     0,     0,     0,
       0,     0,   610,     0,     0,   149,   286,   590,   596,     0,
       0,     0,   714,   713,     0,     0,     0,     0,  1380,  1379,
       0,     0,     0,     0,  1470,  1469,     0,     0,     0,     0,
       0,  1298,     0,   276,   278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     396,   397,     0,     0,     0,   153,     0,     0,     0,     0,
     288,     0,  2730,     0,  1430,  1427,  1428,     0,  1433,     0,
    1491,     0,   963,     0,     0,     0,     0,   965,     0,   958,
       0,     0,   955,  2271,  2324,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,   435,     0,     0,   815,
       0,     0,     0,     0,     0,     0,   826,     0,  1447,  1479,
       0,     0,     0,   644,     0,  2339,     0,   151,   864,     0,
     816,   463,     0,     0,     0,  1188,  1363,   151,     0,     0,
     189,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   756,   755,     0,     0,     0,   817,     0,
       0,   151,     0,  2339,   593,  2339,     0,   525,   525,     0,
       0,  1092,  1095,     0,     0,     0,     0,  2690,  2685,  2688,
       0,  2678,  2692,  1607,  1609,  1608,     0,  1606,     0,   356,
     357,     0,  1199,   813,  1224,     0,     0,  1865,  1852,  1860,
    1859,     0,  1842,  1841,  1840,     0,  1839,     0,  1866,  1866,
    1864,  1843,  1818,     0,     0,     0,  1870,     0,  1868,     0,
     893,  1814,  1810,     0,  1877,  1876,  1875,     0,  1824,  1833,
    1830,   913,     0,     0,  1197,     0,     0,  2339,   358,  2339,
       0,  2339,     0,     0,     0,  1201,   358,     0,     0,  1381,
       0,   909,   907,   906,   908,     0,     0,   891,     0,     0,
       0,  2339,   358,     0,     0,   886,     0,     0,   888,     0,
       0,  3043,     0,     0,  3046,     0,  2767,     0,  3132,  1549,
    3129,     0,     0,  1640,     0,   234,   235,   233,  1538,   236,
    1539,  1535,  1521,     0,  1022,     0,  3136,  3137,  1007,     0,
    1017,     0,  3136,  1005,     0,  1018,  1015,  1016,     0,     0,
       0,  3130,  3014,  3020,  1021,     0,     0,   526,   528,     0,
       0,  2292,  2307,     0,  2330,  2358,  2359,  2445,  2450,     0,
    2477,  2487,     0,  1045,  1071,  1040,   725,     0,     0,  1589,
    1012,  1010,  1404,  1542,  2134,     0,  1640,     0,     0,     0,
       0,   252,   224,     0,     0,     0,  1073,  2444,  1419,   984,
     635,     0,     0,  1989,  1990,  2175,     0,     0,     0,     0,
       0,     0,  1988,  2142,     0,     0,     0,     0,     0,  1914,
       0,     0,     0,  2155,     0,  2161,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,  1915,  1895,  1896,
    2971,  1986,  2127,     0,  1987,  2220,     0,  1888,  2117,     0,
    2114,  2115,  2116,     0,     0,     0,  2190,     0,  2125,     0,
       0,  1929,  2123,  1931,     0,     0,     0,     0,  2111,  2112,
    2113,  2105,  2106,  2107,  2108,  2109,  2110,  2121,  1911,     0,
    2196,     0,  2070,     0,  1910,     0,     0,  1724,  1642,     0,
    2218,  2178,     0,  3021,  3024,  1982,  1724,  2896,  2895,  2894,
    2893,  2864,     0,  2858,  2859,     0,  2897,  2898,   268,   269,
     265,     0,     0,   220,   219,     0,   242,   243,   214,   241,
       0,   237,   238,   222,  2059,  2058,   221,   213,   210,   208,
     225,   227,   228,   211,   209,   263,   261,     0,     0,  2183,
       0,  2180,  2179,  2208,  2186,     0,     0,   358,  2799,  1499,
       0,  1496,  1721,     0,  1637,     0,     0,  1509,  1632,  1631,
    1664,  1665,  1109,  1630,  1691,  1692,     0,     0,     0,     0,
    1717,  1715,  1682,  1675,  1681,     0,     0,  1679,     0,  1683,
    1891,  1710,  1619,  1669,  1670,  1673,  1618,     0,  1713,     0,
    1592,  1711,  1674,  1576,     0,  1554,     0,  1769,     0,     0,
       0,  2807,  2805,  2745,  1818,  2799,  2738,  2799,  2794,  2726,
    1882,  1883,  1884,  1885,  1886,  1887,  2727,     0,  2724,  1881,
    2725,   615,   616,     0,     0,     0,  2693,     0,  2674,  2699,
    2830,  2462,  2862,     0,  2863,     0,     0,  2827,     0,  2837,
    2840,  2838,  2841,     0,  1818,  3017,  2913,  3017,  1818,     0,
       0,     0,  1137,  1139,     0,  1138,     0,  1141,     0,  1150,
       0,     0,  1136,  1155,     0,  1144,  1142,     0,  1468,     0,
       0,   924,     0,     0,     0,     0,  1454,     0,     0,  2477,
     256,  1457,  1462,  1449,  1460,     0,     0,     0,     0,     0,
    1075,  1074,     0,     0,  1097,     0,     0,     0,  1475,   514,
       0,   355,     0,     0,     0,     0,     0,     0,     0,     0,
     811,   808,     0,     0,   807,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,  1298,
       0,   719,     0,  1174,     0,     0,  1173,     0,  1177,     0,
       0,  1175,  1170,  1171,  2445,  2454,  2482,   258,  1195,     0,
    1194,  1192,  1119,     0,  1120,     0,     0,     0,     0,     0,
    2317,  2339,   298,   317,     0,  1297,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   340,     0,     0,   343,   342,     0,     0,     0,     0,
       0,   347,   326,     0,   327,     0,     0,   346,     0,     0,
       0,     0,     0,     0,  1298,     0,   290,     0,     0,     0,
       0,     0,     0,     0,  1208,     0,   742,     0,     0,     0,
       0,     0,  1367,     0,     0,   175,     0,   170,   174,     0,
       0,     0,     0,   598,   599,   612,     0,   603,   604,   601,
     605,   606,     0,     0,     0,     0,     0,     0,     0,   597,
       0,     0,   709,   708,   712,     0,     0,     0,  1376,     0,
    1188,     0,     0,  1375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,  1244,     0,     0,     0,     0,
       0,     0,   854,     0,     0,     0,     0,     0,     0,     0,
       0,   177,   729,     0,   728,     0,   171,   176,     0,     0,
       0,     0,     0,     0,     0,   232,  1426,  1432,  1494,  2209,
    1493,     0,     0,     0,     0,   967,     0,     0,     0,     0,
       0,     0,     0,   959,   960,   961,   962,     0,     0,     0,
       0,     0,   410,     0,     0,     0,     0,   842,  2972,   814,
       0,     0,     0,   828,     0,   831,   834,     0,  1445,   482,
       0,     0,   641,   687,     0,     0,   466,   184,     0,     0,
       0,     0,   744,     0,     0,     0,  1362,   146,   193,   195,
     464,     0,   194,   196,   198,   199,   200,   197,   201,     0,
     706,   710,     0,     0,     0,     0,   637,     0,     0,     0,
       0,     0,   757,   761,   760,   764,   762,     0,   758,     0,
       0,  1789,     0,     0,   169,     0,     0,   588,   592,     0,
    2671,     0,     0,   466,   566,   369,  2339,     0,   525,     0,
    2339,     0,  1094,     0,     0,     0,     0,     0,     0,  2691,
       0,     0,     0,     0,  1605,   358,  1159,     0,  1467,     0,
       0,     0,   358,  1863,  1862,  1815,  1811,     0,     0,     0,
       0,   927,     0,     0,     0,     0,     0,     0,  1831,   358,
    1123,   183,  2238,     0,   895,     0,     0,     0,     0,   358,
    1210,   883,   179,   358,   640,     0,   358,   181,     0,     0,
       0,   632,   358,   921,   358,  2204,     0,   358,  3044,  3050,
    3048,  1551,  3133,  3127,  3128,   525,  1609,  1523,  1534,  1019,
    1026,  1008,  1025,  1024,  1006,  1023,  1020,  2829,     0,     0,
    3019,     0,  1037,     0,   524,     0,     0,     0,  1051,  1052,
       0,     0,  1050,  1053,     0,  1055,  1047,  1046,  1056,  1057,
       0,     0,  1073,   723,     0,     0,     0,     0,  1586,     0,
    1584,     0,  1767,  1588,  1577,  1543,     0,  1541,     0,   581,
       0,     0,  1242,     0,     0,  1034,     0,     0,   358,  1418,
       0,   986,   992,     0,     0,     0,     0,     0,     0,   995,
     996,   997,   988,   998,   989,   999,     0,   990,     0,     0,
       0,     0,  2138,     0,  2139,     0,     0,  2174,  2170,     0,
       0,     0,     0,     0,  2146,  2147,  2148,  2145,  2149,  2144,
       0,     0,  2150,  2143,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2543,     0,     0,     0,     0,  1955,     0,
       0,  2098,     0,  2127,  2160,     0,     0,     0,     0,     0,
       0,  2127,  2166,     0,     0,     0,     0,  2057,     0,  2054,
       0,     0,     0,     0,  2187,     0,     0,  2221,  1892,  1906,
    1907,  1908,  1912,  2195,     0,  2189,     0,     0,  1893,  1920,
       0,  2167,  1947,     0,  1952,  1935,     0,  1928,     0,  1933,
    1937,  1916,     0,  1913,     0,  2190,  2126,     0,  2124,     0,
    1903,  1904,  1905,  1897,  1898,  1899,  1900,  1901,  1902,  1909,
    2102,  2100,  2101,     0,     0,     0,  2078,     0,     0,  1932,
    2333,  2365,     0,  1654,  1654,  1654,  1641,  1652,  2194,     0,
    1784,     0,     0,     0,     0,  1994,     0,  2131,  1663,  2129,
    2211,  3026,  3025,  2188,  1784,     0,     0,     0,  2200,     0,
       0,  1888,     0,   262,  1765,  2181,  2184,   929,   930,   928,
    1818,  1519,  1502,  1498,  1497,  2128,  1518,  1640,     0,  1107,
    1108,     0,  1112,  2543,  2442,     0,     0,     0,     0,  1684,
    1718,     0,  1709,     0,  1685,  2213,  2214,  1686,  1689,  1690,
    1680,  1719,  1590,     0,  1714,  1623,  1622,     0,  1787,     0,
       0,     0,  1568,  1556,     0,  1770,     0,  1724,  1594,     0,
    2187,  1722,  2743,  2801,  2748,  2769,  2739,  2772,  1890,  2721,
    2761,     0,  2695,  2865,  2866,     0,  2856,  2857,  2826,  2832,
    2903,     0,  3018,     0,     0,  1340,  1246,  1305,  1140,     0,
    1833,  1151,     0,  1135,     0,  1134,  1833,     0,  1152,     0,
    1833,  1341,  1247,  1306,   925,  1342,  1248,  1307,  1343,  1249,
    1464,  1452,  1451,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   792,  2339,
     358,  1473,  1344,     0,  1250,   354,  1474,  1308,  1478,   810,
     809,     0,     0,  1309,     0,   650,     0,   654,     0,   656,
     657,   658,     0,     0,     0,   659,     0,  2271,  2324,   661,
     664,   671,   676,   666,     0,     0,   678,   672,     0,     0,
       0,     0,     0,     0,   684,   686,     0,     0,     0,     0,
       0,     0,     0,  1168,  1169,  1345,  1253,     0,  1310,  1118,
       0,  1254,   185,     0,     0,   283,  2339,   300,     0,   691,
     792,  1300,   324,     0,     0,   339,   334,   335,   333,  2339,
     358,  2339,   358,     0,     0,     0,     0,     0,   336,   331,
     332,   328,     0,     0,   341,  2247,  2309,  2455,     0,   695,
     697,     0,   702,   344,  1272,   365,   364,   363,     0,   348,
       0,   370,   373,   345,   322,   325,   323,   319,   295,     0,
       0,     0,     0,     0,     0,     0,     0,  2207,     0,     0,
    1203,     0,  1348,  1311,     0,  1331,     0,     0,     0,     0,
     736,  1368,  1370,  1360,  1260,  1369,   173,  1287,     0,     0,
     158,     0,     0,     0,     0,   152,   162,     0,  1351,  1261,
       0,     0,   287,   591,   602,   607,  1266,   611,   608,  1321,
     609,  1358,  1262,  1354,  1290,  1316,  1361,  1377,  1263,  1188,
    1372,  1374,     0,  1298,     0,   277,   279,     0,   297,     0,
    1264,     0,  1314,  1353,  1289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1481,     0,     0,     0,     0,     0,
       0,   358,     0,     0,     0,  1300,  2339,   358,  1352,     0,
    1295,     0,  1329,     0,   398,     0,  1288,     0,     0,   289,
    1268,  1323,     0,     0,   230,   229,   231,   976,   936,   975,
       0,  2307,     0,   935,   937,     0,     0,     0,   938,     0,
       0,     0,     0,   934,   932,   933,   409,     0,   434,   407,
     408,   410,     0,   841,     0,     0,     0,     0,     0,   830,
       0,     0,     0,  1471,     0,   149,   648,     0,     0,     0,
     643,   686,   691,     0,     0,     0,     0,   465,   469,   473,
     474,   475,     0,     0,     0,     0,   163,   150,     0,   872,
       0,   525,     0,   746,  1366,  1365,  1187,     0,   195,   188,
       0,     0,   707,     0,  1519,     0,     0,   369,   825,   823,
     822,   824,     0,     0,     0,   846,   821,     0,  1788,  1790,
       0,     0,     0,     0,     0,     0,     0,   468,     0,     0,
     528,     0,     0,   570,     0,     0,     0,     0,   369,     0,
       0,     0,  1129,     0,  1147,  1130,     0,     0,     0,     0,
    1181,  1188,  1182,  1160,     0,     0,   620,  2689,  2683,  1610,
    1611,     0,  1200,     0,     0,  1832,  1845,   894,     0,  1873,
    1872,  1874,  1874,     0,  1816,     0,  3116,  3124,  3123,     0,
    1857,  1825,  1198,   358,     0,   358,     0,   358,  1202,  1382,
       0,   892,     0,     0,   358,   885,   887,     0,   889,     0,
    2828,  3015,  1038,   527,     0,     0,     0,     0,  1049,   618,
    1054,     0,  1066,  1061,  1063,     0,  1067,   722,     0,     0,
    1587,  1580,  1582,  1581,     0,     0,  1578,  2135,   884,     0,
     587,  1234,  1235,     0,     0,   358,     0,  1068,     0,     0,
     993,   987,     0,     0,   991,     0,   994,     0,     0,  1659,
    2136,  2137,     0,     0,     0,  2171,     0,     0,  2032,     0,
    2008,  2010,  2022,     0,  2033,  1993,  2034,  2012,  2014,     0,
    2118,     0,     0,  2023,     0,  1957,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1973,  1972,  2024,  2097,     0,     0,
    2158,  2159,  2025,     0,     0,  2165,     0,     0,     0,  2030,
    2035,     0,     0,     0,     0,  2041,     0,  2062,     0,     0,
       0,  1983,  2128,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,  1936,  1930,     0,  1934,  1938,     0,     0,     0,
    1924,     0,     0,  1922,  1948,  1918,     0,     0,  1949,     0,
       0,     0,  2001,     0,     0,  1654,  1654,  1654,  1654,  1651,
       0,     0,     0,     0,  2442,  2562,     0,  1748,  1723,  1725,
    1735,  1748,  1753,  1748,  2003,  1782,  2004,     0,  2201,     0,
    1694,  1663,  1663,  1663,  2000,     0,     0,     0,     0,  1662,
    1694,  2878,  2880,  2881,  2882,  2883,  2884,  2886,  2887,  2889,
    2890,  2891,  2879,  2885,  2888,  2892,  2869,  2870,     0,  2860,
    2861,   206,     0,   239,   226,  2183,     0,  2903,  1500,     0,
    1666,     0,  2119,  1112,     0,  1668,  1687,  1688,     0,  1678,
    1716,  1676,  1591,  1575,     0,  1573,  1560,  1562,  1561,     0,
       0,  1563,  2187,     0,  1573,  1555,  1599,     0,     0,  1787,
       0,  1598,     0,  2803,  2731,     0,     0,  2902,  2905,  2916,
    2914,  2741,     0,  1833,  1132,  1133,     0,  1156,     0,  1078,
    1079,     0,  1077,     0,     0,     0,   513,  1096,     0,     0,
       0,   792,     0,     0,   517,     0,  1476,     0,  1359,  1286,
     652,   653,     0,   665,     0,   674,   673,     0,     0,     0,
       0,     0,     0,     0,   660,   680,   624,   681,   683,     0,
       0,   682,   685,   688,  1298,     0,   720,  1274,     0,  1327,
    1162,  1301,     0,  1121,     0,     0,     0,     0,     0,     0,
     482,   318,     0,     0,     0,   149,     0,   302,   310,   376,
     316,     0,  1304,   350,     0,   321,     0,   314,   337,   329,
     338,   330,   349,   351,     0,   699,   700,   698,   694,     0,
     701,   703,     0,   367,     0,     0,     0,  1347,     0,  1298,
       0,   291,     0,  1270,     0,  1325,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1330,     0,     0,
       0,     0,   741,     0,   738,     0,     0,   155,   154,     0,
     161,     0,     0,     0,     0,     0,  1378,     0,     0,     0,
       0,     0,     0,     0,   296,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   399,   360,     0,   849,     0,     0,     0,   401,
       0,     0,     0,     0,     0,  1346,  1255,     0,     0,     0,
     947,     0,     0,     0,     0,     0,     0,   412,   413,   149,
     411,     0,     0,   843,     0,   840,  2392,  2105,  2106,   838,
     844,   835,   837,   836,   839,   792,     0,     0,   827,   832,
     833,     0,     0,     0,     0,     0,   497,     0,     0,     0,
     488,     0,     0,  1188,   481,   484,   485,     0,     0,   644,
     647,   645,   646,   679,     0,   468,   504,   552,     0,   165,
       0,     0,   166,   164,     0,     0,   369,   743,     0,   740,
       0,   191,   464,     0,   711,     0,     0,     0,  1188,   636,
     763,   766,   759,     0,   845,   847,   819,     0,   691,     0,
       0,   593,     0,  1552,   581,     0,   554,   468,   552,   564,
     563,   565,     0,   572,   368,     0,     0,   581,   572,     0,
       0,  1097,  1128,     0,     0,     0,  1178,  1183,  1179,     0,
       0,  1143,     0,  1180,  1161,  1115,  1398,  1399,  1396,  1397,
       0,     0,     0,  2706,  1601,  2715,     0,  1851,     0,  1869,
    1867,  1812,     0,  2799,     0,     0,     0,     0,     0,  1817,
     896,     0,   879,     0,   881,   358,   730,     0,   633,   358,
       0,     0,     0,     0,  1048,     0,  1064,     0,     0,  1031,
    1070,     0,     0,  1585,  1583,   579,     0,  1073,     0,  1032,
    1072,     0,     0,     0,     0,     0,     0,     0,  2140,     0,
    2173,  2169,     0,  2005,  2141,     0,  2153,  2152,  2098,     0,
       0,  1956,  1968,  1969,  1970,  2154,     0,  1978,     0,     0,
    1965,  1966,  1967,  1959,  1960,  1961,  1962,  1963,  1964,  1971,
    2163,  2162,  2156,  2157,     0,  2027,  2028,  2029,  2164,  2036,
       0,  2262,  2063,  2040,  2056,  2055,     0,     0,     0,  2043,
       0,     0,  2052,     0,  2099,  2222,  1894,     0,     0,  1921,
    2168,  1939,     0,     0,     0,  1917,  2118,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,  2081,  2076,  2077,  2095,
       0,     0,     0,     0,     0,     0,  1645,  1644,  1650,  1748,
    1753,  1748,     0,     0,  1625,     0,  1735,     0,  1747,  1733,
    1746,     0,     0,  1759,  1757,     0,  1759,     0,  1759,     0,
    1727,     0,  1749,  1729,  1746,  1731,     0,  1774,     0,  2202,
    1783,     0,  1707,     0,     0,     0,     0,  2132,  2133,     0,
    2130,  1995,  1707,     0,     0,     0,  2182,  2901,  1638,     0,
    1667,  1110,  1111,  1677,     0,  1785,     0,  1574,     0,     0,
       0,  1565,  1571,  1553,     0,     0,  1595,  1573,  1596,  2747,
       0,  2802,  2867,  2868,  1153,     0,     0,  1145,  1084,  1087,
    1085,  1083,  1086,     0,     0,     0,   792,     0,     0,   533,
       0,  1104,  1104,     0,     0,   519,   575,  1188,   795,     0,
       0,     0,   793,   358,  1251,     0,   675,     0,     0,   670,
     668,   667,   669,     0,   625,  1357,  1252,     0,     0,     0,
       0,  1163,     0,     0,  1273,     0,   299,     0,   478,     0,
     311,     0,   307,     0,  1299,     0,     0,     0,     0,   306,
     380,     0,   377,     0,   358,   358,   352,   696,   366,   371,
     372,   375,     0,     0,     0,     0,     0,  1303,     0,     0,
       0,     0,     0,     0,     0,   873,   856,     0,     0,   874,
     875,     0,     0,     0,  1205,  1206,  1204,  1332,  1333,  1338,
    1335,  1334,  1337,  1336,  1339,     0,  1258,     0,     0,   734,
     159,   156,   157,   160,  1284,  1267,  1322,  1373,     0,     0,
       0,  1265,     0,  1315,     0,  1280,  1276,     0,     0,     0,
       0,     0,  1356,  1294,  1320,  1355,  1292,  1318,  1291,  1317,
    1293,  1319,     0,  1285,     0,  1792,   853,     0,     0,     0,
     358,   358,   852,   732,  1269,  1324,     0,     0,   939,     0,
       0,   941,   942,     0,   944,   417,   437,   752,   812,     0,
       0,   829,   791,     0,   486,     0,   492,   495,     0,     0,
     499,   500,   498,   487,  1188,   525,   574,     0,     0,   802,
       0,   642,     0,   466,     0,   501,     0,     0,   470,   168,
     167,     0,     0,     0,   747,   751,   749,   748,   750,   745,
       0,   736,   195,     0,     0,     0,     0,   576,  1371,     0,
     776,   820,     0,  1791,   726,     0,   369,   589,     0,     0,
     466,   581,  2672,     0,   471,   476,   477,   482,     0,   566,
     553,     0,   554,     0,     0,   578,  1443,     0,   582,   584,
       0,     0,     0,  1131,  1148,  1149,     0,     0,  1188,     0,
       0,     0,     0,   627,     0,  2679,   358,  1813,  3117,     0,
    3118,  3119,  3120,  3121,  3122,   358,   358,  1231,     0,   890,
    1060,  1059,  1058,   619,     0,  1062,   724,     0,   580,   358,
       0,  1001,   981,  1000,   980,   982,     0,   979,   977,   978,
    2172,  2021,  2031,  2151,  2097,  2128,     0,     0,  1979,     0,
       0,  2026,  2552,     0,     0,     0,     0,  2060,  2061,  2042,
       0,  2382,  2047,     0,     0,     0,  1945,  1943,  1940,     0,
    1941,  1925,     0,     0,  1923,  1919,     0,  1950,  2067,     0,
    2083,  2080,  2094,  2128,  1649,  1648,  1647,  1646,  1734,  1730,
    1732,     0,  2557,     0,  1737,  1744,     0,  1726,     0,  1758,
    1754,     0,  1755,     0,     0,  1756,     0,     0,  1728,     0,
    1744,     0,  1781,  1663,     0,     0,  2072,  1998,  1999,  1996,
    1663,  2219,  2072,  2871,     0,  2874,  2872,  2873,  2877,   240,
       0,     0,  3132,  1557,     0,  1558,  1564,     0,     0,     0,
       0,  1600,  1593,  2804,  1146,  1154,     0,     0,     0,   515,
       0,  1188,     0,     0,     0,  1106,  1106,     0,  1188,   574,
     797,   796,   799,   794,   798,  1477,     0,   662,   663,   677,
    1275,     0,  1328,  1282,     0,  1589,   301,     0,   692,     0,
       0,   303,   379,   381,   304,   305,   308,   360,   320,   313,
       0,     0,     0,  1271,     0,  1326,  1278,  1349,  1256,  1312,
       0,     0,   862,     0,     0,     0,     0,  1350,  1257,  1313,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,  1486,     0,  1302,   359,   851,   850,   360,   400,
    1296,     0,   940,   945,   946,   943,     0,   406,   414,   438,
     149,     0,     0,  1222,  1222,     0,   792,     0,     0,   483,
     496,     0,   574,   532,     0,   489,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,   738,   190,   466,     0,   691,     0,   770,   771,   765,
     767,     0,   778,   782,   848,     0,     0,   468,     0,     0,
    1550,   467,     0,     0,   479,     0,   570,   554,   566,     0,
     567,     0,   571,     0,  1436,     0,     0,     0,     0,  1184,
       0,  1190,     0,  1142,  1113,  1185,     0,  1784,     0,     0,
       0,     0,   631,  2705,  2709,  1223,  3125,   880,   882,   731,
    1065,     0,  1069,   358,   983,  2099,  1974,     0,     0,     0,
       0,  2037,     0,  2038,  2065,  2064,  2044,  2048,     0,  2045,
    2046,  1942,  1946,  1944,  1927,  2069,     0,  1663,  2096,  1777,
       0,  1780,     0,     0,  1736,     0,     0,  1738,     0,     0,
    1740,  1742,     0,     0,     0,     0,     0,     0,  2205,     0,
    2288,  2528,  2441,     0,  1693,  1695,  1698,  1700,  1699,  1701,
    1697,  1706,     0,  1627,     0,  1626,  2876,  2875,  2120,  1786,
    1572,     0,     0,     0,  1098,     0,  1597,  1066,     0,   358,
    1104,   574,   534,  2392,   535,  1103,  1105,  1109,  1109,     0,
     574,   792,   655,     0,     0,   284,   690,     0,     0,   312,
     362,   374,     0,  1589,     0,     0,   860,   869,   869,   857,
       0,     0,   876,  1259,   735,     0,     0,   280,  1281,  1277,
       0,     0,  1488,  1489,     0,     0,     0,     0,     0,   358,
     948,     0,   440,   447,   418,   423,  1480,     0,  1480,     0,
     420,   424,  1480,   419,  1480,   416,   417,     0,  1222,     0,
    1219,  1218,   790,     0,   523,   595,   490,     0,   543,     0,
       0,   803,     0,     0,   468,   552,     0,   512,   505,   506,
     507,   508,   509,   510,   511,   503,   502,     0,   691,   866,
     369,  1443,   733,     0,   704,     0,   768,   773,   772,  1480,
     777,     0,     0,     0,   691,     0,   554,   468,   552,   472,
     482,     0,   557,   556,   572,   566,   570,   568,   569,     0,
       0,     0,   581,  1490,  1097,     0,  1189,     0,     0,     0,
       0,     0,     0,  1226,   626,     0,     0,   630,   621,     0,
    2707,   691,  1033,  1975,     0,  1976,     0,     0,     0,  2050,
    2049,     0,  2086,  1782,     0,     0,  1776,     0,     0,  1806,
       0,     0,     0,  1745,  1761,     0,  1741,  1739,     0,  1750,
       0,  1752,  1995,     0,     0,     0,  1702,     0,  2071,  2073,
       0,  1997,     0,  1570,  1784,     0,  1567,     0,  1080,     0,
    1081,  1106,   538,     0,  1112,  1112,   525,   792,   516,  1283,
       0,   693,   595,     0,   315,     0,   292,  1279,     0,     0,
     871,   871,     0,     0,     0,     0,   387,   394,   393,   388,
     386,   395,     0,   391,   385,   384,   389,     0,  1482,     0,
    1483,  1484,  1487,   402,   415,     0,   445,     0,   443,   442,
     444,     0,   431,     0,     0,     0,     0,     0,     0,   405,
     436,  1217,  1221,  1220,     0,     0,   491,     0,   493,   529,
     530,   531,     0,   494,   539,   540,     0,   800,     0,   805,
       0,     0,     0,   691,   551,   715,     0,     0,     0,  1437,
       0,   577,     0,   779,   780,   775,     0,     0,   727,  1443,
     566,     0,   554,   480,     0,   453,   570,   572,     0,  1440,
       0,   583,     0,   369,  1188,  1191,  1186,  1402,     0,     0,
     629,   628,  2710,  2712,  2711,     0,   721,  1977,  2053,  2039,
    2066,  2051,  2082,     0,     0,     0,  1775,  1778,     0,  1809,
       0,     0,     0,     0,  1795,     0,  1743,     0,     0,  1751,
       0,     0,     0,  1696,     0,     0,  1559,  1569,  1099,     0,
       0,  1109,     0,   792,     0,  1101,  1100,   532,   518,  1589,
     309,   361,     0,     0,     0,   867,   870,   858,   859,   878,
     877,   737,  1589,     0,     0,   382,     0,     0,   441,   450,
       0,   448,   421,   426,     0,   430,   428,   427,   422,   425,
       0,   522,     0,     0,     0,     0,   541,     0,   542,   573,
       0,   804,     0,     0,     0,   717,   865,     0,     0,   691,
     769,   774,     0,     0,  1438,   570,   554,   566,     0,     0,
     558,  1104,  1104,   572,   451,  1441,  1442,     0,   572,  1114,
    1401,  1400,  1640,     0,     0,  2708,  2516,     0,  2489,     0,
    2084,  2087,  2085,  2079,     0,     0,  1807,  1808,  1793,     0,
       0,  1797,  1760,  1773,  1704,     0,  1703,  2074,  2075,  1784,
     358,  1112,     0,   520,   536,   543,   285,  1589,   861,     0,
     281,     0,   392,   390,  1485,   446,     0,   429,   782,   594,
     548,     0,   547,     0,   545,   544,   801,   806,     0,   691,
     855,  1443,   705,   781,     0,   572,   566,   570,     0,   555,
       0,  1106,  1106,   455,     0,  1784,  1384,  1640,  1383,  1385,
    1393,  1390,  1392,  1391,  1389,  1229,  1230,     0,  2091,  2090,
    2089,  2093,  2092,  1779,     0,  1796,  1799,     0,     0,  1805,
    1798,  1800,     0,     0,  1771,  1705,  1566,  1082,  1102,     0,
     792,   293,   868,     0,   449,     0,   546,   550,   549,   691,
     716,  1439,   785,   454,   570,   572,  1104,   559,   561,   560,
     369,  1088,     0,  1394,  1388,  1625,  1612,     0,     0,     0,
       0,  1803,  1804,  1801,  1802,     0,   537,   521,     0,     0,
     718,     0,   783,   786,   789,   787,   788,   572,   452,  1106,
     572,  1386,  1640,     0,     0,  2088,     0,     0,   383,     0,
     753,     0,   456,   562,  1784,  1387,     0,     0,     0,  1772,
       0,   784,  1089,     0,     0,  1794,   785,     0,     0,     0,
    1227,  1228,   754
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5227, -5227,  4684, -5227, -1300,   263,  2996,  -687, -5227, -5227,
   -5227,  1239, -5227, -5227, -5227, -5227,  3855, -5227,  2124, -2863,
   -5227, -5227,   -43,  3776, -1748,   -55,  3312,  1762, -5227, -1554,
   -5227, -5227,  -902,    32, -5227,  3784,   116, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -1188,  2228,  2305,  1567,  6202,
   -4011, -5227, -5227, -1867, -3642, -5227,   865, -5227,   897, -4648,
   -5072, -5227,  -795,  -625, -5227, -5227,  2220, -5227, -5227, -5227,
    1392,   784,  -299, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
    -476, -5227, -5227,  -715,   350,  -106, -2848, -4192, -5227, -5227,
     744,  -109, -1918, -5227, -4041, -5227,   271, -2093, -5227, -5227,
   -5227,   -80, -1881,  1676, -5227, -1054, -1560,  2017,  -584, -5227,
      43, -5227,  -691,  -488,  -484,  -613, -4241, -4708, -5227, -5227,
   -5227,  -718, -4715, -4977, -4263, -3747,  1688, -5227, -5227, -4236,
     426,   718, -5227,   464,   467, -5227,   734,  -414, -1308, -1976,
   -5227,  -645, -5227, -5227, -5227, -3394, -5227, -5227, -5227, -5227,
     -85, -5227, -5227, -5227, -5227,   780, -5227, -5227, -5227, -5227,
   -5227, -5227, -3100,  2198,  2199, -5227, -3638, -5227, -1273, -5227,
     927, -3419,  1603, -5227, -5227,  1391,  3857,   776, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -2077, -5227, -5227, -5227, -5227,
     280,   -36, -5227, -5227, -5227, -5227, -5227, -5227,   497, -5227,
    2230,  1394, -5227, -5227,   -38, -5227, -5227, -5227, -5227, -5227,
   -5227,  -662,  -797,  -778, -5227, -3451, -5227, -5227, -5227,   -13,
   -5227, -5227, -5227, -5227, -5227, -5227, -1297, -5227,  1455, -3598,
   -5227, -5227,  1462, -5227, -5227, -5227, -5227, -5227,  -578,    47,
    3034, -5227,  -185,  -375, -5227, -5227, -5227,    51, -5227, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -1499,  9173, -1222,  -879,
   -5227, -5227, -5227, -5227, -5227, -2724, -5227, -5227, -5227, -5227,
   -4217, -5227,  4991,    37,  -754,   499, -5227,  -189,   -90,  3587,
   -1563, -3088,   712,  -146, -5227, -5227, -5227, -3000, -5227, -5227,
   -5227, -5227, -3983,   503, -5227,  3572, -5227, -4255, -4995, -4001,
   -4525, -4893, -5043, -3971, -5227, -5227, -5227, -5227, -1815,  -875,
   -5227, -5227, -1901,  2553, -2338, -5227, -2534,   772,  1780,  3801,
   -3197,  -809,  2989, -4253, -1058, -3708, -5227, -5227, -2774,  -278,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,  -937,  2939,
    -873, -5227, -5227,  4213, -5227, -4584, -5227,  4185, -5227, -5227,
   -5227, -5227,  2832,  2840, -5227,  2842, -5227, -5227, -1903,  1542,
   -5227, -5227, -5227, -5227,   956, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227,  1444,   949, -5227, -5227, -5227, -5227, -5227,  -566,
    -725, -5227, -5227,   512, -5227, -5227, -5227, -5227,  1827, -1289,
   -1072,  4055,   525, -5149, -5227, -5227, -1326, -5227,  3296, -5227,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -2711, -5227,
   -5227, -4881, -5227, -5227, -5227, -5227, -5227,  2690,  2695,  -108,
    -259, -5227, -5227, -1356, -5227,  -910, -5227,  2918, -5227, -5227,
   -5227, -5227, -2176,   552,   822,   -77, -5227, -5227,   163, -5227,
     578, -5227, -5227, -3863,   -72, -5227, -5227, -5227, -5227, -4887,
   -5227,   -69,  -470,  1124, -3230, -5227,   620,   -79,  3670,  2148,
     -63,  1103,  -248,  -242,  -230,   -70,   -73,  3435, -5227,  3493,
   -5227,  -208,  2403, -5227, -5227, -1142,  -347, -5227,  1902,  -954,
    2670,  3421,  3424, -5227,  1891,  2699, -2357, -2353, -5227,  1196,
    -443,  -277, -5227, -5227, -5227, -5227,   617,  -952,  2680, -5227,
    3442, -5227, -5227, -5227, -2284, -3274, -3874,  1229, -3849, -3786,
     666,   651, -1003,   -46,  -178, -1109,  3445, -5227, -5227,  1236,
    -244, -5227, -5227,  -241, -3252,  1152, -5227, -4809, -2757,  1240,
    -679,  -530, -5227,  -607, -5227,  -407,  5207, -2067, -1444, -5227,
   -5227, -1396, 26770, -5227, -5227, -5227, 27611, 28034, -5227, -5227,
   28646, 29009, -5227, -1249, 29194, 20140, -1408, -1395, -1682, 26247,
   -2196, -1584, -1452, -5227, -4009, -1439, -5227, -5227, -5227,     6,
    1301,  -170, -5227, -4817, -5227, -5227,   227, -5227,  -416, -5227,
    -415, -5227, -5227, -5227,  -393, -5226,  2819, -5227, -5227, -5227,
    -846, -5227, 30217, -3153, -5227,  -320, -3158, -3162, -3852, -2271,
   -5227, -5227, -5227, -5227, -5227, -5227, -5227, -1608, -3729,  -558,
    2018, -5227, -5227,  2107, -5227, -5227, -5227, -1712,  1962, -1112,
   -3031,  2024, -5227, -1118,  2826, -1122, 13175,  -974, 22538,  -119,
   -2721, -1695, -2014, -5227,  1987, -5227,  3874,  -152,  -681,  5936,
    -920,  -976,  8476,  7134,  5641, -3579, -5227, -5227,   632, -5227,
   -5227, -5227,  4609,  1476, -5227,  3858, -5227,  2277,  3095, -5227,
   -5227,  2692,  -986,    13, -5227,  -367, -5227,  -148, -5227, -5227,
   -5227,   237, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,
   -5227,  3464, -5227, -5227, -1619, -5227, -5227, -5227, -5227, -5227,
    4897,  -368, -5227,  4262,  -352, -5227, -5227, -5227, -5227, -5227,
   -5227, -5227, -5227, -5227,  3469,  2727, -5227,  4053, -5227, -5227,
   -5227,     7,  3697, -5227, -5227, -5227, -1347,  -644,  4071,  4080,
    2685, -5227, -5227, -5227, -5227, -5227, -5227, -5227, -5227,  2701,
   -5227, -5227,  1999, -2393,  2705, -5227, -5227,  1205, -5227, -5227,
     690, -5227,  1208, -5227,  3578, -5227, -5227, -5227,  1249, -5227,
   -5227, -5227,  -599, 19228,   -44,  1319,  1707,  1667, -5227, 11499,
   26988,    65,  3494,   -49, 15426, 24519,  1117, -5227,  4888,  2703,
    2234, -1126, -5227,  5107,  2995, 17227, -5227, -1102,   167,  2479,
   -5227,    -2,  -711, -1344,  3785,  -792, -2227, -5227,  5317, -5227,
   -3553, -5227, -1121,   270,  4264, -1371
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,  2007,  2937,  2807,  3736,  3737,   254,
     255,  2003,   256,   257,   258,   259,  1930,   260,  1411,  2150,
    2952,   261,  2650,  1145,  1146,  1147,  2499,  2500,  2886,  2501,
    2488,  1752,  2299,  1951,  1110,  1111,  1911,  1952,   263,   264,
    1746,  2480,   265,   266,   267,  1981,  2054,  1982,  1924,  2202,
    4805,  5544,  3549,  2777,  3785,  3550,  3551,  4188,  4189,  4264,
    5561,  5567,  5562,  5563,   268,  2070,  2071,   269,   270,  3701,
    3697,  4309,  5157,  5158,  5395,   928,  2914,  5160,  5161,  5381,
    5382,  5579,  5720,  5721,  2953,  2142,  3779,  4396,  3727,  4893,
    3728,  4894,  3729,  4895,  3713,  4344,  4345,  4839,  4346,  3730,
    4855,  5425,  3731,  2669,  5596,  2994,  2329,  2327,  5408,  4668,
    4669,  5693,  5603,  5604,  5605,  5824,  4857,  4899,  4900,  5451,
    5759,  5760,  3783,  4403,  4905,  5175,  3438,   272,  2176,  3880,
    1040,  2997,   963,  1041,  2954,   276,  2987,  5598,  2988,  2028,
    2816,  5564,  3860,   277,  1435,  4155,  5242,  5477,  5478,   278,
     915,   279,  2158,   280,   281,  2932,  3720,   282,  2686,  3455,
     283,   284,  3484,  3485,  3486,   285,  4180,  5097,  1983,  3538,
    3539,  3540,  3541,  4210,   286,  2153,  2961,  2962,   287,   288,
     289,   290,  3115,  3116,   291,  2873,   292,   293,   294,   295,
    4244,  4769,  4871,  3580,  3743,  4369,  4869,   296,  2955,  2166,
    2977,  2978,  4880,  5199,  5200,  5201,  5439,  5750,  5203,  5441,
    5625,  5443,  5921,  5922,  5166,  4134,  4682,   298,  4848,  4849,
    5610,   299,  2684,   300,   301,   302,  2126,  2924,  2925,  4320,
    2119,  2916,  2917,  4383,  4384,   303,  3654,   304,  4745,  4746,
     964,  5617,  5550,  5707,   305,   306,  4749,  4750,   307,   308,
     309,   310,   311,  1026,  1027,  1028,  1532,  1533,  3410,  1481,
     312,  2517,   313,  1375,  1376,  3678,   314,  1629,  3159,  3160,
    4952,   315,  1064,  1562,  1563,  2956,   317,  1075,  3135,  1077,
    2342,  3862,  3863,  4469,   318,   319,  3112,  3138,   320,  1917,
    2660,  2661,  4663,  2957,   965,  2182,  3001,  3433,  5323,  5324,
    5075,  5337,  3332,  4075,   322,   966,  1956,  2733,  1504,  1505,
    3004,  3793,  2629,  2630,  2631,  4420,  2632,  3795,  2633,  1890,
    2634,  1452,  1453,  3801,  3802,  3803,  4416,  4423,  2946,  5231,
    5232,   323,  1954,  2731,   324,   325,   326,  1991,  1296,  1514,
    1515,   327,   988,   989,   328,  5400,   329,  1456,   330,  5240,
     331,   332,  1099,  1100,  1613,  1614,   333,   334,  2747,  4191,
     335,   336,   337,  3574,  3575,  4761,   338,   339,  2145,  2146,
     340,   341,  3619,  3620,   342,   343,   344,  5848,  5902,  5903,
    5904,  4430,  5772,  5850,  1605,   346,   347,   348,   918,  1335,
    1336,  1337,  2958,  5224,   350,   351,  1912,  1913,  1914,  1915,
    2655,   352,   353,   354,   355,   356,   357,   358,  2130,   359,
     360,  5374,   361,   362,  2090,   363,  1783,  1784,   364,   365,
     922,  1165,  1788,  1794,   366,  1043,  1556,  1557,  1558,  2301,
     367,  1609,  1378,  1044,  1551,  1045,  2564,  3362,  4089,  4090,
    4091,  4094,  5059,  4637,  1046,  3358,   371,  2349,  3121,  3124,
    3354,  1047,  3367,  3368,  3369,  4097,  1048,  1066,  1445,  3013,
    1049,  1701,   376,   377,   378,  1174,  1168,  1169,   380,  2457,
    3286,  1084,  1800,  1129,  1130,  1181,  4039,  2530,  2531,  2555,
    2556,  1809,  1810,  2543,  2547,  2548,  3344,  3338,  2536,  4612,
    5304,  5305,  5306,  5307,  5308,  5309,  5036,  2551,  2552,  1812,
    1813,  1814,  2560,   381,  3290,  4018,  4019,  4020,  4588,  4589,
    4603,  4599,  5020,  5290,  4021,  1599,  1820,  5028,  5874,  4022,
    5279,  5280,  5496,  4607,  4030,  4085,  3767,  3768,  3769,  4023,
    5673,  5674,  5870,  5871,  5498,  5499,  2635,  2232,  1483,  1702,
    1484,  2240,  1703,  2216,  1486,  1704,  1705,  1706,  1489,  1707,
    1708,  1709,  1492,  2208,  1710,  1711,  2226,  1213,  1214,  1789,
    5500,  1713,  1714,  1715,  4025,  1716,  4542,  4984,  4973,  3218,
    3219,  2496,  4538,  3963,  2452,  3276,  5313,  5518,  5519,  4002,
    4567,  5000,  5277,  5665,  5780,  5781,  1717,  1718,  1719,  3273,
    2447,  1299,  1720,  4322,  2449,  3212,  3298,  3299,  2355,  2374,
    3165,  3180,  3181,  3192,  3922,  3200,  3205,  3950,  3951,  3213,
    3242,  1721,  3167,  3168,  3906,  2376,  1722,  1776,  2510,  1891,
    2465,  3237,  1736,  1723,  1724,  2343,  1156,  5286,   764,   747,
    3566,  2512,  1339,  1081,  1725,  1726,  1727,  1842,   707,  1507,
    1508,   709,   748,   749,  1252,   861,     2,    75,  1050,  3776,
     385,   386,   968,   969,   970,  1437,  1438,  2188,  2191,  1847,
    2598,   713,   714,   765,  4925,  5243,  5480,  1034,   387,   388,
     389,   390,  1843,  2594,  1215,    76,    84,    77,  1216,   427,
     428,  2575,   391,   878,   392,  1823,  1195,  4103,   393,   394,
     395,   396,   397,  1031,   398,  1197,   399,  1198,   400,   401,
     402,   403,  1205,   404,  1825,  1826,  4651,  1827,   405,   406,
     751,   752,  1549,   407,   408,  1232,  1233,  1581,  1582,  1853,
    1868,  1869,  1870,   409,   721,   410,   411,   412,  1859,  1860,
     413,  2473,  2474,  2603,  2475,   414,  3383,  3384,   415,  4056,
    4057,  5046,  4058,   416,  2469,   417,   418,  1159,  4108,   419,
     874,   420,  1246,   753,   754,   755,  1254,   864,  1115,   766,
    1256,  3542,   866,   867,   757,   758,   759,  2321,    78,  3391,
    2322,  1729,   767,  1730,  2463,  1731,  1732,  1733,  1734,  1735,
    1876,   761,  1222,  1541,  1542,  3392,  1544,    82,  1545,   424,
    3829,  2289,  1583,  3073,  2307,  2308
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   369,  2027,  1173,  2298,   979,   370,  1405,   379,   372,
    2248,  1447,  1737,  1747,  1068,   374,  1270,   763,  1590,  1591,
    1592,  1121,  1158,  1297,  1596,  1192,  2075,   769,  2326,   422,
    1182,  1769,  2222,   967,   421,   422,  1068,  2668,  2032,  1897,
     421,  1193,  1815,   962,  2742,  1777,  1155,  2088,  3885,  1778,
    1298,  2829,  4040,  1535,  2734,  1090,  1042,  1230,  3070,  4181,
    2155,  2365,   920,  1559,  2754,  2514,  3617,  3568,  2212,  2213,
    1761,  2228,   421,  1250,  1025,  2888,   423,   981,  2221,  3305,
    1076,  2743,   423,  4083,  4353,  1446,  3749,   718,  3726,  4161,
    1518,  2128,  2982,  4424,   379,  2133,  3403,  3405,  1298,  2238,
    2137,  3164,  4630,  1529,  3651,  1871,  1176,   750,  2140,  2147,
     262,  2771,  3866,  4330,   423,  4379,  4205,   421,  4207,  4671,
    1122,  3296,  2026,  2171,  2168,  1234,  4323,  4670,  1554,  1873,
    2053,  4033,  4323,  4031,  4032,  4554,  4096,  1184,   916,  4708,
    2080,  4665,  4585,  1526,   750,  4909,  4408,  5076,  2850,  1185,
     973,  2582,  2584,  2585,  1109,  3026,  4912,  4902,  4892,   423,
    1298,  1957,  1447,  4854,  1152,   971,   978,  4918,  3002,    79,
    3683,  4908,  3684,  4602,  1144,   978,  3688,  1171,  4073,  2514,
    3127,   865,  3304,  5338,  5216,  3693,  3694,  3695,   421,  3347,
    2854,  2855,  3058,  3971,  5218,  3350,  5283,  3197,  2284,  2727,
    2313,  2641,  4112,  1065,  2288,  4901,  5182,  1118,  5345,  2576,
    2576,  1274,  1953,  2209,  2210,  1118,   978,  1118,  3739,  1305,
    5295,  4522,  5297,  2550,  2220,  1065,   865,  1808,  1777,  1811,
     423,  4643,  1325,  5465,  4107,  4600,  1754,  4605,  1543,  5454,
    1849,  1850,  1225,  3928,  3928,  2514,  2471,  5367, -2212, -2212,
   -2212, -2212,  2419,  5217,  2319, -2212,  2212,  2213,  2167,  5376,
    5377,  1400,  1862,  1441,   926,  4954,  4955,  1409,  4957,  4958,
    4959,  5074,  4442,  2228,  2239,  2221,   430,  1247,  2866,  2943,
    1423,  2425,  5619,  5549,    37,    38,    39,    40,  2515,   430,
    2861,    44,  3402,  4414,  5534,  5535,   430,   865,    43,  5566,
    1568,  3235,  3449,    45,  1573,  1574,  1575,  1862,   369,  3235,
      45,   430,  2427,   370,  1586,   379,   372, -2975, -2975, -2975,
   -2975,   426,   374,  2199, -2975,  3835,  1625,  3837,  2745,  2116,
    1331,   917, -2975, -2975, -2103, -2976, -2976, -2976, -2976,  4101,
    3137, -2103, -2976,   719,   422,  2199,  4864,  2745,  3904,   421,
   -2976, -2976,  2745,    35,  2199,  5083, -2973, -2973, -2973, -2973,
    1268,    41,    42, -2973,   430,  3117,  4360,    37,    38,    39,
      40, -2973, -2973,    43,    44,  1631,  1863,  3716,    45,   422,
   -2972, -2972, -2972, -2972,   421,  4162,  4399, -2972,  2199,   129,
     130,   423,  2209,  2210,  2842, -2972, -2972,  1751, -2568, -2568,
   -2568, -2568,  3255,  2979,  4475, -2568,  2745,  2199,  3883, -1833,
   -1833, -1833, -1833, -2568, -2568, -1689, -1833,   262,  2220,  2199,
    1163,  1740,  3270,  1738,  3523,  1332,   423,  3039,   271,  3271,
    2290,  2199, -1874, -1874, -1874, -1874,  4865,  2662,  5859, -1874,
    2199,  2527,  1221,  2674, -1846, -1846, -1846, -1846, -2379,  2745,
    1926, -1846,  1756,  2347, -1874, -1874, -1874, -1874,  1607,  2848,
    1918, -1874, -1866, -1866, -1866, -1866,  5546,  5344,  1333, -1866,
    3674,  1396,  2088,  2482, -1871, -1871, -1871, -1871,  2100,  5637,
    5754, -1871,  3524,  3717,  2105,  2534,  2745,  5510,  3118,  3289,
    4377,  1739, -1861, -1861, -1861, -1861,  4259,  5435, -2122, -1861,
    2950,  4347,  5733,  5456,   273, -2122,  1579,  3374,  2199,  5455,
    1249,  1298,  1997,  2664,    37,    38,    39,    40,  4866,  3102,
    1780,    44,  1781,  1334,  4361,  2516,  1193,    37,    38,    39,
      40,  2665,  2935,  2093,    44,  3256,    37,    38,    39,    40,
    3257,  5475,   274,    44,  5459,   275,     3,  3390,  -439,  4476,
    5857,  3394,  5460,   967,  1447,    35,   430,  2125,  1927,    37,
      38,    39,    40,    41,    42,    43,    44,  1841,  1919,  2813,
      45,  2980,  1228,  1229,  5860,   297,  3258,   316,  2951,  2535,
    5401,   321,  1447,  2652,  1852,  1855,   720,  2246,  2770,  2414,
     345,  2200,  1990,  3100,  3450,   430,  2256,  -149,    37,    38,
      39,    40,  2458,   349,    43,    44,  -149,  1501,   982,    45,
     879,  -149,  2124,  2200,  3924,  2458,  2461,  4730,  2419,  4327,
    1998,  4162,  2200,  2867,    37,    38,    39,    40,  2272,  2944,
     368,    44,  1269,  1595,  1984,  3236,  4323,  4415,  5691,  2455,
    2246,  3166,  3488,  3991,  5813,  2505,  2506,  2425,  5801,  1884,
    2302,  2868,  1447,   880,  5084,  5210,  2200,  3718,  3928,  5763,
    4763,  3563,  4867,  2862,  1774,  1219,  4697, -2103,  1775,  2666,
     973,  2348,  2486, -2379,  2344,  2200,  2320,  3119,  2427,  1186,
    4675,   927,  5891,  5935,  1864,   971,  2087,  2200,  5717,  2125,
    2357,  3940,  3941,  3942,  3943,  3943,  1858,  3120,   373,  2200,
    1235,  4989,  2514,  2446,  2802,  2366,  5476,  1226,  2200,  3259,
     384,  4127,  5461,  2936,  1774,  1595, -2212,  5017,  1775,  1920,
    4734,  5021,  2824,  1164,  4863,  2827,  2369,  2472,  4868,  1864,
    1318,  4602,  2981,   978,   978,   271,  2201,  2348,  5630,  5254,
    5636, -2379,  3719,  1397,  3033,  2711,  2843,  2675,  2283,  2514,
    4884,  1839,  1840,  3303, -2379,  3272,  1921,  1227,  1062,  1063,
    2834,  1187,  1608,  2849,  1471,  3091,  1263,  2229,  4963,  1579,
    1621,  1999,  5844,  2098,  3062,  2667,  2200,  1928,  5835,  1782,
    1447,  1221,  4348,  1560,  5062, -2975,  2487,  1922,  1447,  1447,
    3463,  1173,  3675,  5008,  5734,  5010,  4098,  2523,  2887,  2786,
    4260,  2243,  2928, -2976,  2523,  5531,  3489,  2303,  2000,  3198,
    2305,   273,  5806,  2309,  5591,  2311,  1391,  3216,  2314,  2525,
    2254,  3507,  2318,  2919, -2973,  5810,  1865,  1866,  1443,   422,
     421, -2122,  2274,  3099,   421,  3101,  1929,  1816,  1374,  2001,
    5159,   429,  3109,  3038,  2277,  4256,  1790, -2704, -2972,   274,
    1379,  1923,   275,  2246,  2484,  1380,  5214,   379,  1381,  5784,
    5895,  2561,  2599,  2562,  1382,  2223, -2568,  4788,  4114,  3870,
    4115,   983,   423, -1833,  4828,  4620,   423,  2211,  1458,  1502,
    1259,  3564,   297,  2207,   316,  4371,  2224,  2223,   321,  1259,
     718,  4930,  4931,  4932,  4933,  4934,  2730,   345,   718,  1561,
    2225,  1567,  5820,  1572,  2456,  4182,  1598,  1234,  2224,  1576,
     349,   718,  2215,  2300,  4060,  5755,  2125,  5927,  4827,  4656,
    5881,  4468,  2227,  2125,  5757,  4157,   984,  1579,  1259,  1552,
   -1866,  1555,  1184,  1567,  1572,  3081,  3699,   368,  2284,  1238,
     718,  3084, -1871,  3074,  1185,  3872,   718,  3414,  5898,  5899,
   -1833,  1236,  3339,  3296,  3296,  3296,  3376,  1553,  3376,   718,
   -1861,  4300,   985,  5743,   986,  4301,  4302,  1830,   379,  3023,
    3024,  1188,  2059,  1851,  1566,   875,  1571,   876,  1444,  3347,
    1598,  2727,  2416,  5756,  4078,   718,  1585,  1221,  1587,   978,
    1259,  3649,  4307,  4308,  3525,  2459,  1499,  2159,  3925,  3926,
    1259,   718,  5281,  3945,  3310,   373,  1601,  1603,   718,  5238,
    1819,  1179,  2829,  4183,  2060,  5446,  1763,   384,  1839,  1840,
    1499,   718,  3227,  5057,  5770,  2755,  3277,  4425,    81,  5489,
    4789,  2005,  1854,   870,  2456,  1926,  5943,   718,  4923,  2160,
    3975,  3976,  5837,   871,  2940,  2099,  1548,  5910,  5836,  4671,
     978, -1613,  3526, -2704,  2006,  2234,  1785,  2794,  5044,  -149,
    -149,  4641,  3464,  4671,  2441,  2442,  2443,  2444,  2445,  2446,
     430,  4670,  5663,    37,    38,    39,    40,  4842,  3871,    43,
      44,  1631,  1863,  4099,    45,  1579,  4762,  1398,  1431,  1399,
    1565,  1933,  1570,  1750,  1791,  5821,  5350,  1758,  3545, -2209,
    5664,  3422,  3794,  4877,  3938,  3939,  3940,  3941,  3942,  3943,
    1779, -1833,  2085, -2704,  2489,   421,  2261,  5592,  5259,  2502,
    2502,  5894,  1600,  1602,  2995,   768,  1207,  1259,  1259, -1613,
    4332,  2973,  5514,  1580,  1118,  3479,   718,  5379,  1118,  2419,
    3555,  1744,  4229,  1927,  5287,  1221,   872,   750,  1298,  5291,
    3546,  4069,  5293,  1974,  3873,  1588,  2941,   423,  2262,  1179,
    3278,  3700,  1786,  1093,  1259,  5284,  4158,  3072,  2425,  4041,
    5822,  4321,  4042,  4043,  5612,  2061,  4335,  4321,  1177,  1580,
    2662,   375,  2222,  4044,  4045,  4046,  1208,  4047,  4048,  2235,
    3650,  5635,  4049,  4050,  4051,  5823,  5771,    79,  2663,  2427,
    2161,  3479,  2676,  5526,  2193,  4184,  4185,  5632,  4037,  5642,
    4424,  3480,  1056,  2974,  5644,  5069,  3106,  3107,  1831,  4671,
    4843,  2903,  5611,  5058,   718,   718,  5641, -1613,  5490,  1035,
    2287,  4337,  4186,   869,  5239,  1057,  5841,  5842,  1580,  3547,
    1178,  1764,   921,    35,  5206,  4852,  1094,  4426,  2385,  1036,
    4230,    41,    42,  4067, -2326,  5631,  2664,  2194,  1432,  1109,
    2046,  1916,  5593,  2904,  4421,   877,   430,   375,  1206,    37,
      38,    39,    40,  2062,  2665,    43,    44,  3480,   869,  2086,
      45,  3407, -1616,  1037,   873,  5887, -1613,  2064,  5098,  1210,
    2713,  1231,  2792,  2065, -1833,  1910,  4747,  1774,  2162,  2414,
    2721,  1775,  3064, -1833,  1056,  2211, -1833,  1896, -1833,  1765,
    1179,  2583,  1118,  1118,  1433,    35,  5168,  2756,  1559,  2263,
    1434,  4340,  1621,    41,    42,  3041,  1117,  1057,  2757,  4427,
    2758,  3588,  5341,  5177,  1117,  3556,  1117,  3052,  3022,  1207,
    1259,  4052,  2677,  3874,  4592,  5529, -2360,  1499,  3057,   869,
    2186,  1259,  2195,  2582,  1172,  3436,  4613,  3098,  3352,  5527,
   -1616,  3103,  4341,  3105,  5219,  1093,  3108,  1594,  3040,  2814,
    1499,  5929,  2817,  2818,  5764,   923,  3483,  4342,  5220,  1844,
    2413,  3050,  3645,  3077,  3589,  1499,  3313,  3056,  2759,  4967,
   -1613,  4968,  3016,  4742,  1095,  2066,  2236,  3548,  1874,  1208,
    4748,  4231,  1209,  1901,  2196,  2537,  5484,  1298,  1298,  5633,
    2975,  3437,  2666,  3646,  1210,  5061,  4593,  2264,  5506,  3875,
    2223,  5556,  2793,  2976,  2905,  5406,  4853,  2678, -1613,  1259,
    5888, -1613,  -689,  1096,  1097,   862,  1127,  3351,  4232,  3590,
    1180,  2224,  3483,  3095,  2538,  5178,  1844,  4594,  1094,  1595,
    5033,  4620,  1173,   206,  3190,  1902,  2897,  5040, -1616,  3353,
   -2326,   430,  4595,  2579,    37,    38,    39,    40,  4343,  4233,
      43,    44,  4596,  4428,  1499,    45,  3408,  4949,  3409,  4053,
     862,   216,  1183,  3329,  2304,  5281,  2306,  1871,   375,  2310,
     379,  2312,  1079,  2197,  2315,  2316,  2317,  4743,  4597,  1798,
    5843,  2569,  1210,  5548,  3603,  5845,  3641,  2324,  5552,  5553,
    2614,  1873,  5351,  5366,   718,   224,  4671, -1616,  2667,  5288,
   -2326,  2350,  2906,  2351,  5688,  4969,  1193,  5559,   718,  2521,
    4054,  4323,  1865,  1866,  2580,  1128,  3591,    81,    81,  4429,
      81,  2163,  5221,  3642,  3833,  1298,  2067,  2540,  1259,  1903,
    3505,   862, -2360,  1056,  2991,   235,   718,  5434,  2528,  2529,
    3644,  2533,  2164,  5695,  5696,  4149,  5545,  3330,   238,  4846,
    1185,  1185,  5893,  1185,  3643,  4818,  1057,  1804,  2992,  4821,
    4822,  4598,  4824,  2068,  5532,  1083,  2722,  2443,  2444,  2445,
    2446,   250,   718,  5537,  2581, -2381,  1095,  4744,  1799,  4173,
     129,   130,  2651,  2541,  4878,   251,  1499,  4150,   718,  1211,
    3198,  3198, -2360,  3635,  2069,  3198,  5556,  2193,  1091,  3636,
    1548, -1616,  3096,   718,  3602,  5761,   718,  2829,  1212,  3493,
    4883,  4488,  5928,  2246,  4055,  1096,  1097,  1259,  4215,  1819,
    2234,  2670,    37,    38,    39,    40,  1234,  1806,  3746,    44,
    3592,  4216,  3198,  3198,  2002,  3097,  3113,  3625,  3593, -1616,
    1035,  3594, -1616,  5289,  5942,  5560,  1259,  5944,  3432,  2671,
    3076,  3758,  3759,  3760,  3761,  2819,  2723,  4658,  3663,  1447,
    1036,  4321,  3128,  3766,  2065,  1056,  2246,  2801,  3581,  3582,
    3669,  2125,  3585,  2671,  1259,  1259,  1259,  1210,  1259,  3296,
    1907,  5557,  1908,  1126,  5558,  4760,    79,    79,  1057,    79,
    2450,  1207,  1092,  2680,  1037,  5403,  2165,  5417,  1259,  3494,
    4261,  3637,  5559,  2681, -1097,  1844,  1098, -2412,  1839,  1840,
    4935,   421,  4936,  4502,  4503,  4504,  4505,  1331,  3114,  4510,
    4511,  4512,  4513,  4514,  4515,  4516,  4517,  4518,  4519,  2476,
    2477,   879,  1804,  2005,   718,   750,   750,  2492,  4671,  2993,
    4710,    35,   718,   718,  2246,  2195,  4457,  5418,  4151,    41,
      42,  1208,  1259,   423,  2235,  5419,  2006,  2125,  3424,   422,
     422,   941,  1199,   421,   421,   421,  2066, -2233,  5618,  2013,
    5615,  -172,  5599,   924,   880,  4558,  4559,  4888,  3578,  4029,
    1259, -2381,  1200,  5420,  1259,  1259,  5628,  2820,  2014,  2672,
    2821,  5375,  1201,  2580,  2991,  2462,  3502,  2196,  -172,  1259,
    3465,  4889,  1806,   863,  3469,   423,   423,   423,  1032,   422,
    5878,  5761,  1332,  4711,   421,  3745,  2618,  4024,  2992,   943,
    2513,   421,  4098,  5656,  1974,  2706,   718,  5474,  -586,  4659,
    4026,  1298,   421,  2596,  2656,  2029,  4660,  2015,  3425,   750,
    5560, -2381,  5253,  1807,   430,  2657,  4152,  3579,   863,  5421,
    2845,  2682,  3638,  2581,  1210,  1333,   423,  4133,  5867,  3457,
    5422,  1166,  2658,   423,   206,  2494,   879,  1499,   216,  4661,
    5538,  3020,  2030,  5931,   423,  4174,  5932,  3388,  2005,  1160,
    2832,  2037,  2478,  5079,  1118,  4024,  2197,  1916,  2683,  3639,
    4662,  1916,   216,  5600,  4400,  1202,  4063,  4404,  4026,  4678,
    5372,  2006,   224,  1839,  1840,   941,  1844,  2495,  5541,   880,
    1334,  1844,  1844, -2412,  4807,  2588,  4424,  2419,  2589,   863,
    3640,  2016,  2038,  5373,  3788,  1118,   224,  1764,  3379,  3980,
    1331,  3981,  2039,  1499,   881,  4808,    37,    38,    39,    40,
    2277,  2513,   235,    44,  4175,  4068,  5087,  5088,  3111,  2479,
    3479,  1424,  1153,   925,  3982,  5745,  1210,  4506,  5327,  4507,
    5329,  2236,  1203,   943,  5601,  5470,   235,  1029,  1499,  2017,
    1038,   869,  2018, -2412,   954,  2031,   955,  2427,  4679,   238,
    2237,  5768,  4890,  2828,  1425,  5181,  2591,  2592,  2246,  5192,
    1424,  1499,   251,  1123,  3038,  1765,  3436,  2745,  5868,  5193,
     960,    43,   250,  5869,  2659,  5183,    45,  2746,  1621,  4257,
     375,  1447,  2610,  2612,  2020,  1910,  1039,  1426,  2590,  1124,
    1910,  1633,  5209,  1425,  3928,  1332,  3480,  4840, -2977, -2977,
   -2977,  3161,  3163,  1204,  3501,  4680,  5423,  4681,  3170,  5424,
      37,    38,    39,    40,  3184,  3185,  3186,    44,  -464,  5184,
    5172,   718,  4130,  1175,  3202,  3204,  4373,  2022,  3481,  3214,
    3983,   421,  5651,  1427,  1447,  3984,  5698,  3018,  1333,  1804,
     941,  4732,  1499,  5152,  1805,  5153,  5154,  2023,  4258,  5155,
    2040,  1189,  1844,  4508,  1910,  3806,   879,  1499,  1910,  1886,
    5437,  5832,  1844,  4509,  4841,  3482,  2918,  2025,  4676,  2805,
    3595,  1196,  1427,   423,  2808,  3587,  1916,  3858,  1499,    37,
      38,    39,    40,  2041,  5080,  2010,    44,  2042,   954,  4836,
     955,   375,  1172,  1334,  5234,  4631,  1887,   718,   943,   880,
    3320,  1992,  2223,  5704,  5438,   718,  4038,  2945,  3844,  1806,
    4733,  5621,  1795,  1231,  2141, -1613,  1193,   718,  2043,  2537,
    3122,  3604,  2011,  2224,  2750,  3134,  2751,  1888,  4113,  3607,
    -464,  1844,  3610,  1499,  1844,  1844,  1555,  2225,  2871,  3595,
    2926,  5890,  2877,   862,  3666,  1760,  1259,  4255,  1314,  1259,
    1807,  5081,  4380,  1499,  3243,  4632,  3244,  2819,  2538,  1259,
    4720,  3483,  4390,  4163,  3677,  1499,  2419,  3359,  3985,  1993,
    5705,  5819,  4087,   379,  3079,  1315,  3080,  1499,  3986,  3245,
    3082,  5045,  3083,  3220,  2752,  3085,  3223,  4061,  4190,  3086,
    1259,  1259,  5803,   718,   718,  2425,  2762,    37,    38,    39,
      40,  5920,  1898,  1117,    44,   718,  4088,  1117,  5930,  3303,
    4706,  4698,  2762,  1499,  1499,  2539,   718,   718,  1844,  5584,
    3296,  3892,  5687,  3133,  5585,  3296,  2427,  1183,  2763,  1379,
      81,  3296,  4593,    81,  1380,  3158,   379,  1381, -2768,  1899,
    2881, -1662,   718,  1382,  2763,  2883, -1662,  5331,  4185,  4166,
    1892,  3934,  2772,   954,  5340,   955,  2013,  1248,  2884,  5623,
       8,  2540,  4885,  4594,  4497,  3989,  4735,  4712,  4247,  4719,
    1900,  4478,  5586,  4467,  4721,  2014,  5372,  2882,  5023,  2141,
    3246,  3888,  1259,  1893,  2885,  3247,  1447,  1894,  4596,  2820,
    3248,  5624,  2821,  4523,  2223,  3198,  3198,  3198,  3198,  5373,
     430,  3198,  3198,  3198,  3198,  3198,  3198,  3198,  3198,  3198,
    3198, -1662,  4837,  4468,    45,  2224,  2277,  2541,  1895,  1259,
    1259,   934,  4678,  4221,  2015,  1259,  1259,  3850,  4532,  2227,
     421,  3183,  1259,  1259,  1259,  3360,  4838,  4951,  1259,  3303,
    1259,  1259,  1259,  1259,  1259,  1259,  4911,  1259,  4376,  1259,
    1259,  1056, -1662,  1259,  3763,  1266,  1298,  3198,  3198,  3764,
    2947,  4328,  1785,  4439,  4440,  4349,  5594,  1499,  1259,  1259,
    1259,  1259,   423,  5063,  1057,  3647,  1259,  5380,  2034,  5917,
    1259,  1117,  1117,  1259,  2984,  4592,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  1259,  1259,   209,  1259,  4598,   216,    79,
    2773,  4679,    79,  4122,  1259,   941,  3648,  1259,  2016,  3859,
    1237,   987,  2169,  1264,  3033,  2035,  5429,  5162,  3426,   422,
    3429,  4102,  2804,  3249,   421,  2269, -1091,  2774,  1447,  1279,
    4226,    80,   224,  3250,  2170,  4072, -2977, -2977, -2977,  3233,
    3938,  3939,  3940,  3941,  3942,  3943,  2036,  2270,  5163,  5384,
    2775,  3363,  2776,  3423,  4119,  4120,  2017,  4593,  4680,  2018,
    4681,  1280,  3794,   943,  4896,  2745,   423,  4227,  1786,  2055,
    2828,  1259,   235,  5137,  1320,  2753,   422,  5372,   422,  3419,
    3487,   421,  4790,   421,  1259,   238,  4331,  2770,  4594,   121,
    1329,  3764,  5385,  1259,  1259,  2008,  5138,  5876,  4228,  1330,
    5373,  2020,  4140,  4595,  4791,  2772,  2056,   125,   250,  3750,
    2057,  4024,  2072,  4596,  4024,  2076,  1384,  5386,   717,  4673,
    4674,  1387,  3361,   423,  4026,   423,  4321,  4026,  1401,  5230,
    1402,   863,  5197,  1633,  5387,  1390,  3928,  2058,  5388,  4597,
    3929,  3930,  3931,  5901,  2022,   718,  1633,  1774,   421,  3928,
    5198,  1775,  5800,  3929,  3930,  3931,  3033,  4547,  5389,  1393,
    -378,  5390,  4111,    81,  2023,    81,  5099,   718,    35,  1598,
    1598,  1221,  5103,  1598,  1499,  5391,    41,    42,  1499,  1499,
    1239,   972,  1547,   430,  2025,   718,  -378,   990,  1419,  1281,
     423,   718,  1240,  1241,  3755,   718,  1282,  1283,  1284,  3954,
    -585,  3956,  3957,   718,  4444,  4445,  4446,  4447,  4448,  4242,
    2826,  1242,  4449,   375,  1243,  1082,  1428,  2502,   954,  1429,
     955,   718,  4598,  4250,  1259,  5581,  4024,  5583,  2285,  2013,
     957,  5587,  2286,  5588,  3586,  1406,  1259,  4366,   193,  4026,
    1499,   959,  5952,  1259,  2141,  1430,  5466,  2285,  2014,  3814,
    2467,  3069,  1499,  2773,  2468,  3900,  5392,  2513,  1436,  2523,
      35,   430,  3346,  3346,  5393,   718,  2005,  3038,    41,    42,
     430,  2211,   421,  1896,  4118,    45,   421,  1118,  5622,  2211,
    2774,  2642,  3901,   718,   718,  1439,  3902,  2418,  2373,  2006,
    2419,  1447,  1499,  1447,  1774,  4720, -2212,  2015,  1775,   421,
    2293,  3198,  2294,  2775,  5394,  2776,  -378,  -378,  2382,  4471,
    1844,  4446,  4447,  4448,   423,   718,  1598,  1450,   423,  2425,
    5256,  1455,  2088,  3932,  2218,  2219, -2977,   216,  2572,  2573,
    1874,  3933,    79,  1500,    79,  1244,  1509,  5096,  2398,   718,
    2770,   423,  1510,  2359,  3933,  2360,  1516,   718,   421,  2519,
    2427,  2520,  1118,  2411,   718,  3596,  1523,  2372,   718,   251,
    4715,   224,  4359,  1530,  4362,  4350,  2522,  4352,  2523,  1030,
    4332,  1447,  3011,  1550,  3012,  1245,  4333,  4655,   718,  3348,
    3349,  2016,  2211,   718,  2642,  3552,    45,   718,  4334,  2211,
     423,  2642,  1589,  3934,  3751,    37,    38,    39,    40,  1593,
     718,   235,    44,  1604,  5846,   193,  3934,  1610,  3576,  4072,
    4005,  1597,  4006,   718,   238,  4072,  4335,  3977,  4336,  1251,
    5769, -1684, -1684,   718,  3596,  3071,  3927,  2523,  1271,  2017,
    2572,  3372,  2018,  4464,  1611,  4713,   421,   250,  3955,  4614,
    4615,  4616,   869,  2828,  3092,  4418,  3093,  2514,  3094,  4071,
    3093,   251, -1395,  1183,  1183, -1395,  1183,  3621,  3125, -2977,
    3126,  3326,  1612,  2277, -2977,  1618,  4609,  1385,  1259,  1499,
    3978,  4337,  4035,  4036,  2020,  4024, -1142, -1142,   423,  3303,
   -1837, -1837, -1837, -1837,  4694,  3596,  1619, -1837,  4026,  3371,
    1177,  2523, -1625,  1620,   216,  3596,  1621,  4338,  1173,  3499,
   -2977,  3500, -1663,  3570, -1625,  3571,  1622, -1663,  4004, -1625,
   -1687, -1687,  1259,  4477, -1688, -1688,    35,  2022,  1624,  1628,
      37,    38,    39,    40,    41,    42,  1627,    44,   224,  1251,
    1623,  1630,  3596,  1844,  3703,  1759,  3704,  2023,  3709,  1271,
    3710,  1844,  1173,  1762,  1844,  3714,  3781,  2434,  3782,  5013,
    1766,  1499,  1178,  1767, -1625,   718,  4339,  2025,  3815,  4825,
    2523,  4340,  3852,   869,  3093,  1768,  1773,  1259,   235,  4813,
    1787,  1792, -1663,  1117, -1625,  3899,  2772,  2523,  3935,  3936,
    3937,   238,  3938,  3939,  3940,  3941,  3942,  3943,  3908,  1793,
    2523,  3935,  3936,  3937,  1795,  3938,  3939,  3940,  3941,  3942,
    3943,  3914,  4341,  2523,   250,  1817,  1802,  3915,   718,  2523,
    4319,  5483,  1796, -1663,  1117, -1625,  4319,  4342,  5847,  1821,
    1818,  3916,  1179,  2523, -1625,  4010,  4011,  4012,  3174,  3947,
    3960,  2523,  2523, -2977,  1287,  1288,  1289,    35,  1290,  1291,
    1292,  1293,  1294,  1295,   862,    41,    42,  1633,  2772,  4985,
    3928,  1221,  1824,  1822,  3929,  3930,  3931,  3965,   718,  3966,
    4007,  1828,  4008,  1173,  1829,  4444,  4445,  4446,  4447,  4448,
    4208,  4548,  4209,  1832,  1499,  4928,   718,  4213,  1833,  4214,
    5230,  2851,  1834,  4237,   718,  4238,  1962,  1835,  1259,  4024,
    1837,  1499,  1963,  4024,  1259,  4412,   862,  4413,  4437,  3175,
    2523,   972,  4026,  4529,  1499,  4530,  4026,  1836,  4343, -1844,
   -1844, -1844, -1844,  4539,  1259,  4540, -1844,  1838,  4550,  1259,
    2523,   421,  1845,  1846,  2773,  1901,  4639,   421,  4640, -2977,
    4644,  1848,  4645,  1964,  1877,  1889,  2441,  2442,  2443,  2444,
    2445,  2446,  1259,  1259,  1259,  1878,  4829,  1259,  4830,  1896,
    5054,  2774,  1180,  2880, -1625,  1259,  1259,  1259,  1259,  3176,
    1880,  1931,  3177,   423,  4654,   862,  3409,  1955,  1259,   423,
    4677,  1259,  3093,  1259,  2775, -2974,  2776,  1902,  1960, -1835,
   -1835, -1835, -1835,  1965,  1259,  1259, -1835,  1966,  1259,  4886,
    1958,  3093,   869,  4946,  1967,  2348,  2773,  1968,  4484,  4964,
    1379,  2523,  1259,  1961,  1259,  1380,  1259,   379,  1381,  1990,
    1994,  2770,  2772,   216,  1382,  4990,  1774,  3126,  1995,  1795,
    1775,  1844,  1969,  2774,  1996,   216,  1259,  5002,  2004,  2523,
    3961, -1838, -1838, -1838, -1838,  2002,  3968,  1259, -1838,  1259,
    1259,  1259,  5065,  2012,  3409,  3933,  2775,   224,  2776,  2009,
    2047,  5669,  5188,  5071,  1970,  5072,  5077,  2048,  3093,   224,
     718,  2073,  3178,  2418,  1259,  2063,  2419, -1836, -1836, -1836,
   -1836,  1903,  2074,  5078, -1836,  3093,  1259,  2077,  5211,  1251,
    5212,  4896,  5261,  2770,  5262,  2084,  5263,   235,  2523,  2083,
    1271,  1259,  5271,  2082,  3126,  2425,  5346,  2091,  5347,   235,
     238,  5430, -2977,  3093,  5467,  1259,  5468,  3934,  5485,  5493,
    3126,  5494,   238,  1971,  5503,  1972,  2277,  3490,  5509,  4072,
    4387,  2089,  2092,   250,  1904,  1973,  2427,  5511,  5524,  4387,
    5525,  5574,  3198,  5575,  1974,   250,  5614,   251,  2481,  2097,
    2772,  5264,  5643,  4072,  5525,  1975,   375,  1499,  2102,   251,
    1499,  2094,  1499,  1377,  5657,  2101,  3126,  1499,  2013,  2108,
    2773,  1905,  5658,  2109,  3966,   209,  2112,  1633,  2183,  3179,
    3928,  2115,   718,   718,  3929,  3930,  3931,  2014,  1259,  5659,
    2118,  2523,  1976,  2121,  2123,  1977,  1978,  2774,  2129,  2132,
    4859,  4860,  1906,  3988,   862,  5670,  5676,  5671,  2277,   718,
    2134,  2772,   718,  5679,  2125,  4387,  1499,  2143,  2144,   375,
    2775,  2148,  2776,  1979,  2149,  -192,  1448,   990,  5703,  5709,
    3126,  3126,  1907,  1499,  1908,  2151,  2015,  4714,  5710,  1844,
    3126,  5713,   863,  5714,  2676, -2977,  2154,  4940,  4941,  4942,
   -2977,   421,   421,   421,  5715,  3565,  5716,  2770,  1499,  5741,
    2152,  5742,  4077,  4077,  5788,  5792,  5789,  2277,  5793,    80,
    2523,  5794,  5796,  2523,  2523,  5815,  2156,  5816,  5052,  5839,
    2157,  5840,  1909,  5863,  2172,  4387, -2977,  1980,  5875,  5900,
    5517,  5525,  3241,   423,   423,   423,  2181,  2185,  2773,  4715,
    2179,   869,  3935,  3936,  3937,   898,  3938,  3939,  3940,  3941,
    3942,  3943,  2772,  2772,  2190,  2198,  4254,   718,  2204,  4024,
    2016,  5938,  5940,  5714,  5941,  2774,  4024,  1499,  1606,  1499,
    4319,  4024,  4026,  2434,  4024,  2206,  5955,   718,  5789,  4026,
    5962,  1801,  5941,  1803,  4026,  2207,  2205,  4026,  2775,  2214,
    2776,   718,  2211,  5022,  4759,  5025,  2215,  2217,  2231,  2773,
    2233,  2241,  1626,   863,  4499,  2242,  4024,  2245,  2017,  2772,
    2246,  2018,  1741,  2253,  2257,  3933,  1753,  1448,  1755,  4026,
    4024,  2258,  2828,  2260,  4716,  2770,  2774,  2265,  2266,  2268,
    2273,  2276,  2279,  4026,  2291,  2280,  2325,  2356,  4528,  2361,
    2370,  2371,  2377,  2378,  2380,  2363,  2364,  2379,  2453,  2775,
    1499,  2776,  4564,  2020,  2455,  2381,   251,  4262,  4294, -2977,
    2383,  2384,  2385,  4435,  2386,  2387,   421,   375,  2388,  2390,
     718,  5911,  2391,  3198,  2392,  2393,  5914,  3934,  1499,  2394,
    2395,  2396,  2397,  4570,  2399,  2400,  2770,  2401,  2485,   967,
    1598,  2402,  5050,  2403,  2404,  2405,  2022,  2451,  3198,  2406,
    2773,  2773,  4314,  1499,  2497,   717,   717,  2456,   423,  1499,
    1875,  2481,   421,  4394,  4699,   718,  2023,   718,  1579,  2507,
    2526,  2518,  1805,  2557,  4407,  2559,  1807,  2774,  2774,  2571,
     718,  2568,   718,  2578,  1210,  2586,  2025,  2593,  4717,  2595,
    4367,  4718,  2597,   862,  2605,  2606,  2608,  2613,  4434,  1173,
    2775,  2775,  2776,  2776,   423, -2977,  2829,  2773,  2615,   869,
   -2920,  2617,  2441,  2442,  2443,  2444,  2445,  2446,  1173,  2621,
    2619,  2620,  2637,  2638,  2639,  2926,  4024,  2640,  1499,  2642,
    2643,  2645,  5094,  1298,  2774,  2644,  2647,  2770,  2770,  4026,
    2646,  5173,  2648,  2654,  2673,   718,  1499,  4572,  4573,  4574,
    4575,  2679,  2685,  2708,  2712,  2714,  2715,  2775,  2716,  2776,
    2717,  1499,  2719,  5139,  5140,  2720,  5142,  2736,  2735,  2737,
    4943,  3621,  2748,  2749,   978,  2760,  2766,  2769,  2764,  5578,
    2767,  2768,   863,  2770,  2778,  2779,  2780,  2781,  2782,  2770,
    4024,   718,  2787,  2791,  2770,  2788,  1117,  2797,  2798,  2803,
    2815,  2822,  1974,  4026,  2799,  2825,  2837,  2840,  5133,   718,
    5396,  2800,  3935,  3936,  3937,  2846,  3938,  3939,  3940,  3941,
    3942,  3943,  1844,  2844,  2847,  5568,    74,  5570,  1844,  2806,
    2863,   718,  2864,   869,   718,  2810,  2869,   869,  2811,  2823,
    2830,  5299,  2831,  2835,  2836,  2839,  2841,  2852,  5314,  2853,
    2865,  2891,  1259,  2875,  2879,  1499,  2870,  2893,  2894,  2896,
     869,  1259,  2895,  3198,  2900,  2909,  2901,  1259,  2910,  1259,
     421,  1117,  1259,  2902,  2912,  2908,  1499,  1259,  1259,  1259,
    1259,  3072,  2911,  1259,  1259,  1259,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  2915,  2772,  2921,  1259,  1259,  2913,  2922,
    5190,  1499,  2927,  2930,  2931,  2934,  1259,  2920,   936,   869,
    1259,   862,   423,  2939,  1259,  2945,  2948,  2959,  2031,  2963,
    2967,  2964,  1259,  2418,  2983,  1259,  2419,  1259,  2972,  1934,
   -2977, -2977, -2977,  4024,  2986,  1499,  1259,  2989,  2990,  1259,
    1259,  2999,  3003,  3005,  1259,  1259,  4026,  3007,  3008,  1633,
    3014,  1259,  3928,  3025,  3027,  2425,  3929,  3930,  3931,  1448,
    3019,  1259,  2426,  1935,  1259,  3028,  3032,  3043,    80,    80,
    3035,    80,  3033,  5719,  3036,  5725,  5727,  1259,  3045,  4534,
    3046,  3047,  3048,  1259,  1259,  1259,  2427,  1448,  3059,  3060,
    1067,  3088,  4024,  1936,  3089,  3123,  3104,   869,  3110,  4736,
    3136,  3166,  3171,  3215,  3221,  4026,  2419,  3225,  3234,  3240,
    1844,  3252,  1067,  5427,  3254,  3275,  3274,  3289,  5102,  3306,
    3307,  3309,  1937,  4024,  3312,  4929,  3314,  3316,  3317,  3318,
    3327,  1178,  1259,  2352,  3340,   862,  4026,  3198,  3341,   862,
    3328,  1193,  2773,  4770,  3342,  3364,  3343,  3381,  1259,  3357,
    2471,  3378,  3380,  3398,  3399,  3401,  1938,  1448,  3427,  3430,
    3432,  3441,   862,  3434,  1499,  3446,  3435,  3451,  3452,  2774,
    3456,  3454,  3458,  3466,  3475,  3478,  1259,  3462,  3474,  3491,
    3492,   863,  3497,  1756,  1760,  5492,  5334,  3513,  3508,  3514,
    3527,  1939,  2775,  3532,  2776,  2428,  3533,  3559,  3560,  3554,
    2429,  3597,  3569,  3653,  3672,  3562,  3577,   718,  3673,  3665,
    3676,   862,  3680,  3685,  5817,   421,  3686,  3687,  3691,  3696,
     421,  3698,   421,  3702,  3705,  1940,  3711,  3723,  3724,  2770,
    3738,  2415,  4024,  3740,  5357,  1251,  2432,  3742,  1251,  3753,
    2417,  5352,  3744,  3762,   421,  4026,  3770, -2977,  3771,  3756,
    3773,  5864,  3774,  3765,  2460,  1941,  1942,   423,  3775,  3772,
    4974,   421,   423,  1499,   423,  3778,  3784,  3786,  3787,  3790,
    3805,  3791,  3808,  3809,  3810,  3804,  3811,  1298,  3813,  1271,
    1271,  3816,  3818,  2434,  2589,  1448,   423,  1499,  2491,  2493,
    3819,  3820,  1943,  1448,  1448,  5356,   209,  3821,  5358,   862,
    1944,  3822,  3840,   423,  3842,  3830,  3843,  1945,  3847,  3934,
    3831,  3854,  5719,  3855,  4072,  1946,  3856,  3865,   718,  2277,
    2274,   718,  3857,  1947,  2243,  1298,  3137,  3869,  3867,  3552,
    3876,  4731,  3868,  3198,  3884,  1948,  3879,  5398,  3198,  5732,
    3886,  3890,  1595,  1949,  3891,  3893,  3894,  3896,  3910,  2411,
    3913,  1633,  3911,  3576,  3928, -2095,  2523,  3924,  3929,  3930,
    3931,  5502,  3912,  3917,  3974,  4024,  3918,  3962,  3920,  2436,
    3621,  1271,  5502,  3923,  3979,  4992,    35,   717,  4026,  3946,
    3952,  3959,   869,  1259,    41,    42,  3973,  3987,   869,  3996,
    4029,  3997,  4906,  2411,  4001,  4080,  3999,  2418,  1950,   863,
    2419, -1690,  4082,  4079,  4086,  3732,  4084,  4093,   718,   718,
    3241,  4105,  1499,  4000,  4003,  4116,  4074,  4121,   718,  4034,
    4132,  4100,  4124,  4123,  4104,  1259,  3998,  4106,  4109,  2425,
    4135,  4144,  1844,  4137,  4159,  4160, -2977,   718,  4024,  4172,
    2285,  4128,  4017,  4110,   422,  4129,  4170,  4434,  4176,   421,
    4177,  4026,  1934,  4178,  5572,  4179,  1844,  1447,  4193,  4194,
    2427,  1499,  1259,  1259,  3588,  2437,  4196,  4204, -2977, -2977,
   -2977,  4202,  2441,  2442,  2443,  2444,  2445,  2446,  4203,  4212,
     375,  4222,  4239,  4241,  4243,  4245,  1935,  4246,  4249,  2348,
    4251,   423,  4263,  4252,  3935,  3936,  3937,  4267,  3938,  3939,
    3940,  3941,  3942,  3943,  4268,  4269,  4272,  4253,  4265,  4266,
    4017,  4270,  4271,  4284,  1172,  4319,   718,  3589,  4275,  4273,
    4274,  4280,  4277,   863,  4286,  5067,  4276,   863,  4279,  4278,
    4281,  4288,  5697,  4290,  2591,  2592,  2861,  1259,  4299,  4291,
    4312,  4358,  4293,  4303,  4304,  1937,  4306,  4364,  1259,  3933,
     863,  4326,  4368,  4357,  4370,  4372,  4375,  4387,  4389,  4386,
    2833,  4398,  4401,  4402,  4405,  4395,  2838,  3733,  4406, -2977,
    4410,  4409,  3590,  4422, -2977,  4432,  4441,  4451,  1259,  1938,
    4461,  5677,  4443,  4453,   862,  4460,  4470,  4462,  1259,  1259,
     862,  1499,  4463,  4473,  4472,  1259,  1259,  4474,  4465,   863,
    1259,  1499,  4481,  4491,  4482,  1259,  5196,  3949,  1259,  1259,
   -2977,  3934,  4483,  1259,  1939,  5105,  4485,  4486,  4487,  1259,
    3928, -2094,  2372,  3948,  4541,  5053,  5055,  4525,  4500,  4526,
    4527,  1259,  4552,  4533,  4553,  1179,  4556,  4565,  4582,  1259,
    4571,  4621,  4583,  1259,  4611,  4606,  5694,  4591,  1940,  4623,
    4624,  1447,  4633,  4608,  4636,  4626,  1259,  2434,  4625,  4642,
    4629,  1259,  4650,  4628,  4638,  4657,  4664,  1259,  4685,  3591,
    4687,  4688,  4693,  4700,  4701,  4702,  4705,  4723,  4703,  1942,
    4707,  2960,  1844,  4709,  1259,  2965,  4726,   863,  4738,  4739,
    4740,  4741,  4751,  4752,  4753,  4754,  4755,  4756,    81,  4765,
    4767,  4778,   869,   869,   869,  4768,  4779,  4787,  4784,  4802,
    4804,  3734,  4806,   421,  4714,  1259,  4809,  4844,  4817,   209,
    4816,  2728,  4819,  1944,  4820,  1251,  4823,  4847,  4856,  4870,
    1945,    35,  1271,  1499,  4876,  4833,  4862,  1298,  1946,    41,
      42,  4881,  4875, -2977,  3093,  2418,  2729,  4879,  2419,  4898,
     718,  4882,  2420,  2421,  2422,   423,  3735,  4903,  1948,  4904,
    4921,  4917,  4916,  4919,  4924,  4920,  1949,  4926,  4938,  2423,
    4922,  1499,  2424,  4944,  4948,  4927,  4950,  2425,  4956,  4961,
    4966,  4970,  4975,  3592,  2426,  4971,  4976,   718,  5580,  4979,
   -2096,  3593,  1499,  4983,  3594,  4977,  3935,  3936,  3937,   718,
    3938,  3939,  3940,  3941,  3942,  3943,  4978,  5011,  2427,  5018,
    5019,    80,  5026,  4998,    80,  1259,  5014,  5016,  5027,  5031,
    5032,  1950,  5034,  5035,  5037,  5051,   718,  5038,  5039,  5060,
    5064,  5066,  5073,  5068,  5074,  5082,  5100,  5101,  5104, -2977,
    5111,  5047,  5110,  5130,  5112,  5123,  2441,  2442,  2443,  2444,
    2445,  2446,  5126,  5132,  5143,  5164,  5135,  1499,  5151,  5136,
    5156,  5165,  5170,  5171,  5179,  5174,  5185,    79,  5180,  5186,
    5189,  5187,  5194,  5202,  5205,  5213,  5208,   869,  5808,  5215,
    5223,  1259,  5225,  5226,  5228,  5227,  5236,  5241,  5246,  5250,
    1447,  5251,  5257,  5258,  5265,  1259,  5260,  5267,  5268,  5269,
    5322,  5276,  5270,  5282,   862,   862,   862,  5285,  5296,  5292,
    5318,  5312,  3182,  5328,  5339,  5325,  5342,  2428,   718,  5343,
    5348,  5349,  2429,   869,  1259,  5354,  5397,  5378,  5360,   375,
    1844,  5399,  4843,  5405,  5407,  5409,  5412,  5416,  5433,  5442,
     375,  5361,  5440,  2430,  2431,  5365,  5370,  5371,  5855,  5856,
    5410,  5413,  5445,  5415,    74,  5448,  5450,  5457,  2432,  5458,
    5469,  5471,  5473,  5479,   375,  1499,  5472,  1499,  5488,  5491,
    5495,  5501,   863,  5512,  5517,  1067,  5505,  1067,   863,  1067,
    5522,  5508,  5542,  5540,  5543,  1067,  1577,  1578,  5513,  5549,
    5515,  2433,  5487,  5521,  5595,  5609,  5533,  5602,   718,  5597,
    5555,  5607,  5606,  5616,  1633,  2434,  5620,  3928,  2435,  1067,
    1067,  3929,  3930,  3931,  1259,  5626,  5627,  5634,  1499,  3311,
    5638,  5639,  5319,  1259,  5640,  5647,  5648,  1633,  4993,  5655,
    3928,  5650,  5668,  2413,  3929,  3930,  3931,  5649,  5660,  5684,
    1259,  1259,  5661,  5681,  1259,  5685,  5689,  5702,  5690,  5706,
    5724,  5692,  5730,  5731,  5672,  5740,  5735,  5737,  5744,  1259,
    5747,  5748,  5753,  5783,  5765,  5766,  1259,  5773,  5774,  5809,
    5811,  1259,  5733,  5818,  1259,  1259,  5827,  5767,  5828,   862,
    5804,  5785,  1259,  1259,  5873,  5734,  5858,  5866,  5886,  5909,
    5919,  2436,  5912,  5933,  4566,  5802,  5934,  5826,  2418,  5939,
    5883,  2419,  5892,  5915,  5936,  1173,  1259,  5907,  1259,  5908,
    5946,  5953,  5956,  5947,   718,  5957,   718,  5954,  5958,  1191,
    1259,  2876,  3747,  3626,  4064,   862,   717,  2504,  4187,  4729,
    2425,   869,  5960,  5961,  3558,  4722,  1067, -2977,  5918,  5812,
    3664,  2045,  1875,  4311,    80,  4826,    80,  5589,  2044,  5718,
    2411,  5884,  4858,  5449,  5426,  1867,  5169,  4126,  1499,   718,
    3853,  2427,   421,  5805,  5880,  5332,  4579,  5738,  1259,  4584,
    5736,  5825,  5897,  4131,  4907,  4887,  5431,  1251,  5700,  4851,
    1959,  3721,  3722,  1271,  1448,  2418,  4727,  2437,  2419,  4206,
    2438,  2439,  2440,  4374,  2441,  2442,  2443,  2444,  2445,  2446,
    4874,  5191,  3933,  1067,   423,  5432,  5885,  3712,  4382,  5959,
    1259,  5436,  5462,  5951,  5411,  4329,  4313,  2425,  2033,  5830,
    5359,  5662,  2938,  5551, -2977,  3933,  5708,  5362,  4557,  1087,
    4945,  5528,  2345,  2358,  3404,  4913,  2120,  3015,  5678,  4117,
    5645,  3130,  3049,  5680,  4757,  5682,   715,  4287,  2427,  3131,
    4378,  1449,  3132,  1755,  4777,  1524,  5849,  5945,  1770,  2653,
    3322,  5317,  3078,  5453,  3934,  4891,  3323,  5321,  5056,  5799,
   -2977,  5383,  4646,  2292,  3849, -2977,  1259,  2524,  1499,  2466,
    4070,  2554,  3356,  2553,  4081,  3337,  4622,  3934,  5795,  5042,
    5683,  3355,   863,   863,   863,  4586,  5009,  5507,  5024,  4580,
    5667,  4647,  5666,  4581,  2558,  1259,  1499,  5948,  1259,  5865,
    1259, -2977,  2563,  5913,  5786,  4560,  5486,  4535,  5797,  5315,
    5798,  5782,  3279,  1069,  3905,  3994,  4027,  1844,  4066,  3992,
    1259,  1224,  3288,   862,  4433,  3807,  1259,  3010,  5775,  3382,
    1259,  1194,  2570,  2577,  1546,  1069,  1499,  2192,  3389,  3373,
    1856,  1259,  1885,   421,  2353,  4059,  3386, -2977,  2434,  1857,
    4652,  3387, -2977,  5043,  4653,  1217,  4627,  2470,  3090,    83,
    3393,  2574,  5320,  3851,  2282,     0,   869,     0,  1584,     0,
       0,   869,     0,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4027,   423,     0,  3661, -2977,     0,
       0,     0,     0,  1499,     0,   869,     0,     0,  1499,  1499,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    3679,     0,   869,  3679,     0,  3679,     0,     0,     0,  3679,
       0,   718,  5629,     0,     0,     0,     0,     0,  3679,  3679,
    3679,     0,     0,     0, -2977,  2434,     0,     0,     0,  3935,
    3936,  3937,     0,  3938,  3939,  3940,  3941,  3942,  3943,     0,
    1259,     0,     0,    74,    74,     0,    74,   863,     0,     0,
       0,     0,  3935,  3936,  3937,     0,  3938,  3939,  3940,  3941,
    3942,  3943,  1067,  1259,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3757,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5686,
       0,     0,     0,   863,     0,     0,  1499,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5654,  3789,     0,
    4017, -2977,     0,     0,     0,     0,  1448,     0,     0,  1259,
   -2977,     0,  1259,     0,     0,  1259,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,  1259,     0,   375,     0,
       0,  1259,  3828,  1259,     0,  1259,     0,     0,     0,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,   862,     0,
       0,   421,     0,   862,     0,   862,     0,  1844,  1844,  1448,
       0,  1259,     0,     0,     0,     0,     0,     0,     0,     0,
    1844,     0,     0,     0,     0,     0,     0,   862,     0,     0,
       0,     0,     0,   375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   423,   862,   718,     0, -2977,     0,     0,
       0,     0,     0,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    2418,     0,     0,  2419,     0,     0,     0,     0,     0,  5906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2425,     0,  1259,     0,     0,     0,   421, -2977,
       0,     0,  1259,  1067,     0,     0,     0,     0,  1067,  1067,
    5383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2427,     0,     0,     0,     0,     0,     0,
       0,  1259,  1259,     0,     0,     0,     0,     0,     0,  1259,
     423,   863,     0,  1499,     0,     0,     0,     0,     0,  1259,
       0,     0,     0,     0,     0,  5831,     0,     0,   718,     0,
       0,     0,     0,     0,  4017,  5851,     0,     0,  4017,     0,
    5852,  1259,   379,  5853,     0,     0,     0,     0,     0,  5854,
       0,  2587,     0,  1577,  1578,     0,     0,     0,     0,   383,
    4561,     0,     0,     0,     0,   383,     0,     0,     0,     0,
     712,     0,  2602,     0,     0,     0,     0,  5787,     0,  2609,
    2611,   375,   375,     0,     0,     0,     0,     0,     0,     0,
       0,  1259,     0,     0,     0,     0,  1259,   383,     0,     0,
       0,     0, -2977,     0,     0,  1259,     0, -2977,     0,     0,
    5851,  1259,  1259,     0,  1259,  5852,     0,   379,  5853,     0,
       0,     0,     0,  1259,  5854,     0,     0,     0,     0,  5872,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
    1259,     0,   383, -2977,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,   718,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
       0,     0,  2418,     0,     0,  2419,     0,     0,  1259,  2420,
    2421,  2422,     0,     0,     0,     0,     0,     0,   421,     0,
    2434,     0,     0,     0,     0,  5851,  2423,     0,     0,     0,
    5852,     0,   379,  5853,  2425,  1259,     0,     0,  5872,  5854,
    1259,  2426,     0,   383,     0,     0,     0,     0,     0,     0,
       0,  1844,     0,  1844,     0,     0,     0,     0,  1067,     0,
     423,  1067,  1067,     0,     0,  2427,     0,   421,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1259,     0,     0,
       0,     0,   421,  1259,     0,     0,   863,     0,     0,     0,
       0,   863,     0,   863,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0, -2977,  1259,     0,   423,
       0,     0,     0,     0,     0,   863,     0,     0,     0,     0,
       0,     0,     0,     0,   423,  1259,  1259,  5924,     0,     0,
       0,     0,   863,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4027,     0,     0,  4027,  2428,     0,  5924,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4211,  5924,     0,     0,     0,   708,   862,     0,     0,     0,
    2430,  2431, -2977,     0,   383,     0,     0,     0,     0,  2441,
    2442,  2443,  2444,  2445,  2446,  2432,     0,     0,     0,     0,
    1844,  2418,     0,     0,  2419,     0,     0,     0,     0,  5925,
       0,     0,     0,     0,  3009,     0,     0,     0,     0,   383,
    4248,     0,     0,     0,     0,     0,     0,     0,  2433,     0,
       0,     0,     0,  2425,     0,     0,     0,     0,     0,  3021,
   -2977,     0,  2434,     0,     0,  2435,     0,     0,     0,  3029,
       0,  3030,     0,     0,     0,     0,     0,  3034,  5925,     0,
       0,  3037,     0,     0,  2427,  4027,     0,     0,     0,     0,
       0,  4017,     0,  5925,     0,     0,  4017,     0,     0,  4017,
       0,     0,     0,  4285,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    74,     0,  1069,    74,
    1069,     0,  1069,  2418,  3679,     0,  2419,     0,  1069,     0,
    2420,  2421,  2422,     0,     0,     0,  4310,     0,  2436,     0,
       0,  4996,     0,     0,  4324,     0,     0,  2423,     0,     0,
    4324,     0,  1069,  1069,     0,  2425,  1448,     0,  1448,     0,
       0,     0,  2426,  2418,     0,  1482,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2977,     0,     0,  2427,  2423, -2977,  1482,
       0,     0,     0,     0,     0,  2425,     0,     0,     0,     0,
       0,     0,  2426,     0,  4385,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3172,  3173,     0,     0,     0,     0,
       0,  3187,  3188,     0, -2977,     0,  2427,     0,     0,     0,
       0,     0,     0,   869,  2437,  4417,  1448,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
    3226,     0,   375,  3919,     0,     0,     0,     0,     0,     0,
    2418,     0,     0,  2419,  3828,     0,     0,  2420,  2421,  2422,
       0,  2434,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,  2423,     0,     0,     0,   375,     0,
       0,     0,  2425,   715,   715,  2428,     0,     0,  1872,  2426,
    2429,     0,     0,     0,     0,     0,  2602,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2430,  2431,  2427,  4027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2428,  2432,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,  4017,     0, -2977,     0,     0,
       0,  2430,  2431,     0,     0,     0,  2411,     0,     0,  2433,
       0,     0,     0,     0,   863,     0,  2432,     0,     0,  3345,
    3345,     0,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2433,
       0,     0,  4545,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,   869,     0,  2435,  1067,     0,     0,
       0,     0,  2428,     0,     0,   862,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1867,     0,    74,
       0,    74,     0, -2977,     0,     0,     0,     0,  2430,  2431,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,  2436,
       0,     0,     0,  2432,     0,   383,     0,     0,     0,   383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,  1272,   712,     0,     0,     0,     0,  4017,     0,
       0,   712,     0,     0,     0,     0,  2433,     0,   375,  2436,
       0,     0,     0,     0,   712,     0,  2096,     0,     0,     0,
    2434,     0,     0,  2435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4027,  2111,
       0,     0,  4027,   712,     0,     0,     0,     0,     0,   712,
       0,     0,     0,     0,  2122,     0,     0,     0,     0,     0,
       0,     0,   712,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,     0,     0,  3969,   375,     0,     0,   712,     0,
    3140,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1272,   712,  2437,  2436,     0,  2438,  2439,
    2440,   712,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  3224,     0,   712,  1069,   862,  2687,     0,     0,
       0,     0,  2688,     0,     0,     0,     0,     0,  3141,     0,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,   869,     0,  4324,     0,     0,     0,  1067,     0,
       0,  1067,     0,     0,     0,     0,  2689,     0,     0,     0,
    3142,     0,     0,     0,     0,     0,     0,     0,  4764,  2690,
       0,     0,     0,     0,     0,  4771,     0,     0,  4772,     0,
    4773,     0,     0,  3143,  2691,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,  3144,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,  4325,
       0,     0,     0,     0,  3145,     0,     0,     0,     0,  3146,
    4812,     0,     0,     0,     0,  2692,     0,     0,  3679,   712,
       0,     0,  3679,  3679,     0,  3679,  2693,     0,     0,   869,
    4310,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     383,     0,     0,     0,     0,     0,  2694,     0,     0,     0,
       0,  2695,     0,     0,     0,  2354,     0,     0,  3147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1275,     0,
       0,     0,     0,     0,  5176,     0,  1306,     0,  1962,  3148,
       0,     0,     0,     0,  1963,     0,     0,     0,     0,  1326,
       0,   375,     0,     0,     0,     0,     0,  2049,     0,     0,
       0,     0,     0,   863,     0,     0,  1069,   712,   712,     0,
       0,  1069,  1069,     0,     0,   375,     0,     0,   708,     0,
       0,  2696,     0,     0,   708,  1964,     0,     0,  4910,     0,
       0,     0,     0,     0,   862,     0,     0,   708,     0,     0,
       0,     0,     0,     0,     0,   898,  3823,  3826,  3149,     0,
       0,     0,     0,     0,     0,  2697,     0,     0,     0,     0,
       0,     0,     0,  3828,  3828,  3828,  3828,  3828,     0,     0,
       0,     0,     0,     0,  3150,     0,     0,  2050,     0,  1966,
       0,  3151,     0,     0,     0,     0,  1967,   898,  3152,  1968,
    5905,     0,     0,     0,     0,   715,     0,     0,     0,     0,
    4953,  4953,  4953,     0,  4953,  4953,  4953,     0,     0,     0,
       0,     0,     0,     0,  1969,     0,  3153,     0,  1067,     0,
       0,  3154,     0,  2698,  3155,     0,     0,     0,     0,     0,
    2699,   862,  2418,  2700,  1272,  2419,     0,     0,  4027,  2420,
    2421,  2422,  3156,     0,     0,  4027,  1970,     0,     0,   869,
    4027,     0,     0,  4027,  5294,     0,  2423,     0,     0,  1962,
       0,     0,     0,  2701,  2425,  1963,     0,  3157,     0,     0,
    2702,  2426,     0,     0,     0,   375,     0,  2703,     0,     0,
       0,     0,  1069,     0,  2704,  4027,     0,     0,     0,     0,
       0,     0,  1069,     0,   863,  2427,     0,     0,   869,  4027,
       0,     0,     0,     0,     0,  1971,  1964,  1972,     0,  2705,
       0,     0,     0,   869,     0,     0,     0,  1973,     0,     0,
       0,     0,     0,     0,     0,     0,  1974,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1975,     0,     0,
    5041,     0,     0,  5048,  5049,     0,     0,  1271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1966,  1069,     0,     0,  1069,  1069,     0,  1967,     0,    80,
    1968,     0,     0,     0,  2051,     0,     0,  1977,  1978,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1271,
       0,     0,     0,     0,     0,  1969,     0,   712,     0,     0,
       0,     0,   708,   708,  2428,  2052,     0,     0,  3796,  2429,
       0,   712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2602,     0,     0,  4062,     0,  1067,  1970,  1934,     0,
    2430,  2431,     0,     0,     0,     0,     0,  2790,     0,   712,
       0,     0,     0,     0,     0,  2432,     0,     0,  1069,  4076,
    4076,   862,   382,     0,     0,  4027,     0,     0,   382,     0,
       0,     0,  1935,   711,     0,     0,     0,     0,     0,  1980,
       0,     0,     0,     0,     0,   712,     0,     0,  2433,     0,
       0,     0,     0,     0,     0,     0,  1971,     0,  1972,     0,
     382,   712,  2434,     0,     0,  2435,     0,     0,  1973,     0,
     862,     0,     0,     0,     0,     0,   712,  1974,     0,   712,
       0,     0,     0,     0,     0,   862,     0,     0,  1975,  4027,
       0,  1937,   863,     0,     0,     0,  5146,  5147,     0,     0,
       0,     0,     0,     0,     0,   382,  3679,     0,  3679,  3679,
       0,  2892,  3679,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1938,  2907,     0,  1977,  1978,
       0,     0,     0,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,     0,     0,  2929,  2436,     0,
       0,     0,     0,  1113,     0,  3797,  1979,  2423,     0,     0,
    1939,  1113,     0,  1113,     0,  2425,     0,     0,     0,     0,
       0,  5204,  2426,     0,     0,     0,   382,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,   863,
       0,     0,     0,     0,  1940,     0,  2427,     0,     0,     0,
       0,     0,  3006,  2423,     0,  5229,     0,   712,     0,  5608,
       0,  2425,     0,     0,     0,   712,   712,     0,  2426,     0,
    1980,     0,  3017,     0,     0,  1942,   383,     0,     0,     0,
       0,     0,  4027,     0,  1482,     0,     0,     0,     0,     0,
       0,     0,  2427,     0,  2437,  4953,  3031,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,  4493,     0,     0,     0,   209,     0,     0,     0,  3798,
       0,     0,     0,     0,     0,     0,  1945,     0,   383,   383,
     383,     0,  3055,  1482,  1946,     0,     0,     0,     0,     0,
       0,  4027,  2729,     0,     0,     0,     0,     0,     0,   712,
       0,     0,     0,     0,  1948,  2428,     0,     0,     0,     0,
    2429,     0,  1949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4027,     0,     0,     0,     0,     0,     0,   383,
       0,  2430,  2431,  3799,     0,     0,   383,   382,     0,     0,
       0,     0,     0,     0,     0,     0,  2432,   383,     0,     0,
       0,  2428,     0,     0,     0,     0,  2429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,  3800,   382,     0,     0,     0,     0,  2430,  2431,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,  2432,  2434,     0,  1067,  2435,     0,     0,  4324,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   863,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4363,
       0,     0,     0,     0,     0,  2433,     0,     0,     0,     0,
       0,  4027,     0,     0,     0,     0,  3228,     0,     0,  2434,
    3679,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   863,     0,
       0,     0,     0,     0,     0,     0,  2203,     0,     0,     0,
       0,     0,     0,   863,     0,     0,     0,     0,     0,  2436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2230,     0,     0,     0,     0,     0,     0,
    1271,     0,  4438,     0,     0,     0,     0,     0,     0,  3826,
    1069,     0,     0,     0,   715,     0,  2244,     0,     0,     0,
       0,     0,     0,     0,   712,  2436,  2255,     0,     0,     0,
    1872,     0,  2259,     0,     0,     0,     0,     0,  2267,     0,
       0,     0,     0,     0,  2275,     0,     0,  2278,     0,     0,
    5834,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4027,     0,     0,     0,     0,     0,
    1271,  1271,  1069,     0,     0,  2437,   383,  1067,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  4544,     0,   708,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,     0,     0,  2418,   712,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,     0,
     712,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,  4027,  4666,  2425,
       0,     0,     0,     0,     0,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5565,
    5565,     0,     0,     0,     0,     0,  2418,     0,     0,  2419,
    2427,     0,  1448,  2420,  2421,  2422,  5582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5590,     0,     0,     0,
    2423,     0,     0,  1272,  1272,     0,   712,   712,  2425,     0,
       0,     0,     0,     0,     0,  2426,     0,     0,   712,  3461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   712,
     712,  3476,     0,     0,     0,     0,     0,     0,     0,  2427,
       0,     0,     0,  1069,     0,     0,  5950,     0,     0,     0,
       0,  1069,     0,     0,  1069,   712,     0,     0,     0,     0,
    2418,     0,     0,  2419,  1271,  1271,     0,  2420,  2421,  2422,
       0,  3509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2423,     0,     0,     0,     0,  2428,
       0,     0,  2425,     0,  2429,  1272,  4649,     0,     0,  2426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,  2431,     0,     0,     0,
       0,     0,     0,  2427,     0,     0,     0,     0,   382,  2874,
    2432,     0,   382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,  2428,     0,
       0,     0,     0,  2429,   711,     0,     0,     0,     0,     0,
       0,     0,     0,  2433,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,  2430,  2431,  1448,  2434,     0,     0,
    5722,     0,  5723,     0,     0,   383,  5728,  5729,     0,  2432,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,     0,   711,     0,     0,  2949,     0,     0,     0,  1067,
       0,     0,     0,  2966,     0,   711,     0,     0,     0,     0,
       0,     0,  2433,     0,     0,  2874,     0,     0,     0,     0,
       0,     0,  2428,  1067,     0,     0,  2434,  2429,     0,  1067,
       0,   711,     0,     0,     0,     0,     0,     0,  3707,     0,
       0,     0,     0,     0,     0,     0,     0,   711,  2430,  2431,
       0,     0,     0,  2436,   711,     0,     0,     0,     0,     0,
       0,     0,     0,  2432,     0,     0,     0,   711,     0,   383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,  3042,     0,     0,     0,  2433,     0,     0,     0,
       0,  1577,  1578,  5565,     0,  5565,     0,     0,     0,     0,
    2434,     0,  2436,  2435,     0,  2874,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,   383,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1113,     0,   711,     0,  1113,     0,     0,     0,   712,     0,
       0,     0,     0,   383,   712,     0,  2436,     0,   712,     0,
       0,     0,     0,   382,     0,  1448,   712,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,   712,     0,     0,     0,  3826,  3826,
    3826,  3826,  3826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3877,     0,     0,  1272,     0,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3889,     0,     0,     0,     0,     0,     0,     0,   712,     0,
     711,   711,  5565,  3895,     0,     0,     0,     0,     0,     0,
       0,  5926,     0,     0,     0,     0,   712,   712,     0,     0,
       0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,  4962,
       0,     0,     0,     0,     0,     0,     0,   383,   712,     0,
       0,   383,     0,     0,     0,     0,     0,     0,     0,  1069,
    5926,     0,     0,     0,     0,     0,     0,    85,     0,     0,
       0,     0,   712,    89,   383,  5926,     0,    93,     0,    94,
     712,    96,    97,     0,     0,     0,     0,   712,  1113,  1113,
    3044,   712,   106,     0,     0,     0,     0,     0,  3051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   118,   119,
       0,   712,     0,     0,  3061,     0,   712,     0,     0,     0,
     712,     0,     0,   383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   712,     0,     0,     0,     0,  2602,     0,
       0,     0,     0,     0,     0,     0,   712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   712,     0,   127,     0,
       0,     0,     0,     0,    74,     0,     0,     0,   128,     0,
     129,   130,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1190,     0,     0,     0,
       0,     0,     0,     0,     0,  3395,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   710,   140,     0,   141,   142,
       0,   383,     0,  3411,     0,   145,     0,   146,     0,  3415,
       0,     0,     0,  3418,     0,     0,     0,  1067,   148,     0,
     149,  1067,   860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   152,     0,   153,     0,  3442,
     156,     0,     0,     0,     0,     0,  5120,  5121,     0,     0,
       0,  5124,  5125,     0,   157,     0,   158,     0,     0,     0,
     159,     0,     0,     0,     0,     0,   160,   860,     0,     0,
       0,     0,     0,     0,   162,     0,   164,     0,   712,     0,
     711,     0,   166,  3495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   711,  4142,     0,     0,   170,     0,
       0,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4153,     0,   174,  1112,     0,     0,     0,     0,
       0,     0,   711,  1112,     0,  1112,     0,     0,  1962,     0,
       0,   712,     0,  3543,  1963,     0,     0,     0,   860,     0,
       0,     0,     0,     0,     0,     0,     0,  2049,     0,  3319,
       0,     0,     0,   185,   186,     0,     0,  3572,   711,   187,
       0,     0,     0,     0,     0,  3583,     0,     0,     0,     0,
       0,   188,   708,     0,   711,  1964,  3598,     0,     0,     0,
       0,   712,     0,   193,     0,     0,     0,     0,     0,   711,
       0,     0,   711,     0,     0,     0,  3611,     0,     0,   712,
       0,  3613,     0,     0,     0,  3616,  4234,   712,  4236,     0,
       0,     0,     0,     0,     0,     0,     0,  1272,  3633,     0,
       0,     0,     0,     0,     0,   203,     0,  2050,     0,  1966,
       0,  3658,     0,     0,     0,     0,  1967,     0,   205,  1968,
       0,   708,  1069,     0,   206,   207,     0,   208,  1069,     0,
       0,     0,   209,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,  1969,   214,     0,     0,     0,     0,
       0,   215,   216,     0,     0,     0,     0,     0,     0,   217,
       0,     0,     0,   219,     0,     0,   383,     0,     0,  4283,
       0,     0,   383,   222,     0,     0,  1970,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,     0,     0,     0,
       0,     0,     0,     0,     0,  2418,     0,  4297,  2419,     0,
     711,     0,  2420,  2421,  2422,   230,     0,   231,   711,   711,
       0,     0,     0,     0,     0,   233,     0,     0,     0,   382,
       0,   234,     0,     0,     0,     0,   235,  2425,  5316,     0,
       0,     0,     0,     0,  2426,  1971,     0,  1972,     0,   238,
       0,     0,     0,     0,     0,     0,     0,  1973,     0,     0,
       0,     0,     0,     0,     0,     0,  1974,     0,  2427,     0,
       0,     0,   250,   712,     0,     0,  3796,  1975,     0,     0,
       0,   382,   382,   382,     0,     0,   251,     0,     0,     0,
    -145,     0,     0,     0,     0,     0,  1934,     0,     0,     0,
       0,     0,   711,     0,  1067,     0,     0,  3509,     0,     0,
       0,     0,     0,     0,  3623,     0,     0,  1977,  1978,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1935,     0,   382,     0,     0,  2418,     0,     0,  2419,   382,
    4436,     0,  2420,  2421,  2422,  3624,     0,     0,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,  2423,
    1113,     0,     0,     0,     0,     0,  3864,  2425,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,  2428,     0,     0,
       0,     0,  2429,     0,  3878,   712,   712,     0,     0,  1937,
       0,     0,  3864,     0,     0,     0,     0,     0,  2427,     0,
       0,  1113,     0, -2977, -2977,     0,     0,     0,     0,  1980,
       0,     0,   712,     0,     0,   712,     0,     0,  2432,     0,
       0,     0,  2418,  1938,     0,  2419,     0,     0,     0,  2420,
    2421,  2422,     0,     0,  4492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2423,     0,     0,     0,
       0, -2977,     0,  3797,  2425,  4501,     0,     0,  1939,     0,
       0,  2426,     0,     0,     0,  2434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4524,     0,     0,     0,     0,  2427,     0,     0,     0,     0,
       0,     0,  1940,     0,     0,     0,   383,   383,   383,     0,
       0,     0,     0,     0,     0,     0,     0,  2428,     0,     0,
       0,     0,  2429,     0,  2354,     0,     0,     0,     0,     0,
     712,     0,     0,  1942,     0,     0,     0,   711,     0,     0,
       0,     0,     0,  2430,  2431,     0,     0,  3812,     0,     0,
     712,     0,     0,     0,  3817,     0,     0,     0,  2432,     0,
       0,  2436,     0,     0,   712,     0,     0,     0,     0,     0,
       0,  3832,     0,   209,  1067,  1067,  1962,  1944,     0,     0,
       0,  3838,  1963,     0,  1945,  3839,     0,  1067,  3841,   382,
       0,  2433,  1946,     0,  3845,     0,  3846,     0,     0,  3848,
    2729,     0,  3796,     0,  2428,  2434,     0,     0,  2435,  2429,
       0,     0,  1948,   711,     0,     0,     0,     0,     0,     0,
    1949,   711,  1934,  1964,     0,     0,     0,     0,     0,     0,
    2430,  2431,     0,   711,     0,     0,     0,     0,     0,     0,
       0,  3799,     0,   712,     0,  2432,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,  1935,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    3887,     0,     0,  2783,     0,  1950,  1069,  1966,  2433,  3800,
     860,   383,  1069,  5652,  1967,     0,     0,  1968,   712,     0,
     712,  2436,  2434,     0,     0,  2435,     0,     0,   710,     0,
       0,     0,     0,   712,     0,   712,   710,     0,     0,   711,
     711,     0,  1969,     0,     0,  1937,     0,  4138,     0,   710,
       0,   711,  1962,     0,     0,     0,     0,   383,  1963,     0,
       0,     0,   711,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1970,     0,     0,     0,   710,  1938,
       0,     0,     0,     0,   710,     0,     0,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,   710,   712,  1964,
       0,     0,     0,     0,     0,     0,     0,     0,  2436,  3797,
       0,     0,     0,     0,  1939,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,   710,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,  1971,  4997,  1972,     0,     0,     0,   710,
       0,     0,     0,     0,   712,  1973,   710,     0,  1940,     0,
       0,     0,     0,  1966,  1974,  4217,     0,     0,     0,   710,
    1967,     0,   712,  1968,     0,  1975,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,  1942,
       0,     0,     0,     0,   712,     0,     0,   712,  1969,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2784,     0,  2437,  1977,  1978,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,   382,   209,
    1970,  5255,     0,  1944,     0,     0,     0,     0,     0,     0,
    1945,  4861,  1069,  2785,     0,     0,     0,     0,  1946,     0,
       0,     0,     0,     0,     0,     0,  2729,     0,  1067,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,  1948,     0,
       0,     0,     0,     0,     0,   383,  1949,     0,  4295,     0,
       0,     0,  1112,     0,   710,     0,  1112,     0,     0,  1971,
       0,  1972,     0,     0,     0,     0,     0,  3799,     0,     0,
       0,  1973,     0,     0,     0,     0,     0,  1980,     0,     0,
    1974,     0,  4136,     0,     0,     0,     0,     0,     0,     0,
       0,  1975,   382,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,  3800,  2945,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2078,     0,
       0,  1977,  1978,  2423,     0,     0,     0,     0,     0,     0,
       0,  2425,   710,   710,     0,     0,     0,     0,  2426,   382,
       0,   382,     0,     0,     0,     0,     0,     0,     0,  2079,
       0,     0,  4195,     0,  4197,     0,     0,     0,     0,     0,
       0,   711,  2427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,  1067,     0,     0,
    2354,     0,     0,     0,     0,     0,  5923,     0,     0,     0,
       0,   711,     0,     0,     0,     0,   382,   711,     0,  2874,
       0,   711,     0,  1980,     0,     0,     0,     0,     0,   711,
    1112,  1112,     0,     0,     0,     0,     0,  4466,     0,     0,
     712,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,  5923,     0,     0,     0,     0,
    1069,     0,  4480,     0,  1069,     0,     0,     0,     0,     0,
    5923,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2428,     0,     0,     0,     0,  2429,     0,     0,     0,
     383,   711,     0,  4282,     0,   383,     0,   383,     0,  4289,
       0,     0,     0,  1113,     0,     0,     0,  2430,  2431,   711,
     711,     0,     0,     0,     0,     0,     0,     0,     0,   383,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5086,     0,     0,     0,   383,     0,     0,     0,
     382,   711,     0,     0,   382,     0,     0,     0,     0,     0,
       0,   712,     0,     0,   712,  2433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,     0,   382,     0,  2434,
    5107,     0,  2435,   711,     0,     0,     0,     0,  1113,     0,
     711,     0,     0,     0,   711,     0,     0,     0,     0,     0,
       0,  5122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   711,     0,     0,     0,     0,   711,
       0,     0,  1962,   711,     0,     0,   382,     0,  1963,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,     0,     0,   711,
       0,   712,   712,     0,     0,     0,   710,     0,     0,   711,
       0,   712,     0,     0,     0,  2436,  5148,     0,     0,  1964,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,   710,  4450,     0,  4452,     0,  4454,
       0,     0,     0,     0,     0,     0,  4458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1260,  1262,     0,     0,
    1265,     0,     0,     0,   382,     0,     0,     0,     0,     0,
     710,     0,     0,  1966,     0,     0,     0,     0,  1312,     0,
    1967,     0,     0,  1968,   383,  1322,   710,  4479,     0,     0,
       0,     0,     0,     0,     0,  4695,     0,     0,     0,     0,
       0,   710,     0,     0,   710,     0,  1389,     0,  1969,   712,
    1392,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,  1416,     0,  5235,     0,  5266,     0,
       0,  1421,     0,     0,     0,     0,     0,     0,     0,     0,
    1970,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,     0,  2354,     0,     0,
       0,     0,     0,     0,     0,  2423,     0,     0,     0,  2418,
       0,     0,  2419,  2425,   711,     0,  2420,  2421,  2422,  1971,
    2426,  1972,     0,     0,     0,     0,  4792,     0,     0,  4795,
       0,  1973,     0,  2423,     0,     0,     0,  1069,     0,     0,
    1974,  2425,     0,     0,  2427,     0,     0,     0,  2426,     0,
       0,  1975,   710,     0,     0,     0,     0,     0,     0,     0,
     710,   710,     0,     0,   711,     0,     0,     0,     0,     0,
       0,   860,  2427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   711,     0,     0,     0,     0,     0,  2709,     0,
     711,  1977,  1978,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2710,
       0,     0,     0,   860,     0,     0,  4872,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   710,  2874,     0,     0,     0,     0,
       0,     0,  2418,  2428,     0,  2419,     0,     0,  2429,  2420,
    2421,  2422,     0,   712,     0,     0,     0,     0,   383,   382,
       0,     0,     0,     0,     0,   382,  2423,     0,     0,  2430,
    2431,  2428,     0,  1980,  2425,     0,  2429,     0,     0,     0,
       0,  2426,   860,     0,  2432,     0,     0,     0,     0,     0,
     712,     0,  1112,     0,     0,     0,     0,  2430,  2431,     0,
       0,     0,   712,     0,     0,  2427,     0,     0,     0,     0,
       0,     0,  2432,     0,  3864,     0,     0,  2433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,  2434,     0,  1112,  2435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,  2434,
       0,     0,  2435,     0,     0,     0,     0,     0,  1988,  1989,
       0,     0,     0,     0,     0,  2354,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1069,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2428,  4283,     0,  2436,     0,  2429,
       0,   712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2430,  2431,     0,     0,     0,  2436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,     0,  2113,   710,
       0,     0,     0,     0,     0,     0,     0,     0,   711,   711,
       0,     0,  2354,     0,     0,     0,     0,  2354,  2354,     0,
       0,     0,     0,     0,     0,     0,  2138,  2139,  2433,     0,
       0,     0,     0,     0,     0,   711,  5653,     0,   711,     0,
       0,   712,  2434,     0,     0,  2435,     0,     0,     0,     0,
       0,   860,  2180,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    5275,     0,     0,     0,     0,   710,     0,     0,     0,     0,
       0,  2437,     0,   710,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,   710,     0,     0,  5278,     0,
       0,     0,     0,     0,     0,     0,     0,  4937,     0,     0,
       0,  4939,     0,     0,     0,     0,     0,     0,     0,   382,
     382,   382,     0,     0,     0,  5117,  5646,     0,  2436,     0,
       0,     0,     0,     0,  2250,  2252,     0,  5127,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   712,     0,   712,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,   710,   710,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   710,   710,     0,     0,     0,     0,
       0,     0,   712,     0,     0,     0,     0,     0,     0,     0,
       0,  1272,     0,     0,     0,     0,     0,     0,     0,     0,
     710,     0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,  5330,     0,     0,     0,     0,     0,   383,     0,     0,
       0,     0,     0,  1272,     0,     0,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,     0,
       0,   711,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5791,     0,     0,  5085,  3864,     0,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     860,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5108,  5109,     0,     5,
       0,   711,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,   711,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,   383,    45,
    1069,     0,     0,     0,     0,   711,     0,     0,     0,     0,
    1962,     0,  3864,     0,  3864,     0,  1963,     0,     0,     0,
       0,     0,  5149,  5150,     0,     0,     0,   711,     0,     0,
     711,     0,     0,     0,   712,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,  1964,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2427,     0,
       0,     0,     0,     0,     0,   710,     0,     0,   382,     0,
       0,  1966,     0,     0,     0,     0,     0,     0,  1967,     0,
       0,  1968,     0,   710,     0,     0,     0,    47,   860,   710,
       0,     0,     0,   710,     0,     0,     0,     0,  5245,     0,
       0,   710,     0,     0,     0,    48,  1969,  5247,  5248,     0,
       0,     0,     0,     0,     0,     0,  2765,     0,     0,   710,
       0,  5252,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1970,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,  2428,     0,     0,
       0,     0,  2429,     0,     0,  1112,     0,     0,     0,     0,
       0,   710,   710,     0,     0,     0,   383,    51,   712,     0,
      52,     0,     0,  2430,  2431,     0,     0,  1971,     0,  1972,
       0,     0,  2856,  2857,  2858,  2859,    53,     0,  2432,  1973,
       0,     0,   860,   710,     0,     0,   860,     0,  1974,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1975,
       0,     0,     0,     0,     0,     0,     0,   710,     0,   860,
       0,  2433,     0,     0,     0,   710,  2898,  2899,     0,     0,
    1112,     0,   710,     0,     0,  2434,   710,     0,  2435,     0,
       0,     0,     0,   711,     0,     0,  3504,  2923,     0,  1977,
    1978,     0,     0,     0,     0,     0,   710,     0,     0,     0,
       0,   710,     0,   383,     0,   710,     0,     0,   860,     0,
      54,     0,     0,     0,     0,     0,     0,  1979,   710,     0,
       0,   712,  2968,  2969,  2970,  2971,     0,     0,     0,     0,
       0,   710,     0,   382,  1272,     0,     0,     0,   382,     0,
     382,   710,     0,     0,     0,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,    55,     0,     0,
       0,  2436,   382,     0,     0,     0,     0,     0,     0,  2423,
       0,     0,    56,     0,     0,     0,     0,  2425,     0,   382,
       0,  1980,     0,  2418,  2426,     0,  2419,    57,     0,     0,
    2420,  2421,  2422,     0,   711,     0,   860,   711,     0,     0,
       0,     0,     0,     0,  1272,  1272,     0,  2423,  2427,     0,
       0,     0,     0,     0,     0,  2425,     0,    58,     0,     0,
       0,     0,  2426,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1539,  3063,     0,     0,
       0,    71,  1540,  3067,     0,  5482,  2427,   712,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,   710,  5364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   711,   711,     0,     0,     0,     0,
       0,     0,     0,     0,   711,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,  2428,     0,     0,
       0,  5530,  2429,   383,     0,     0,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2430,  2431,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2428,     0,     0,  2432,     0,
    2429,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,  5573,   383,     0,     0,     0,   710,     0,     0,     0,
       0,  2430,  2431,   756,     0,     0,     0,   383,  1272,  1272,
    3238,  2433,   711,     0,   710,     0,  2432,     0,     0,     0,
       0,     0,   710,     0,     0,  2434,     0,     0,  2435,     0,
       0,     0,     0,     0,     0,     0,  3864,     0,     0,     0,
     756,     0,     0,     0,     0,     0,     0,     0,     0,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   756,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1078,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1962,     0,     0,  1080,     0,     0,  1963,     0,     0,
       0,   860,  1088,     0,     0,     0,     0,   860,     0,     4,
       0,  2436,     0,     0,     0,     0,     0,  1102,     0,  1078,
       0,     0,     0,  1125,     0,     0,     0,     0,     0,     5,
       0,     0,     0,  1157,     0,     0,     0,     0,  1964,     6,
       7,     0,  1162,     0,     8,     0,     9,    10,     0,  2436,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,  1966,     0,     0,     0,     0,     0,   710,  1967,
       0,     0,  1968,     0,     0,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,     0,  5404,     0,     0,  1969,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,  2437,   711,     0,  2438,  2439,
    2440,   382,  2441,  2442,  2443,  2444,  2445,  2446,     0,  1970,
       0,  2418,  5711,     0,  2419,     0,     0,     0,  2420,  2421,
    2422,     0,     0,  3459,  3460,     0,     0,     0,     0,     0,
       0,     0,  3471,   711,  3473,  2423,     0,     0,  3477,     0,
       0,     0,     0,  2425,     0,   711,     0,     0,     0,     0,
    2426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     710,   710,     0,     0,     0,     0,     0,    47,  1971,     0,
    1972,     0,   711,     0,  2427,     0,     0,     0,     0,     0,
    1973,     0,     0,     0,     0,    48,     0,   710,     0,  1974,
     710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1975,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,  3667,     0,     0,
    1977,  1978,     0,     0,     0,  1962,     0,     0,     0,     0,
       0,  1963,     0,     0,     0,  3605,     0,     0,  3608,     0,
       0,     0,  5877,     0,   711,     0,     0,    51,  3668,     0,
      52,   860,   860,   860,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,    53,     0,  2429,     0,
       0,     0,  1964,     0,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2430,
    2431,     0,     0,     0,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,  2432,     0,  3682,     0,     0,   710,
       0,     0,  1980,     0,  3689,  3690,     0,     0,     0,     0,
       0,  3692,     0,     0,   711,     0,  1966,     0,     0,     0,
       0,     0,     0,  1967,     0,  3708,  1968,  2433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,  2434,     0,     0,  2435,     0,     0,     0,     0,     0,
       0,  1969,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3754,     0,     0,     0,
       0,     0,     0,  2418,     0,     0,  2419,     0,   710,     0,
    2420,  2421,  2422,  1970,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,  3777,     0,     0,  2423,     0,     0,
       0,   756,    56,     0,     0,  2425,     0,     0,     0,     0,
       0,     0,  2426,     0,     0,     0,   860,    57,     0,     0,
       0,     0,     0,   710,     0,   710,     0,  2436,     0,     0,
     711,     0,   711,     0,     0,     0,  2427,     0,   710,     0,
     710,     0,  1971,     0,  1972,     0,     0,    58,  3834,     0,
    3836,     0,     0,     0,  1973,    59,     0,    60,    61,    62,
      63,    64,   860,  1974,    65,    66,    67,    68,     0,    69,
      70,    71,    72,    73,  1975,   711,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,  4164,     0,     0,  1977,  1978,     0,     0,     0,     0,
     382,     0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    5833,     0,  4165,     0,     0,  2428,     0,     0,     0,   710,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3897,     0,     0,     0,     0,   710,     0,     0,
       0,  2430,  2431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2432,     0,     0,   710,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1980,     0,     0,     0,
       0,  1255,  1261,  1261,   756,     0,  1261,     0,     0,  2433,
    1273,     0,  1157,     0,     0,  1300,     0,     0,     0,     0,
       0,     0,  1157,  2434,  1261,     0,  2435,  1157,     0,     0,
       0,  1261,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  1340,     0,     0,     0,     0,     0,  1157,     0,  1255,
       0,     0,  1261,     0,   756,     0,  1261,     0,     0,     0,
     860,     0,     0,  1300,     0,     0,     0,     0,  1412,     0,
    1261,     0,     0,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   382,     0,     0,     0,     0,     0,     0,     0,  2436,
       0,  1255,     0,     0,     0,     0,   756,     0,     0,     4,
       0,  1273,     0,     0,     0,  1300,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     5,
       0,     0,     0,     0,     0,  1261,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,  1157,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  1157,     0,
    1617,     0,  5896,     0,     0,  1962,     0,     0,     0,     0,
       0,  1963,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,  1728,
       0,     0,    46,   756,  1157,   710,     0,  4145,     0,  4146,
    4147,  4148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1964,  1157,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   860,     0,  1157,     0,     0,
     860,     0,   860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1966,    47,     0,   382,
       0,   711,     0,  1967,   860,     0,  1968,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,   860,     0,     0,     0,  2418,     0,     0,  2419,     0,
       0,  1969,  2420,  2421,  2422,     0,   710,    49,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,  1157,     0,
      50,     0,     0,  1970,  2426,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,  1261,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2427,     0,
       0,     0,     0,     0,     0,     0,   382,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   711,     0,    53,     0,     0,     0,
       0,     0,  1971,     0,  1972,     0,   710,   710,     0,     0,
       0,  1255,     0,     0,  1973,     0,   710,     0,     0,     0,
       0,     0,  1273,  1974,  4298,     0,  1300,     0,     0,     0,
       0,     0,     0,     0,  1975,   710,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,  1157,     0,     0,     0,
       0,  4219,  1261,  1261,  1977,  1978,     0,  2428,  2423,     0,
      54,     0,  2429,     0,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,  1157,  1157,  1157,     0,  1261,     0,
    1255,     0,  4220,  2430,  2431,  2189,     0,     0,     0,     0,
       0,     0,     0,     0,   710,     0,     0,  2427,  2432,     0,
     711,     0,     0,     0,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,  2433,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,  2434,  1980,     0,  2435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
    1261,  1261,     0,     0,     0,     0,     0,    58,     0,     0,
    4459,     0,     0,     0,     0,    59,   382,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1539,  2281,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,  2428,     0,     0,     0,
       0,  2429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   382,     0,     0,     0,     0,
       0,  2436,  2430,  2431,     0,     0,     0,  2328,  2328,     0,
     382,     0,  1157,     0,  1078,     0,     0,  2432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2362,     0,     0,  1157,     0,     0,  2368,     0,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,  2434,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2437,   710,     0,
    2438,  2439,  2440,   860,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,     0,  5916,  1728,  1728,  1728,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,   710,     0,     0,
    2436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   756,   756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   710,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  1728,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2423,  1728,     0,     0,     0,  1728,  1728,     0,  2425,     0,
       0,     0,     0,     0,     0,  2426,  1157,  1157,  2567,     0,
    1728,     0,  4689,  4690,  4691,  4692,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  2427,
       0,     0,     0,  5949,     0,   756,   710,     0,     0,     0,
       0,     0,  2418,     0,     0,  2419,     0,     0,     0,  2420,
    2421,  2422,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2423,     0,     0,     0,
    3329,     0,     0,     0,  2425,     0,     0,     0,     0,     0,
       0,  2426,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2427,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2718,     0,     0,     0,     0,     0,     0,  2428,     0,
       0,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
    1157,  2744,     0,     0,  3330,     0,     0,     0,     0,  1157,
       0,     0,  1261,     0,  2430,  2431,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,  1300,     0,  1157,     0,     0,     0,     0,
    4831,     0,     0,     0,     0,     0,  4834,     0,  1157,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2433,     0,  2428,     0,     0,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,  2434,     0,     0,  2435,
       0,     0,   710,     0,   710,     0,     0,  1157,     0,     0,
    2430,  2431,     0,     0,     0,     0,     0,     0,  1261,  1261,
    1261,  1261,  1157,     0,     0,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   710,  2889,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,  2433,     0,
       0,     0,  1261,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,  2434,     0,     0,  2435,     0,     0,     0,     0,
       0,     0,  2436,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,   860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,  1261,
    1261,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,  2889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5452,     0,     0,     0,     0,     0,  1255,  2436,     0,
    1255,     0,     0,     0,     0,   756,     0,     0,     0,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,  3315,     0,     0,     0,     0,     0,     0,
       0,  1273,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1300,  1300,  3331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,  1261,     0,     0,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   860,  2328,     0,     0,     0,     0,     0,
       0,  1261,     0,  1273,     0,     0,     0,  1157,  1157,     0,
    1261,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,   710,
       0,     0,  1078,  1078,     0,     0,  3139,     0,     0,     0,
    1728,  1728,     0,     0,     0,     0,  1728,  1728,     0,     0,
       0,     0,     0,  1728,  1728,  1728,     0,     0,     0,  1728,
    1300,  1728,  1728,  1728,  1728,  1728,  1728,     0,  1728,     0,
    1728,  1728,     0,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
    1728,  1728,  1728,     0,     0,     0,  1261,  1728,     0,     0,
       0,  1728,     0,     0,  1728,     0,     0,  1728,  1728,  1728,
    1728,  1728,  1728,  1728,  1728,  1728,     0,  1728,     0,     0,
       0,     0,     0,     0,  1157,  1728,     0,     0,  1728,     0,
       0,     0,  5141,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5145,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
    1157,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,  1728,     0,     0,     0,     0,
       0,   860,     0,   710,     0,     0,     0,     0,  1157,     0,
       0,  5207,     0,     0,     0,  3365,     0,  3370,  1278,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1310,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1328,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,  1383,     0,     0,     0,  2418,     0,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2423,     0,     0,     0,     0,     0,     0,     0,  2425,
       0,     0,     0,     0,     0,     0,  2426,   756,   860,     0,
       0,     0,     0,     0,     0,     0,  1078,     0,  1078,     0,
       0,     0,     0,     0,     0,     0,   710,     0,     0,     0,
    2427,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1255,     0,  1261,
    1261,     0,     0,     0,  1273,     0,  1300,     0,  1261,     0,
    1261,     0,     0,     0,  1261,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2744,     0,
       0,     0,     0,     0,     0,     0,  3511,  5335,  5336,  5336,
       0,     0,     0,  3522,     0,     0,  3948,     0,     0,     0,
       0,  3949,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1615,     0,     0,     0,     0,  2428,
       0,  1157,     0,     0,  2429,     0,  3567,  3567,     0,     0,
       0,     0,   710,     0,     0,     0,  1157,  1157,     0, -2478,
    1157,     0,   756,     0,     0,  2430,  2431,     0,     0,     0,
    1748,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2432,  1261,     0,     0,  1261,     0,     0,     0,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1157,     0,     0, -2478,
       0,  1797,     0,  2433,     0,     0,     0,     0,     0,     0,
    3652, -2478,  3655,  3657,     0,     0, -2478,  2434,   860,     0,
    2435, -2478,     0,     0,     0,     0,     0, -2478,     0,     0,
   -2478,     0,     0, -2478,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,  5463,
    1261,  1261,     0,     0,     0,     0,     0,  1261,     0,     0,
       0, -2478,     0,     0,     0,     0,     0,   860,     0,  1728,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2478,   860,     0,     0,  2744,     0,     0,  3567,     0,
    1157,     0,     0,  1157,     0,     0,     0,  3748,     0,     0,
    1078,     0,     0,  2436,     0,  1987,     0,     0,     0,     0,
       0,     0,  1261,  1728,     0,     0,     0,     0,     0,     0,
    2418,     0, -2478,  2419,     0, -2478,     0,  2420,  2421,  2422,
    3652, -2478,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,     0,  3780,     0,  2423,     0,     0,     0,     0,     0,
       0,     0,  2425,     0,     0,     0,     0,  2189,     0,  2426,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3827,  2427, -2478,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,  1261,  3567,  1261,  3567,  5569,  2437,
    5571,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2136,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1083,     0,     0,     0,     0,
       0,     0,  2328,     0,     0,     0,     0,     0,     0,     0,
    2174,  2177,  2178,     0,     0,     0,     0,     0,     0,     0,
       0, -2478,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0, -2478,     0, -2478, -2478,  1255,
       0,     0,  2428,     0,     0,  1273,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,  2430,  2431,
    1728,     0,     0, -2478,     0,     0, -2478, -2478,     0, -2478,
       0,     0,     0,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,  1728,  1728,     0,     0,  1728,     0,
       0,     0,     0,     0,  5336,     0,  1728,  1728,  1728,  1728,
       0,     0,     0,     0,     0,     0,  2433,     0,     0,  1728,
       0,     0,  1728,     0,  1728,     0,     0,     0,     0,     0,
    2434,     0,     0,  2435,     0,  1728,  1728,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1300,     0,  1728,     0,  1728,  4536,  1728,     0,     0,
       0,     0,  2418,     0,     0,  2419,     0,     0,  1748,  2420,
    2421,  2422,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,  1157,     0,     0,     0,     0,  2423,     0,  4028,  5746,
    1728,  1728,  1728,     0,  2425,     0,     0,     0,     0,  1748,
       0,  2426,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,  1728,  2436,     0,     0,     0,
       0,     0,     0,     0,     0,  2427,     0,  1728,  2423,     0,
       0,  3907,  4537,     0,     0,     0,  2425,     0,     0,     0,
       0,     0,  1728,  2426,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,  4028,     0,     0,     0,
    4092,     0,     0,  4095,     0,  3370,     0,  2427,     0,     0,
    2423,     0,     0,     0,     0,     0,     0,     0,  2425,     0,
       0,     0,     0,     0,     0,  2426,     0,     0,     0,     0,
    5814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2427,
    5861,     0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,  1728,
       0,  3567,     0,     0,  2428,     0,  2328,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,  2508,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2430,  2431,     0,  1261,     0,  1261,  1261,  1261,     0,     0,
       0,     0,     0,     0,     0,  2432,  2428,     0,     0,     0,
       0,  2429,  5882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2565,     0,     0,     0,     0,     0,     0,
       0,     0,  2430,  2431,     0,     0,     0,     0,  2433,     0,
       0,     0,     0,     0,  5336,  5336,     0,  2432,  2428,     0,
       0,     0,  2434,  2429,     0,  2435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2430,  2431,  5862,     0,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,  2434,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5336,     0,     0,     0,  2434,     0,  2436,  2435,
    2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,     0,     0,     0,     0,     0,  3921,     0,     0,     0,
       0,     0,     0,     0,  2423,     0,  2738,  3953,     0,     0,
       0,     0,  2425,     0,     0,  2761,     0,     0,     0,  2426,
    2436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2796,     0,  2427,     0,     0,     0,     0,     0,     0,
    1261,     0,     0,     0,  2809,  3567,  3567,  2812,     0,     0,
       0,     0,  2436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,     0,  1157,  1157,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2860,  1157,
       0,     0,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,  2878,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,  2328,  1157,     0,     0,     0,  2890,     0,     0,     0,
       0,  2328,  1157,  1157,     0,     0,     0,  1157,     0,     0,
       0,     0,  2428,     0,     0,     0,     0,  2429,  2437,     0,
    1157,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,     0,     0,   756,  2430,  2431,
       0,     0,     0,     0,     0,     0,     0,     0,  2942,     0,
       0,     0,     0,  2432,  3827,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,  2985,     0,     0,
       0,     0,  2418,     0,  2998,  2419,  2433,     0,     0,  2420,
    2421,  2422,     0,     0,     0,     0,     0,  1157,     0,     0,
    2434,     0,     0,  2435,     0,     0,  2423,     0,     0,     0,
       0,     0,     0,  1157,  2425,     0,     0,     0,     0,     0,
       0,  2426,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,  1728,     0,     0,  2427,     0,     0,  1728,     0,
    1728,     0,     0,  1728,     0,     0,     0,     0,  1728,  1728,
    1728,  1728,     0,     0,  1728,  1728,  1728,  1728,  1728,  1728,
    1728,  1728,  1728,  1728,     0,     0,     0,  1728,  1728,     0,
       0,     0,     0,     0,     0,     0,  2436,  1728,     0,     0,
       0,  1728,     0,     0,     0,  1728,  3075,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,  1728,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
    1728,  1728,     0,     0,     0,  1728,  1728,     0,     0,     0,
    4568,     0,  1728,     0,     0,     0,  3958,     0,     0,  1157,
    1157,  1157,  1255,  1748,  1748,  4028,  4590,     0,     0,     0,
    4590,  4604,  4590,     0,  2428,     0,     0,     0,  1728,  2429,
       0,     0,     0,  3129,  1728,  1728,  1728,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
    2430,  2431,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,   868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3370,  2433,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2434,     0,     0,  2435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4672,  2328,  2328,
    3287,  2889,     0,     0,     0,  1116,     0,     0,     0,     0,
       0,     0,     0,  1116,     0,  1116,     0,     0,  1261,  1261,
    1261,  1261,     0,     0,     0,     0,  3308,     0,   868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2744,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3321,  4725,  3324,     0,  2436,     0,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,  1748,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,  4810,     0,     0,
       0,     0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
    1157,     0,  1261,    46,  1728,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,  4850,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2744,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,  4028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3652,     0,     0,     0,
       0,     0,     0,     0,  4897,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,    47,  2889,
       0,     0,     0,  1728,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3534,     0,
       0,     0,     0,  3827,  3827,  3827,  3827,  3827,    49,     0,
    3567,     0,  3567,     0,     0,     0,     0,  3561,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3627,  3628,     0,     0,     0,     0,    53,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
    1728,     0,     0,     0,     0,     0,  1728,  1728,     0,     0,
       0,  1728,     0,     0,     0,     0,  1728,     0,     0,  1728,
    1728,     0,     0,     0,  1728,  5001,     0,     0,     0,     0,
    1728,  1157,  1157,  1157,  1157,     0,     0,     0,  4590,  4604,
    4590,     0,  1728,  4590,     0,     0,  5015,     0,     0,     0,
    4028,     0,     0,     0,  4028,     0,     0,     0,     0,     0,
    5030,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,    54,  1728,     0,     0,     0,  3741,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1300,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,  4092,
       0,     0,     0,     0,  3370,     0,     0,     0,     0,     0,
       0,     0,  2418,     0,     0,  2419,     0,     0,    55,  2420,
    2421,  2422,     0,  1078,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,    56,     0,     0,  2423,     0,     0,  3964,
       0,     0,     0,     0,  2425,     0,  3567,  3567,    57,     0,
       0,  2426,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2744,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2427,     0,  5106,    58,     0,
       0,     0,     0,     0,     0,     0,    59,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1539,  3068,     0,
       0,     0,    71,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,     0,     0,  1261,     0,  3881,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,  2429,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1255,     0,     0,     0,
    2430,  2431,  2744,     0,     0,     0,  1257,     0,     0,     0,
       0,  2328,     0,     0,     0,  2432,     0,     0,     0,     0,
    2418,     0,     0,  2419,     0,  1728,     0,  2420,  2421,  2422,
       0,     0,     0,     0,     0,     0,     0,  1261,     0,  2744,
       0,     0,     0,     0,  2423,     0,     0,     0,  2433,     0,
       0,     0,  2425,     0,     0,     0,     0,     0,     0,  2426,
       0,     0,  2434,     0,     0,  2435,     0,     0,  1257,     0,
    1157,     0,     0,  5244,  1497,     0,     0,     0,  1257,     0,
       0,     0,     0,  2427,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,  4009,     0,     0,
    2423,     0,     0,  4543,     0,  1728,     0,     0,  2425,     0,
       0,     0,     0,     0,  1728,  2426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1728,  1728,     0,     0,  1728,     0,     0,  2436,  2427,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1255,     0,     0,  4590,     0,     0,     0,  4028,     0,     0,
       0,     0,  4028,     0,     0,  4028,  1255,     0,  3652,     0,
    5298,     0,     0,  1728,  1728,     0,     0,     0,     0,     0,
       0,     0,  2428,     0,     0,     0,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,  1257,  1257,  4672,     0,  1728,
       0,     0,  1116,     0,     0,     0,  1116,     0,  2430,  2431,
       0,  4672,  1300,  1261,  1261,  1261,     0,     0,     0,     0,
       0,     0,     0,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,  2428,     0,
       0,     0,     0,  2429,     0,     0,  2433,     0,     0,  1273,
    1300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2434,     0,     0,  2435,  2430,  2431,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,   882,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1273,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4850,     0,     0,  1157,
       0,     0,  2433,     0,  1157,     0,  3567,     0,     0,     0,
       0,     0,  2744,     0,     0,     0,  2434,     0,   883,  2435,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,  4897,     0,   884,     0,     0,  2436,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,  1157,  4672,     0,     0,
       0,   885,     0,     0,     0,     0,     0,   886,     0,     0,
    1116,  1116,     0,     0,     0,     0,  4489,     0,     0,     0,
       0,     0,  4240,     0,   887,     0,  1728,     0,     0,  1728,
       0,  1728,     0,     0,     0,   888,     0,     0,  1257,     0,
       0,     0,     0,   889,     0,  1497,     0,     0,     0,  1257,
       0,  1728,  2436,     0,     0,   890,     0,  1728,     0,     0,
     891,  4028,     0,     0,     0,  5298,     0,   892,  1497,     0,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,  5520,  2437,  1497,   893,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,   894,
       0,     0,     0,     0,     0,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,  1257,     0,     0,
     895,     0,     0,     0,  1728,     0,     0,     0,     0,  2423,
       0,     0,     0,  1261,  1261,  1261,  1261,  2425,  2437,     0,
       0,  2438,  2439,  2440,  2426,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,   896,     0,     0,     0,  4354,  4355,
    4356,     0,  1497,     0,     0,     0,     0,     0,  2427,     0,
       0,  1255,     0,     0,     0,  4365,   897,     0,  1962,     0,
       0,     0,     0,     0,  1963,     0,   898,     0,     0,   899,
       0,  2013,     0,     0,  4028,     0,     0,     0,  4381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4391,  4392,
    2014,     0,     0,  4397,     0,   900,     0,     0,     0,     0,
     901,     0,   902,     0,     0,  1964,  4411,     0,     0,   903,
       0,     0,   904,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,   905,     0,  1255,     0,     0,  1728,   906,     0,  2015,
    5675,   907,   908,     0,     0,   909,     0,  1728,     0,   910,
       0,     0,  1728,     0,  1728,     0,  1728,  2428,   911,  1966,
       0,     0,  2429,   912,  4672,     0,  1967,     0,     0,  1968,
    1261,     0,  1300,     0,  1497,   913,     0,     0,     0,     0,
       0,     0,  1728,  2430,  2431,     0,     0,     0,   914,     0,
       0,     0,     0,     0,  1969,     0,     0,     0,  2432,  1748,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2016,  2328,  2328,  1970,     0,     0,     0,
       0,  2433,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2434,     0,     0,  2435,     0,
       0,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,  5751,  1257,  1257,  1257,  1728,  1257,     0,     0,     0,
       0,  2017,     0,  5762,  2018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2019,  1257,  1972,     0,     0,
       0,     0,     0,     0,  5244,     0,     0,  1973,     0,     0,
       0,     0,  1728,  1728,     0,     0,  1974,  3652,     0,     0,
    1728,     0,     0,     0,     0,     0,  2020,  1975,     0,     0,
    1728,     0,     0,  5520,     0,  4576,  4577,  4578,  3370,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,   868,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2021,     0,  1261,  1977,  1978,  2022,
       0,     0,     0,  2328,     0,     0,     0,     0,  1257,     0,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,  2023,
       0,     0,     0,     0,     0,  2024,     0,  1257,     0,     0,
       0,     0,  1255,     0,     0,     0,     0,  1728,     0,  2025,
       0,     0,     0,     0,     0,     0,  4672,     0,     0,     0,
       0,     0,  1273,  1273,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,     0,     0,  2437,  5675,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,  1728,     0,     0,     0,     0,     0,     0,  1261,  1980,
       0,     0,     0,     0,     0,  1497,   716,     0,     0,     0,
       0,   760,   868,   760,     0,   991,     0,     0,     0,     0,
     992,     0,  1116,   760,     0,     0,     0,     0,     0,  5762,
    1261,  1261,   993,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,     0,   994,     0,  1728,     0,   760,     0,
       0,  1728,     0,  1116,     0,     0,     0,   995,     0,   760,
     760,  1497,     0,   760,     0,     0,     0, -2480,     0,   760,
       0,     0,   996,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
     997,     0,     0,     0,  1728,  1070,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
     760,     0,     0,   998,     0,  5675,     0, -2480,  1255,  1497,
       0,     0,     0,     0,   999,     0,     0,     0,     0, -2480,
       0,     0,  1000,     0, -2480,     0,  1273,  1273,     0, -2480,
       0,     0,     0,     0,  1001, -2480,     0,     0, -2480,  1002,
       0, -2480,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,     0,     0, -2480,
       0,     0,     0,     0,     0,     0,  4832,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4845,     0, -2480,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,  1005,
       0,     0,     0,     0,  1497,     0,     0,     0,  4873,     0,
       0,   868,     0,     0,     0,     0,  1497,     0,     0,     0,
   -2480,     0,     0, -2480,     0,     0,     0,     0,     0, -2480,
       0,     0,     0,  1006,     0,     0,     0,     0,     0,     0,
       0,  2998,     0,     0,     0,  1007,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1008,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   898,     0,     0,  1009,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2480,     0,  1257,     0,     0,  1257,     0,     0,
       0,  1497,     0,     0,  1010,     0,     0,  1257,     0,  1011,
       0,  1012,     0,  1497,     0,     0,     0,     0,  1013,     0,
       0,  1014,     0,     0,     0,  1497,   760,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,  1257,
    1015,     0,     0,  1083,     0,     0,  1016,     0,     0,     0,
       0,  1017,     0,     0,  1018,     0,     0,     0,  1019,     0,
       0,  1497,  1497,     0,     0,  1020,     0,  1021,     0, -2480,
       0,     0,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0, -2480,     0, -2480, -2480,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5004,  5005,  5006,
    5007,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257, -2480,     0,     0, -2480, -2480,     0, -2480,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,  1257,     0,
       0,     0,     0,  1257,  1257,     0,     0,     0,     0,     0,
    1257,  1257,  1257,     0,     0,     0,  1257,     0,  1257,  1257,
    1257,  1257,  1257,  1257,     0,  1257,     0,  1257,  1257,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,  1257,  1257,  1257,  1257,
     868,     0,     0,     0,  1257,     0,     0,     0,  1257,     0,
       0,  1257,     0,     4,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,  1257,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,  1257,     5,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,   760,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,   760,   760,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   760,    46,  1962,     0,     0,
       0,     0,     0,  1963,     0,     0,     0,     0,     0,     0,
    2013,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2014,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1964,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,  1497,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   868,     0,
       0,    47,     0,     0,     0,     0,     0,     0,  2015,     0,
       0,     0,     0,     0,     0, -2494,     0,     0,     0,    48,
       0,     0,     0,     0,     0,     0,  5237,     0,  1966,     0,
       0,     0,  1257,     0,     0,  1967,     0,     0,  1968,     0,
       0,    49,     0,     0,  1257,     0,     0,     0,  1497,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,  1969,    50, -2494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2494,     0,     0,
       0,     0, -2494,     0,     0,  1116,     0, -2494,     0,     0,
       0,     0,  2016, -2494,     0,  1970, -2494,     0,     0, -2494,
    1497,    51,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,   868,     0,     0,     0,   868, -2494,     0,     0,
    1440,   760,     0,   760,     0,     0,     0,     0,     0,     0,
    2017,     0,     0,  2018,     0,     0,     0, -2494,     0,   868,
       0,     0,     0,     0,  2019,     0,  1972,     0,     0,     0,
    1116,     0,     0,     0,     0,     0,  1973,     0,     0,     0,
       0,     0,     0,     0,     0,  1974,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2020,  1975,     0, -2494,     0,
     760, -2494,     0,   760,   760,     0,     0, -2494,   868,     0,
       0,     0,     0,     0,    54,     0,     0,     0,   716,     0,
    1070,     0,  1070,     0,     0,     0,     0,     0,   716,     0,
       0,     0,   760,  3600,     0,     0,  1977,  1978,  2022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1070,  1070,     0,     0,     0,     0,  2023,     0,
   -2494,    55,     0,     0,  3601,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,  2025,     0,
    5402,     0,     0,     0,     0,     0,  1257,  1497,     0,     0,
       0,    57,     0,     0,     0,  5414,   868,     0,     0,   760,
    1748,   760,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1083,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,     0,  5447,     0,     0,     0,     0,  1980,    59,
    1257,    60,    61,    62,    63,    64,     0, -2494,    65,    66,
    1539,     0,  5464,     0,     0,    71,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2494,     0, -2494, -2494,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,   716,   716,     0,     0,  1861,     0, -2494,
       0,     0, -2494, -2494,     0, -2494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,  5536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,  1497,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,  1257,  1257,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,  1257,  1257,     0,     0,     0,
       0,   868,     0,     0,     0,     0,  1257,   868,     0,  1257,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,  1257,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,  1257,     0,  1257,   929,     0,     0,     0,     0,
     930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   931,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,  1257,  1257,  1257,
       0,     0,     0,     0,   932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,   934,     0,
       0,     0,  -864,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
     935,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,  1257,     0,   716,     0,     0,     0,     0,
     760,     0,   760,   937,     0,   760,     0,   760,     0,     0,
     760,   760,   760,     0,   938,     0,  2323,     0,     0,     0,
       0,     0,   939,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   940,  1497,     0,   760,  1497,   760,
    1497,     0,   941,     0,   760,  1497,   942,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -1091,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
     943,     0,     0,     0,     0,     0,     0,     0,     0,  -586,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,   944,     0,     0,   945,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   946,     0,     0,  2464,     0,
       0,   868,   868,   868,     0,     0,     0,     0,   947,   760,
     760,     0,     0,     0,     0,  -464,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
       0,   716,   716,     0,   948,  1497,     0,  1497,     0,     0,
       0,   949,     0,     0,     0,     0,     0,     0,  -464,     0,
       0,   950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,     0,     0,     0,   952,     0,     0,     0,
       0,  -464,     0,     0,   953,   954,     0,   955,   956,     0,
       0,     0,     0,     0,     0,     0,     0,   957,     0,     0,
       0,     0,   958,     0,     0,     0,     0,     0,   959,     0,
       0,   960,     0,   760,   961,   716,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,  2604,     0,  -464,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,   868,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,   716,     0,     0,   716,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
    1257,     0,     0,  1497,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,  1257,     0,  1257,     0,     0,
    1257,     0,     0,     0,  1497,  1257,  1257,  1257,  1257,     0,
       0,  1257,  1257,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,     0,     0,     0,  1257,  1257,     0,     0,     0,  1497,
       0,     0,     0,     0,  1257,     0,     0,     0,  1257,     0,
     868,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,  1257,  1341,  1257,     0,     0,     0,  1342,
       0,     0,     0,  1497,  1257,     0,     0,  1257,  1257,     0,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,  1114,     0,  1257,
       0,     0,  1257,  1343,     0,  1114,     0,  1114,     0,     0,
       0,     0,     0,     0,     0,  1257,  1344,  1345,     0,     0,
       0,  1257,  1257,  1257,     0,     0,     0,  1346,     0,     0,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,  1349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1350,     0,     0,  1257,     0,     0,     0,
     760,  1351,   760,     0,     0,     0,   760,     0,   760,     0,
       0,   760,  1497,  1352,     0,   760,     0,     0,  1353,     0,
    2464,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   868,     0,     0,     0,     0,
     868,  1497,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,  1358,     0,     0,     0,     0,     0,
       0,   868,  2323,     0,   898,     0,     0,  1359,     0,  3302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2604,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,  1361,     0,
    1362,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1365,
       0,     0,     0,     0,     0,  1366,     0,     0,     0,     0,
    1367,  1257,     0,  1368,     0,     0,     0,  1369,     0,     0,
       0,     0,     0,     0,  1370,     0,  1371,     0,     0,     0,
       0,  1372,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,  1373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,     0,     0,   716,     0,     0,     0,     0,     0,
    3385,     0,  1861,     0,     0,   760,     0,     0,     0,  1497,
    1257,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  1257,     0,  1497,
       0,     0,     0,  1257,  1257,     0,     0,     0,  1257,  1497,
       0,     0,     0,  1257,     0,     0,  1257,  1257,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,  1257,
       0,     0,     0,   716,     0,  1257,     0,     0,     0,     0,
       0,   716,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,  1497,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
    1253,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   760,  2323,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,  1253,     0,
       0,     0,     0,     0,  1114,     0,     0,     0,  1114,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,  1253,     0,  1497,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,  1257,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,  1257,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,     0,
    1257,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2604,     0,  1497,     0,     0,   716,
       0,     0,  1114,  1114,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,  1253,   868,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,  1497,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1497,     0,  1257,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   868,     0,     0,     0,     0,  1253,     0,
       0,  1497,     0,     0,     0,     0,  1497,  1497,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1497,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
    1257,     0,     0,  1257,  1253,  1253,  1253,     0,  1253,     0,
       0,     0,   716,     0,  1257,     0,     0,     0,   716,  1257,
       0,  1257,     0,  1257,     0,     0,     0,     0,  1253,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,  1253,  1253,     0,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1257,     0,     0,     0,     0,     0,     0,  1257,   868,     0,
       0,  1497,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,  1114,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1114,     0,     0,     0,  1257,
       0,     0,     0,  1495,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,  1257,
    1257,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   868,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3385,     0,     0,  1257,     0,  1495,     0,     0,
       0,  1257,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,  1257,     0,   868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,  1257,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1253,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,  1253,
       0,     0,   716,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
    1253,  1253,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,  1495,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1253,     0,     0,     0,     0,  1253,  1253,     0,     0,     0,
       0,     0,  1253,  1253,  1253,     0,  1494,     0,  1253,     0,
    1253,  1253,  1253,  1253,  1253,  1253,     0,  1253,     0,  1253,
    1253,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,  1253,  1253,
    1253,  1253,     0,     0,     0,     0,  1253,     0,     0,     0,
    1253,     0,     0,  1253,     0,     0,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,  1253,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,  1253,     0,     0,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,  2604,     0,     0,  1495,     0,     0,     0,  1495,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,  2490,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,  1253,   143,     0,   144,
    1495,     0,     0,  1253,     0,     0,   147,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,   150,     0,
     716,     0,     0,     0,   716,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,  1114,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,  1494,
       0,     0,  1114,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,  1494,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,  1253,  1495,
       0,     0,     0,  1494,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,  1495,   226,   227,  1494,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,  1253,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  1494,
       0,  1495,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,  1494,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,  1253,  1253,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,  1253,  1253,  1253,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,  1253,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,  1253,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,  1253,
    1253,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
    1495,     0,  1495,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,   977,     0,     0,     0,     0,     0,     0,     0,     0,
     977,     0,     0,  1495,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   977,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
    1494,  1494,     0,     0,     0,     0,  1170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1170,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,  1495,
       0,   716,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,  1495,     0,     0,     0,     0,
       0,  1253,     0,  1494,     0,     0,     0,  1253,     0,  1253,
       0,     0,  1253,     0,     0,     0,  1495,  1253,  1253,  1253,
    1253,     0,     0,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,     0,     0,     0,  1253,  1253,     0,     0,
       0,  1495,     0,     0,     0,     0,  1253,     0,     0,     0,
    1253,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,  1253,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,  1495,  1253,     0,     0,  1253,
    1253,     0,     0,     0,  1253,  1253,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,   977,   977,
       0,     0,     0,  1253,  1253,  1253,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1220,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1267,     0,     0,
       0,     0,     0,     0,     0,  1302,     0,  1303,     0,  1307,
    1308,     0,  1311,  1495,  1313,     0,     0,  1319,     0,  1321,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,  1386,
       0,     0,     0,     0,     0,     0,     0,  1395,     0,     0,
       0,     0,     0,     0,  1407,  1408,     0,     0,  1414,     0,
    1417,  1418,     0,     0,     0,  1420,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1220,     0,   977,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,  1494,     0,  1494,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,  1520,     0,  1522,     0,     0,     0,
       0,     0,     0,  1253,     0,  1536,  1538,     0,     0,     0,
       0,     0,     0,     0,     0,   977,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1616,     0,
    1494,  1495,  1253,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1170,     0,     0,     0,  1494,
       0,  1494,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
       0,  1495,     0,     0,     0,  1253,  1253,  1879,     0,  1881,
    1253,  1495,     0,  1883,     0,  1253,     0,     0,  1253,  1253,
       0,     0,  1494,  1253,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,  1925,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,  1253,
    1494,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,  1253,     0,     0,     0,  1494,     0,  1253,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,  2081,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  2106,     0,     0,  2107,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2110,
       0,     0,     0,  1495,  2114,     0,     0,     0,     0,     0,
    1494,     0,  2117,     0,     0,     0,     0,     0,  2127,     0,
       0,  2131,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2184,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,  2346,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,  1495,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,  1253,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,  1253,     0,     0,  1253,  1253,  1494,     0,     0,     0,
       0,     0,  1253,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1170,  1536,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2600,
    1253,     0,  2600,     0,     0,     0,     0,     0,     0,     0,
    2607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2616,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  1495,     0,  1253,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,  1253,     0,  2795,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,  1495,  1495,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,  2933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,  1495,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,  1253,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,  1253,     0,  1253,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3053,     0,  3054,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,  3065,     0,  3066,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,  3087,     0,     0,
       0,     0,  1253,  1494,     0,     0,     0,     0,     0,  1536,
       0,     0,     0,  1536,     0,  1536,     0,     0,  1536,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,  1253,  1253,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
    3301,  1253,  1253,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,  1253,     0,     0,  1220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3396,  3397,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3412,  3413,     0,
       0,     0,  3416,  3417,     0,  1253,  1253,  3420,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3431,     0,     0,     0,     0,     0,     0,  3440,     0,
       0,     0,  3443,  3444,     0,     0,  3447,  3448,     0,     0,
       0,     0,     0,  3453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3470,     0,  3472,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,  3496,     0,     0,
       0,     0,  3498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3503,     0,     0,     0,     0,
       0,     0,     0,     0,  3510,     0,  3512,     0,     0,  3515,
    3518,  3520,     0,     0,     0,     0,  3528,  3531,     0,     0,
       0,     0,     0,     0,     0,     0,  3544,     0,     0,     0,
       0,  3553,     0,     0,     0,     0,  3557,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3573,     0,     0,     0,     0,     0,     0,     0,  3584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3599,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3606,     0,     0,  3609,     0,     0,     0,     0,  3612,
    1494,     0,     0,     0,  3614,  3615,     0,     0,     0,  3618,
       0,     0,  3622,     0,     0,     0,  3629,  3630,  3631,  3632,
       0,  3634,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  1258,     0,     0,  3659,  3660,     0,  3662,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,  3670,  3671,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,    86,    87,    88,  1258,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,  3715,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,  3752,     0,     0,
    1494,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
      35,  1258,     0,     0,     0,     0,     0,  1498,    41,    42,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,  1494,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,  1220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  1258,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,  3882,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,  1258,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,  3898,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,   218,  1498,     0,
     220,     0,  1258,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,  1498,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,  1498,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4139,     0,     0,     0,  4141,  1498,     0,     0,     0,     0,
    4143,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4154,  4156,     0,     0,
       0,  4156,     0,     0,     0,     0,  4167,  4168,  4169,     0,
    4171,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4198,  4199,  4200,  4201,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4218,     0,
       0,  4223,  4224,  4225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4292,     0,     0,     0,     0,     0,     0,
       0,  4296,     0,     0,     0,  1258,  1258,  1258,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4305,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4351,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4388,     0,
       0,     0,     0,  4393,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,  1258,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  4431,     0,     0,     0,     0,     0,   977,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4455,     0,
    4456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4683,     0,  4684,     0,     0,     0,     0,
       0,     0,  4686,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4696,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4704,     0,     0,  1258,     0,     0,
    1258,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
    1258,     0,  4724,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
    4728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4737,  1258,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4766,
       0,     0,     0,     0,  1498,  1498,     0,     0,     0,     0,
    4774,  4775,  4776,     0,     0,     0,     0,  4780,  4781,  4782,
    4783,     0,     0,  4785,  4786,     0,     0,     0,     0,  4793,
    4794,     0,  4796,  4797,  4798,  4799,  4800,  4801,     0,  4803,
       0,     0,     0,     0,     0,     0,     0,     0,  4811,     0,
       0,  4814,  4815,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4156,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4835,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,  1258,     0,     0,     0,     0,  1258,  1258,     0,     0,
       0,     0,     0,  1258,  1258,  1258,     0,     0,     0,  1258,
       0,  1258,  1258,  1258,  1258,  1258,  1258,     0,  1258,     0,
    1258,  1258,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,  1258,
    1258,  1258,  1258,     0,     0,     0,     0,  1258,     0,     0,
       0,  1258,     0,     0,  1258,     0,     0,  1258,  1258,  1258,
    1258,  1258,  1258,  1258,  1258,  1258,     0,  1258,     0,     0,
    4156,     0,     0,     0,     0,  1258,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
    1536,  1536,     0,     0,     0,     0,     0,     0,     0,     0,
    4947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,  1498,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,  1498,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,  5089,     0,     0,     0,  5090,  5091,  5092,  5093,     0,
       0,  5095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,  5113,  5114,  5115,     0,  5116,     0,  5118,  5119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5128,  5129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5134,     0,     0,
       0,     0,     0,     0,     0,  1536,  1536,     0,  1536,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5144,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1712,  1712,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
    1498,     0,  5222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5249,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
    5353,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  1498,     0,     0,  1258,     0,     0,  5363,     0,
       0,     0,     0,  5368,  5369,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,  1258,  1258,     0,     0,  1258,     0,
       0,     0,     0,     0,  5428,     0,  1258,  1258,  1258,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  1258,  5444,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  1258,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,  1258,     0,  1258,     0,  1258,     0,  4156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5481,
       0,     0,  1485,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
    1258,  1258,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5523,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,  5539,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,  5547,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2389,  1536,     0,  1498,     0,
       0,  1498,     0,  1498,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2407,  2408,  2409,     0,  2412,     0,  1258,
       0,     0,     0,     0,  5613,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,  4156,     0,     0,     0,     0,  1498,
       0,  2509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,  2532,
       0,     0,     0,  2544,  2549,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5699,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
    1498,     0,     0,  5712,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,  5739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,  5749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5807,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5829,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,  5889,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  1498,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1258,     0,
    1258,     0,     0,  1258,     0,     0,     0,  1498,  1258,  1258,
    1258,  1258,     0,     0,  1258,  1258,  1258,  1258,  1258,  1258,
    1258,  1258,  1258,  1258,  1496,     0,     0,  1258,  1258,     0,
       0,     0,  1498,     0,     0,     0,     0,  1258,     0,     0,
       0,  1258,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  1258,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,  1498,  1258,     0,     0,
    1258,  1258,     0,     0,     0,  1258,  1258,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,  1258,  1258,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,  3169,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,  1498,     0,  3189,     0,  3191,
       0,     0,  3203,  3206,  3211,     0,     0,  1258,     0,  3217,
       0,     0,  3222,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,  3229,  3230,  3231,
    3232,     0,     0,     0,     0,  3239,     0,     0,     0,  3251,
       0,     0,  3253,     0,     0,  3260,  3261,  3262,  3263,  3264,
    3265,  3266,  3267,  3268,     0,  3269,     0,     0,     0,     0,
       0,     0,     0,  1712,     0,     0,  3297,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3325,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,  2408,  2409,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,     0,  1485,
       0,     0,     0,  1498,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3445,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  1258,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,  2636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,  1496,     0,
       0,     0,     0,  1487,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,  1485,
       0,  1496,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,  1485,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,  1258,
    1258,     0,  1498,     0,     0,     0,  1258,  1258,     0,     0,
       0,  1258,  1498,     0,     0,     0,  1258,     0,     0,  1258,
    1258,     0,  1496,     0,  1258,     0,     0,  1487,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,  1258,     0,     0,     0,  2636,     0,     0,     0,
    1258,     0,     0,     0,  1258,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3706,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,  1485,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  1485,     0,     0,     0,
    1485,  1485,     0,     0,     0,     0,  1488,  1496,     0,     0,
       0,     0,     0,  3903,     0,     0,     0,     0,  3909,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,  1498,     0,
       0,     0,     0,  2412,     0,     0,     0,  3300,     0,     0,
       0,     0,     0,     0,  3211,     0,  3211,  3211,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,  3967,     0,     0,
    3970,     0,  3972,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,  1498,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
    1487,  3990,     0,  3993,     0,  3995,     0,     0,     0,     0,
    1488,  1258,  1258,     0,  1485,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,  1258,  3297,  3297,
    3297,     0,  1258,     0,     0,  1258,  1258,     0,     0,     0,
       0,     0,     0,  1258,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,  4065,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,  2532,     0,  1258,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2549,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3400,     0,     0,     0,  2636,  3406,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  1488,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,  4125,     0,     0,
    1496,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,  1258,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,  1258,  1498,     0,  1258,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,  1258,     0,     0,     0,     0,  1487,  1498,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,  1487,  1487,     0,  1498,
    1498,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,  1485,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,  1498,  1488,
       0,  2636,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
    1258,     0,     0,  1258,     0,     0,  1258,     0,  1490,     0,
       0,     0,     0,     0,  1488,     0,     0,  1258,     0,     0,
    1487,  1491,  1258,  1490,  1258,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,  1488,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,  1496,  1258,     0,     0,     0,     0,
       0,  4490,  1488,  1258,     0,     0,     0,     0,     0,     0,
    4494,     0,     0,     0,  1488,     0,  4495,     0,  4496,  1485,
       0,     0,  1485,     0,  1485,     0,     0,     0,     0,  1485,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,     0,
    1258,     0,  1493,     0,  1498,  4520,  4521,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3217,     0,     0,  1493,     0,     0,  1488,
       0,  4546,  1258,     0,  4549,     0,  4551,     0,  1485,     0,
       0,     0,     0,     0,     0,  4555,     0,  1487,     0,  1488,
       0,  1487,  1487,  4562,  4563,  1485,     0,     0,     0,     0,
       0,  1488,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
    1485,     0,  1258,     0,     0,     0,  4610,  1258,     0,  3300,
    3300,  3300,  4617,  4618,  3297,     0,  1258,     0,     0,     0,
       0,     0,  1258,  1258,     0,  1258,     0,     0,     0,  1488,
    1488,     0,     0,  1487,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4635,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,  1485,     0,     0,     0,     0,     0,  4648,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,  1491,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,  1258,  2636,     0,     0,
    3406,  1258,  3406,     0,     0,     0,  1491,  2636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
    1485,     0,     0,  1488,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,  1258,  1258,     0,     0,
       0,  1485,     0,     0,     0,  1491,     0,     0,  2636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,  1496,     0,  1496,
       0,     0,     0,     0,     0,     0,  1493,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
    1488,  4914,  4915,     0,  1488,  1488,     0,     0,  1496,     0,
    1493,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3406,     0,     0,     0,     0,  1485,  3406,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4960,  1487,  1488,     0,
    1490,     0,     0,     0,     0,     0,     0,  4965,     0,     0,
       0,     0,     0,     0,  1487,  1490,     0,  1485,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,  1487,  1496,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,  3406,  4980,  4982,     0,
       0,     0,     0,     0,  4986,  4987,     0,     0,     0,  4988,
       0,  1496,  1493,     0,  4991,     0,     0,  4994,  4995,     0,
       0,     0,  4999,     0,     0,     0,     0,     0,  5003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,  3297,     0,     0,     0,     0,
    3297,     0,     0,  1490,     0,     0,  3297,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,  1712,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,  1490,     0,  5070,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
    1487,     0,     0,  1487,  5131,  1487,     0,     0,     0,     0,
    1487,     0,  1491,     0,     0,  3300,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5167,     0,     0,  1493,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,  2636,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
    1487,     0,  1487,  1485,  1493,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,  3406,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,  3406,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,  5272,
    5273,     0,     0,  5274,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,  1491,  1491,  1490,  1490,     0,     0,
       0,  5310,  5311,     0,     0,     0,     0,     0,  1493,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,  5326,     0,     0,
       0,     0,  1493,  1485,     0,     0,  1487,     0,     0,     0,
       0,     0,  1487,  1485,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,  1487,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,  2636,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,  1487,     0,     0,     0,  1491,     0,
       0,     0,     0,  1488,     0,     0,  1488,     0,  1488,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,  1493,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3217,     0,  1488,
       0,     0,     0,     0,  1485,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,  1488,  5504,     0,     0,     0,  1487,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
    2412,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3300,     0,  1487,     0,
       0,  3300,     0,  1488,     0,  1488,     0,  3300,     0,     0,
       0,     0,  5554,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,  1491,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,  1491,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,  1488,
    1485,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5310,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
    5701,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,  1493,  1493,  1487,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5752,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,  5233,     0,  1496,     0,     0,
    5779,  5779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5310,  2448,
    1491,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,  5838,  2448,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,  5779,  1487,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,  1490,  5879,
    1490,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3406,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,  1485,     0,     0,     0,     0,
    1485,  1485,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
    1488,     0,  1491,     0,  1487,     0,  5779,     0,     0,     0,
       0,     0,  5937,     0,  1487,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,  1490,  3406,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,  1493,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,  1496,  1496,
    1493,  1490,     0,     0,     0,  1487,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,  1491,     0,  1491,     0,     0,     0,     0,  1491,     0,
    1487,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,  1485,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,  5233,  1496,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,  1488,  1491,     0,
    1491,  1487,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,  2448,  1493,     0,     0,  1493,     0,  1493,  1490,
       0,     0,     0,  1493,     0,     0,  2448,     0,     0,     0,
    3199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,  2448,  2448,     0,     0,  2448,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,  1496,     0,     0,     0,     0,     0,  1493,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,  1488,
    1491,  1487,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,  2448,  1490,  1493,     0,  1493,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,  1488,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,  1487,     0,     0,     0,
       0,  1487,  1487,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,  1493,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,  1488,
    1490,     0,     0,     0,  1488,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,  2448,  1493,
       0,  3199,  3199,     0,  3944,     0,  3199,     0,     0,     0,
    2448,     0,  1491,  2448,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,  1493,  2448,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,  2448,  2448,  2448,  2448,
       0,     0,     0,  3199,  3199,  1490,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
    2448,     0,     0,     0,     0,     0,     0,  2448,  2448,  2448,
    2448,  2448,  2448,  2448,  2448,  2448,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,  1491,     0,     0,  1490,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,  1493,     0,   120,
     121,     0,     0,     0,     0,   122,  1490,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,  1488,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,  1491,     0,   151,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,   154,   155,     0,  1493,     0,     0,
       0,     0,     0,  1491,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,  1493,
     189,   190,   191,     0,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,  1493,     0,     0,
       0,     0,     0,  2448,     0,     0,     0,   201,  1491,   202,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,   204,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,  1493,     0,     0,  1490,  1490,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3375,
       0,     0,     0,  1493,     0,  1490,     0,     0,     0,  1491,
    2448,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3944,  3944,     0,     0,  3199,  3199,  3199,  3199,
       0,     0,  3199,  3199,  3199,  3199,  3199,  3199,  3199,  3199,
    3199,  3199,  3944,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,  2448,     0,  2448,
       0,     0,  3944,  3944,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,  3199,  3199,
    2448,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,  1491,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,  3199,     0,  1493,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,  2448,  2448,  2448,     0,     0,     0,     0,     0,  3944,
    3944,  3944,  3944,     0,     0,     0,     0,  3944,  3944,  3944,
    3944,  3944,  3944,  3944,  3944,  3944,  3944,  2448,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,     0,     0,  2448,     0,  2448,     0,
       0,     0,  2448,     0,     0,  3944,  3944,     0,     0,  2448,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,  2448,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3944,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,  2448,  3199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,  2448,
       0,     0,     0,  2448,  2448,  2448,     0,     0,  2448,     0,
       0,  2448,  2448,     0,     0,     0,  2448,     0,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    85,     0,     0,    86,    87,    88,
      89,    90,    91,    92,    93,     0,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   106,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,   118,   119,     0,  2448,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
     126,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   127,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,   129,   130,     0,
       0,     0,     0,     0,     0,     0,     0,   131,     0,     0,
     132,     0,     0,   133,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,   140,     0,   141,   142,   143,     0,   144,
       0,     0,   145,     0,   146,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,   148,     0,   149,   150,     0,
       0,     0,     0,  3944,  3199,   151,     0,     0,     0,     0,
       0,     0,   152,     0,   153,   154,   155,   156,     0,  2448,
    2448,  2448,     0, -1640,     0,     0,     0,     0,     0,  3199,
       0,   157,     0,   158,     0,     0,     0,   159,     0,     0,
       0,     0,     0,   160,   161,     0,     0,     0,     0,     0,
       0,   162,   163,   164,     0,     0,   165,  2448,  2448,   166,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,  2448,     0,   170,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,   174,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0, -1640,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
     185,   186,     0,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,     0,
       0,   189,   190,   191,     0,     0,     0,   192,     0,     0,
     193,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,   205,     0,     0,     0,     0,
       0,   206,   207,     0,   208,     0,     0,     0,     0,   209,
    3944,     0,     0,     0,   210,   211,     0,   212,     0,   213,
       0,     0,   214,     0,  3199,     0,     0,  3944,   215,   216,
       0,  2448,     0,     0,     0,     0,   217,     0,   218,     0,
     219,   220,     0,     0,   221,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,   224,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,  2448,   230,     0,   231,     0,     0,     0,     0,   232,
       0,     0,   233,     0,     0, -1640,     0,     0,   234,     0,
       0,     0,     0,   235,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,   238,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,   250,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   251,     0,     0,     0,  -145,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3944,     0,  3199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3199,     0,     0,     0,     0,  3199,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,  3944,   724,
      95,  3944,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,  2448,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   777,   439,   440,   441,
     778,   779,   780,   781,   782,   783,   784,   442,   443,   785,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,   786,   450,   451,   452,   453,   454,   787,   788,
     455,   456,   789,   139,   457,   790,   458,   459,   460,   461,
     143,   791,   144,   792,   462,   463,   464,   465,   466,   147,
     467,   468,   793,   794,   469,   470,   471,   472,   473,   474,
     795,   150,   475,   476,   796,   797,   798,   799,   151,   800,
     801,   802,   478,   479,   480,   481,   739,   482,   154,   155,
     483,   803,   484,   804,   485,   486,   487,   488,   489,   490,
     805,   491,   492,   493,   494,   806,   807,   495,   496,   497,
     498,   499,   808,   500,   501,   502,   809,   503,   504,   505,
     810,   506,   507,   508,   509,   163,   510,   511,   512,   165,
     811,   513,   812,   514,   515,   167,   516,   813,   517,   814,
     518,   168,   815,   169,   519,   520,   521,   522,   816,   523,
     171,   817,   172,   524,   818,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,   819,   533,   534,   535,   536,
     537,   538,   820,   539,   175,   176,   821,   540,   541,   542,
     822,   177,   823,   178,   824,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,   825,   826,   550,   182,   183,
     551,   184,   827,   552,   553,   554,   828,   829,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,   830,   572,   573,   194,   574,   831,   195,   575,   196,
     576,   577,   578,   832,   579,   580,   833,   834,   581,   582,
     583,   835,   836,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   837,   595,
     596,   201,   597,   202,   598,   599,   600,   838,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,   839,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   840,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   841,   639,   640,   641,   642,   643,   842,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,   843,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,   844,   664,   665,   845,   666,   225,   667,
     668,   669,   670,   671,   846,   226,   227,   847,   848,   673,
     674,   228,   675,   229,   849,   676,   677,   678,   679,   680,
     681,   682,   850,   851,   683,   684,   685,   686,   687,   852,
     853,   688,   689,   690,   691,   692,   854,   236,   855,   693,
     237,   694,   695,   696,   697,   856,   857,   698,   858,   859,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,  1030,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,  3377,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  3291,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,  3292,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,  3293,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,  3294,     0,
       0,     0,     0,     0,     0,  1700,  3295,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
     216,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,   224,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,  2410,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,   238,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
     250,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,  5516,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,  3201,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,  4498,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,  4569,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1462,  1463,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,  1467,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,  2622,
     533,   534,   535,   536,   537,   538,     0,   539,   175,  2623,
       0,   540,   541,   542,  1469,  1470,     0,  1471,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,     0,     0,   572,   573,   194,   574,
       0,     0,   575,  1474,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,  2625,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,  2626,   647,   648,   220,   649,
     650,  1477,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1478,
    1479,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,  1480,  2627,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,     0,     0,     0,     0,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  2732,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1462,  1463,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,  1467,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,  2622,   533,   534,   535,   536,   537,
     538,     0,   539,   175,  2623,     0,   540,   541,   542,  1469,
    1470,     0,  1471,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,     0,
       0,   572,   573,   194,   574,     0,     0,   575,  1474,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,  2625,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
    2626,   647,   648,   220,   649,   650,  1477,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1478,  1479,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,  1480,  2627,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,     0,
       0,     0,     0,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  3792,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,   216,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
     224,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
    2410,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,   238,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,  1696,     0,   250,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,  3207,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,  3208,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,  3209,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,  1668,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
    3210,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,  1696,     0,     0,     0,     0,     0,     0,  1697,
    1698,     0,     0,     0,     0,     0,     0,     0,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,     0,
       0,     0,     0,     0,  2372,  3162,  1700,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,  1699,     0,     0,
       0,     0,     0,     0,  1700,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  2542,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,  3208,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,  1696,     0,     0,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,  1668,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
    4619,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,  1696,     0,     0,     0,     0,     0,     0,  1697,
    1698,     0,     0,     0,     0,     0,     0,     0,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,  4634,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,     0,
       0,     0,     0,     0,     0,     0,  1700,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,  5776,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,  5777,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,  5778,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
    5777,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,  5778,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,  1696,     0,     0,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,  1668,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,  1696,     0,     0,     0,     0,     0,     0,  2545,
    2546,     0,     0,     0,     0,     0,     0,     0,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,  4972,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,     0,
       0,     0,     0,     0,     0,     0,  1700,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,  4981,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,  5300,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  5301,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,  5302,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  5303,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449, -2977,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,  5777,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528, -2977,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
       0,     0,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551, -2977,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,     0,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648, -2977,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,  5778,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706, -2977,     0,     0,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  5497,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,     0,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  3193,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,     0,     0,     0,     0,     0,     0,     0,  3194,
    3195,     0,     0,     0,     0,     0,     0,     0,  3196,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,     0,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  3193,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
       0,     0,     0,     0,     0,     0,     0,  3194,  3195,     0,
       0,     0,     0,     0,     0,     0,  3196,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,     0,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,     0,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    3333,  3334,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,     0,
       0,     0,     0,     0,     0,  3335,  3336,     0,     0,     0,
       0,     0,     0,     0,  3196,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,     0,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,     0,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  3193,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,     0,     0,     0,     0,
       0,     0,     0,  3194,  3195,     0,     0,     0,     0,     0,
       0,     0,  3196,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,     0,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,     0,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  3193,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,     0,     0,     0,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    3196,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,     0,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,  4531,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,     0,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    3193,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,     0,
       0,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  3196,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
       0,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,     0,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  3193,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,  5012,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,     0,     0,     0,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  3196,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,     0,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,     0,     0,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,     0,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
       0,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
       0,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,     0,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,  1640,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,  1656,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,   172,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,  4013,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,  1670,   575,   196,   576,   577,   578,     0,   579,   580,
       0,  1154,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,  4014,   632,   633,
     634,   635,   636,   637,   744,   638,   216,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
     224,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,  1682,   675,  1683,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
    2410,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,   238,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
    4015,   746,   705,   706,     0,     0,   250,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    4016,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,  1640,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,  1656,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
     172,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,  4013,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,  1670,   575,   196,   576,   577,
     578,     0,   579,   580,     0,  1154,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,  4014,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,  1682,
     675,  1683,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,  4015,   746,   705,   706,     0,     0,
       0,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  4016,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,  1640,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,  1656,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,   172,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,  1670,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,  4014,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,  1682,   675,  1683,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,  4015,   746,
     705,   706,     0,     0,     0,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,   251,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,  1640,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,  1656,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,   172,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,  1670,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,  1682,   675,  1683,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  4667,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,  1640,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,  1656,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,   172,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,  1670,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,  1682,   675,  1683,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
       0,     0,     0,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  5758,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    5355,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  4587,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0, -1748,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0, -1748,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539, -1748,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544, -1748,   545,   546,
     547,   548,   549,     0,     0,   550,   182, -1748,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189, -1748,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627, -1748,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,     0,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  1795,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,  3824,  3825,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
       0,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  3825,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   216,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,   224,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,  2410,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
     238,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,   250,     0,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,   251,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   216,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,   224,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,  2410,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,   238,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,   250,     0,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,   251,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  1771,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  3366,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
       0,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  4566,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  5029,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1281,    45,     0,     0,     0,     0,     0,
    1282,  1283,  1284,   431,   432,   433,   434,   435,   436,   437,
     438,   777,   439,   440,   441,   778,   779,   780,   781,   782,
     783,   784,   442,   443,   785,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,   786,   450,   451,
     452,   453,   454,   787,   788,   455,   456,  1462,  1463,   457,
     790,   458,   459,   460,   461,     0,   791,   144,   792,   462,
     463,   464,   465,   466,   147,   467,   468,   737,   794,   469,
     470,   471,   472,   473,   474,   795,   150,   475,   476,     0,
     797,   798,   799,   151,   800,   801,   802,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,   803,   484,   804,   485,
     486,   487,   488,   489,   490,   805,   491,   492,   493,   494,
     806,   807,   495,   496,  1466,   498,   499,   808,   500,   501,
     502,   809,   503,   504,   505,   810,   506,   507,   508,   509,
       0,   510,   511,   512,     0,   811,   513,   812,   514,   515,
    1467,   516,   813,   517,   814,   518,   168,   815,   169,   519,
     520,   521,   522,   816,   523,     0,   817,     0,   524,   818,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
     819,   533,   534,   535,   536,   537,   538,   820,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,   823,  1471,   824,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
     825,   826,   550,     0,   183,   551,   184,   827,   552,   553,
     554,   828,   829,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,  4315,   830,   572,   573,   194,
     574,   831,     0,   575,  1474,   576,   577,   578,   832,   579,
     580,   833,   834,  4316,   582,   583,   835,   836,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   837,   595,   596,     0,   597,     0,   598,
     599,   600,   838,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,   839,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     840,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   841,   639,   640,
     641,   642,   643,   842,   645,   646,  2626,   647,   648,   220,
     649,   650,  1477,   651,   843,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   844,   664,
     665,   845,   666,   225,   667,   668,   669,   670,   671,   846,
    1478,  1479,     0,   848,   673,   674,     0,   675,     0,   849,
     676,   677,   678,   679,   680,   681,   682,     0,   851,   683,
     684,   685,   686,   687,   852,   853,   688,   689,   690,   691,
     692,     0,  1480,   855,   693,   237,   694,   695,   696,   697,
     856,   857,   698,   858,   859,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,     0,     0,     0,  1287,  1288,
    1289,     0,  4317,  4318,  1292,  1293,  1294,  1295,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1281,    45,     0,
       0,     0,     0,     0,  1282,  1283,  1284,   431,   432,   433,
     434,   435,   436,   437,   438,   777,   439,   440,   441,   778,
     779,   780,   781,   782,   783,   784,   442,   443,   785,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,   786,   450,   451,   452,   453,   454,   787,   788,   455,
     456,  1462,  1463,   457,   790,   458,   459,   460,   461,     0,
     791,   144,   792,   462,   463,   464,   465,   466,   147,   467,
     468,   737,   794,   469,   470,   471,   472,   473,   474,   795,
     150,   475,   476,     0,   797,   798,   799,   151,   800,   801,
     802,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
     803,   484,   804,   485,   486,   487,   488,   489,   490,   805,
     491,   492,   493,   494,   806,   807,   495,   496,  1466,   498,
     499,   808,   500,   501,   502,   809,   503,   504,   505,   810,
     506,   507,   508,   509,     0,   510,   511,   512,     0,   811,
     513,   812,   514,   515,  1467,   516,   813,   517,   814,   518,
     168,   815,   169,   519,   520,   521,   522,   816,   523,     0,
     817,     0,   524,   818,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,   819,   533,   534,   535,   536,   537,
     538,   820,   539,   175,     0,     0,   540,   541,   542,  1469,
    1470,   823,  1471,   824,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,   825,   826,   550,     0,   183,   551,
     184,   827,   552,   553,   554,   828,   829,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,  4758,
     830,   572,   573,   194,   574,   831,     0,   575,  1474,   576,
     577,   578,   832,   579,   580,   833,   834,  4316,   582,   583,
     835,   836,   584,     0,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   837,   595,   596,
       0,   597,     0,   598,   599,   600,   838,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,   839,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   840,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   841,   639,   640,   641,   642,   643,   842,   645,   646,
    2626,   647,   648,   220,   649,   650,  1477,   651,   843,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   844,   664,   665,   845,   666,   225,   667,   668,
     669,   670,   671,   846,  1478,  1479,     0,   848,   673,   674,
       0,   675,     0,   849,   676,   677,   678,   679,   680,   681,
     682,     0,   851,   683,   684,   685,   686,   687,   852,   853,
     688,   689,   690,   691,   692,     0,  1480,   855,   693,   237,
     694,   695,   696,   697,   856,   857,   698,   858,   859,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,     0,
       0,     0,  1287,  1288,  1289,     0,  4317,  4318,  1292,  1293,
    1294,  1295,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1281,     0,     0,     0,     0,     0,     0,  1282,  1283,  1284,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,  1285,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,  1286,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,
    1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1281,     0,     0,     0,     0,     0,     0,
    1282,  1283,  1284,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,  1403,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,  1404,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,  1287,  1288,
    1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1281,     0,     0,     0,
       0,     0,     0,  1282,  1283,  1284,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,  1511,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,  1512,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1513,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,  1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,
    1295,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1281,
       0,     0,     0,     0,     0,     0,  1282,  1283,  1284,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,  2103,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,  2104,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,
    1292,  1293,  1294,  1295,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1281,     0,     0,     0,     0,     0,     0,  1282,
    1283,  1284,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,  1287,  1288,  1289,
       0,  1290,  1291,  1292,  1293,  1294,  1295,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1281,     0,     0,     0,     0,
       0,     0,  1282,  1283,  1284,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,  3467,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,  3468,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
    1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1281,     0,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,  5333,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,
    1293,  1294,  1295,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     777,   439,   440,   441,   778,   779,   780,   781,   782,   783,
     784,   442,   443,   785,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,   786,   450,   451,   452,
     453,   454,   787,   788,   455,   456,   789,   139,   457,   790,
     458,   459,   460,   461,   143,   791,   144,   792,   462,   463,
     464,   465,   466,   147,   467,   468,   793,   794,   469,   470,
     471,   472,   473,   474,   795,   150,   475,   476,   796,   797,
     798,   799,   151,   800,   801,   802,   478,   479,   480,   481,
     739,   482,   154,   155,   483,   803,   484,   804,   485,   486,
     487,   488,   489,   490,   805,   491,   492,   493,   494,   806,
     807,   495,   496,   497,   498,   499,   808,   500,   501,   502,
     809,   503,   504,   505,   810,   506,   507,   508,   509,   163,
     510,   511,   512,   165,   811,   513,   812,   514,   515,   167,
     516,   813,   517,   814,   518,   168,   815,   169,   519,   520,
     521,   522,   816,   523,   171,   817,   172,   524,   818,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,   819,
     533,   534,   535,   536,   537,   538,   820,   539,   175,   176,
     821,   540,   541,   542,   822,   177,   823,   178,   824,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,   825,
     826,   550,   182,   183,   551,   184,   827,   552,   553,   554,
     828,   829,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,   830,   572,   573,   194,   574,
     831,   195,   575,   196,   576,   577,   578,   832,   579,   580,
     833,   834,   581,   582,   583,   835,   836,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   837,   595,   596,   201,   597,   202,   598,   599,
     600,   838,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,   839,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   840,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,   841,   639,   640,   641,
     642,   643,   842,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,   843,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,   844,   664,   665,
     845,   666,   225,   667,   668,   669,   670,   671,   846,   226,
     227,   847,   848,   673,   674,   228,   675,   229,   849,   676,
     677,   678,   679,   680,   681,   682,   850,   851,   683,   684,
     685,   686,   687,   852,   853,   688,   689,   690,   691,   692,
     854,   236,   855,   693,   237,   694,   695,   696,   697,   856,
     857,   698,   858,   859,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,  2511,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
    2622,   533,   534,   535,   536,   537,   538,     0,   539,   175,
    2623,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,  2624,   584,  2625,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  2626,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,  2627,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,     0,    86,    87,    88,   722,
      90,    91,    92,   723,  2628,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,    86,    87,    88,
     722,    90,    91,    92,   723,  1161,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,    86,    87,
      88,   722,    90,    91,    92,   723,  5726,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,  1051,   433,   434,
     435,   436,   437,   438,  1052,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,  1053,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,  1054,   167,   516,     0,   517,     0,  1055,     0,
    1056,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,  1057,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,  1058,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,  1059,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,  1060,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,  1061,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,     0,     0,     0,  1062,  1063,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,  1051,   433,   434,   435,
     436,   437,   438,  1052,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,  1085,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,  1054,   167,   516,     0,   517,     0,  1086,     0,  1056,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,  1057,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,  1058,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,  1059,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,  1060,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,  1061,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
       0,     0,     0,     0,  1062,  1063,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1564,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,  1056,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,  1057,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,     0,
       0,     0,     0,  1062,  1063,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  1569,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,  1056,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
    1057,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,     0,     0,
       0,     0,  1062,  1063,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,   740,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,  1742,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,  1131,  1743,
      86,    87,    88,   722,    90,    91,    92,   723,  1132,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
    1133,   456,  1104,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,  1134,     0,  1135,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,  1136,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,  1137,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,  1138,
     629,   630,   213,   631,   632,   633,  1139,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,  1140,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,  1141,   227,     0,     0,  1142,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,  1108,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,  1143,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   777,   439,   440,
     441,   778,   779,   780,   781,   782,   783,   784,   442,   443,
     785,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,   786,   450,   451,   452,   453,   454,   787,
     788,   455,   456,   789,   139,   457,   790,   458,   459,   460,
     461,   143,   791,   144,   792,   462,   463,   464,   465,   466,
     147,   467,   468,   793,   794,   469,   470,   471,   472,   473,
     474,   795,   150,   475,   476,   796,   797,   798,   799,   151,
     800,   801,   802,   478,   479,   480,   481,   739,   482,   154,
     155,   483,   803,   484,   804,   485,   486,   487,   488,   489,
     490,   805,   491,   492,   493,   494,   806,   807,   495,   496,
     497,   498,   499,   808,   500,   501,   502,   809,   503,   504,
     505,   810,   506,   507,   508,   509,   163,   510,   511,   512,
     165,   811,   513,   812,   514,   515,   167,   516,   813,   517,
     814,   518,   168,   815,   169,   519,   520,   521,   522,   816,
     523,   171,   817,   172,   524,   818,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,   819,   533,   534,   535,
     536,   537,   538,   820,   539,   175,   176,   821,   540,   541,
     542,   822,   177,   823,   178,   824,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,   825,   826,   550,   182,
     183,   551,   184,   827,   552,   553,   554,   828,   829,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,   830,   572,   573,   194,   574,   831,   195,   575,
     196,   576,   577,   578,   832,   579,   580,   833,   834,   581,
     582,   583,   835,   836,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   837,
     595,   596,   201,   597,   202,   598,   599,   600,   838,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,   839,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   840,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   841,   639,   640,   641,   642,   643,   842,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
     843,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,   844,   664,   665,   845,   666,   225,
     667,   668,   669,   670,   671,   846,   226,   227,   847,   848,
     673,   674,   228,   675,   229,   849,   676,   677,   678,   679,
     680,   681,   682,   850,   851,   683,   684,   685,   686,   687,
     852,   853,   688,   689,   690,   691,   692,   854,   236,   855,
     693,   237,   694,   695,   696,   697,   856,   857,   698,   858,
     859,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   777,   439,
     440,   441,   778,   779,   780,   781,   782,   783,   784,   442,
     443,   785,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,   786,   450,   451,   452,   453,   454,
     787,   788,   455,   456,   789,   139,   457,   790,   458,   459,
     460,   461,   143,   791,   144,   792,   462,   463,   464,   465,
     466,   147,   467,   468,   793,   794,   469,   470,   471,   472,
     473,   474,   795,   150,   475,   476,   796,   797,   798,   799,
     151,   800,   801,   802,   478,   479,   480,   481,   739,   482,
     154,   155,   483,   803,   484,   804,   485,   486,   487,   488,
     489,   490,   805,   491,   492,   493,   494,   806,   807,   495,
     496,   497,   498,   499,   808,   500,   501,   502,   809,   503,
     504,   505,   810,   506,   507,   508,   509,   163,   510,   511,
     512,   165,   811,   513,   812,   514,   515,   167,   516,   813,
     517,   814,   518,   168,   815,   169,   519,   520,   521,   522,
     816,   523,   171,   817,   172,   524,   818,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,   819,   533,   534,
     535,   536,   537,   538,   820,   539,   175,   176,   821,   540,
     541,   542,   822,   177,   823,   178,   824,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,   825,   826,   550,
     182,   183,   551,   184,   827,   552,   553,   554,   828,   829,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,   830,   572,   573,   194,   574,   831,   195,
     575,   196,   576,   577,   578,   832,   579,   580,   833,   834,
     581,   582,   583,   835,   836,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     837,   595,   596,   201,   597,   202,   598,   599,   600,   838,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,   839,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   840,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,   841,   639,   640,   641,   642,   643,
     842,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,   843,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,   844,   664,   665,   845,   666,
     225,   667,   668,   669,   670,   671,   846,   226,   227,   847,
     848,   673,   674,   228,   675,   229,   849,   676,   677,   678,
     679,   680,   681,   682,   850,   851,   683,   684,   685,   686,
     687,   852,   853,   688,   689,   690,   691,   692,   854,   236,
     855,   693,   237,   694,   695,   696,   697,   856,   857,   698,
     858,   859,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,  3535,   436,   437,   438,   777,
     439,   440,   441,   778,   779,   780,   781,   782,   783,   784,
     442,   443,   785,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,   786,   450,   451,   452,   453,
     454,   787,   788,   455,   456,   789,   139,   457,   790,   458,
     459,   460,   461,   143,   791,   144,   792,   462,   463,   464,
     465,   466,   147,   467,   468,   793,   794,   469,   470,   471,
     472,   473,   474,   795,   150,   475,   476,   796,   797,   798,
     799,   151,   800,   801,   802,   478,   479,   480,   481,   739,
     482,   154,   155,   483,   803,   484,   804,   485,   486,   487,
     488,   489,   490,   805,   491,   492,   493,   494,   806,   807,
     495,   496,   497,  3536,   499,   808,   500,   501,   502,   809,
     503,   504,   505,   810,   506,   507,   508,   509,   163,   510,
     511,   512,   165,   811,   513,   812,   514,   515,   167,   516,
     813,   517,   814,   518,   168,   815,   169,   519,   520,   521,
     522,   816,   523,   171,   817,   172,   524,   818,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,   819,   533,
     534,   535,   536,   537,   538,   820,   539,   175,   176,   821,
     540,   541,   542,   822,   177,   823,   178,   824,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,   825,   826,
     550,   182,   183,   551,   184,   827,   552,   553,   554,   828,
     829,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,   830,   572,   573,   194,   574,   831,
     195,   575,   196,   576,   577,   578,   832,   579,   580,   833,
     834,   581,   582,   583,   835,   836,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   837,   595,   596,   201,   597,   202,   598,   599,   600,
     838,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,   839,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   840,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,   841,   639,   640,   641,   642,
     643,   842,  3537,   646,   218,   647,   648,   220,   649,   650,
     221,   651,   843,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,   844,   664,   665,   845,
     666,   225,   667,   668,   669,   670,   671,   846,   226,   227,
     847,   848,   673,   674,   228,   675,   229,   849,   676,   677,
     678,   679,   680,   681,   682,   850,   851,   683,   684,   685,
     686,   687,   852,   853,   688,   689,   690,   691,   692,   854,
     236,   855,   693,   237,   694,   695,   696,   697,   856,   857,
     698,   858,   859,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,  1640,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,  1656,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,   172,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,  1670,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,  1682,   675,  1683,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,  1451,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,  1503,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,     0,  1459,   136,  1460,  1461,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1462,  1463,   457,     0,   458,   459,   460,   461,     0,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,  1464,  1465,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,  1467,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,  2622,   533,   534,   535,   536,   537,   538,
       0,   539,   175,  2623,     0,   540,   541,   542,  1469,  1470,
       0,  1471,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,     0,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1472,   190,  1473,   569,   570,   571,     0,     0,
     572,   573,   194,   574,     0,     0,   575,  1474,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,  2625,   198,   585,   199,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1475,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,  2626,
     647,   648,   220,   649,   650,  1477,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1478,  1479,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,  1480,  2627,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1462,  1463,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,  1467,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,     0,     0,   540,   541,   542,  1469,
    1470,     0,  1471,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,     0,
       0,   572,   573,   194,   574,  2720,     0,   575,  1474,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,     0,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
    2626,   647,   648,   220,   649,   650,  1477,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,  4419,   666,   225,   667,   668,
     669,   670,   671,     0,  1478,  1479,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,  1480,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
    2789,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  1476,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,     0,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,  4235,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,     0,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  1476,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,     0,
    1459,   136,  1460,  1461,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,  1462,  1463,   457,     0,   458,   459,
     460,   461,     0,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
    1464,  1465,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,     0,   510,   511,
     512,     0,     0,   513,     0,   514,   515,  1467,   516,  5790,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,     0,     0,     0,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,     0,     0,   540,
     541,   542,  1469,  1470,     0,  1471,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
       0,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1472,   190,  1473,   569,
     570,   571,     0,     0,   572,   573,   194,   574,     0,     0,
     575,  1474,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,     0,   198,   585,   199,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,     0,   597,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1475,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,  1476,   647,   648,   220,   649,   650,  1477,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1478,  1479,     0,
       0,   673,   674,     0,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,  1480,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,  1459,   136,  1460,  1461,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1462,  1463,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,  1464,  1465,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,  1467,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,  1468,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,     0,     0,
     540,   541,   542,  1469,  1470,     0,  1471,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1472,   190,  1473,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,  1474,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,     0,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1475,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,  1476,   647,   648,   220,   649,   650,
    1477,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1478,  1479,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
    1480,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1462,  1463,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,  1467,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,  1525,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,     0,
       0,   540,   541,   542,  1469,  1470,     0,  1471,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,     0,     0,   572,   573,   194,   574,
       0,     0,   575,  1474,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,  1476,   647,   648,   220,   649,
     650,  1477,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1478,
    1479,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,  1480,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  1476,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,     0,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,     0,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
       0,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  2626,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,     0,  1459,   136,  1460,  1461,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,  1462,
    1463,   457,     0,   458,   459,   460,   461,     0,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,  1464,  1465,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,     0,   510,   511,   512,     0,     0,   513,     0,
     514,   515,  1467,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,     0,     0,     0,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,     0,     0,   540,   541,   542,  1469,  1470,     0,
    1471,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,     0,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1472,   190,  1473,   569,   570,   571,     0,     0,   572,
     573,   194,   574,     0,     0,   575,  1474,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,     0,   198,   585,   199,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,     0,   597,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1475,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,     0,   647,
     648,   220,   649,   650,  1477,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1478,  1479,     0,     0,   673,   674,     0,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,  1480,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,     0,     0,   136,     0,     0,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,     0,   457,     0,   458,   459,   460,   461,     0,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,     0,     0,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,     0,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,     0,     0,   540,   541,   542,     0,     0,
       0,     0,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,     0,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,     0,   190,     0,   569,   570,   571,     0,     0,
     572,   573,   194,   574,     0,     0,   575,     0,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,     0,   198,   585,   199,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,     0,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,     0,
     647,   648,   220,   649,   650,     0,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,     0,     0,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,     0,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   777,   439,   440,   441,   778,   779,
     780,   781,   782,   783,   784,   442,   443,   785,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
     786,   450,   451,   452,   453,   454,   787,   788,   455,   456,
       0,   139,   457,   790,   458,   459,   460,   461,   143,   791,
     144,   792,   462,   463,   464,   465,   466,   147,   467,   468,
     793,   794,   469,   470,   471,   472,   473,   474,   795,   150,
     475,   476,     0,   797,   798,   799,   151,   800,   801,   802,
     478,   479,   480,   481,     0,   482,   154,   155,   483,   803,
     484,   804,   485,   486,   487,   488,   489,   490,   805,   491,
     492,   493,   494,   806,   807,   495,   496,   497,   498,   499,
     808,   500,   501,   502,   809,   503,   504,   505,   810,   506,
     507,   508,   509,   163,   510,   511,   512,   165,   811,   513,
     812,   514,   515,   167,   516,   813,   517,   814,   518,   168,
     815,   169,   519,   520,   521,   522,   816,   523,   171,   817,
     172,   524,   818,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,   819,   533,   534,   535,   536,   537,   538,
     820,   539,   175,   176,     0,   540,   541,   542,     0,   177,
     823,   178,   824,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,   825,   826,   550,   182,   183,   551,   184,
     827,   552,   553,   554,   828,   829,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,   830,
     572,   573,   194,   574,   831,   195,   575,   196,   576,   577,
     578,   832,   579,   580,   833,   834,   581,   582,   583,   835,
     836,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   837,   595,   596,   201,
     597,   202,   598,   599,   600,   838,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
     839,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   840,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
     841,   639,   640,   641,   642,   643,   842,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,   843,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,   844,   664,   665,   845,   666,   225,   667,   668,   669,
     670,   671,   846,   226,   227,     0,   848,   673,   674,   228,
     675,   229,   849,   676,   677,   678,   679,   680,   681,   682,
       0,   851,   683,   684,   685,   686,   687,   852,   853,   688,
     689,   690,   691,   692,     0,   236,   855,   693,   237,   694,
     695,   696,   697,   856,   857,   698,   858,   859,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,  1223,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,  2662,   458,   459,   460,   461,   143,     0,
       0,  2739,   462,   463,   464,   465,   466,     0,   467,   468,
     737,  2663,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,  2740,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,  2665,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2741,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,  2666,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,  2667,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,  2662,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,  2663,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,  2740,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,  2665,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,  3725,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,  2666,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,  2667,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,  1119,   437,   438,  1071,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,  1072,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,  1120,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
    1073,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
    1074,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1071,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,  1072,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,  3428,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
    1073,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
    1074,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,  2662,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,  2663,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,  2740,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,  2665,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,  2666,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,  2667,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   735,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,   738,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,   740,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1071,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,  1072,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
    1073,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
    1074,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,   974,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   975,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   976,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  2330,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,  2331,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,  2332,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,  2333,   518,     0,
       0,     0,  2334,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
    2335,  2336,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,  2337,   635,   636,   637,   744,   638,
       0,  2338,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,  2339,   666,     0,  2340,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,  2341,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,  1072,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
    1073,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
    1074,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,  2319,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,  3280,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,  3281,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,  2601,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,  3282,   666,     0,   667,  3283,   669,
    3284,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,  3285,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   762,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,   740,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   919,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1316,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1317,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,  1154,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1442,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   129,   130,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  3516,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  3517,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  3529,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  3530,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   980,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,  1033,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,  1089,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,  1154,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1276,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1277,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1745,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1932,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,  1154,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1985,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1986,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,  2187,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,  2319,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,  2601,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  4587,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  4601,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,  1101,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1103,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  1105,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,  1106,   227,     0,     0,  1107,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1148,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  1149,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,  1150,   227,     0,     0,  1151,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,  1167,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1301,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1309,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1327,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1388,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1394,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1410,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1413,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1415,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1457,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1519,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1521,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1531,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1534,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1537,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,  1756,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,  1133,   456,
    1104,   139,  1757,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,  1137,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,  1138,   629,   630,
     213,   631,   632,   633,  1139,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  1749,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,  1141,   227,     0,     0,  1142,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,  1143,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,  1882,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1103,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2135,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2173,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2175,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2247,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2249,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2251,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,  2367,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  2566,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,     0,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  2996,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  3000,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  3439,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  3506,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  3519,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  3521,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  3656,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,  3681,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,  1133,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,  1137,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,  1138,   629,   630,
     213,   631,   632,   633,  1139,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  1749,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,  1141,   227,     0,     0,  1142,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,  1143,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,  1133,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,  1137,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,  1138,   629,   630,
     213,   631,   632,   633,  1139,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  1749,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,  2649,   668,   669,
     670,   671,     0,  1141,   227,     0,     0,  1142,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,  1143,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,  1133,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,  1137,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,  1138,   629,   630,
     213,   631,   632,   633,  2724,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  2725,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,  1141,   227,     0,     0,  2726,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,  1143,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,  1133,   456,
    1104,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,  1137,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,  1138,   629,   630,
     213,   631,   632,   633,  1139,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,  2725,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,  1141,   227,     0,     0,  2726,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,  1108,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,  1143,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,     0,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,     0,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,     0,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2732,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,   425,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114, -2733,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,  1218,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,  2295,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,  2296,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,  2297,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,  1839,  1840,  5576,     0,     0,     0,     0,     0,
       0,  5577,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   129,   130,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
     216,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,   224,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   235,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,   238,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,   705,   706,    35,   430,
     250,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,   251,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,  2498,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,  2295,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
    2296,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,  2297,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   705,   706,     0,     0,     0,     0,     0,    35,
     430,  1839,  1840,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,  2503,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,  2295,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,  2296,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,  2297,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   705,   706,     0,     0,     0,     0,     0,
      35,   430,  1839,  1840,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,  2295,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,  2296,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
    2297,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,   705,   706,     0,     0,     0,     0,
       0,    35,   430,  1839,  1840,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,     0,   482,   154,   155,   483,  3421,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,  2295,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,  2296,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,  2297,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,   705,   706,     0,     0,     0,
       0,     0,    35,   430,  1062,  1063,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,   477,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,   672,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,   705,   706,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,   477,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,  2295,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,  2296,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,  2297,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   705,   706,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,     0,   482,   154,   155,
     483,  2483,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,  2271,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1304,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
     477,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1323,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,   477,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,  1324,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,   477,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  2872,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,   477,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,  3861,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,   477,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,   477,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,  1422,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,   477,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,  1506,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   705,   706,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,   477,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,  1517,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,  1527,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,  1528,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,   129,   130,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,     0,     0,     0,     0,
       0,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,     0,   457,     0,   458,   459,   460,   461,     0,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,     0,   482,     0,     0,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,     0,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,     0,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,     0,     0,   540,   541,   542,     0,
       0,     0,     0,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,     0,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,     0,     0,     0,   569,   570,   571,     0,
       0,   572,   573,     0,   574,     0,     0,   575,     0,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,     0,     0,   585,     0,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,     0,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
       0,   647,   648,     0,   649,   650,     0,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,     0,     0,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,     0,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,   706
};

static const yytype_int16 yycheck[] =
{
       2,    78,  1310,   251,  1558,   153,    78,   944,    78,    78,
    1509,   987,  1130,  1135,   166,    78,   891,    96,  1072,  1073,
    1074,   210,   230,   896,  1078,   393,  1326,   106,  1588,    78,
     377,  1152,  1476,   152,    78,    84,   188,  1918,  1311,  1261,
      84,   393,  1184,   149,  1962,  1157,   224,  1336,  3136,  1158,
     896,  2027,  3304,  1027,  1955,   203,   164,   768,  2285,  3510,
    1416,  1624,   141,  1039,  1967,  1777,  2840,  2788,  1464,  1465,
    1142,  1479,   116,   882,   159,  2089,    78,   156,  1474,  2472,
     170,  1962,    84,  3357,  3722,   987,  2949,    89,  2936,  3483,
    1010,  1391,  2169,  3801,   164,  1395,  2630,  2631,   944,  1494,
    1400,  2372,  4073,  1023,  2861,  1231,   365,    94,  1405,  1409,
      78,  1978,  3112,  3711,   116,  3757,  3535,   161,  3537,  4128,
     210,  2459,  1310,  1423,  1421,   769,  3705,  4128,  1038,  1231,
    1318,  3293,  3711,  3291,  3292,  3987,  3366,   379,   131,  4180,
    1328,  4124,  4016,  1022,   131,  4408,  3788,  4672,  2051,   379,
     152,  1833,  1834,  1835,   209,  2222,  4411,  4398,  4394,   161,
    1006,  1273,  1138,  4355,   219,   152,   153,  4420,  2182,     2,
    2894,  4407,  2896,  4022,   217,   162,  2900,   250,  3331,  1891,
    2356,   116,  2466,  5076,  4899,  2909,  2910,  2911,   232,  2546,
    2057,  2058,  2269,  3224,  4902,  2548,  5013,  2393,  1542,  1947,
    1571,  1896,  3399,   166,  1551,  4397,  4854,   209,  5095,  1828,
    1829,   892,  1270,  1462,  1463,   217,   203,   219,  2939,   900,
    5029,  3950,  5031,  1807,  1473,   188,   161,  1181,  1340,  1181,
     232,  4094,   913,  5228,    30,  4021,  1138,  4023,  1030,  5216,
    1226,  1227,    21,    87,    87,  1957,    10,  5134,    74,    75,
      76,    77,    87,  4901,    14,    81,  1652,  1653,   111,  5140,
    5141,   942,    14,   974,   125,  4482,  4483,   948,  4485,  4486,
    4487,   147,  3825,  1681,  1496,  1671,    71,   876,   118,   102,
     961,   116,  5431,   233,    74,    75,    76,    77,   162,    71,
     118,    81,  2630,   187,  5337,  5338,    71,   232,    80,  5371,
    1054,   115,   105,    85,  1058,  1059,  1060,    14,   385,   115,
      85,    71,   147,   385,  1068,   385,   385,    74,    75,    76,
      77,    84,   385,   132,    81,  3046,   238,  3048,   149,  1383,
     189,   186,    89,    90,   102,    74,    75,    76,    77,  3370,
     245,   109,    81,    29,   393,   132,   102,   149,   208,   393,
      89,    90,   149,    70,   132,   189,    74,    75,    76,    77,
     180,    78,    79,    81,    71,    96,   247,    74,    75,    76,
      77,    89,    90,    80,    81,    82,    83,   132,    85,   428,
      74,    75,    76,    77,   428,  3485,   340,    81,   132,   106,
     107,   393,  1641,  1642,   379,    89,    90,   187,    74,    75,
      76,    77,   123,   213,   180,    81,   149,   132,   238,    74,
      75,    76,    77,    89,    90,   343,    81,   385,  1667,   132,
     239,  1132,   102,   463,   410,   284,   428,  2242,    78,   109,
    1551,   132,    74,    75,    76,    77,   192,   141,   232,    81,
     132,  1797,   429,   159,    74,    75,    76,    77,   238,   149,
      98,    81,   119,   261,    74,    75,    76,    77,   238,   159,
      98,    81,    74,    75,    76,    77,  5353,   425,   327,    81,
     154,   180,  1761,   140,    74,    75,    76,    77,  1353,  5456,
    5629,    81,   468,   238,  1357,   230,   149,  5296,   219,   238,
     238,   531,    74,    75,    76,    77,   159,   238,   102,    81,
     166,   220,   192,  5218,    78,   109,   280,  2574,   132,  5217,
     878,  1357,    98,   217,    74,    75,    76,    77,   274,  2334,
     237,    81,   239,   382,   405,   399,   878,    74,    75,    76,
      77,   235,   361,  1342,    81,   256,    74,    75,    76,    77,
     261,   325,    78,    81,   133,    78,     0,  2614,   194,   325,
    5776,  2618,   141,   672,  1530,    70,    71,   542,   206,    74,
      75,    76,    77,    78,    79,    80,    81,  1212,   206,  2013,
      85,   381,   720,   721,   368,    78,   297,    78,   244,   324,
    5164,    78,  1558,  1909,  1228,  1229,   272,   545,   542,  1701,
      78,   400,   542,   180,   397,    71,  1516,    71,    74,    75,
      76,    77,  1723,    78,    80,    81,    80,   180,   102,    85,
     465,    85,   238,   400,   542,  1736,  1728,  4215,    87,   238,
     206,  3721,   400,   463,    74,    75,    76,    77,  1530,   452,
      78,    81,   452,   545,  1279,   449,  4215,   531,  5531,   280,
     545,   501,   463,   449,  5716,  1766,  1767,   116,  5691,  1248,
    1560,   491,  1628,   508,   488,  4891,   400,   412,    87,  5636,
    4239,   463,   418,   491,   540,   428,   463,   435,   544,   373,
     672,   545,   187,   463,  1594,   400,   436,   408,   147,   192,
    4131,   542,  5831,  5909,   436,   672,   545,   400,  5569,   542,
    1610,   535,   536,   537,   538,   538,   491,   428,    78,   400,
      25,  4553,  2414,   538,  2001,  1625,   490,   486,   400,   430,
      78,  3432,   301,   542,   540,   545,   542,  4591,   544,   357,
     463,  4595,  2022,   542,  4366,  2025,  1628,   491,   484,   436,
     908,  4580,   542,   720,   721,   385,   545,   545,  5446,  4956,
    5455,   531,   497,   452,   540,  1933,  2043,   463,  1540,  2461,
    4388,   533,   534,  2465,   544,   435,   394,   536,   533,   534,
    2033,   274,   542,   463,   279,  2325,   885,   545,  4497,   280,
     544,   357,  5767,   180,  2273,   479,   400,   425,  5755,   496,
    1756,   768,   501,  1042,  4647,   542,   301,   425,  1764,  1765,
     180,  1039,   476,  4579,   484,  4581,   545,   545,  2087,  1987,
     463,   545,  2128,   542,   545,  5330,  2709,  1561,   394,  2393,
    1564,   385,  5699,  1567,  5398,  1569,   935,  2401,  1572,  1793,
     545,  2739,  1576,  2120,   542,  5712,   533,   534,   976,   878,
     874,   435,   545,  2332,   878,   422,   484,  1184,   923,   425,
     486,    14,  2341,  2239,   545,  3619,  1166,   280,   542,   385,
     927,   489,   385,   545,  1756,   927,  4897,   927,   927,  5668,
    5837,  1815,  1848,  1815,   927,   507,   542,   233,  3402,   219,
    3404,   365,   874,   110,  4325,  4037,   878,   542,   997,   452,
     882,  2784,   385,   495,   385,  3748,   528,   507,   385,   891,
     892,  4444,  4445,  4446,  4447,  4448,  1954,   385,   900,  1051,
     542,  1053,   132,  1055,   545,    98,  1084,  1551,   528,  1061,
     385,   913,   542,  1558,  3307,  5630,   542,  5894,  4312,  4116,
    5807,   545,   542,   542,  5632,   249,   420,   280,   930,  1035,
     542,  1039,  1174,  1085,  1086,  2306,   238,   385,  2282,   874,
     942,  2312,   542,  2290,  1174,   219,   948,  2642,  5841,  5842,
     187,   276,  2536,  3291,  3292,  3293,  2575,  1036,  2577,   961,
     542,  3685,   456,  5611,   458,  3686,  3687,    25,  1038,  2218,
    2219,   484,   156,   280,  1053,    37,  1055,    39,   980,  3336,
    1158,  2729,   542,  5631,  3337,   987,  1065,   974,   375,   976,
     992,   195,   442,   443,   410,   542,   998,   156,  3194,  3195,
    1002,  1003,  5011,  3199,   542,   385,  1085,  1086,  1010,   238,
    1188,   348,  2988,   206,   198,  5207,   238,   385,   533,   534,
    1022,  1023,  2417,   342,   103,   105,   408,  3801,  1030,   325,
     396,   505,   280,    25,   545,    98,  5929,  1039,  4432,   198,
    3236,  3237,  5757,    35,   386,   452,  1033,  5864,  5756,  5058,
    1037,   166,   468,   486,   528,   182,  1164,  1994,   534,   533,
     534,  4092,   452,  5072,   533,   534,   535,   536,   537,   538,
      71,  5072,   381,    74,    75,    76,    77,   189,   428,    80,
      81,    82,    83,  3367,    85,   280,  4239,   456,   240,   458,
    1053,  1269,  1055,  1136,  1167,   325,  5107,  1140,   187,   342,
     409,  2655,  3003,  4377,   533,   534,   535,   536,   537,   538,
    1159,   348,   343,   546,  1759,  1159,   156,   114,  4970,  1764,
    1765,  5836,  1085,  1086,  2178,    14,   253,  1129,  1130,   244,
     141,   192,   426,   486,  1136,   249,  1138,  5148,  1140,    87,
     145,  1134,    98,   206,  5018,  1132,   138,  1134,  1994,  5023,
     239,  3327,  5026,   346,   428,   542,   498,  1159,   198,   348,
     542,   463,  1164,   181,  1166,  5014,   490,  2288,   116,     8,
     400,  3705,    11,    12,  5415,   359,   187,  3711,   216,   486,
     141,    78,  2626,    22,    23,    24,   313,    26,    27,   316,
     394,  5454,    31,    32,    33,   425,   275,  1030,   159,   147,
     359,   249,   187,   328,   125,   398,   399,  5448,   545,  5464,
    4918,   325,   238,   274,  5467,  4666,  2338,  2339,   276,  5228,
     332,   156,  5414,   542,  1226,  1227,  5462,   342,   524,   166,
    1550,   242,   425,   116,   463,   261,  5761,  5762,   486,   328,
     278,   463,   496,    70,  4886,   361,   264,   192,   542,   186,
     206,    78,    79,  3320,   280,  5447,   217,   178,   410,  1314,
    1315,  1263,   259,   198,  3798,   327,    71,   164,   182,    74,
      75,    76,    77,   457,   235,    80,    81,   325,   161,   510,
      85,   348,   166,   220,   276,   187,   401,    98,  4707,   416,
    1935,   486,   412,   104,   531,  1263,   240,   540,   457,  2411,
    1945,   544,  2276,   540,   238,   542,   543,   544,   545,   531,
     348,   313,  1314,  1315,   466,    70,   327,   397,  2294,   359,
     472,   332,   544,    78,    79,  2245,   209,   261,   408,   274,
     410,   158,  5079,   108,   217,   340,   219,  2257,  2217,   253,
    1342,   180,   327,   408,   167,  5328,   280,  1349,  2268,   232,
    1435,  1353,   273,  3035,   251,   486,   545,  2331,   331,   484,
     244,  2335,   373,  2337,   192,   181,  2340,   463,  2243,  2014,
    1372,  5896,  2017,  2018,  5637,   342,   490,   388,   206,  1212,
    1700,  2254,   394,  2293,   211,  1387,  2507,  2266,   468,   201,
     505,   203,  2201,   240,   412,   206,   523,   486,  1231,   313,
     344,   357,   316,   158,   325,   286,  5258,  2253,  2254,  5450,
     471,   542,   373,   425,   416,  4645,   239,   457,  5292,   484,
     507,   226,   542,   484,   359,  5172,   542,   412,   543,  1431,
     332,   546,   546,   451,   452,   116,   102,  2559,   394,   266,
     478,   528,   490,   241,   325,   220,  1279,   270,   264,   545,
    4608,  4613,  1700,   390,  2391,   210,  2101,  4619,   342,   432,
     486,    71,   285,   182,    74,    75,    76,    77,   479,   425,
      80,    81,   295,   418,  1476,    85,   543,  4477,   545,   318,
     161,   418,   379,   112,  1563,  5494,  1565,  2613,   385,  1568,
    1560,  1570,   235,   414,  1573,  1574,  1575,   344,   321,   102,
    5763,  1821,   416,  5355,  2812,  5768,   357,  1586,  5360,  5361,
    1878,  2613,  5110,   425,  1516,   452,  5525,   401,   479,   342,
     546,  1600,   457,  1602,  5525,   337,  1878,   332,  1530,  1788,
     369,  5110,   533,   534,   253,   201,   363,  1539,  1540,   484,
    1542,   100,   370,   394,  3043,  2391,   357,   428,  1550,   304,
    2738,   232,   486,   238,   337,   492,  1558,  5195,  1800,  1801,
    2857,  1803,   121,  5534,  5535,   156,   425,   196,   505,  4343,
    1800,  1801,  5835,  1803,   425,  4299,   261,   228,   361,  4303,
    4304,   404,  4306,   394,  5331,   452,   191,   535,   536,   537,
     538,   528,  1594,  5340,   313,   280,   412,   444,   201,  3500,
     106,   107,   357,   484,  4378,   542,  1608,   198,  1610,   523,
    3194,  3195,   546,    98,   425,  3199,   226,   125,   356,   104,
    1607,   505,   420,  1625,  2812,  5634,  1628,  3603,   542,   191,
    4387,  3902,  5895,   545,   473,   451,   452,  1639,   531,  1817,
     182,   159,    74,    75,    76,    77,  2290,   298,  2945,    81,
     477,   544,  3236,  3237,   261,   453,   216,  2845,   485,   543,
     166,   488,   546,   486,  5927,   470,  1668,  5930,   486,   187,
     178,  2968,  2969,  2970,  2971,   179,   281,   241,    98,  2655,
     186,  4215,   463,  2980,   104,   238,   545,   452,  2797,  2798,
    2878,   542,  2801,   187,  1696,  1697,  1698,   416,  1700,  4037,
     455,   311,   457,   287,   314,  4239,  1539,  1540,   261,  1542,
    1712,   253,   310,   199,   220,  5166,   275,   102,  1720,   281,
    3623,   206,   332,   209,   542,  1558,   542,   280,   533,   534,
    4451,  1775,  4453,  3929,  3930,  3931,  3932,   189,   298,  3935,
    3936,  3937,  3938,  3939,  3940,  3941,  3942,  3943,  3944,  1742,
    1743,   465,   228,   505,  1756,  1742,  1743,  1759,  5767,   542,
     254,    70,  1764,  1765,   545,   273,  3843,   152,   359,    78,
      79,   313,  1774,  1775,   316,   160,   528,   542,   405,  1828,
    1829,   243,     5,  1827,  1828,  1829,   206,   394,  5430,   111,
    5428,   398,   239,   372,   508,  3991,  3992,   337,   394,   502,
    1802,   486,    25,   188,  1806,  1807,  5444,   311,   130,   327,
     314,   396,    35,   253,   337,    22,  2736,   325,   425,  1821,
    2695,   361,   298,   116,  2697,  1827,  1828,  1829,   161,  1878,
    5801,  5840,   284,   327,  1878,  2944,  1885,  3289,   361,   301,
    1775,  1885,   545,  5481,   346,  1930,  1848,  5241,   310,   413,
    3289,  2697,  1896,  1846,   233,   357,   420,   179,   485,  1846,
     470,   546,  4950,   339,    71,   244,   457,   463,   161,   254,
    2048,   357,   357,   313,   416,   327,  1878,  3437,   187,  2688,
     265,   542,   261,  1885,   390,   161,   465,  1889,   418,   453,
    5341,  2211,   394,   543,  1896,   356,   546,  2608,   505,   232,
     332,   158,   190,  4677,  1906,  3357,   414,  1909,   394,   394,
     474,  1913,   418,   360,  3781,   138,  3311,  3784,  3357,   189,
     505,   528,   452,   533,   534,   243,  1759,   203,  5347,   508,
     382,  1764,  1765,   486,   100,   313,  5644,    87,   316,   232,
     425,   263,   199,   528,  2998,  1947,   452,   463,  2593,   201,
     189,   203,   209,  1955,   127,   121,    74,    75,    76,    77,
     545,  1896,   492,    81,   425,  3321,  4687,  4688,   505,   257,
     249,   386,   465,   146,   226,  5613,   416,   201,  5066,   203,
    5068,   523,   205,   301,   431,  5237,   492,   160,  1990,   311,
     496,   874,   314,   546,   456,   497,   458,   147,   268,   505,
     542,  5643,   542,   325,   419,  4853,  1839,  1840,   545,  4872,
     386,  2013,   542,   372,  3410,   531,   486,   149,   327,   542,
     482,    80,   528,   332,   403,   218,    85,   159,   544,   356,
     927,  3007,  1865,  1866,   356,  2003,   542,   452,   416,   212,
    2008,    84,  4890,   419,    87,   284,   325,   190,    91,    92,
      93,  2371,  2372,   276,  2735,   325,   441,   327,  2378,   444,
      74,    75,    76,    77,  2384,  2385,  2386,    81,   386,   262,
    4844,  2073,   542,   546,  2394,  2395,   452,   399,   357,  2399,
     332,  2125,  5476,   498,  3060,   337,  5537,  2206,   327,   228,
     243,   356,  2094,  4817,   233,  4819,  4820,   419,   425,  4823,
     357,   545,  1935,   327,  2072,  3007,   465,  2109,  2076,   357,
     408,  5749,  1945,   337,   257,   394,  2118,   439,  4132,  2003,
    2807,   546,   498,  2125,  2008,  2806,  2128,  3101,  2130,    74,
      75,    76,    77,   390,   190,   357,    81,   394,   456,  4335,
     458,  1038,  1039,   382,  4918,   230,   394,  2149,   301,   508,
    2518,   357,   507,   348,   452,  2157,  3298,   505,  3060,   298,
     425,  5435,   543,   486,   482,   546,  2518,  2169,   425,   286,
    2348,  2816,   394,   528,   408,  2364,   410,   425,  3400,  2824,
     498,  2014,  2827,  2185,  2017,  2018,  2294,   542,  2072,  2876,
    2125,  5829,  2076,   874,  2875,   434,  2198,   545,   398,  2201,
     339,   257,  3762,  2205,   201,   290,   203,   179,   325,  2211,
    4186,   490,  3772,  3486,   332,  2217,    87,   187,   470,   425,
     415,   543,   451,  2293,  2303,   425,  2305,  2229,   480,   226,
    2309,  4624,  2311,  2403,   468,  2314,  2406,  3309,  3511,  2318,
    2242,  2243,  5693,  2245,  2246,   116,   234,    74,    75,    76,
      77,  5889,   357,  1136,    81,  2257,   485,  1140,  5900,  3971,
    4178,  4164,   234,  2265,  2266,   382,  2268,  2269,  2101,   327,
    4608,  3146,  5524,  2363,   332,  4613,   147,  1174,   266,  2356,
    2282,  4619,   239,  2285,  2356,  2370,  2356,  2356,   548,   394,
     357,   228,  2294,  2356,   266,   382,   233,  5071,   399,  3487,
     357,   344,   307,   456,  5078,   458,   111,    16,   395,   408,
      40,   428,  4389,   270,  3922,  3252,  4219,  4184,   332,  4186,
     425,  3884,   380,   505,   425,   130,   505,   394,   285,   482,
     327,  3140,  2334,   390,   421,   332,  3312,   394,   295,   311,
     337,   440,   314,  3951,   507,  3929,  3930,  3931,  3932,   528,
      71,  3935,  3936,  3937,  3938,  3939,  3940,  3941,  3942,  3943,
    3944,   298,   105,   545,    85,   528,   545,   484,   425,  2371,
    2372,   159,   189,  3561,   179,  2377,  2378,  3088,  3962,   542,
    2424,  2383,  2384,  2385,  2386,   355,   129,   332,  2390,  4101,
    2392,  2393,  2394,  2395,  2396,  2397,  4410,  2399,  3754,  2401,
    2402,   238,   339,  2405,   342,   468,  3252,  3991,  3992,   347,
    2147,  3708,  2520,  3821,  3822,  3715,   233,  2419,  2420,  2421,
    2422,  2423,  2424,  4650,   261,   394,  2428,  5151,   357,  5880,
    2432,  1314,  1315,  2435,  2171,   167,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,   398,  2448,   404,   418,  2282,
     455,   268,  2285,  3427,  2456,   243,   425,  2459,   263,  3104,
     276,   288,   233,   375,   540,   394,  5187,   240,  2657,  2518,
    2659,   547,   425,   470,  2518,   233,   264,   482,  3454,   336,
     357,     2,   452,   480,   255,  3331,   529,   530,   531,  2424,
     533,   534,   535,   536,   537,   538,   425,   255,   271,   125,
     505,  2564,   507,  2655,  3424,  3425,   311,   239,   325,   314,
     327,   498,  4413,   301,  4395,   149,  2518,   394,  2520,   357,
     325,  2523,   492,   238,   415,   159,  2575,   505,  2577,  2648,
    2708,  2575,   233,  2577,  2536,   505,   342,   542,   270,    50,
     288,   347,   168,  2545,  2546,  1306,   261,  5799,   425,    34,
     528,   356,  3454,   285,   255,   307,   394,    68,   528,   347,
     398,  4013,  1323,   295,  4016,  1326,   312,   193,    89,  4129,
    4130,   542,   542,  2575,  4013,  2577,  5110,  4016,   456,  4917,
     458,   874,   323,    84,   210,   468,    87,   425,   214,   321,
      91,    92,    93,  5845,   399,  2597,    84,   540,  2642,    87,
     341,   544,  5690,    91,    92,    93,   540,   108,   234,   468,
     399,   237,   546,  2615,   419,  2617,  4709,  2619,    70,  2797,
    2798,  2608,  4715,  2801,  2626,   251,    78,    79,  2630,  2631,
       7,   152,    70,    71,   439,  2637,   425,   158,   415,    84,
    2642,  2643,    19,    20,  2964,  2647,    91,    92,    93,  3207,
     310,  3209,  3210,  2655,   533,   534,   535,   536,   537,  3579,
     412,    38,   541,  1560,    41,   186,   310,  3312,   456,   163,
     458,  2673,   404,  3593,  2676,  5386,  4128,  5388,   545,   111,
     468,  5392,   549,  5394,  2803,   396,  2688,  3741,   329,  4128,
    2692,   479,  5944,  2695,   482,   264,  5230,   545,   130,  3019,
     338,   549,  2704,   455,   342,   541,   332,  2642,    84,   545,
      70,    71,  2545,  2546,   340,  2717,   505,  4113,    78,    79,
      71,   542,  2766,   544,   537,    85,  2770,  2729,  5439,   542,
     482,   544,   541,  2735,  2736,   547,   545,    84,  1635,   528,
      87,  3717,  2744,  3719,   540,  4721,   542,   179,   544,  2793,
     543,  4335,   545,   505,   380,   507,   545,   546,  1655,  3868,
    2593,   535,   536,   537,  2766,  2767,  2944,   312,  2770,   116,
    4966,   255,  4061,   261,   138,   139,   123,   418,   545,   546,
    2613,   282,  2615,   468,  2617,   162,   155,  4705,  1685,  2791,
     542,  2793,   498,   543,   282,   545,   129,  2799,  2842,   543,
     147,   545,  2804,  1700,  2806,  2807,   415,   540,  2810,   542,
     242,   452,  3732,   288,  3734,  3717,   543,  3719,   545,   548,
     141,  3797,   505,   542,   507,   202,   147,   537,  2830,   408,
     409,   263,   542,  2835,   544,  2770,    85,  2839,   159,   542,
    2842,   544,   542,   344,  2950,    74,    75,    76,    77,   342,
    2852,   492,    81,   545,   328,   329,   344,   129,  2793,  3705,
     456,   412,   458,  2865,   505,  3711,   187,   214,   189,   882,
    5644,   408,   409,  2875,  2876,   543,  3196,   545,   891,   311,
     545,   546,   314,  3857,   498,  4185,  2930,   528,  3208,  4031,
    4032,  4033,  1775,   325,   543,  3797,   545,  4609,   543,   344,
     545,   542,   543,  1800,  1801,   546,  1803,  2842,   543,   256,
     545,   543,   496,   545,   261,   119,  4028,   930,  2920,  2921,
    3240,   242,    89,    90,   356,  4377,    89,    90,  2930,  4641,
      74,    75,    76,    77,  4156,  2937,   525,    81,  4377,   543,
     216,   545,   216,   284,   418,  2947,   544,   268,  3196,   543,
     297,   545,   228,   543,   228,   545,   345,   233,  3278,   233,
     408,   409,  2964,  3883,   408,   409,    70,   399,   342,   233,
      74,    75,    76,    77,    78,    79,   463,    81,   452,   992,
     345,   342,  2984,  2816,   543,   525,   545,   419,   543,  1002,
     545,  2824,  3240,   345,  2827,  2930,   505,   344,   507,  4583,
     119,  3003,   278,   525,   278,  3007,   327,   439,   543,  4309,
     545,   332,   543,  1896,   545,   284,   535,  3019,   492,  4292,
     237,   545,   298,  1906,   298,   543,   307,   545,   529,   530,
     531,   505,   533,   534,   535,   536,   537,   538,   543,   542,
     545,   529,   530,   531,   543,   533,   534,   535,   536,   537,
     538,   543,   373,   545,   528,   238,   129,   543,  3060,   545,
    3705,  5257,   543,   339,  1947,   339,  3711,   388,   542,   542,
     280,   543,   348,   545,   348,  3283,  3284,  3285,   182,   543,
     543,   545,   545,   430,   529,   530,   531,    70,   533,   534,
     535,   536,   537,   538,  1775,    78,    79,    84,   307,  4543,
      87,  3088,   535,   546,    91,    92,    93,   543,  3110,   545,
     456,   548,   458,  3361,   548,   533,   534,   535,   536,   537,
     543,   108,   545,   276,  3126,   543,  3128,   543,   463,   545,
    5468,   412,   463,   543,  3136,   545,    98,   463,  3140,  4591,
     542,  3143,   104,  4595,  3146,   543,  1827,   545,   543,   253,
     545,   672,  4591,   543,  3156,   545,  4595,   463,   479,    74,
      75,    76,    77,   543,  3166,   545,    81,   463,   543,  3171,
     545,  3215,   212,   111,   455,   158,   543,  3221,   545,   526,
     543,   129,   545,   145,   276,   542,   533,   534,   535,   536,
     537,   538,  3194,  3195,  3196,   282,   505,  3199,   507,   544,
     355,   482,   478,   412,   478,  3207,  3208,  3209,  3210,   313,
     463,   509,   316,  3215,   543,  1896,   545,   542,  3220,  3221,
     543,  3223,   545,  3225,   505,   542,   507,   210,   261,    74,
      75,    76,    77,   195,  3236,  3237,    81,   199,  3240,   543,
     394,   545,  2125,   543,   206,   545,   455,   209,  3893,   543,
    3327,   545,  3254,   221,  3256,  3327,  3258,  3327,  3327,   542,
     544,   542,   307,   418,  3327,   543,   540,   545,   221,   543,
     544,  3104,   234,   482,   342,   418,  3278,   543,   394,   545,
    3215,    74,    75,    76,    77,   261,  3221,  3289,    81,  3291,
    3292,  3293,   543,   221,   545,   282,   505,   452,   507,   342,
     261,  5497,  4862,   543,   266,   545,   543,   221,   545,   452,
    3312,   233,   416,    84,  3316,   342,    87,    74,    75,    76,
      77,   304,   394,   543,    81,   545,  3328,   221,   543,  1342,
     545,  5212,   543,   542,   545,   189,   543,   492,   545,   296,
    1353,  3343,   543,   546,   545,   116,   543,   342,   545,   492,
     505,   543,   123,   545,   543,  3357,   545,   344,   543,   543,
     545,   545,   505,   325,   543,   327,   545,   412,   543,  4215,
     545,   486,   312,   528,   357,   337,   147,   543,   543,   545,
     545,   543,  4966,   545,   346,   528,   543,   542,   545,   468,
     307,  4975,   543,  4239,   545,   357,  2293,  3399,   498,   542,
    3402,   542,  3404,   924,   543,   336,   545,  3409,   111,   415,
     455,   394,   543,   233,   545,   398,   288,    84,  1431,   523,
      87,   543,  3424,  3425,    91,    92,    93,   130,  3430,   543,
     542,   545,   394,   141,   327,   397,   398,   482,   111,   327,
    4360,  4361,   425,   214,  2125,   543,   543,   545,   545,  3451,
     509,   307,  3454,   543,   542,   545,  3458,   342,   233,  2356,
     505,   327,   507,   425,   119,   119,   987,   988,   543,   543,
     545,   545,   455,  3475,   457,   327,   179,   180,   543,  3312,
     545,   543,  1775,   545,   187,   256,   327,  4461,  4462,  4463,
     261,  3535,  3536,  3537,   543,   412,   545,   542,  3500,   543,
     473,   545,  3335,  3336,   543,   543,   545,   545,   543,  1030,
     545,   543,   543,   545,   545,   543,   158,   545,  4636,   543,
     357,   545,   505,   543,   498,   545,   297,   489,   543,   543,
     545,   545,  2429,  3535,  3536,  3537,   155,   233,   455,   242,
     498,  2424,   529,   530,   531,   376,   533,   534,   535,   536,
     537,   538,   307,   307,   547,   221,   412,  3559,   221,  5011,
     263,   543,   543,   545,   545,   482,  5018,  3569,  1089,  3571,
    4215,  5023,  5011,   344,  5026,   221,   543,  3579,   545,  5018,
     543,  1178,   545,  1180,  5023,   495,   542,  5026,   505,   369,
     507,  3593,   542,  4596,  4239,  4598,   542,   221,   110,   455,
     542,   509,  1123,  1896,  3924,   221,  5058,   221,   311,   307,
     545,   314,  1133,   221,   221,   282,  1137,  1138,  1139,  5058,
    5072,   221,   325,   221,   327,   542,   482,   233,   221,   221,
     221,   221,   221,  5072,   452,   342,   542,   111,  3958,   296,
     342,   542,   542,   542,   542,   233,   233,   233,   353,   505,
    3652,   507,  3999,   356,   280,   542,   542,   412,   412,   430,
     542,   542,   542,  3811,   542,   542,  3710,  2564,   542,   542,
    3672,  5867,   542,  5257,   542,   542,  5872,   344,  3680,   542,
     542,   542,   542,  4003,   542,   542,   542,   542,   111,  3808,
    3868,   542,  4629,   542,   542,   542,   399,   506,  5282,   542,
     455,   455,  3704,  3705,   170,  1226,  1227,   545,  3710,  3711,
    1231,   545,  3756,  3776,   412,  3717,   419,  3719,   280,   296,
     111,   282,   233,   233,  3787,   337,   339,   482,   482,   535,
    3732,   425,  3734,   276,   416,   316,   439,   545,   441,   186,
    3742,   444,   485,  2424,   545,   531,    14,   545,  3811,  3997,
     505,   505,   507,   507,  3756,   526,  5732,   455,   542,  2642,
     542,   542,   533,   534,   535,   536,   537,   538,  4016,   412,
     463,   463,   463,   497,   463,  3710,  5228,   412,  3780,   544,
     463,   412,  4702,  4629,   482,   463,   463,   542,   542,  5228,
     298,  4845,   463,   531,   463,  3797,  3798,  4005,  4006,  4007,
    4008,   159,   412,   221,   342,   342,   417,   505,   293,   507,
     463,  3813,   463,  4787,  4788,   332,  4790,   485,   463,   455,
    4465,  3756,   342,   342,  3811,   408,   542,   254,   337,  5383,
     463,   463,  2125,   542,   159,   545,   357,   261,   221,   542,
    5292,  3843,   486,   463,   542,   486,  2729,   452,   452,   181,
     129,   129,   346,  5292,   463,   318,   412,   379,  4778,  3861,
    5160,   463,   529,   530,   531,   361,   533,   534,   535,   536,
     537,   538,  3705,   455,   361,  5374,     2,  5376,  3711,   463,
     118,  3883,   118,  2766,  3886,   463,   412,  2770,   463,   463,
     463,  5033,   463,   463,   463,   463,   463,   463,  5040,   463,
     463,   282,  3904,   463,   463,  3907,   545,   342,   282,   282,
    2793,  3913,   509,  5497,   282,   282,   342,  3919,   282,  3921,
    3964,  2804,  3924,   342,   463,   342,  3928,  3929,  3930,  3931,
    3932,  5052,   282,  3935,  3936,  3937,  3938,  3939,  3940,  3941,
    3942,  3943,  3944,   473,   307,   111,  3948,  3949,   505,   221,
    4870,  3953,   100,   342,   221,   327,  3958,   542,   187,  2842,
    3962,  2642,  3964,   486,  3966,   505,   221,   221,   497,   221,
     304,   342,  3974,    84,   327,  3977,    87,  3979,   337,   131,
      91,    92,    93,  5435,   327,  3987,  3988,   327,   111,  3991,
    3992,   233,   542,   111,  3996,  3997,  5435,   288,   544,    84,
     414,  4003,    87,   110,   461,   116,    91,    92,    93,  1530,
     542,  4013,   123,   165,  4016,   461,   540,   221,  1539,  1540,
     463,  1542,   540,  5577,   463,  5585,  5586,  4029,   221,  3964,
     486,   221,   486,  4035,  4036,  4037,   147,  1558,   221,   221,
     166,    14,  5494,   195,   545,   331,   336,  2930,   463,   412,
     238,   501,   542,   318,   318,  5494,    87,   545,   461,   542,
    3893,   542,   188,  5185,   463,   229,   247,   238,  4713,   545,
     531,   465,   224,  5525,   545,  4443,   543,   547,   254,   254,
     542,   278,  4084,  1604,   428,  2766,  5525,  5671,   286,  2770,
     545,  4443,   455,  4245,   343,   111,   545,    34,  4100,   486,
      10,   543,   543,   350,   129,   543,   258,  1628,   412,   542,
     486,   332,  2793,   286,  4116,   332,   286,   463,   463,   482,
     312,   463,   542,   498,   233,   288,  4128,   468,   415,   332,
     223,  2424,   342,   119,   434,  5277,  5073,   223,   327,   296,
     296,   293,   505,   296,   507,   256,   408,   463,   455,   340,
     261,   394,   545,   255,   463,   342,   342,  4159,   463,   422,
     382,  2842,   111,   282,  5724,  4209,   486,   486,   288,   378,
    4214,   340,  4216,   264,   531,   327,   531,   221,   337,   542,
     233,  1702,  5634,   498,  5121,  2198,   297,   111,  2201,   235,
    1711,  5111,   453,   337,  4238,  5634,   422,   282,   221,   379,
     221,  5785,   221,   542,  1725,   357,   358,  4209,   220,   542,
    4530,  4255,  4214,  4215,  4216,   337,   505,   327,   111,   327,
     288,   342,   536,   252,   252,   342,   233,  5073,   111,  2242,
    2243,   543,   540,   344,   316,  1756,  4238,  4239,  1759,  1760,
     525,   525,   394,  1764,  1765,  5120,   398,   543,  5121,  2930,
     402,   543,   288,  4255,   422,   543,   233,   409,   342,   344,
     543,   261,  5816,   261,  5110,   417,   261,    99,  4270,   545,
     545,  4273,   509,   425,   545,  5121,   245,   238,   463,  4214,
     315,  4216,   542,  5867,   342,   437,   505,  5162,  5872,  5597,
     129,   468,   545,   445,   452,   336,   498,   288,   543,  3196,
     238,    84,   543,  4238,    87,   353,   545,   542,    91,    92,
      93,  5285,   543,   543,   525,  5767,   543,   362,   543,   430,
    4255,  2334,  5296,   543,   238,   108,    70,  1848,  5767,   543,
     543,   543,  3215,  4335,    78,    79,   543,   542,  3221,   463,
     502,   542,  4405,  3240,   352,   484,   542,    84,   500,  2642,
      87,   343,   306,   343,   492,    99,   502,   342,  4360,  4361,
    3257,   545,  4364,   542,   542,   129,   527,   342,  4370,   543,
     264,   531,   342,   345,   546,  4377,  3273,   531,   543,   116,
     221,   509,  4215,   463,   463,   463,   123,  4389,  5840,   332,
     545,   542,  3289,   543,  4443,   542,   272,  4460,   463,  4443,
     327,  5840,   131,   221,  5378,   346,  4239,  5383,   417,   221,
     147,  4413,  4414,  4415,   158,   526,   221,   296,   529,   530,
     531,   417,   533,   534,   535,   536,   537,   538,   417,   264,
    3327,   223,   531,   463,   486,   298,   165,   363,   363,   545,
     483,  4443,   233,   463,   529,   530,   531,   308,   533,   534,
     535,   536,   537,   538,   308,   308,   412,   463,   463,   463,
    3357,   463,   463,   327,  3361,  5110,  4468,   211,   412,   463,
     463,   342,   412,  2766,   425,  4664,   463,  2770,   412,   463,
     463,   221,  5536,   463,  4317,  4318,   118,  4489,   282,   463,
     249,   545,   463,   282,   282,   224,   282,   473,  4500,   282,
    2793,   543,   233,   543,   119,   396,   180,   545,   233,   543,
    2031,   543,   340,   342,   111,   542,  2037,   261,   221,   256,
     221,   463,   266,   233,   261,   249,   541,   486,  4530,   258,
     412,  5505,   542,   486,  3215,   233,   345,   412,  4540,  4541,
    3221,  4543,   412,   219,   422,  4547,  4548,   219,   545,  2842,
    4552,  4553,   282,   212,   282,  4557,  4876,   238,  4560,  4561,
     297,   344,   282,  4565,   293,  4717,   282,   282,   282,  4571,
      87,   353,   540,   233,   497,  4638,  4639,   543,   545,   543,
     543,  4583,   238,   543,   542,   348,   543,   502,   238,  4591,
     545,   543,   542,  4595,   247,   528,  5533,   545,   327,   545,
     531,  5577,   343,   542,   401,   541,  4608,   344,   543,   157,
     542,  4613,   531,   543,   491,   473,   233,  4619,   111,   363,
     486,   486,   288,   463,   272,   129,   221,   473,   455,   358,
     542,  2152,  4465,   242,  4636,  2156,   417,  2930,   463,   463,
     463,   412,   463,   463,   412,   543,   543,   543,  4650,   394,
     542,   129,  3535,  3536,  3537,   505,   455,   233,   492,   223,
     147,   405,   221,  4707,   180,  4667,   473,   286,   282,   398,
     543,   400,   282,   402,   282,  2688,   282,   377,   267,   463,
     409,    70,  2695,  4685,   342,   542,   542,  5533,   417,    78,
      79,   543,   509,   430,   545,    84,   425,   389,    87,   361,
    4702,   545,    91,    92,    93,  4707,   450,   153,   437,   455,
     463,   542,   545,   473,    84,   545,   445,   543,   422,   108,
     542,  4723,   111,   244,   180,   541,   238,   116,   282,   543,
     238,   542,   387,   477,   123,   543,   129,  4739,  5383,   543,
     353,   485,  4744,   545,   488,   503,   529,   530,   531,  4751,
     533,   534,   535,   536,   537,   538,   503,   542,   147,   285,
     351,  2282,   285,   543,  2285,  4767,   543,   542,   454,   542,
     349,   500,   129,   250,   543,   337,  4778,   543,   543,   531,
     473,   463,   505,   238,   147,   266,   255,   332,   332,   526,
     129,  4624,   531,   463,   455,   545,   533,   534,   535,   536,
     537,   538,   545,   141,   221,   240,   463,  4809,   282,   463,
     542,   238,   187,   111,   261,   486,   542,  4650,   337,   422,
     111,   486,   235,   233,   422,   505,   337,  3710,  5703,   129,
     505,  4833,   111,   238,   542,   342,   233,   269,   543,   345,
    5816,   280,   238,   542,   387,  4847,   542,   491,   438,   543,
     159,   361,   543,   542,  3535,  3536,  3537,   542,   542,   285,
     543,   504,  2383,   342,   388,   202,   543,   256,  4870,   463,
     111,   221,   261,  3756,  4876,   463,   194,   233,   542,  3776,
    4713,   111,   332,   254,   309,   264,   377,   422,   180,   501,
    3787,   542,   207,   282,   283,   542,   542,   542,  5773,  5774,
     542,   542,   111,   543,  1030,   543,   346,   409,   297,   409,
     473,   436,   543,   531,  3811,  4917,   436,  4919,   129,   129,
     111,   150,  3215,   543,   545,  1051,   542,  1053,  3221,  1055,
     491,   542,   254,   455,   486,  1061,  1062,  1063,   542,   233,
     542,   330,  5262,   543,   325,    81,   542,   342,  4950,   542,
     455,   543,   455,   227,    84,   344,   509,    87,   347,  1085,
    1086,    91,    92,    93,  4966,   542,   220,   542,  4970,  2490,
     141,   345,  5051,  4975,   141,   202,   505,    84,   108,    84,
      87,   490,   542,  5303,    91,    92,    93,   505,   387,   545,
    4992,  4993,   491,   542,  4996,   111,   425,   455,   238,   385,
     332,   502,   207,   266,   111,   542,   342,   342,   422,  5011,
     111,   111,   377,   543,   345,   345,  5018,   240,   240,   129,
     463,  5023,   192,   408,  5026,  5027,    81,   542,   422,  3710,
     543,   545,  5034,  5035,   395,   484,   408,   349,    97,   108,
     220,   430,   332,   463,   542,   542,   238,   543,    84,   377,
     542,    87,   542,   542,   150,  5303,  5058,   545,  5060,   545,
     436,   505,   542,   436,  5066,   240,  5068,   505,   240,   385,
    5072,  2075,  2948,  2845,  3312,  3756,  2597,  1765,  3511,  4214,
     116,  3964,  5957,  5958,  2779,  4188,  1212,   123,  5883,  5714,
    2870,  1315,  2613,  3701,  2615,  4311,  2617,  5396,  1314,  5575,
    3997,  5816,  4358,  5212,  5184,  1231,  4835,  3431,  5110,  5111,
    3093,   147,  5156,  5697,  5805,  5072,  4013,  5605,  5120,  4016,
    5604,  5734,  5840,  3435,  4406,  4391,  5189,  3140,  5542,  4349,
    1275,  2933,  2933,  3146,  2655,    84,  4209,   526,    87,  3536,
     529,   530,   531,  3752,   533,   534,   535,   536,   537,   538,
    4374,  4871,   282,  1279,  5156,  5191,  5818,  2927,  3764,  5956,
    5162,  5199,  5225,  5941,  5177,  3710,  3704,   116,  1311,  5747,
    5123,  5491,  2138,  5358,   123,   282,  5551,  5126,   214,   188,
    4468,  5327,  1595,  1611,  2631,  4413,  1385,  2198,  5508,  3409,
    5468,  2359,  2253,  5513,  4238,  5515,    89,  3655,   147,  2359,
    3756,   988,  2360,  2724,  4255,  1020,  5772,  5932,  1153,  1913,
    2520,  5044,  2294,  5215,   344,  4393,  2521,  5054,  4640,  5689,
     256,  5156,  4098,  1553,  3076,   261,  5228,  1792,  5230,  1736,
    3328,  1810,  2562,  1809,  3343,  2536,  4040,   344,  5681,  4622,
    5517,  2561,  3535,  3536,  3537,  4016,  4580,  5293,  4597,  4013,
    5494,  4099,  5493,  4013,  1812,  5257,  5258,  5936,  5260,  5789,
    5262,   297,  1817,  5870,  5671,   214,  5260,  3966,  5684,  5042,
    5685,  5664,  2453,   166,  3167,  3257,  3289,  5110,  3316,  3255,
    5282,   672,  2456,  3964,  3808,  3008,  5288,  2192,  5655,  2597,
    5292,   394,  1823,  1829,  1032,   188,  5298,  1439,  2613,  2572,
    1229,  5303,  1249,  5347,  1607,  3306,  2605,   256,   344,  1229,
    4105,  2606,   261,  4623,  4106,   427,  4067,  1739,  2323,     2,
    2617,  1827,  5052,  3089,  1539,    -1,  4209,    -1,  1064,    -1,
      -1,  4214,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3357,  5347,    -1,  2868,   297,    -1,
      -1,    -1,    -1,  5355,    -1,  4238,    -1,    -1,  5360,  5361,
      -1,    -1,    -1,  5365,    -1,    -1,    -1,    -1,    -1,    -1,
    2891,    -1,  4255,  2894,    -1,  2896,    -1,    -1,    -1,  2900,
      -1,  5383,  5445,    -1,    -1,    -1,    -1,    -1,  2909,  2910,
    2911,    -1,    -1,    -1,   430,   344,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
    5412,    -1,    -1,  1539,  1540,    -1,  1542,  3710,    -1,    -1,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,  1558,  5435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2967,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5522,
      -1,    -1,    -1,  3756,    -1,    -1,  5468,  5469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5479,  2999,    -1,
    4377,   430,    -1,    -1,    -1,    -1,  3007,    -1,    -1,  5491,
     526,    -1,  5494,    -1,    -1,  5497,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,  5508,    -1,  4405,    -1,
      -1,  5513,  3033,  5515,    -1,  5517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5525,    -1,    -1,    -1,    -1,  4209,    -1,
      -1,  5575,    -1,  4214,    -1,  4216,    -1,  5370,  5371,  3060,
      -1,  5543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5383,    -1,    -1,    -1,    -1,    -1,    -1,  4238,    -1,    -1,
      -1,    -1,    -1,  4460,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5575,  4255,  5577,    -1,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,   535,   536,   537,   538,
      84,    -1,    -1,    87,    -1,    -1,    -1,    -1,    -1,  5847,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,  5626,    -1,    -1,    -1,  5672,   123,
      -1,    -1,  5634,  1759,    -1,    -1,    -1,    -1,  1764,  1765,
    5575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5663,  5664,    -1,    -1,    -1,    -1,    -1,    -1,  5671,
    5672,  3964,    -1,  5675,    -1,    -1,    -1,    -1,    -1,  5681,
      -1,    -1,    -1,    -1,    -1,  5748,    -1,    -1,  5690,    -1,
      -1,    -1,    -1,    -1,  4591,  5772,    -1,    -1,  4595,    -1,
    5772,  5703,  5772,  5772,    -1,    -1,    -1,    -1,    -1,  5772,
      -1,  1837,    -1,  1839,  1840,    -1,    -1,    -1,    -1,    78,
     214,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      89,    -1,  1858,    -1,    -1,    -1,    -1,  5672,    -1,  1865,
    1866,  4638,  4639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5753,    -1,    -1,    -1,    -1,  5758,   116,    -1,    -1,
      -1,    -1,   256,    -1,    -1,  5767,    -1,   261,    -1,    -1,
    5847,  5773,  5774,    -1,  5776,  5847,    -1,  5847,  5847,    -1,
      -1,    -1,    -1,  5785,  5847,    -1,    -1,    -1,    -1,  5791,
      -1,  3312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5802,    -1,   161,   297,    -1,    -1,    -1,    -1,    -1,  1935,
      -1,    -1,    -1,    -1,  5816,    -1,    -1,    -1,    -1,  1945,
      -1,    -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  5840,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  5892,    -1,
     344,    -1,    -1,    -1,    -1,  5932,   108,    -1,    -1,    -1,
    5932,    -1,  5932,  5932,   116,  5867,    -1,    -1,  5870,  5932,
    5872,   123,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5714,    -1,  5716,    -1,    -1,    -1,    -1,  2014,    -1,
    5892,  2017,  2018,    -1,    -1,   147,    -1,  5941,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,    -1,
      -1,    -1,  5956,  5915,    -1,    -1,  4209,    -1,    -1,    -1,
      -1,  4214,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3454,    -1,    -1,   430,  5939,    -1,  5941,
      -1,    -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5956,  5957,  5958,  5892,    -1,    -1,
      -1,    -1,  4255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4013,    -1,    -1,  4016,   256,    -1,  5941,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3541,  5956,    -1,    -1,    -1,    89,  4707,    -1,    -1,    -1,
     282,   283,   526,    -1,   393,    -1,    -1,    -1,    -1,   533,
     534,   535,   536,   537,   538,   297,    -1,    -1,    -1,    -1,
    5883,    84,    -1,    -1,    87,    -1,    -1,    -1,    -1,  5892,
      -1,    -1,    -1,    -1,  2190,    -1,    -1,    -1,    -1,   428,
    3591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,  2215,
     123,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,  2225,
      -1,  2227,    -1,    -1,    -1,    -1,    -1,  2233,  5941,    -1,
      -1,  2237,    -1,    -1,   147,  4128,    -1,    -1,    -1,    -1,
      -1,  5018,    -1,  5956,    -1,    -1,  5023,    -1,    -1,  5026,
      -1,    -1,    -1,  3654,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2282,    -1,  1051,  2285,
    1053,    -1,  1055,    84,  3685,    -1,    87,    -1,  1061,    -1,
      91,    92,    93,    -1,    -1,    -1,  3697,    -1,   430,    -1,
      -1,   214,    -1,    -1,  3705,    -1,    -1,   108,    -1,    -1,
    3711,    -1,  1085,  1086,    -1,   116,  3717,    -1,  3719,    -1,
      -1,    -1,   123,    84,    -1,   998,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,   147,   108,   261,  1022,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,  3765,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2380,  2381,    -1,    -1,    -1,    -1,
      -1,  2387,  2388,    -1,   297,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,  5156,   526,  3796,  3797,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
    2416,    -1,  5189,   545,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,  3825,    -1,    -1,    91,    92,    93,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1212,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,  5225,    -1,
      -1,    -1,   116,  1226,  1227,   256,    -1,    -1,  1231,   123,
     261,    -1,    -1,    -1,    -1,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,   147,  4377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,   297,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,  1279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5292,    -1,   430,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,  5303,    -1,    -1,   330,
      -1,    -1,    -1,    -1,  4707,    -1,   297,    -1,    -1,  2545,
    2546,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,  3973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,  5347,    -1,   347,  2593,    -1,    -1,
      -1,    -1,   256,    -1,    -1,  5156,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2613,    -1,  2615,
      -1,  2617,    -1,   526,    -1,    -1,    -1,    -1,   282,   283,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,   430,
      -1,    -1,    -1,   297,    -1,   874,    -1,    -1,    -1,   878,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2655,
      -1,    -1,   891,   892,    -1,    -1,    -1,    -1,  5435,    -1,
      -1,   900,    -1,    -1,    -1,    -1,   330,    -1,  5445,   430,
      -1,    -1,    -1,    -1,   913,    -1,  1349,    -1,    -1,    -1,
     344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4591,  1372,
      -1,    -1,  4595,   942,    -1,    -1,    -1,    -1,    -1,   948,
      -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   961,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,    -1,    -1,   545,  5522,    -1,    -1,   987,    -1,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1002,  1003,   526,   430,    -1,   529,   530,
     531,  1010,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,  1023,  1558,  5347,    96,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,   149,    -1,
    1039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2816,    -1,  5575,    -1,  4215,    -1,    -1,    -1,  2824,    -1,
      -1,  2827,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
     181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,   148,
      -1,    -1,    -1,    -1,    -1,  4246,    -1,    -1,  4249,    -1,
    4251,    -1,    -1,   204,   163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,   215,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,   240,
    4291,    -1,    -1,    -1,    -1,   204,    -1,    -1,  4299,  1138,
      -1,    -1,  4303,  4304,    -1,  4306,   215,    -1,    -1,  5672,
    4311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1159,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,   240,    -1,    -1,    -1,  1608,    -1,    -1,   289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   892,    -1,
      -1,    -1,    -1,    -1,  4847,    -1,   900,    -1,    98,   310,
      -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,   913,
      -1,  5748,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
      -1,    -1,    -1,  5156,    -1,    -1,  1759,  1226,  1227,    -1,
      -1,  1764,  1765,    -1,    -1,  5772,    -1,    -1,   942,    -1,
      -1,   310,    -1,    -1,   948,   145,    -1,    -1,  4409,    -1,
      -1,    -1,    -1,    -1,  5575,    -1,    -1,   961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   376,  3032,  3033,   379,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4444,  4445,  4446,  4447,  4448,    -1,    -1,
      -1,    -1,    -1,    -1,   405,    -1,    -1,   197,    -1,   199,
      -1,   412,    -1,    -1,    -1,    -1,   206,   376,   419,   209,
    5847,    -1,    -1,    -1,    -1,  1848,    -1,    -1,    -1,    -1,
    4481,  4482,  4483,    -1,  4485,  4486,  4487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,   447,    -1,  3104,    -1,
      -1,   452,    -1,   412,   455,    -1,    -1,    -1,    -1,    -1,
     419,  5672,    84,   422,  1353,    87,    -1,    -1,  5011,    91,
      92,    93,   473,    -1,    -1,  5018,   266,    -1,    -1,  5892,
    5023,    -1,    -1,  5026,  5027,    -1,   108,    -1,    -1,    98,
      -1,    -1,    -1,   452,   116,   104,    -1,   498,    -1,    -1,
     459,   123,    -1,    -1,    -1,  5932,    -1,   466,    -1,    -1,
      -1,    -1,  1935,    -1,   473,  5058,    -1,    -1,    -1,    -1,
      -1,    -1,  1945,    -1,  5347,   147,    -1,    -1,  5941,  5072,
      -1,    -1,    -1,    -1,    -1,   325,   145,   327,    -1,   498,
      -1,    -1,    -1,  5956,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,
    4621,    -1,    -1,  4624,  4625,    -1,    -1,  5120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     199,  2014,    -1,    -1,  2017,  2018,    -1,   206,    -1,  4650,
     209,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5162,
      -1,    -1,    -1,    -1,    -1,   234,    -1,  1516,    -1,    -1,
      -1,    -1,  1226,  1227,   256,   425,    -1,    -1,   111,   261,
      -1,  1530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3307,    -1,    -1,  3310,    -1,  3312,   266,   131,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,  1990,    -1,  1558,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,  2101,  3335,
    3336,  5892,    78,    -1,    -1,  5228,    -1,    -1,    84,    -1,
      -1,    -1,   165,    89,    -1,    -1,    -1,    -1,    -1,   489,
      -1,    -1,    -1,    -1,    -1,  1594,    -1,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,   327,    -1,
     116,  1610,   344,    -1,    -1,   347,    -1,    -1,   337,    -1,
    5941,    -1,    -1,    -1,    -1,    -1,  1625,   346,    -1,  1628,
      -1,    -1,    -1,    -1,    -1,  5956,    -1,    -1,   357,  5292,
      -1,   224,  5575,    -1,    -1,    -1,  4807,  4808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,  4817,    -1,  4819,  4820,
      -1,  2094,  4823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,  2109,    -1,   397,   398,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,  2130,   430,    -1,
      -1,    -1,    -1,   209,    -1,   288,   425,   108,    -1,    -1,
     293,   217,    -1,   219,    -1,   116,    -1,    -1,    -1,    -1,
      -1,  4882,   123,    -1,    -1,    -1,   232,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,  5672,
      -1,    -1,    -1,    -1,   327,    -1,   147,    -1,    -1,    -1,
      -1,    -1,  2185,   108,    -1,  4916,    -1,  1756,    -1,  5412,
      -1,   116,    -1,    -1,    -1,  1764,  1765,    -1,   123,    -1,
     489,    -1,  2205,    -1,    -1,   358,  1775,    -1,    -1,    -1,
      -1,    -1,  5435,    -1,  2217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,   526,  4956,  2229,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   543,    -1,    -1,    -1,   398,    -1,    -1,    -1,   402,
      -1,    -1,    -1,    -1,    -1,    -1,   409,    -1,  1827,  1828,
    1829,    -1,  2265,  2266,   417,    -1,    -1,    -1,    -1,    -1,
      -1,  5494,   425,    -1,    -1,    -1,    -1,    -1,    -1,  1848,
      -1,    -1,    -1,    -1,   437,   256,    -1,    -1,    -1,    -1,
     261,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5525,    -1,    -1,    -1,    -1,    -1,    -1,  1878,
      -1,   282,   283,   466,    -1,    -1,  1885,   393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,  1896,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
      -1,   504,   428,    -1,    -1,    -1,    -1,   282,   283,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3705,
      -1,    -1,   297,   344,    -1,  3711,   347,    -1,    -1,  5110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5892,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3735,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,  5634,    -1,    -1,    -1,    -1,  2419,    -1,    -1,   344,
    5151,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5941,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1454,    -1,    -1,    -1,
      -1,    -1,    -1,  5956,    -1,    -1,    -1,    -1,    -1,   430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1481,    -1,    -1,    -1,    -1,    -1,    -1,
    5703,    -1,  3818,    -1,    -1,    -1,    -1,    -1,    -1,  3825,
    2593,    -1,    -1,    -1,  2597,    -1,  1504,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2073,   430,  1514,    -1,    -1,    -1,
    2613,    -1,  1520,    -1,    -1,    -1,    -1,    -1,  1526,    -1,
      -1,    -1,    -1,    -1,  1532,    -1,    -1,  1535,    -1,    -1,
    5753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5767,    -1,    -1,    -1,    -1,    -1,
    5773,  5774,  2655,    -1,    -1,   526,  2125,  3893,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,  1848,    -1,    -1,    -1,    -1,    -1,
    2149,    -1,    -1,    -1,    -1,    -1,    -1,    84,  2157,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
    2169,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,  5840,   543,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5370,
    5371,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
     147,    -1,  5383,    91,    92,    93,  5387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5397,    -1,    -1,    -1,
     108,    -1,    -1,  2242,  2243,    -1,  2245,  2246,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,  2257,  2692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2268,
    2269,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,  2816,    -1,    -1,  5939,    -1,    -1,    -1,
      -1,  2824,    -1,    -1,  2827,  2294,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,  5957,  5958,    -1,    91,    92,    93,
      -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,   256,
      -1,    -1,   116,    -1,   261,  2334,  4102,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,   874,  2073,
     297,    -1,   878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   892,    -1,   256,    -1,
      -1,    -1,    -1,   261,   900,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,   913,    -1,    -1,
      -1,    -1,    -1,    -1,   282,   283,  5577,   344,    -1,    -1,
    5581,    -1,  5583,    -1,    -1,  2424,  5587,  5588,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,   942,    -1,    -1,    -1,
      -1,    -1,   948,    -1,    -1,  2149,    -1,    -1,    -1,  4215,
      -1,    -1,    -1,  2157,    -1,   961,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    -1,  2169,    -1,    -1,    -1,    -1,
      -1,    -1,   256,  4239,    -1,    -1,   344,   261,    -1,  4245,
      -1,   987,    -1,    -1,    -1,    -1,    -1,    -1,  2921,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1003,   282,   283,
      -1,    -1,    -1,   430,  1010,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,  1023,    -1,  2518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2246,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,  4317,  4318,  5714,    -1,  5716,    -1,    -1,    -1,    -1,
     344,    -1,   430,   347,    -1,  2269,    -1,    -1,    -1,    -1,
      -1,  3104,    -1,    -1,    -1,    -1,  2575,    -1,  2577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2597,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1136,    -1,  1138,    -1,  1140,    -1,    -1,    -1,  2637,    -1,
      -1,    -1,    -1,  2642,  2643,    -1,   430,    -1,  2647,    -1,
      -1,    -1,    -1,  1159,    -1,  5816,  2655,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,  2673,    -1,    -1,    -1,  4444,  4445,
    4446,  4447,  4448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3126,    -1,    -1,  2695,    -1,    -1,  4465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2717,    -1,
    1226,  1227,  5883,  3156,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5892,    -1,    -1,    -1,    -1,  2735,  2736,    -1,    -1,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2766,  2767,    -1,
      -1,  2770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3312,
    5941,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,  2791,     9,  2793,  5956,    -1,    13,    -1,    15,
    2799,    17,    18,    -1,    -1,    -1,    -1,  2806,  1314,  1315,
    2248,  2810,    28,    -1,    -1,    -1,    -1,    -1,  2256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,
      -1,  2830,    -1,    -1,  2272,    -1,  2835,    -1,    -1,    -1,
    2839,    -1,    -1,  2842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2852,    -1,    -1,    -1,    -1,  4624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,    94,    -1,
      -1,    -1,    -1,    -1,  4650,    -1,    -1,    -1,   104,    -1,
     106,   107,    -1,  2597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    89,   142,    -1,   144,   145,
      -1,  2930,    -1,  2637,    -1,   151,    -1,   153,    -1,  2643,
      -1,    -1,    -1,  2647,    -1,    -1,    -1,  4713,   164,    -1,
     166,  4717,   116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,    -1,   183,    -1,  2673,
     186,    -1,    -1,    -1,    -1,    -1,  4742,  4743,    -1,    -1,
      -1,  4747,  4748,    -1,   200,    -1,   202,    -1,    -1,    -1,
     206,    -1,    -1,    -1,    -1,    -1,   212,   161,    -1,    -1,
      -1,    -1,    -1,    -1,   220,    -1,   222,    -1,  3007,    -1,
    1516,    -1,   228,  2717,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1530,  3458,    -1,    -1,   244,    -1,
      -1,  2735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3475,    -1,   260,   209,    -1,    -1,    -1,    -1,
      -1,    -1,  1558,   217,    -1,   219,    -1,    -1,    98,    -1,
      -1,  3060,    -1,  2767,   104,    -1,    -1,    -1,   232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,  2517,
      -1,    -1,    -1,   299,   300,    -1,    -1,  2791,  1594,   305,
      -1,    -1,    -1,    -1,    -1,  2799,    -1,    -1,    -1,    -1,
      -1,   317,  2806,    -1,  1610,   145,  2810,    -1,    -1,    -1,
      -1,  3110,    -1,   329,    -1,    -1,    -1,    -1,    -1,  1625,
      -1,    -1,  1628,    -1,    -1,    -1,  2830,    -1,    -1,  3128,
      -1,  2835,    -1,    -1,    -1,  2839,  3569,  3136,  3571,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3146,  2852,    -1,
      -1,    -1,    -1,    -1,    -1,   371,    -1,   197,    -1,   199,
      -1,  2865,    -1,    -1,    -1,    -1,   206,    -1,   384,   209,
      -1,  2875,  3705,    -1,   390,   391,    -1,   393,  3711,    -1,
      -1,    -1,   398,    -1,    -1,    -1,    -1,   403,    -1,    -1,
     406,    -1,    -1,    -1,   234,   411,    -1,    -1,    -1,    -1,
      -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,    -1,    -1,   429,    -1,    -1,  3215,    -1,    -1,  3652,
      -1,    -1,  3221,   439,    -1,    -1,   266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,  3680,    87,    -1,
    1756,    -1,    91,    92,    93,   471,    -1,   473,  1764,  1765,
      -1,    -1,    -1,    -1,    -1,   481,    -1,    -1,    -1,  1775,
      -1,   487,    -1,    -1,    -1,    -1,   492,   116,  5044,    -1,
      -1,    -1,    -1,    -1,   123,   325,    -1,   327,    -1,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,   147,    -1,
      -1,    -1,   528,  3312,    -1,    -1,   111,   357,    -1,    -1,
      -1,  1827,  1828,  1829,    -1,    -1,   542,    -1,    -1,    -1,
     546,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,
      -1,    -1,  1848,    -1,  5110,    -1,    -1,  3780,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,    -1,
    3893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,  1878,    -1,    -1,    84,    -1,    -1,    87,  1885,
    3813,    -1,    91,    92,    93,   425,    -1,    -1,    -1,    -1,
    1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
    1906,    -1,    -1,    -1,    -1,    -1,  3110,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,  3128,  3424,  3425,    -1,    -1,   224,
      -1,    -1,  3136,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,  1947,    -1,   282,   283,    -1,    -1,    -1,    -1,   489,
      -1,    -1,  3451,    -1,    -1,  3454,    -1,    -1,   297,    -1,
      -1,    -1,    84,   258,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,  3907,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,   330,    -1,   288,   116,  3928,    -1,    -1,   293,    -1,
      -1,   123,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3953,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,   327,    -1,    -1,    -1,  3535,  3536,  3537,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,  3987,    -1,    -1,    -1,    -1,    -1,
    3559,    -1,    -1,   358,    -1,    -1,    -1,  2073,    -1,    -1,
      -1,    -1,    -1,   282,   283,    -1,    -1,  3015,    -1,    -1,
    3579,    -1,    -1,    -1,  3022,    -1,    -1,    -1,   297,    -1,
      -1,   430,    -1,    -1,  3593,    -1,    -1,    -1,    -1,    -1,
      -1,  3039,    -1,   398,  5370,  5371,    98,   402,    -1,    -1,
      -1,  3049,   104,    -1,   409,  3053,    -1,  5383,  3056,  2125,
      -1,   330,   417,    -1,  3062,    -1,  3064,    -1,    -1,  3067,
     425,    -1,   111,    -1,   256,   344,    -1,    -1,   347,   261,
      -1,    -1,   437,  2149,    -1,    -1,    -1,    -1,    -1,    -1,
     445,  2157,   131,   145,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,  2169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,  3672,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,  4215,    -1,    -1,    -1,   165,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
    3138,    -1,    -1,   195,    -1,   500,  4239,   199,   330,   504,
     874,  3710,  4245,  5479,   206,    -1,    -1,   209,  3717,    -1,
    3719,   430,   344,    -1,    -1,   347,    -1,    -1,   892,    -1,
      -1,    -1,    -1,  3732,    -1,  3734,   900,    -1,    -1,  2245,
    2246,    -1,   234,    -1,    -1,   224,    -1,  3451,    -1,   913,
      -1,  2257,    98,    -1,    -1,    -1,    -1,  3756,   104,    -1,
      -1,    -1,  2268,  2269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,   942,   258,
      -1,    -1,    -1,    -1,   948,    -1,    -1,    -1,  2294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   961,  3797,   145,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   288,
      -1,    -1,    -1,    -1,   293,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,   987,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,   325,   543,   327,    -1,    -1,    -1,  1003,
      -1,    -1,    -1,    -1,  3843,   337,  1010,    -1,   327,    -1,
      -1,    -1,    -1,   199,   346,  3559,    -1,    -1,    -1,  1023,
     206,    -1,  3861,   209,    -1,   357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,  3883,    -1,    -1,  3886,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,    -1,   526,   397,   398,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,  2424,   398,
     266,   543,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
     409,  4364,  4465,   425,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,  5714,    -1,
    5716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,    -1,    -1,    -1,    -1,  3964,   445,    -1,  3672,    -1,
      -1,    -1,  1136,    -1,  1138,    -1,  1140,    -1,    -1,   325,
      -1,   327,    -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,
      -1,   337,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,
     346,    -1,  3440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,  2518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,   504,   505,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,
      -1,   397,   398,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,  1226,  1227,    -1,    -1,    -1,    -1,   123,  2575,
      -1,  2577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,    -1,  3520,    -1,  3522,    -1,    -1,    -1,    -1,    -1,
      -1,  2597,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2619,    -1,    -1,    -1,  5883,    -1,    -1,
    4553,    -1,    -1,    -1,    -1,    -1,  5892,    -1,    -1,    -1,
      -1,  2637,    -1,    -1,    -1,    -1,  2642,  2643,    -1,  3843,
      -1,  2647,    -1,   489,    -1,    -1,    -1,    -1,    -1,  2655,
    1314,  1315,    -1,    -1,    -1,    -1,    -1,  3861,    -1,    -1,
    4159,    -1,    -1,    -1,    -1,    -1,    -1,  2673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5941,    -1,    -1,    -1,    -1,
    4713,    -1,  3886,    -1,  4717,    -1,    -1,    -1,    -1,    -1,
    5956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
    4209,  2717,    -1,  3651,    -1,  4214,    -1,  4216,    -1,  3657,
      -1,    -1,    -1,  2729,    -1,    -1,    -1,   282,   283,  2735,
    2736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4238,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4685,    -1,    -1,    -1,  4255,    -1,    -1,    -1,
    2766,  2767,    -1,    -1,  2770,    -1,    -1,    -1,    -1,    -1,
      -1,  4270,    -1,    -1,  4273,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2791,    -1,  2793,    -1,   344,
    4723,    -1,   347,  2799,    -1,    -1,    -1,    -1,  2804,    -1,
    2806,    -1,    -1,    -1,  2810,    -1,    -1,    -1,    -1,    -1,
      -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2830,    -1,    -1,    -1,    -1,  2835,
      -1,    -1,    98,  2839,    -1,    -1,  2842,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,    -1,
      -1,    -1,  1516,    -1,    -1,    -1,    -1,    -1,    -1,  2865,
      -1,  4360,  4361,    -1,    -1,    -1,  1530,    -1,    -1,  2875,
      -1,  4370,    -1,    -1,    -1,   430,  4809,    -1,    -1,   145,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4389,    -1,    -1,    -1,  1558,  3833,    -1,  3835,    -1,  3837,
      -1,    -1,    -1,    -1,    -1,    -1,  3844,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   883,   884,    -1,    -1,
     887,    -1,    -1,    -1,  2930,    -1,    -1,    -1,    -1,    -1,
    1594,    -1,    -1,   199,    -1,    -1,    -1,    -1,   905,    -1,
     206,    -1,    -1,   209,  4443,   912,  1610,  3885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4159,    -1,    -1,    -1,    -1,
      -1,  1625,    -1,    -1,  1628,    -1,   933,    -1,   234,  4468,
     937,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,   951,    -1,  4919,    -1,   543,    -1,
      -1,   958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,  3007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,  4970,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    84,
      -1,    -1,    87,   116,  3060,    -1,    91,    92,    93,   325,
     123,   327,    -1,    -1,    -1,    -1,  4270,    -1,    -1,  4273,
      -1,   337,    -1,   108,    -1,    -1,    -1,  5110,    -1,    -1,
     346,   116,    -1,    -1,   147,    -1,    -1,    -1,   123,    -1,
      -1,   357,  1756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1764,  1765,    -1,    -1,  3110,    -1,    -1,    -1,    -1,    -1,
      -1,  1775,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3128,    -1,    -1,    -1,    -1,    -1,   394,    -1,
    3136,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,    -1,    -1,  1827,    -1,    -1,  4370,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1848,  4389,    -1,    -1,    -1,    -1,
      -1,    -1,    84,   256,    -1,    87,    -1,    -1,   261,    91,
      92,    93,    -1,  4702,    -1,    -1,    -1,    -1,  4707,  3215,
      -1,    -1,    -1,    -1,    -1,  3221,   108,    -1,    -1,   282,
     283,   256,    -1,   489,   116,    -1,   261,    -1,    -1,    -1,
      -1,   123,  1896,    -1,   297,    -1,    -1,    -1,    -1,    -1,
    4739,    -1,  1906,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,  4751,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,  4468,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4778,
      -1,   344,    -1,  1947,   347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3312,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,  1285,  1286,
      -1,    -1,    -1,    -1,    -1,  5258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5370,  5371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,  5298,    -1,   430,    -1,   261,
      -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,  1375,  2073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3424,  3425,
      -1,    -1,  5355,    -1,    -1,    -1,    -1,  5360,  5361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1403,  1404,   330,    -1,
      -1,    -1,    -1,    -1,    -1,  3451,  5479,    -1,  3454,    -1,
      -1,  4950,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,  2125,  1429,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,    -1,
      -1,   526,    -1,  2157,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,  2169,    -1,    -1,   543,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4455,    -1,    -1,
      -1,  4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3535,
    3536,  3537,    -1,    -1,    -1,  4739,  5469,    -1,   430,    -1,
      -1,    -1,    -1,    -1,  1511,  1512,    -1,  4751,    -1,    -1,
      -1,    -1,    -1,  3559,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5066,    -1,  5068,
      -1,    -1,    -1,  3579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2245,  2246,    -1,    -1,    -1,    -1,  3593,    -1,    -1,
      -1,    -1,    -1,  2257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,    -1,
      -1,    -1,  5111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2294,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   543,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,
      -1,    -1,    -1,  5162,    -1,    -1,  3672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5714,    -1,  5716,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,    -1,    -1,
      -1,  3717,    -1,  3719,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3732,    -1,  3734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5675,    -1,    -1,  4683,  4950,    -1,    -1,    -1,
    3756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4724,  4725,    -1,    25,
      -1,  3797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,  3843,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,  5347,    85,
    5883,    -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,
      98,    -1,  5066,    -1,  5068,    -1,   104,    -1,    -1,    -1,
      -1,    -1,  4810,  4811,    -1,    -1,    -1,  3883,    -1,    -1,
    3886,    -1,    -1,    -1,  5383,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,   145,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,  2619,    -1,    -1,  3964,    -1,
      -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,   209,    -1,  2637,    -1,    -1,    -1,   213,  2642,  2643,
      -1,    -1,    -1,  2647,    -1,    -1,    -1,    -1,  4926,    -1,
      -1,  2655,    -1,    -1,    -1,   231,   234,  4935,  4936,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1973,    -1,    -1,  2673,
      -1,  4949,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2717,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,    -1,  2729,    -1,    -1,    -1,    -1,
      -1,  2735,  2736,    -1,    -1,    -1,  5575,   313,  5577,    -1,
     316,    -1,    -1,   282,   283,    -1,    -1,   325,    -1,   327,
      -1,    -1,  2059,  2060,  2061,  2062,   332,    -1,   297,   337,
      -1,    -1,  2766,  2767,    -1,    -1,  2770,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2791,    -1,  2793,
      -1,   330,    -1,    -1,    -1,  2799,  2103,  2104,    -1,    -1,
    2804,    -1,  2806,    -1,    -1,   344,  2810,    -1,   347,    -1,
      -1,    -1,    -1,  4159,    -1,    -1,   394,  2124,    -1,   397,
     398,    -1,    -1,    -1,    -1,    -1,  2830,    -1,    -1,    -1,
      -1,  2835,    -1,  5672,    -1,  2839,    -1,    -1,  2842,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,   425,  2852,    -1,
      -1,  5690,  2159,  2160,  2161,  2162,    -1,    -1,    -1,    -1,
      -1,  2865,    -1,  4209,  5703,    -1,    -1,    -1,  4214,    -1,
    4216,  2875,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,   463,    -1,    -1,
      -1,   430,  4238,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,   478,    -1,    -1,    -1,    -1,   116,    -1,  4255,
      -1,   489,    -1,    84,   123,    -1,    87,   493,    -1,    -1,
      91,    92,    93,    -1,  4270,    -1,  2930,  4273,    -1,    -1,
      -1,    -1,    -1,    -1,  5773,  5774,    -1,   108,   147,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,   523,    -1,    -1,
      -1,    -1,   123,    -1,    -1,   531,    -1,   533,   534,   535,
     536,   537,    -1,    -1,   540,   541,   542,  2274,    -1,    -1,
      -1,   547,   548,  2280,    -1,  5253,   147,  5816,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,  3007,   543,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4360,  4361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4389,    -1,    -1,    -1,   256,    -1,    -1,
      -1,  5329,   261,  5892,    -1,    -1,  3060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,   297,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,  4443,    -1,    -1,
      -1,  5379,  5941,    -1,    -1,    -1,  3110,    -1,    -1,    -1,
      -1,   282,   283,    94,    -1,    -1,    -1,  5956,  5957,  5958,
    2427,   330,  4468,    -1,  3128,    -1,   297,    -1,    -1,    -1,
      -1,    -1,  3136,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,    -1,    -1,
     131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   152,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    -1,    -1,   185,    -1,    -1,   104,    -1,    -1,
      -1,  3215,   193,    -1,    -1,    -1,    -1,  3221,    -1,     5,
      -1,   430,    -1,    -1,    -1,    -1,    -1,   208,    -1,   210,
      -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,   145,    35,
      36,    -1,   233,    -1,    40,    -1,    42,    43,    -1,   430,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,  3312,   206,
      -1,    -1,   209,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,   543,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,   526,  4702,    -1,   529,   530,
     531,  4707,   533,   534,   535,   536,   537,   538,    -1,   266,
      -1,    84,   543,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,  2690,  2691,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2699,  4739,  2701,   108,    -1,    -1,  2705,    -1,
      -1,    -1,    -1,   116,    -1,  4751,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3424,  3425,    -1,    -1,    -1,    -1,    -1,   213,   325,    -1,
     327,    -1,  4778,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     337,    -1,    -1,    -1,    -1,   231,    -1,  3451,    -1,   346,
    3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,
     397,   398,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,  2822,    -1,    -1,  2825,    -1,
      -1,    -1,  5800,    -1,  4870,    -1,    -1,   313,   425,    -1,
     316,  3535,  3536,  3537,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,   332,    -1,   261,    -1,
      -1,    -1,   145,    -1,    -1,  3559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,  3579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,  2893,    -1,    -1,  3593,
      -1,    -1,   489,    -1,  2901,  2902,    -1,    -1,    -1,    -1,
      -1,  2908,    -1,    -1,  4950,    -1,   199,    -1,    -1,    -1,
      -1,    -1,    -1,   206,    -1,  2922,   209,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2963,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,  3672,    -1,
      91,    92,    93,   266,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,  2991,    -1,    -1,   108,    -1,    -1,
      -1,   672,   478,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,  3710,   493,    -1,    -1,
      -1,    -1,    -1,  3717,    -1,  3719,    -1,   430,    -1,    -1,
    5066,    -1,  5068,    -1,    -1,    -1,   147,    -1,  3732,    -1,
    3734,    -1,   325,    -1,   327,    -1,    -1,   523,  3045,    -1,
    3047,    -1,    -1,    -1,   337,   531,    -1,   533,   534,   535,
     536,   537,  3756,   346,   540,   541,   542,   543,    -1,   545,
     546,   547,   548,   549,   357,  5111,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,    -1,    -1,   397,   398,    -1,    -1,    -1,    -1,
    5156,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,   425,    -1,    -1,   256,    -1,    -1,    -1,  3843,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3159,    -1,    -1,    -1,    -1,  3861,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,  3883,
      -1,    -1,  3886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,
      -1,   882,   883,   884,   885,    -1,   887,    -1,    -1,   330,
     891,    -1,   893,    -1,    -1,   896,    -1,    -1,    -1,    -1,
      -1,    -1,   903,   344,   905,    -1,   347,   908,    -1,    -1,
      -1,   912,    -1,   914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   922,    -1,    -1,    -1,    -1,    -1,   928,    -1,   930,
      -1,    -1,   933,    -1,   935,    -1,   937,    -1,    -1,    -1,
    3964,    -1,    -1,   944,    -1,    -1,    -1,    -1,   949,    -1,
     951,    -1,    -1,    -1,    -1,    -1,    -1,   958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
      -1,   992,    -1,    -1,    -1,    -1,   997,    -1,    -1,     5,
      -1,  1002,    -1,    -1,    -1,  1006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5383,    -1,    25,
      -1,    -1,    -1,    -1,    -1,  1026,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,  1084,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,  1099,    -1,
    1101,    -1,   543,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1129,  1130,
      -1,    -1,   138,  1134,  1135,  4159,    -1,  3464,    -1,  3466,
    3467,  3468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   145,  1154,    -1,    -1,    -1,  1158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4209,    -1,  1188,    -1,    -1,
    4214,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   199,   213,    -1,  5575,
      -1,  5577,    -1,   206,  4238,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,  4255,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,   234,    91,    92,    93,    -1,  4270,   253,    -1,  4273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,  1269,    -1,
     276,    -1,    -1,   266,   123,    -1,    -1,    -1,    -1,  1280,
      -1,    -1,    -1,    -1,  1285,  1286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5672,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5690,    -1,   332,    -1,    -1,    -1,
      -1,    -1,   325,    -1,   327,    -1,  4360,  4361,    -1,    -1,
      -1,  1342,    -1,    -1,   337,    -1,  4370,    -1,    -1,    -1,
      -1,    -1,  1353,   346,  3681,    -1,  1357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,  4389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1375,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,  1397,    -1,    -1,    -1,
      -1,   394,  1403,  1404,   397,   398,    -1,   256,   108,    -1,
     416,    -1,   261,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,  1425,  1426,  1427,    -1,  1429,    -1,
    1431,    -1,   425,   282,   283,  1436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4468,    -1,    -1,   147,   297,    -1,
    5816,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,   489,    -1,   347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1509,    -1,
    1511,  1512,    -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,
    3847,    -1,    -1,    -1,    -1,   531,  5892,   533,   534,   535,
     536,   537,    -1,    -1,   540,   541,   542,   543,    -1,    -1,
      -1,   547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1550,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5941,    -1,    -1,    -1,    -1,
      -1,   430,   282,   283,    -1,    -1,    -1,  1588,  1589,    -1,
    5956,    -1,  1593,    -1,  1595,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1621,    -1,    -1,  1624,    -1,    -1,  1627,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1668,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,  4702,    -1,
     529,   530,   531,  4707,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,   543,  1696,  1697,  1698,    -1,  1700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4739,    -1,    -1,    -1,  1720,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4751,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1742,  1743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4778,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1771,    -1,    -1,  1774,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,  1802,    -1,    -1,    -1,  1806,  1807,    -1,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,  1817,  1818,  1819,    -1,
    1821,    -1,  4149,  4150,  4151,  4152,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,   147,
      -1,    -1,    -1,   543,    -1,  1846,  4870,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
     112,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4950,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
    1961,  1962,    -1,    -1,   196,    -1,    -1,    -1,    -1,  1970,
      -1,    -1,  1973,    -1,   282,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,  1994,    -1,  1996,    -1,    -1,    -1,    -1,
    4327,    -1,    -1,    -1,    -1,    -1,  4333,    -1,  2009,    -1,
      -1,  2012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,  5066,    -1,  5068,    -1,    -1,  2048,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,  2059,  2060,
    2061,  2062,  2063,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5111,  2089,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,  2103,  2104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,   430,  2124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2159,  2160,
    2161,  2162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2172,    -1,    -1,    -1,    -1,    -1,    -1,  2179,    -1,
      -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5215,    -1,    -1,    -1,    -1,    -1,  2198,   430,    -1,
    2201,    -1,    -1,    -1,    -1,  2206,    -1,    -1,    -1,    -1,
    2211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,   541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2253,  2254,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2273,  2274,    -1,    -1,    -1,    -1,    -1,  2280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2291,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5347,  2325,    -1,    -1,    -1,    -1,    -1,
      -1,  2332,    -1,  2334,    -1,    -1,    -1,  2338,  2339,    -1,
    2341,    -1,    -1,    -1,    -1,    -1,    -1,  2348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2358,    -1,  5383,
      -1,    -1,  2363,  2364,    -1,    -1,  2367,    -1,    -1,    -1,
    2371,  2372,    -1,    -1,    -1,    -1,  2377,  2378,    -1,    -1,
      -1,    -1,    -1,  2384,  2385,  2386,    -1,    -1,    -1,  2390,
    2391,  2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,    -1,
    2401,  2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2420,
    2421,  2422,  2423,    -1,    -1,    -1,  2427,  2428,    -1,    -1,
      -1,  2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,
      -1,    -1,    -1,    -1,  2455,  2456,    -1,    -1,  2459,    -1,
      -1,    -1,  4789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4804,    -1,    -1,
    2481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2519,    -1,
    2521,    -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2545,  2546,    -1,    -1,    -1,    -1,
      -1,  5575,    -1,  5577,    -1,    -1,    -1,    -1,  2559,    -1,
      -1,  4888,    -1,    -1,    -1,  2566,    -1,  2568,   893,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   914,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   922,    -1,    -1,
      -1,    -1,    -1,   928,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,  2648,  5672,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2657,    -1,  2659,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2688,    -1,  2690,
    2691,    -1,    -1,    -1,  2695,    -1,  2697,    -1,  2699,    -1,
    2701,    -1,    -1,    -1,  2705,    -1,    -1,  2708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2747,  5074,  5075,  5076,
      -1,    -1,    -1,  2754,    -1,    -1,   233,    -1,    -1,    -1,
      -1,   238,  2763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1099,    -1,    -1,    -1,    -1,   256,
      -1,  2782,    -1,    -1,   261,    -1,  2787,  2788,    -1,    -1,
      -1,    -1,  5816,    -1,    -1,    -1,  2797,  2798,    -1,   166,
    2801,    -1,  2803,    -1,    -1,   282,   283,    -1,    -1,    -1,
    1135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     297,  2822,    -1,    -1,  2825,    -1,    -1,    -1,    -1,  1154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2846,  2847,    -1,    -1,   216,
      -1,  1176,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
    2861,   228,  2863,  2864,    -1,    -1,   233,   344,  5892,    -1,
     347,   238,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
     247,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2893,    -1,    -1,    -1,    -1,    -1,    -1,  5226,
    2901,  2902,    -1,    -1,    -1,    -1,    -1,  2908,    -1,    -1,
      -1,   278,    -1,    -1,    -1,    -1,    -1,  5941,    -1,  2920,
      -1,  2922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   298,  5956,    -1,    -1,  2936,    -1,    -1,  2939,    -1,
    2941,    -1,    -1,  2944,    -1,    -1,    -1,  2948,    -1,    -1,
    2951,    -1,    -1,   430,    -1,  1280,    -1,    -1,    -1,    -1,
      -1,    -1,  2963,  2964,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,   339,    87,    -1,   342,    -1,    91,    92,    93,
    2981,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2991,    -1,  2993,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,  3008,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3019,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3033,   147,   401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3043,    -1,  3045,  3046,  3047,  3048,  5375,   526,
    5377,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,    -1,    -1,
      -1,    -1,  3093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1425,  1426,  1427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3130,
      -1,    -1,    -1,    -1,    -1,   502,    -1,   504,   505,  3140,
      -1,    -1,   256,    -1,    -1,  3146,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,
      -1,    -1,    -1,    -1,    -1,  3166,    -1,    -1,   282,   283,
    3171,    -1,    -1,   540,    -1,    -1,   543,   544,    -1,   546,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3194,  3195,  3196,    -1,    -1,  3199,    -1,
      -1,    -1,    -1,    -1,  5531,    -1,  3207,  3208,  3209,  3210,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,  3220,
      -1,    -1,  3223,    -1,  3225,    -1,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   347,    -1,  3236,  3237,    -1,    -1,  3240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3252,    -1,  3254,    -1,  3256,   370,  3258,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  1593,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,
      -1,  3282,    -1,    -1,    -1,    -1,   108,    -1,  3289,  5616,
    3291,  3292,  3293,    -1,   116,    -1,    -1,    -1,    -1,  1624,
      -1,   123,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,  3316,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,  3328,   108,    -1,
      -1,   111,   446,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,  3343,   123,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,  3357,    -1,    -1,    -1,
    3361,    -1,    -1,  3364,    -1,  3366,    -1,   147,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,
    5717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
     232,    -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,  3430,
      -1,  3432,    -1,    -1,   256,    -1,  3437,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,  1771,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,  3464,    -1,  3466,  3467,  3468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,   256,    -1,    -1,    -1,
      -1,   261,  5809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,    -1,  5841,  5842,    -1,   297,   256,    -1,
      -1,    -1,   344,   261,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,   283,   368,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3577,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5929,    -1,    -1,    -1,   344,    -1,   430,   347,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,  1961,   111,    -1,    -1,
      -1,    -1,   116,    -1,    -1,  1970,    -1,    -1,    -1,   123,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1996,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
    3681,    -1,    -1,    -1,  2009,  3686,  3687,  2012,    -1,    -1,
      -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,    -1,  3723,  3724,  3725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2063,  3740,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,  2077,   533,   534,   535,   536,   537,   538,    -1,
      -1,  3762,  3763,    -1,    -1,    -1,  2091,    -1,    -1,    -1,
      -1,  3772,  3773,  3774,    -1,    -1,    -1,  3778,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,   526,    -1,
    3791,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,    -1,    -1,  3808,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2143,    -1,
      -1,    -1,    -1,   297,  3825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3847,  2172,    -1,    -1,
      -1,    -1,    84,    -1,  2179,    87,   330,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,  3868,    -1,    -1,
     344,    -1,    -1,   347,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,  3884,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3904,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3913,    -1,    -1,   147,    -1,    -1,  3919,    -1,
    3921,    -1,    -1,  3924,    -1,    -1,    -1,    -1,  3929,  3930,
    3931,  3932,    -1,    -1,  3935,  3936,  3937,  3938,  3939,  3940,
    3941,  3942,  3943,  3944,    -1,    -1,    -1,  3948,  3949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   430,  3958,    -1,    -1,
      -1,  3962,    -1,    -1,    -1,  3966,  2291,    -1,    -1,    -1,
      -1,    -1,    -1,  3974,    -1,    -1,  3977,    -1,  3979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3988,    -1,    -1,
    3991,  3992,    -1,    -1,    -1,  3996,  3997,    -1,    -1,    -1,
    4001,    -1,  4003,    -1,    -1,    -1,   238,    -1,    -1,  4010,
    4011,  4012,  4013,  2338,  2339,  4016,  4017,    -1,    -1,    -1,
    4021,  4022,  4023,    -1,   256,    -1,    -1,    -1,  4029,   261,
      -1,    -1,    -1,  2358,  4035,  4036,  4037,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4084,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4098,   330,  4100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4128,  4129,  4130,
    2455,  4132,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,   219,    -1,    -1,  4149,  4150,
    4151,  4152,    -1,    -1,    -1,    -1,  2481,    -1,   232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2519,  4196,  2521,    -1,   430,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,  2559,    -1,    -1,    42,    43,    -1,
      -1,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,  4288,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4327,    -1,    -1,    -1,
    4331,    -1,  4333,   138,  4335,    -1,    -1,    -1,    -1,    -1,
      -1,  4342,    -1,    -1,    -1,    -1,    -1,  4348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4373,    -1,    -1,    -1,  4377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4395,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,   213,  4410,
      -1,    -1,    -1,  4414,  4415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,
      -1,    -1,    -1,  4444,  4445,  4446,  4447,  4448,   253,    -1,
    4451,    -1,  4453,    -1,    -1,    -1,    -1,  2782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2846,  2847,    -1,    -1,    -1,    -1,   332,    -1,  4530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4540,
    4541,    -1,    -1,    -1,    -1,    -1,  4547,  4548,    -1,    -1,
      -1,  4552,    -1,    -1,    -1,    -1,  4557,    -1,    -1,  4560,
    4561,    -1,    -1,    -1,  4565,  4566,    -1,    -1,    -1,    -1,
    4571,  4572,  4573,  4574,  4575,    -1,    -1,    -1,  4579,  4580,
    4581,    -1,  4583,  4584,    -1,    -1,  4587,    -1,    -1,    -1,
    4591,    -1,    -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,
    4601,    -1,    -1,    -1,    -1,    -1,    -1,  4608,    -1,    -1,
      -1,   416,  4613,    -1,    -1,    -1,  2941,    -1,  4619,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4629,    -1,
      -1,    -1,    -1,    -1,    -1,  4636,    -1,    -1,    -1,  4640,
      -1,    -1,    -1,    -1,  4645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,   463,    91,
      92,    93,    -1,  4664,    -1,    -1,  4667,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,   108,    -1,    -1,   111,
      -1,    -1,    -1,    -1,   116,    -1,  4687,  4688,   493,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4705,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,  4718,   523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,   533,   534,
     535,   536,   537,    -1,    -1,   540,   541,   542,   543,    -1,
      -1,    -1,   547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4789,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     874,    -1,    -1,  4804,    -1,  3130,    -1,    -1,   882,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   891,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,  4833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,    -1,
     282,   283,  4853,    -1,    -1,    -1,   930,    -1,    -1,    -1,
      -1,  4862,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,  4876,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4888,    -1,  4890,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,   330,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
      -1,    -1,   344,    -1,    -1,   347,    -1,    -1,   992,    -1,
    4921,    -1,    -1,  4924,   998,    -1,    -1,    -1,  1002,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,    -1,
     108,    -1,    -1,   111,    -1,  4966,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,  4975,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4992,  4993,    -1,    -1,  4996,    -1,    -1,   430,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5011,    -1,    -1,  5014,    -1,    -1,    -1,  5018,    -1,    -1,
      -1,    -1,  5023,    -1,    -1,  5026,  5027,    -1,  5029,    -1,
    5031,    -1,    -1,  5034,  5035,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1129,  1130,  5058,    -1,  5060,
      -1,    -1,  1136,    -1,    -1,    -1,  1140,    -1,   282,   283,
      -1,  5072,  5073,  5074,  5075,  5076,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1166,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,   330,    -1,    -1,  5120,
    5121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   347,   282,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5162,    -1,    -1,  5165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5177,    -1,    -1,  5180,
      -1,    -1,   330,    -1,  5185,    -1,  5187,    -1,    -1,    -1,
      -1,    -1,  5193,    -1,    -1,    -1,   344,    -1,   148,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5208,    -1,    -1,
      -1,  5212,    -1,   163,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5226,  5227,  5228,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,
    1314,  1315,    -1,    -1,    -1,    -1,   460,    -1,    -1,    -1,
      -1,    -1,  3577,    -1,   204,    -1,  5257,    -1,    -1,  5260,
      -1,  5262,    -1,    -1,    -1,   215,    -1,    -1,  1342,    -1,
      -1,    -1,    -1,   223,    -1,  1349,    -1,    -1,    -1,  1353,
      -1,  5282,   430,    -1,    -1,   235,    -1,  5288,    -1,    -1,
     240,  5292,    -1,    -1,    -1,  5296,    -1,   247,  1372,    -1,
      -1,    -1,  5303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5312,   526,  1387,   264,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5339,   289,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,  1431,    -1,    -1,
     310,    -1,    -1,    -1,  5365,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,  5374,  5375,  5376,  5377,   116,   526,    -1,
      -1,   529,   530,   531,   123,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,   344,    -1,    -1,    -1,  3723,  3724,
    3725,    -1,  1476,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,  5412,    -1,    -1,    -1,  3740,   366,    -1,    98,    -1,
      -1,    -1,    -1,    -1,   104,    -1,   376,    -1,    -1,   379,
      -1,   111,    -1,    -1,  5435,    -1,    -1,    -1,  3763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,  3774,
     130,    -1,    -1,  3778,    -1,   405,    -1,    -1,    -1,    -1,
     410,    -1,   412,    -1,    -1,   145,  3791,    -1,    -1,   419,
      -1,    -1,   422,    -1,    -1,    -1,  1550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5491,   441,    -1,  5494,    -1,    -1,  5497,   447,    -1,   179,
    5501,   451,   452,    -1,    -1,   455,    -1,  5508,    -1,   459,
      -1,    -1,  5513,    -1,  5515,    -1,  5517,   256,   468,   199,
      -1,    -1,   261,   473,  5525,    -1,   206,    -1,    -1,   209,
    5531,    -1,  5533,    -1,  1608,   485,    -1,    -1,    -1,    -1,
      -1,    -1,  5543,   282,   283,    -1,    -1,    -1,   498,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,   297,  3884,
      -1,    -1,    -1,    -1,    -1,  1639,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   263,  5585,  5586,   266,    -1,    -1,    -1,
      -1,   330,    -1,    -1,  1668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,    -1,  5616,    -1,    -1,    -1,    -1,
      -1,  5622,  1696,  1697,  1698,  5626,  1700,    -1,    -1,    -1,
      -1,   311,    -1,  5634,   314,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,  1720,   327,    -1,    -1,
      -1,    -1,    -1,    -1,  5655,    -1,    -1,   337,    -1,    -1,
      -1,    -1,  5663,  5664,    -1,    -1,   346,  5668,    -1,    -1,
    5671,    -1,    -1,    -1,    -1,    -1,   356,   357,    -1,    -1,
    5681,    -1,    -1,  5684,    -1,  4010,  4011,  4012,  5689,    -1,
      -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1774,  1775,  5703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,  5717,   397,   398,   399,
      -1,    -1,    -1,  5724,    -1,    -1,    -1,    -1,  1802,    -1,
      -1,    -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,   419,
      -1,    -1,    -1,    -1,    -1,   425,    -1,  1821,    -1,    -1,
      -1,    -1,  5753,    -1,    -1,    -1,    -1,  5758,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,  5767,    -1,    -1,    -1,
      -1,    -1,  5773,  5774,    -1,  5776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5785,    -1,    -1,   526,  5789,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,  5802,    -1,    -1,    -1,    -1,    -1,    -1,  5809,   489,
      -1,    -1,    -1,    -1,    -1,  1889,    89,    -1,    -1,    -1,
      -1,    94,  1896,    96,    -1,    96,    -1,    -1,    -1,    -1,
     101,    -1,  1906,   106,    -1,    -1,    -1,    -1,    -1,  5840,
    5841,  5842,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,    -1,    -1,   135,    -1,  5867,    -1,   141,    -1,
      -1,  5872,    -1,  1947,    -1,    -1,    -1,   148,    -1,   152,
     153,  1955,    -1,   156,    -1,    -1,    -1,   166,    -1,   162,
      -1,    -1,   163,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,
     181,    -1,    -1,    -1,  5915,   188,  1990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5929,    -1,
     203,    -1,    -1,   204,    -1,  5936,    -1,   216,  5939,  2013,
      -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   228,
      -1,    -1,   223,    -1,   233,    -1,  5957,  5958,    -1,   238,
      -1,    -1,    -1,    -1,   235,   244,    -1,    -1,   247,   240,
      -1,   250,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,   278,
      -1,    -1,    -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4342,    -1,   298,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,   310,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,  4373,    -1,
      -1,  2125,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
     339,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,   348,
      -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4406,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   401,    -1,  2198,    -1,    -1,  2201,    -1,    -1,
      -1,  2205,    -1,    -1,   405,    -1,    -1,  2211,    -1,   410,
      -1,   412,    -1,  2217,    -1,    -1,    -1,    -1,   419,    -1,
      -1,   422,    -1,    -1,    -1,  2229,   429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2242,  2243,
     441,    -1,    -1,   452,    -1,    -1,   447,    -1,    -1,    -1,
      -1,   452,    -1,    -1,   455,    -1,    -1,    -1,   459,    -1,
      -1,  2265,  2266,    -1,    -1,   466,    -1,   468,    -1,   478,
      -1,    -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,    -1,   504,   505,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4572,  4573,  4574,
    4575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2334,   540,    -1,    -1,   543,   544,    -1,   546,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,
      -1,    -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,
    2384,  2385,  2386,    -1,    -1,    -1,  2390,    -1,  2392,  2393,
    2394,  2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,
      -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,
    2424,    -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,
      -1,  2435,    -1,     5,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2456,    25,    -1,  2459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,   672,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,   720,   721,  2523,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2545,  2546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   768,   138,    98,    -1,    -1,
      -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,
     111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2642,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,    -1,  4921,    -1,   199,    -1,
      -1,    -1,  2676,    -1,    -1,   206,    -1,    -1,   209,    -1,
      -1,   253,    -1,    -1,  2688,    -1,    -1,    -1,  2692,    -1,
      -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,   234,   276,   216,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,
      -1,    -1,   233,    -1,    -1,  2729,    -1,   238,    -1,    -1,
      -1,    -1,   263,   244,    -1,   266,   247,    -1,    -1,   250,
    2744,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,  2766,    -1,    -1,    -1,  2770,   278,    -1,    -1,
     973,   974,    -1,   976,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,   314,    -1,    -1,    -1,   298,    -1,  2793,
      -1,    -1,    -1,    -1,   325,    -1,   327,    -1,    -1,    -1,
    2804,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   356,   357,    -1,   339,    -1,
    1033,   342,    -1,  1036,  1037,    -1,    -1,   348,  2842,    -1,
      -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,  1051,    -1,
    1053,    -1,  1055,    -1,    -1,    -1,    -1,    -1,  1061,    -1,
      -1,    -1,  1065,   394,    -1,    -1,   397,   398,   399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1085,  1086,    -1,    -1,    -1,    -1,   419,    -1,
     401,   463,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,   439,    -1,
    5165,    -1,    -1,    -1,    -1,    -1,  2920,  2921,    -1,    -1,
      -1,   493,    -1,    -1,    -1,  5180,  2930,    -1,    -1,  1132,
    5185,  1134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,    -1,  5208,    -1,    -1,    -1,    -1,   489,   531,
    2964,   533,   534,   535,   536,   537,    -1,   478,   540,   541,
     542,    -1,  5227,    -1,    -1,   547,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,    -1,   504,   505,    -1,    -1,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1212,
      -1,    -1,    -1,    -1,    -1,  3019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1226,  1227,    -1,    -1,  1230,    -1,   540,
      -1,    -1,   543,   544,    -1,   546,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3140,    -1,    -1,  3143,
      -1,    -1,  3146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3166,    -1,    -1,    -1,    -1,  3171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3194,  3195,  3196,    -1,    -1,  3199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3207,  3208,  3209,  3210,    -1,    -1,    -1,
      -1,  3215,    -1,    -1,    -1,    -1,  3220,  3221,    -1,  3223,
      -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3236,  3237,    -1,    -1,  3240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3254,    -1,  3256,    -1,  3258,    96,    -1,    -1,    -1,    -1,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,  3278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3289,    -1,  3291,  3292,  3293,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,  3316,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,   163,    -1,  3328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3343,
     181,    -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,
      -1,    -1,    -1,  3357,    -1,  1558,    -1,    -1,    -1,    -1,
    1563,    -1,  1565,   204,    -1,  1568,    -1,  1570,    -1,    -1,
    1573,  1574,  1575,    -1,   215,    -1,  1579,    -1,    -1,    -1,
      -1,    -1,   223,  1586,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   235,  3399,    -1,  1600,  3402,  1602,
    3404,    -1,   243,    -1,  1607,  3409,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   264,    -1,    -1,  3430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
      -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3500,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,  1731,    -1,
      -1,  3535,  3536,  3537,    -1,    -1,    -1,    -1,   379,  1742,
    1743,    -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1759,    -1,    -1,    -1,
      -1,  1764,  1765,    -1,   405,  3569,    -1,  3571,    -1,    -1,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,
      -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     441,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,    -1,
      -1,   452,    -1,    -1,   455,   456,    -1,   458,   459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,
      -1,    -1,   473,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,   482,    -1,  1846,   485,  1848,    -1,    -1,  3652,    -1,
      -1,    -1,    -1,    -1,    -1,  1858,    -1,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3705,    -1,    -1,    -1,    -1,  3710,  3711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3780,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,
      -1,  2014,    -1,    -1,  2017,  2018,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2101,    -1,
    3904,    -1,    -1,  3907,    -1,    -1,    -1,    -1,    -1,  3913,
      -1,    -1,    -1,    -1,    -1,  3919,    -1,  3921,    -1,    -1,
    3924,    -1,    -1,    -1,  3928,  3929,  3930,  3931,  3932,    -1,
      -1,  3935,  3936,  3937,  3938,  3939,  3940,  3941,  3942,  3943,
    3944,    -1,    -1,    -1,  3948,  3949,    -1,    -1,    -1,  3953,
      -1,    -1,    -1,    -1,  3958,    -1,    -1,    -1,  3962,    -1,
    3964,    -1,  3966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3974,    -1,    -1,  3977,    96,  3979,    -1,    -1,    -1,   101,
      -1,    -1,    -1,  3987,  3988,    -1,    -1,  3991,  3992,    -1,
      -1,    -1,  3996,  3997,    -1,    -1,    -1,    -1,    -1,  4003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,  4013,
      -1,    -1,  4016,   135,    -1,   217,    -1,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4029,   148,   149,    -1,    -1,
      -1,  4035,  4036,  4037,    -1,    -1,    -1,   159,    -1,    -1,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4084,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   215,    -1,    -1,  4100,    -1,    -1,    -1,
    2303,   223,  2305,    -1,    -1,    -1,  2309,    -1,  2311,    -1,
      -1,  2314,  4116,   235,    -1,  2318,    -1,    -1,   240,    -1,
    2323,    -1,    -1,    -1,  4128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4209,    -1,    -1,    -1,    -1,
    4214,  4215,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4238,  4239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,
      -1,  4255,  2455,    -1,   376,    -1,    -1,   379,    -1,  2462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,   410,    -1,
     412,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,
      -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,    -1,    -1,
     452,  4335,    -1,   455,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    -1,   468,    -1,    -1,    -1,
      -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4377,    -1,    -1,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2593,    -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,    -1,
    2603,    -1,  2605,    -1,    -1,  2608,    -1,    -1,    -1,  4413,
    4414,  4415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4540,  4541,    -1,  4543,
      -1,    -1,    -1,  4547,  4548,    -1,    -1,    -1,  4552,  4553,
      -1,    -1,    -1,  4557,    -1,    -1,  4560,  4561,    -1,    -1,
      -1,  4565,    -1,    -1,    -1,    -1,    -1,  4571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4583,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4591,    -1,    -1,
      -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4608,    -1,    -1,    -1,    -1,  4613,
      -1,    -1,    -1,  2816,    -1,  4619,    -1,    -1,    -1,    -1,
      -1,  2824,    -1,    -1,  2827,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4667,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     882,  4685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4723,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4767,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     992,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,
    1002,    -1,    -1,    -1,    -1,  4809,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4847,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3088,  3089,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4917,    -1,  4919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1129,  1130,    -1,
      -1,    -1,    -1,    -1,  1136,    -1,    -1,    -1,  1140,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4966,    -1,  1166,    -1,  4970,    -1,    -1,    -1,
      -1,  4975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4992,  4993,
      -1,    -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5011,    -1,    -1,
      -1,    -1,    -1,    -1,  5018,    -1,    -1,    -1,    -1,  5023,
      -1,    -1,  5026,  5027,    -1,    -1,    -1,    -1,    -1,    -1,
    5034,  5035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5058,    -1,  5060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3307,    -1,  5110,    -1,    -1,  3312,
      -1,    -1,  1314,  1315,    -1,    -1,  5120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1342,    -1,    -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,
      -1,  1353,  5156,    -1,    -1,    -1,    -1,    -1,  5162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5228,    -1,  5230,    -1,    -1,  1431,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5257,  5258,    -1,  5260,    -1,  5262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,  5282,    -1,
      -1,    -1,    -1,    -1,  5288,    -1,    -1,    -1,  5292,    -1,
      -1,    -1,    -1,    -1,  5298,    -1,    -1,    -1,    -1,  5303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5347,    -1,    -1,    -1,    -1,  1550,    -1,
      -1,  5355,    -1,    -1,    -1,    -1,  5360,  5361,    -1,    -1,
      -1,  5365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,  5412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5435,    -1,    -1,    -1,    -1,    -1,  1639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5468,  5469,  1668,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5491,    -1,    -1,
    5494,    -1,    -1,  5497,  1696,  1697,  1698,    -1,  1700,    -1,
      -1,    -1,  3705,    -1,  5508,    -1,    -1,    -1,  3711,  5513,
      -1,  5515,    -1,  5517,    -1,    -1,    -1,    -1,  1720,    -1,
      -1,  5525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5575,  1774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,  3811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1821,
      -1,    -1,  5626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5663,
    5664,    -1,    -1,    -1,    -1,    -1,    -1,  5671,  5672,    -1,
      -1,  5675,    -1,    -1,    -1,    -1,    -1,  5681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,
    3893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5703,
      -1,    -1,    -1,    -1,  1906,    -1,    -1,    -1,   998,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1947,    -1,    -1,    -1,  5753,
      -1,    -1,    -1,  1955,  5758,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5767,    -1,    -1,    -1,    -1,    -1,  5773,
    5774,    -1,  5776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5785,    -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5840,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5867,    -1,    -1,    -1,    -1,  5872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5892,    -1,
      -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4105,    -1,    -1,  5909,    -1,  2109,    -1,    -1,
      -1,  5915,    -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,    -1,    -1,    -1,  5939,    -1,  5941,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5956,  5957,  5958,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2198,    -1,    -1,  2201,
      -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,  2211,
      -1,    -1,  4215,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4239,    -1,    -1,    -1,
    2242,  2243,  4245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1349,
      -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2371,
    2372,    -1,    -1,    -1,    -1,  2377,  2378,    -1,    -1,    -1,
      -1,    -1,  2384,  2385,  2386,    -1,  1476,    -1,  2390,    -1,
    2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,    -1,  2401,
    2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,  2420,  2421,
    2422,  2423,    -1,    -1,    -1,    -1,  2428,    -1,    -1,    -1,
    2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2456,    -1,    -1,  2459,    -1,    -1,
      -1,    -1,  4465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,
      -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2545,  2546,    -1,    -1,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,  4624,    -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   123,   124,   125,   126,   127,  1759,
      -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,  2688,   146,    -1,   148,
    2692,    -1,    -1,  2695,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,   167,    -1,
    4713,    -1,    -1,    -1,  4717,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,  2729,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,  1889,
      -1,    -1,  2804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,
     279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,   322,    -1,  1955,    -1,   326,    -1,    -1,
      -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,
    1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,  2921,
      -1,    -1,    -1,  2013,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2964,    -1,    -1,    -1,    -1,    -1,   427,    -1,
      -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,  3003,   461,   462,  2094,    -1,    -1,    -1,   467,    -1,
     469,    -1,    -1,    -1,    -1,    -1,    -1,  3019,    -1,  2109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5051,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,  2217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3140,  2229,
      -1,  3143,    -1,    -1,  3146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3166,    -1,    -1,    -1,    -1,  3171,
      -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3194,  3195,  3196,    -1,    -1,  3199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3207,  3208,  3209,  3210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,
      -1,  3223,    -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3236,  3237,    -1,    -1,  3240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3254,    -1,  3256,    -1,  3258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3289,    -1,  3291,
    3292,  3293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3328,    -1,    -1,  2419,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5370,  5371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,
    3402,    -1,  3404,    -1,    -1,    -1,    -1,  3409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     162,    -1,    -1,  3475,    -1,    -1,  5479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,
    2630,  2631,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3569,    -1,  3571,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3652,    -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3705,    -1,    -1,    -1,    -1,    -1,  3711,
      -1,  5714,    -1,  5716,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3780,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3904,    -1,    -1,  3907,    -1,    -1,    -1,    -1,
      -1,  3913,    -1,  3003,    -1,    -1,    -1,  3919,    -1,  3921,
      -1,    -1,  3924,    -1,    -1,    -1,  3928,  3929,  3930,  3931,
    3932,    -1,    -1,  3935,  3936,  3937,  3938,  3939,  3940,  3941,
    3942,  3943,  3944,    -1,    -1,    -1,  3948,  3949,    -1,    -1,
      -1,  3953,    -1,    -1,    -1,    -1,  3958,    -1,    -1,    -1,
    3962,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3974,    -1,    -1,  3977,    -1,  3979,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3987,  3988,    -1,    -1,  3991,
    3992,    -1,    -1,    -1,  3996,  3997,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4013,    -1,    -1,  4016,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4029,   720,   721,
      -1,    -1,    -1,  4035,  4036,  4037,  3126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   768,    -1,    -1,    -1,
      -1,    -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4128,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   897,    -1,   899,    -1,   901,
     902,    -1,   904,  4215,   906,    -1,    -1,   909,    -1,   911,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,    -1,   931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   939,    -1,    -1,
      -1,    -1,    -1,    -1,   946,   947,    -1,    -1,   950,    -1,
     952,   953,    -1,    -1,    -1,   957,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   974,    -1,   976,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,
      -1,    -1,  3402,    -1,  3404,    -1,    -1,    -1,    -1,  3409,
      -1,    -1,    -1,    -1,  1016,    -1,  1018,    -1,    -1,    -1,
      -1,    -1,    -1,  4335,    -1,  1027,  1028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,  3458,    -1,
      -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1100,    -1,
    3500,  4413,  4414,  4415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1167,    -1,    -1,    -1,  3569,
      -1,  3571,    -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4540,  4541,
      -1,  4543,    -1,    -1,    -1,  4547,  4548,  1239,    -1,  1241,
    4552,  4553,    -1,  1245,    -1,  4557,    -1,    -1,  4560,  4561,
      -1,    -1,  3652,  4565,    -1,    -1,    -1,    -1,    -1,  4571,
      -1,    -1,    -1,    -1,  1266,    -1,    -1,    -1,    -1,    -1,
      -1,  4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4591,
    3680,    -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4608,    -1,    -1,    -1,
      -1,  4613,    -1,    -1,    -1,  3705,    -1,  4619,    -1,    -1,
      -1,  3711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4636,    -1,    -1,  1329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4667,  1358,    -1,    -1,  1361,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1371,
      -1,    -1,    -1,  4685,  1376,    -1,    -1,    -1,    -1,    -1,
    3780,    -1,  1384,    -1,    -1,    -1,    -1,    -1,  1390,    -1,
      -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4723,    -1,  3813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1432,    -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4809,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4833,    -1,    -1,    -1,    -1,    -1,    -1,  3928,    -1,
      -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3953,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4917,    -1,  4919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4966,    -1,    -1,    -1,  4970,    -1,
      -1,    -1,    -1,  4975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4992,  4993,    -1,    -1,  4996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5011,
      -1,    -1,    -1,    -1,    -1,    -1,  5018,    -1,    -1,    -1,
      -1,  5023,    -1,    -1,  5026,  5027,  4116,    -1,    -1,    -1,
      -1,    -1,  5034,  5035,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5058,    -1,  5060,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1792,  1793,    -1,    -1,    -1,    -1,    -1,    -1,  5110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5120,    -1,
      -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1851,
    5162,    -1,  1854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5228,    -1,  5230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5257,  5258,    -1,  5260,    -1,
    5262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,
    5282,    -1,    -1,    -1,    -1,    -1,  5288,    -1,    -1,    -1,
    5292,    -1,    -1,    -1,    -1,    -1,  5298,    -1,    -1,    -1,
      -1,  5303,    -1,  1995,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5355,    -1,    -1,    -1,    -1,  5360,  5361,
      -1,    -1,    -1,  5365,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4553,    -1,    -1,  5468,  5469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5491,
      -1,    -1,  5494,    -1,    -1,  5497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5508,    -1,    -1,    -1,
      -1,  5513,    -1,  5515,    -1,  5517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2258,    -1,  2260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2276,  2277,    -1,  2279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5626,    -1,    -1,  2319,    -1,    -1,
      -1,    -1,  5634,  4723,    -1,    -1,    -1,    -1,    -1,  2331,
      -1,    -1,    -1,  2335,    -1,  2337,    -1,    -1,  2340,    -1,
      -1,    -1,    -1,    -1,  4744,    -1,    -1,    -1,    -1,    -1,
      -1,  5663,  5664,    -1,    -1,    -1,    -1,    -1,    -1,  5671,
      -1,    -1,    -1,  5675,    -1,    -1,    -1,    -1,    -1,  5681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4809,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5753,    -1,    -1,    -1,    -1,  5758,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5767,    -1,    -1,    -1,    -1,
    2462,  5773,  5774,    -1,  5776,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5785,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5867,    -1,    -1,    -1,    -1,
    5872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,    -1,
      -1,    -1,    -1,  5915,    -1,    -1,  2608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2620,  2621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5939,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,  2640,    -1,
      -1,    -1,  2644,  2645,    -1,  5957,  5958,  2649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2663,    -1,    -1,    -1,    -1,    -1,    -1,  2670,    -1,
      -1,    -1,  2674,  2675,    -1,    -1,  2678,  2679,    -1,    -1,
      -1,    -1,    -1,  2685,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2698,    -1,  2700,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5110,    -1,    -1,    -1,    -1,    -1,    -1,  2719,    -1,    -1,
      -1,    -1,  2724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2737,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2746,    -1,  2748,    -1,    -1,  2751,
    2752,  2753,    -1,    -1,    -1,    -1,  2758,  2759,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,    -1,
      -1,  2773,    -1,    -1,    -1,    -1,  2778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2811,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2823,    -1,    -1,  2826,    -1,    -1,    -1,    -1,  2831,
    5230,    -1,    -1,    -1,  2836,  2837,    -1,    -1,    -1,  2841,
      -1,    -1,  2844,    -1,    -1,    -1,  2848,  2849,  2850,  2851,
      -1,  2853,    -1,    -1,    -1,    -1,    -1,    -1,  5258,    -1,
      -1,   882,    -1,    -1,  2866,  2867,    -1,  2869,    -1,    -1,
     891,    -1,    -1,    -1,    -1,    -1,    -1,  2879,  2880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,   930,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,  2931,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5355,    -1,  2959,    -1,    -1,
    5360,  5361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,   992,    -1,    -1,    -1,    -1,    -1,   998,    78,    79,
      -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,  5469,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   184,   185,  3088,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1129,  1130,
      -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,  3131,
      -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,
      -1,    -1,    -1,    -1,    -1,  1166,   246,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,  3160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,
      -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,
     330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,
      -1,    -1,    -1,    -1,    -1,  5675,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1342,    -1,    -1,    -1,    -1,    -1,   427,  1349,    -1,
     430,    -1,  1353,   433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,  1372,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,   461,   462,    -1,    -1,    -1,  1387,   467,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1431,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,    -1,  3427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3452,    -1,    -1,    -1,  3456,  1476,    -1,    -1,    -1,    -1,
    3462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,  3479,    -1,    -1,
      -1,  3483,    -1,    -1,    -1,    -1,  3488,  3489,  3490,    -1,
    3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3523,  3524,  3525,  3526,    -1,    -1,    -1,    -1,  1550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3560,    -1,
      -1,  3563,  3564,  3565,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1668,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3665,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3673,    -1,    -1,    -1,  1696,  1697,  1698,    -1,  1700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1720,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3718,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1774,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,
      -1,    -1,    -1,  3775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1821,    -1,    -1,  3805,    -1,    -1,    -1,    -1,    -1,  3811,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3840,    -1,
    3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4135,    -1,  4137,    -1,    -1,    -1,    -1,
      -1,    -1,  4144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4160,    -1,
      -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4176,    -1,    -1,  2198,    -1,    -1,
    2201,    -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,
    2211,    -1,  4194,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,
    4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4222,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4241,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
    4252,  4253,  4254,    -1,    -1,    -1,    -1,  4259,  4260,  4261,
    4262,    -1,    -1,  4265,  4266,    -1,    -1,    -1,    -1,  4271,
    4272,    -1,  4274,  4275,  4276,  4277,  4278,  4279,    -1,  4281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4290,    -1,
      -1,  4293,  4294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4312,    -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2371,  2372,    -1,    -1,    -1,    -1,  2377,  2378,    -1,    -1,
      -1,    -1,    -1,  2384,  2385,  2386,    -1,    -1,    -1,  2390,
      -1,  2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,    -1,
    2401,  2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,  2420,
    2421,  2422,  2423,    -1,    -1,    -1,    -1,  2428,    -1,    -1,
      -1,  2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,
    4432,    -1,    -1,    -1,    -1,  2456,    -1,    -1,  2459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4461,
    4462,  4463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2545,  2546,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,  2630,
    2631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2688,    -1,    -1,
      -1,  2692,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4693,    -1,    -1,    -1,  4697,  4698,  4699,  4700,    -1,
      -1,  4703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4734,  4735,  4736,    -1,  4738,    -1,  4740,  4741,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4752,  4753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4779,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4787,  4788,    -1,  4790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1129,  1130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,
    2921,    -1,  4904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,
      -1,    -1,    -1,  2964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3019,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5031,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,
    5112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3140,
      -1,    -1,  3143,    -1,    -1,  3146,    -1,    -1,  5130,    -1,
      -1,    -1,    -1,  5135,  5136,  3156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3166,    -1,    -1,    -1,    -1,
    3171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3194,  3195,  3196,    -1,    -1,  3199,    -1,
      -1,    -1,    -1,    -1,  5186,    -1,  3207,  3208,  3209,  3210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,
      -1,    -1,  3223,  5205,  3225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3236,  3237,    -1,    -1,  3240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,
      -1,    -1,    -1,  3254,    -1,  3256,    -1,  3258,    -1,  5241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5251,
      -1,    -1,  1022,    -1,    -1,    -1,    -1,  3278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3289,    -1,
    3291,  3292,  3293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5296,  3316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5322,    -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,
      -1,  5343,    -1,    -1,    -1,    -1,  1639,    -1,    -1,    -1,
      -1,    -1,  5354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1668,  5378,    -1,  3399,    -1,
      -1,  3402,    -1,  3404,    -1,    -1,    -1,    -1,  3409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1696,  1697,  1698,    -1,  1700,    -1,  3430,
      -1,    -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1720,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1022,    -1,    -1,    -1,  5476,    -1,    -1,    -1,    -1,  3500,
      -1,  1774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5505,    -1,    -1,    -1,    -1,    -1,  1802,
      -1,    -1,    -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3569,    -1,
    3571,    -1,    -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1372,    -1,  5606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,  5620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3705,    -1,    -1,    -1,    -1,    -1,
    3711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5702,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3813,    -1,    -1,    -1,    -1,  1349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1372,    -1,    -1,    -1,    -1,    -1,  5828,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1387,    -1,    -1,  1608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3904,    -1,    -1,  3907,    -1,    -1,    -1,
      -1,    -1,  3913,    -1,    -1,    -1,    -1,    -1,  3919,    -1,
    3921,    -1,    -1,  3924,    -1,    -1,    -1,  3928,  3929,  3930,
    3931,  3932,    -1,    -1,  3935,  3936,  3937,  3938,  3939,  3940,
    3941,  3942,  3943,  3944,  1476,    -1,    -1,  3948,  3949,    -1,
      -1,    -1,  3953,    -1,    -1,    -1,    -1,  3958,    -1,    -1,
      -1,  3962,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3974,    -1,    -1,  3977,    -1,  3979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3987,  3988,    -1,    -1,
    3991,  3992,    -1,    -1,    -1,  3996,  3997,    -1,    -1,    -1,
      -1,    -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4013,    -1,    -1,  4016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4029,    -1,
      -1,    -1,    -1,    -1,  4035,  4036,  4037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,
      -1,    -1,    -1,  4084,    -1,    -1,    -1,    -1,    -1,   998,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4100,
      -1,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1022,    -1,  4116,    -1,  2390,    -1,  2392,
      -1,    -1,  2395,  2396,  2397,    -1,    -1,  4128,    -1,  2402,
      -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,  1889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2420,  2421,  2422,
    2423,    -1,    -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,
      -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,
    2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2456,    -1,    -1,  2459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,    -1,
    1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2545,  2546,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,  2109,
      -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,  2118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,    -1,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4413,  4414,  4415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,
    1349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,  1990,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,    -1,  2217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,  2229,
      -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   998,    -1,    -1,  2265,  2266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,
      -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,    -1,  4540,
    4541,    -1,  4543,    -1,    -1,    -1,  4547,  4548,    -1,    -1,
      -1,  4552,  4553,    -1,    -1,    -1,  4557,    -1,    -1,  4560,
    4561,    -1,  2094,    -1,  4565,    -1,    -1,  1476,    -1,    -1,
    4571,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,
      -1,    -1,  4583,    -1,    -1,    -1,  2118,    -1,    -1,    -1,
    4591,    -1,    -1,    -1,  4595,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4608,    -1,    -1,
      -1,    -1,  4613,    -1,    -1,    -1,    -1,    -1,  4619,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,    -1,    -1,
      -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4667,    -1,    -1,  2419,
      -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4685,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,  1608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4876,  2626,    -1,    -1,    -1,
    2630,  2631,    -1,    -1,    -1,    -1,  1372,  2419,    -1,    -1,
      -1,    -1,    -1,  3166,    -1,    -1,    -1,    -1,  3171,    -1,
      -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4917,    -1,  4919,    -1,
      -1,    -1,    -1,  3196,    -1,    -1,    -1,  2459,    -1,    -1,
      -1,    -1,    -1,    -1,  3207,    -1,  3209,  3210,    -1,    -1,
      -1,    -1,  2692,    -1,    -1,    -1,    -1,  3220,    -1,    -1,
    3223,    -1,  3225,    -1,  2704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4966,    -1,    -1,    -1,  4970,
      -1,    -1,    -1,    -1,  4975,    -1,    -1,    -1,    -1,    -1,
    1889,  3254,    -1,  3256,    -1,  3258,    -1,    -1,    -1,    -1,
    1476,  4992,  4993,    -1,  2744,  4996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5011,    -1,    -1,    -1,    -1,    -1,    -1,  5018,  3291,  3292,
    3293,    -1,  5023,    -1,    -1,  5026,  5027,    -1,    -1,    -1,
      -1,    -1,    -1,  5034,  5035,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3316,    -1,    -1,  1955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3328,    -1,  5058,    -1,  5060,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3343,  5072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,
      -1,    -1,    -1,    -1,  2013,    -1,    -1,    -1,    -1,  5110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5120,
      -1,    -1,  1608,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,    -1,
    2692,  5162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2921,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,
      -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,    -1,    -1,  5228,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3003,    -1,    -1,  5257,  5258,    -1,  5260,
      -1,  5262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
      -1,  5282,    -1,    -1,    -1,    -1,    -1,  5288,    -1,    -1,
      -1,  5292,    -1,    -1,    -1,    -1,  2205,  5298,    -1,    -1,
      -1,    -1,  5303,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5355,    -1,  2265,  2266,    -1,  5360,
    5361,    -1,    -1,    -1,  5365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2921,
      -1,    -1,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1889,    -1,    -1,  3156,    -1,    -1,    -1,
      -1,  5412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5468,  5469,  1955,
      -1,  3003,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
    5491,    -1,    -1,  5494,    -1,    -1,  5497,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,  1990,    -1,    -1,  5508,    -1,    -1,
    2419,  1022,  5513,  1387,  5515,    -1,  5517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5525,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,  3156,  5626,    -1,    -1,    -1,    -1,
      -1,  3904,  2118,  5634,    -1,    -1,    -1,    -1,    -1,    -1,
    3913,    -1,    -1,    -1,  2130,    -1,  3919,    -1,  3921,  3399,
      -1,    -1,  3402,    -1,  3404,    -1,    -1,    -1,    -1,  3409,
      -1,    -1,  5663,  5664,    -1,    -1,    -1,    -1,    -1,    -1,
    5671,    -1,   998,    -1,  5675,  3948,  3949,    -1,    -1,    -1,
    5681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3966,    -1,    -1,  1022,    -1,    -1,  2185,
      -1,  3974,  5703,    -1,  3977,    -1,  3979,    -1,  3458,    -1,
      -1,    -1,    -1,    -1,    -1,  3988,    -1,  2626,    -1,  2205,
      -1,  2630,  2631,  3996,  3997,  3475,    -1,    -1,    -1,    -1,
      -1,  2217,    -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,    -1,
    3500,    -1,  5753,    -1,    -1,    -1,  4029,  5758,    -1,  3291,
    3292,  3293,  4035,  4036,  4037,    -1,  5767,    -1,    -1,    -1,
      -1,    -1,  5773,  5774,    -1,  5776,    -1,    -1,    -1,  2265,
    2266,    -1,    -1,  2692,  5785,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,    -1,
      -1,  5802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3569,
      -1,  3571,    -1,    -1,    -1,    -1,    -1,  4100,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,  1349,  5840,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1372,    -1,    -1,    -1,    -1,  5867,  3399,    -1,    -1,
    3402,  5872,  3404,    -1,    -1,    -1,  1387,  3409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3652,    -1,    -1,    -1,    -1,    -1,  5909,    -1,
      -1,    -1,    -1,    -1,  5915,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,
    3680,    -1,    -1,  2419,    -1,    -1,    -1,    -1,  5939,    -1,
      -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3705,  5957,  5958,    -1,    -1,
      -1,  3711,    -1,    -1,    -1,  1476,    -1,    -1,  3500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2921,    -1,    -1,  1889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,    -1,    -1,
    3780,    -1,    -1,    -1,    -1,    -1,    -1,  3569,    -1,  3571,
      -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,  3798,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1387,    -1,  3813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3003,    -1,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,
    3652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,
    2626,  4414,  4415,    -1,  2630,  2631,    -1,    -1,  3680,    -1,
    1476,    -1,    -1,    -1,    -1,    -1,    -1,  3907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3705,    -1,    -1,    -1,    -1,  3928,  3711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3953,    -1,    -1,  2692,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4489,  3126,  2704,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,
      -1,    -1,    -1,    -1,  3143,  2109,    -1,  3987,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,  3156,  3780,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,  2744,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3798,  4540,  4541,    -1,
      -1,    -1,    -1,    -1,  4547,  4548,    -1,    -1,    -1,  4552,
      -1,  3813,  1608,    -1,  4557,    -1,    -1,  4560,  4561,    -1,
      -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,  4571,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,  4608,    -1,    -1,    -1,    -1,
    4613,    -1,    -1,  2217,    -1,    -1,  4619,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4636,    -1,    -1,  4116,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3907,    -1,    -1,  1889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,  2266,    -1,  4667,    -1,  3928,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,
    3399,    -1,    -1,  3402,  4767,  3404,    -1,    -1,    -1,    -1,
    3409,    -1,  2013,    -1,    -1,  4037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2419,    -1,    -1,    -1,  3458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4833,    -1,    -1,  1889,    -1,    -1,  3475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2094,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,  3500,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,
    3569,    -1,  3571,  4413,  1990,    -1,    -1,    -1,    -1,    -1,
    3156,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4215,    -1,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,  4239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,  4992,
    4993,    -1,    -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3652,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2626,    -1,  2265,  2266,  2630,  2631,    -1,    -1,
      -1,  5034,  5035,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,  3680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,  5060,    -1,    -1,
      -1,    -1,  2118,  4543,    -1,    -1,  3705,    -1,    -1,    -1,
      -1,    -1,  3711,  4553,  2130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2744,  3780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2205,
      -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3798,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2229,  3813,    -1,    -1,    -1,  2419,    -1,
      -1,    -1,    -1,  3399,    -1,    -1,  3402,    -1,  3404,    -1,
      -1,    -1,    -1,  3409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4685,    -1,    -1,    -1,  2265,
    2266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3458,  4723,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5260,    -1,  3475,
      -1,    -1,    -1,    -1,  4744,    -1,    -1,    -1,  3907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4543,    -1,    -1,  3500,  5288,    -1,    -1,    -1,  3928,
      -1,  4553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3953,    -1,    -1,  2921,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4809,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4608,    -1,  3987,    -1,
      -1,  4613,    -1,  3569,    -1,  3571,    -1,  4619,    -1,    -1,
      -1,    -1,  5365,  2419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,  2630,
    2631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4685,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3652,    -1,    -1,  4919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4723,    -1,  2704,  3680,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4116,    -1,    -1,
      -1,    -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,  3705,
    4970,    -1,    -1,    -1,    -1,  3711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,
    5543,    -1,    -1,    -1,    -1,    -1,    -1,  4809,    -1,    -1,
      -1,    -1,  3156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3780,    -1,    -1,    -1,    -1,    -1,
    2626,    -1,    -1,    -1,  2630,  2631,  4215,    -1,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,    -1,    -1,
    4239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5626,    -1,    -1,    -1,    -1,    -1,    -1,
    5110,    -1,    -1,    -1,    -1,    -1,  2692,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2704,    -1,
      -1,    -1,    -1,    -1,    -1,  4917,    -1,  4919,    -1,    -1,
    5663,  5664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5681,  1712,
    2921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,
      -1,  3907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4970,    -1,
      -1,    -1,  3928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5230,    -1,    -1,    -1,    -1,  5758,  1789,    -1,    -1,    -1,
      -1,    -1,  3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3987,    -1,  5776,  4413,    -1,    -1,    -1,  5258,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,  3402,  5802,
    3404,    -1,    -1,    -1,    -1,  3409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5110,    -1,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,    -1,
      -1,  3475,    -1,    -1,    -1,  5355,    -1,    -1,    -1,    -1,
    5360,  5361,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3500,    -1,    -1,    -1,
    4116,    -1,  3143,    -1,  4543,    -1,  5909,    -1,    -1,    -1,
      -1,    -1,  5915,    -1,  4553,  3156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3569,    -1,  3571,  5230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5469,
      -1,    -1,    -1,    -1,    -1,    -1,  5258,    -1,    -1,  4215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4685,    -1,  3652,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3126,    -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4723,    -1,    -1,  3143,    -1,    -1,
      -1,    -1,    -1,  5355,    -1,    -1,    -1,    -1,  5360,  5361,
    3156,  3705,    -1,    -1,    -1,  4744,    -1,  3711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,
      -1,  3402,    -1,  3404,    -1,    -1,    -1,    -1,  3409,    -1,
    4809,    -1,    -1,    -1,    -1,    -1,  3780,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3798,  5675,    -1,  4413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5468,  5469,    -1,  3813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3928,    -1,    -1,  4543,  3569,    -1,
    3571,  4970,    -1,    -1,    -1,    -1,    -1,  4553,    -1,    -1,
      -1,    -1,  2375,  3399,    -1,    -1,  3402,    -1,  3404,  3953,
      -1,    -1,    -1,  3409,    -1,    -1,  2389,    -1,    -1,    -1,
    2393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2407,  2408,  2409,    -1,    -1,  2412,
      -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3652,    -1,  5675,    -1,    -1,    -1,    -1,    -1,  3475,
      -1,  2454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3680,
      -1,    -1,    -1,    -1,  3500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3705,    -1,    -1,    -1,    -1,  4685,
    3711,  5110,    -1,    -1,    -1,    -1,  2509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4723,    -1,    -1,
      -1,  2544,  4116,  3569,    -1,  3571,  2549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4744,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5230,    -1,  4809,    -1,    -1,  3652,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5258,
      -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3705,
      -1,    -1,    -1,    -1,    -1,  3711,    -1,    -1,    -1,  5298,
      -1,    -1,    -1,    -1,    -1,    -1,  3907,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3928,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3953,    -1,    -1,    -1,  5355,    -1,    -1,    -1,
      -1,  5360,  5361,    -1,  3780,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,  3987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4970,    -1,    -1,  3813,    -1,    -1,
    4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3928,    -1,    -1,  4116,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5110,    -1,    -1,  3953,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5675,    -1,    -1,    -1,
      -1,    -1,  5258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4685,  5298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4723,
      -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3169,    -1,    -1,  5355,
    4744,    -1,    -1,    -1,  5360,  5361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,  3191,  4215,
      -1,  3194,  3195,    -1,  3197,    -1,  3199,    -1,    -1,    -1,
    3203,    -1,  4413,  3206,    -1,    -1,    -1,    -1,  3211,    -1,
      -1,    -1,    -1,  4239,  3217,    -1,    -1,    -1,    -1,  3222,
      -1,    -1,    -1,    -1,    -1,    -1,  3229,  3230,  3231,  3232,
      -1,    -1,    -1,  3236,  3237,  4809,  3239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3251,    -1,
    3253,    -1,    -1,    -1,    -1,    -1,    -1,  3260,  3261,  3262,
    3263,  3264,  3265,  3266,  3267,  3268,  3269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4543,    -1,    -1,    -1,    -1,    -1,  4364,    -1,
      -1,    -1,  4553,    -1,    -1,  4919,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,  4413,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,  4970,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,
      -1,    -1,    -1,    -1,  4685,    -1,    -1,    -1,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,  5675,
      -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,  4723,    -1,   174,    -1,    -1,  4543,    -1,    -1,
      -1,    -1,    -1,    -1,   184,   185,    -1,  4553,    -1,    -1,
      -1,    -1,    -1,  4744,    -1,    -1,  5110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,  4809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,
      -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5230,    -1,    -1,  4685,
     320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,
     330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5258,    -1,    -1,    -1,    -1,    -1,
     350,   351,    -1,   353,   354,    -1,    -1,  4723,    -1,    -1,
      -1,    -1,    -1,  3706,    -1,    -1,    -1,   367,  4919,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4744,    -1,
      -1,    -1,    -1,   383,  5298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4970,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,
     430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5355,    -1,  4809,    -1,    -1,  5360,  5361,   448,    -1,
      -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
      -1,    -1,    -1,  4919,    -1,  5469,    -1,    -1,    -1,  5110,
    3903,    -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3925,  3926,    -1,    -1,  3929,  3930,  3931,  3932,
      -1,    -1,  3935,  3936,  3937,  3938,  3939,  3940,  3941,  3942,
    3943,  3944,  3945,    -1,  4970,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3967,    -1,    -1,  3970,    -1,  3972,
      -1,    -1,  3975,  3976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3990,  3991,  3992,
    3993,    -1,  3995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5110,    -1,    -1,  5298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5355,    -1,    -1,    -1,    -1,  5360,
    5361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5355,
      -1,    -1,  4335,    -1,  5360,  5361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5675,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,    -1,    -1,
      -1,  4494,  4495,  4496,    -1,    -1,    -1,    -1,    -1,  4502,
    4503,  4504,  4505,    -1,    -1,    -1,    -1,  4510,  4511,  4512,
    4513,  4514,  4515,  4516,  4517,  4518,  4519,  4520,  4521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4546,    -1,    -1,  4549,    -1,  4551,    -1,
      -1,    -1,  4555,    -1,    -1,  4558,  4559,    -1,    -1,  4562,
    4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4610,    -1,    -1,
      -1,    -1,    -1,    -1,  4617,  4618,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4648,    -1,    -1,    -1,  5675,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4914,  4915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4960,    -1,    -1,
      -1,    -1,  4965,  4966,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4980,    -1,  4982,
      -1,    -1,    -1,  4986,  4987,  4988,    -1,    -1,  4991,    -1,
      -1,  4994,  4995,    -1,    -1,    -1,  4999,    -1,    -1,    -1,
    5003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,  5131,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,  5167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
     119,    -1,    -1,   122,   123,   124,   125,   126,   127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,   142,    -1,   144,   145,   146,    -1,   148,
      -1,    -1,   151,    -1,   153,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,   166,   167,    -1,
      -1,    -1,    -1,  5256,  5257,   174,    -1,    -1,    -1,    -1,
      -1,    -1,   181,    -1,   183,   184,   185,   186,    -1,  5272,
    5273,  5274,    -1,   192,    -1,    -1,    -1,    -1,    -1,  5282,
      -1,   200,    -1,   202,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
      -1,   220,   221,   222,    -1,    -1,   225,  5310,  5311,   228,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,  5326,    -1,   244,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,   274,    -1,    -1,   277,    -1,
     279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,
     299,   300,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,
      -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,
     329,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
     369,    -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,   384,    -1,    -1,    -1,    -1,
      -1,   390,   391,    -1,   393,    -1,    -1,    -1,    -1,   398,
    5483,    -1,    -1,    -1,   403,   404,    -1,   406,    -1,   408,
      -1,    -1,   411,    -1,  5497,    -1,    -1,  5500,   417,   418,
      -1,  5504,    -1,    -1,    -1,    -1,   425,    -1,   427,    -1,
     429,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
     439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,   452,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,
     469,  5554,   471,    -1,   473,    -1,    -1,    -1,    -1,   478,
      -1,    -1,   481,    -1,    -1,   484,    -1,    -1,   487,    -1,
      -1,    -1,    -1,   492,   493,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,   528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,    -1,    -1,    -1,   546,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5669,    -1,  5671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5701,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5752,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5779,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5838,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5867,    -1,    -1,    -1,    -1,  5872,
      -1,    -1,    -1,    -1,    -1,    -1,  5879,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,  5911,    15,
      16,  5914,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,  5937,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,   548,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,   549,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
     528,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,   543,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,   543,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   543,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   543,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,   528,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,   540,   541,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,   535,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,   528,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   543,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,   541,   542,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,   528,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,   528,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,    -1,   468,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    84,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
      -1,   468,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,    -1,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,   535,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   535,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,   535,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   535,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     4,   531,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,    -1,   125,    -1,    -1,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,    -1,    -1,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,    -1,    -1,
      -1,    -1,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
     428,   429,   430,   431,   432,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
      -1,   149,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,    -1,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
      -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,
      -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,
      -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,
     461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,   533,   534,   535,    -1,    -1,    -1,    -1,    -1,
      -1,   542,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,   524,   525,    70,    71,
     528,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,   542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,
      71,   533,   534,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,
      70,    71,   533,   534,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,    70,    71,   533,   534,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,   524,   525,    -1,    -1,    -1,
      -1,    -1,    70,    71,   533,   534,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,   524,   525,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,   106,   107,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,    -1,    -1,    -1,    -1,
      -1,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,    -1,    -1,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,    -1,    -1,   273,   274,   275,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,    -1,    -1,    -1,   323,   324,   325,    -1,
      -1,   328,   329,    -1,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,    -1,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,   428,   429,    -1,   431,   432,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   551,  1196,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1186,  1197,  1225,  1227,  1318,  1328,
    1329,  1331,  1337,  1338,  1226,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     567,   571,   583,   588,   589,   592,   593,   594,   614,   617,
     618,   634,   677,   680,   683,   684,   685,   693,   699,   701,
     703,   704,   707,   710,   711,   715,   724,   728,   729,   730,
     731,   734,   736,   737,   738,   739,   747,   748,   767,   771,
     773,   774,   775,   785,   787,   794,   795,   798,   799,   800,
     801,   802,   810,   812,   816,   821,   825,   826,   834,   835,
     838,   843,   854,   881,   884,   885,   886,   891,   894,   896,
     898,   900,   901,   906,   907,   910,   911,   912,   916,   917,
     920,   921,   924,   925,   926,   933,   935,   936,   937,   942,
     944,   945,   951,   952,   953,   954,   955,   956,   957,   959,
     960,   962,   963,   965,   968,   969,   974,   980,   983,   985,
     994,   996,  1001,  1006,  1010,  1011,  1012,  1013,  1014,  1015,
    1018,  1053,  1193,  1194,  1198,  1200,  1201,  1218,  1219,  1220,
    1221,  1232,  1234,  1238,  1239,  1240,  1241,  1242,  1244,  1246,
    1248,  1249,  1250,  1251,  1253,  1258,  1259,  1263,  1264,  1273,
    1275,  1276,  1277,  1280,  1285,  1288,  1293,  1295,  1296,  1299,
    1301,  1304,  1313,  1331,  1339,    72,  1221,  1229,  1230,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   118,   120,   121,   122,
     129,   130,   131,   132,   133,   136,   137,   140,   142,   143,
     144,   145,   150,   151,   152,   153,   154,   156,   157,   160,
     161,   162,   163,   164,   165,   168,   169,   177,   178,   179,
     180,   181,   183,   186,   188,   190,   191,   192,   193,   194,
     195,   197,   198,   199,   200,   203,   204,   205,   206,   207,
     209,   210,   211,   213,   214,   215,   217,   218,   219,   220,
     222,   223,   224,   227,   229,   230,   232,   234,   236,   240,
     241,   242,   243,   245,   249,   251,   252,   254,   255,   257,
     258,   259,   260,   262,   263,   264,   265,   266,   267,   269,
     273,   274,   275,   281,   284,   286,   287,   288,   289,   290,
     293,   296,   299,   300,   301,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   317,   318,   319,   323,
     324,   325,   328,   329,   331,   334,   336,   337,   338,   340,
     341,   344,   345,   346,   349,   352,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   365,   366,   368,   370,   371,
     372,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   402,   403,   405,   406,
     407,   409,   410,   411,   412,   413,   414,   415,   417,   419,
     420,   421,   422,   423,   424,   425,   426,   428,   429,   431,
     432,   434,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   450,   451,   453,   455,   456,   457,
     458,   459,   463,   465,   466,   468,   471,   472,   473,   474,
     475,   476,   477,   480,   481,   482,   483,   484,   487,   488,
     489,   490,   491,   495,   497,   498,   499,   500,   503,   506,
     507,   508,   509,   510,   511,   524,   525,  1188,  1189,  1191,
    1192,  1193,  1194,  1211,  1212,  1323,  1325,  1329,  1331,    29,
     272,  1274,     9,    13,    15,    28,    44,    45,    49,    50,
      55,    64,    66,    68,    69,   102,   138,   158,   170,   182,
     187,   253,   313,   316,   416,   492,   523,  1179,  1192,  1193,
    1213,  1260,  1261,  1303,  1304,  1305,  1309,  1314,  1315,  1316,
    1325,  1331,   102,  1007,  1178,  1213,  1309,  1322,    14,  1007,
       5,    25,    29,    35,    36,    42,    43,   102,   106,   107,
     108,   109,   110,   111,   112,   115,   128,   134,   135,   138,
     141,   147,   149,   158,   159,   166,   170,   171,   172,   173,
     175,   176,   177,   187,   189,   196,   201,   202,   208,   212,
     216,   226,   228,   233,   235,   238,   244,   247,   250,   261,
     268,   272,   276,   278,   280,   291,   292,   298,   302,   303,
     327,   332,   339,   342,   343,   347,   348,   364,   373,   388,
     401,   418,   424,   435,   449,   452,   460,   463,   464,   470,
     478,   479,   485,   486,   492,   494,   501,   502,   504,   505,
    1192,  1195,  1305,  1306,  1307,  1311,  1312,  1313,  1314,  1316,
      25,    35,   138,   276,  1300,    37,    39,   327,  1233,   465,
     508,   938,   101,   148,   163,   181,   187,   204,   215,   223,
     235,   240,   247,   264,   289,   310,   344,   366,   376,   379,
     405,   410,   412,   419,   422,   441,   447,   451,   452,   455,
     459,   468,   473,   485,   498,   700,  1261,   186,   938,   102,
    1007,   496,   970,   342,   372,   938,   125,   542,   625,    96,
     101,   113,   135,   148,   159,   181,   187,   204,   215,   223,
     235,   243,   247,   301,   344,   347,   366,   379,   405,   412,
     422,   441,   447,   455,   456,   458,   459,   468,   473,   479,
     482,   485,   635,   682,   790,   844,   855,  1179,  1202,  1203,
    1204,  1213,  1329,  1331,    14,   102,   371,  1178,  1213,  1217,
     440,  1007,   102,   365,   420,   456,   458,   288,   892,   893,
    1329,    96,   101,   113,   135,   148,   163,   181,   204,   215,
     223,   235,   240,   247,   264,   310,   344,   356,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   485,   498,   700,   803,   804,   805,   938,
     548,  1243,  1307,   257,  1217,   166,   186,   220,   496,   542,
     680,   683,   969,   975,   983,   985,   994,  1001,  1006,  1010,
    1198,    95,   102,   120,   230,   236,   238,   261,   290,   324,
     374,   392,   533,   534,   822,   823,  1007,  1186,  1187,  1323,
    1325,   102,   166,   388,   418,   827,   828,   829,  1309,   235,
    1309,  1183,  1329,   452,  1021,   120,   236,   822,  1309,   465,
    1217,   356,   310,   181,   264,   412,   451,   452,   542,   902,
     903,   411,  1309,   102,   138,   423,   461,   465,   492,   575,
     584,   585,  1192,  1193,  1303,  1308,  1314,  1316,  1331,    99,
     244,   827,   828,   372,   938,  1309,   287,   102,   201,  1023,
    1024,     4,    14,   136,   158,   160,   301,   319,   405,   412,
     423,   461,   465,   511,   572,   573,   574,   575,   102,   423,
     461,   465,   575,   465,   343,  1064,  1176,  1309,  1021,  1297,
    1307,   535,  1309,   239,   542,   971,   542,   386,  1016,  1017,
    1178,  1016,  1011,  1012,  1015,   546,   970,   216,   278,   348,
     478,  1025,  1026,  1011,  1013,  1014,   192,   274,   484,   545,
     122,   552,  1241,  1244,  1240,  1236,   546,  1245,  1247,     5,
      25,    35,   138,   205,   276,  1252,   182,   253,   313,   316,
     416,   523,   542,  1107,  1108,  1224,  1228,  1318,    72,  1221,
    1178,  1213,  1332,   187,  1202,    21,   486,   536,  1217,  1217,
    1332,   486,  1265,  1266,  1267,    25,   276,   276,  1311,     7,
      19,    20,    38,    41,   162,   202,  1302,  1302,    16,  1241,
     871,  1184,  1194,  1303,  1306,  1309,  1310,  1314,  1315,  1331,
     807,  1309,   807,  1179,   375,   807,   468,  1178,   180,   452,
     859,  1184,  1194,  1309,  1188,  1189,   102,   255,  1176,   336,
     498,    84,    91,    92,    93,   143,   227,   529,   530,   531,
     533,   534,   535,   536,   537,   538,   888,   890,  1140,  1141,
    1309,   255,  1178,  1178,   102,  1188,  1189,  1178,  1178,   255,
    1176,  1178,   807,  1178,   398,   425,   102,   255,  1064,  1178,
     415,  1178,   807,   102,   308,  1188,  1189,   255,  1176,   288,
      34,   189,   284,   327,   382,   939,   940,   941,  1176,  1182,
    1309,    96,   101,   135,   148,   149,   159,   163,   181,   204,
     215,   223,   235,   240,   264,   289,   310,   344,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   498,   700,   813,   814,  1329,   982,   985,
     994,  1001,  1010,  1176,   312,  1184,  1178,   542,   255,   807,
     468,  1179,   807,   468,   255,  1178,   180,   452,   456,   458,
    1188,   456,   458,   143,   227,   888,   396,  1178,  1178,  1188,
     255,   568,  1309,   255,  1178,   255,   807,  1178,  1178,   415,
    1178,   807,   308,  1188,   386,   419,   452,   498,   310,   163,
     264,   240,   410,   466,   472,   694,    84,  1205,  1206,   547,
    1325,  1332,   102,  1217,  1331,  1008,   582,  1191,  1329,   893,
     312,   255,   871,   872,  1178,   255,   897,   255,  1179,   124,
     126,   127,   138,   139,   184,   185,   205,   231,   255,   276,
     277,   279,   320,   322,   335,   383,   427,   433,   461,   462,
     493,   809,  1086,  1088,  1090,  1092,  1094,  1096,  1097,  1098,
    1100,  1101,  1102,  1104,  1105,  1303,  1310,  1314,  1315,  1331,
     468,   180,   452,   255,   858,   859,   255,  1189,  1190,   155,
     498,   143,   227,   255,   889,   890,   129,   255,  1190,   255,
    1178,   255,  1178,   415,   897,   255,   809,   255,   308,  1190,
     288,   255,   806,   807,   255,  1177,  1178,   255,  1178,   542,
     548,  1333,  1334,  1335,  1336,  1338,  1243,    70,  1213,  1262,
     542,   984,   635,  1007,   975,   969,   976,   977,   978,  1191,
     970,  1187,   823,   824,   102,   823,  1007,  1187,   824,   102,
     823,  1007,  1187,   824,   824,   824,  1187,  1186,  1186,   280,
     486,  1267,  1268,  1342,  1344,  1007,   824,   375,   542,   542,
     655,   655,   655,   342,   463,   545,   655,   412,  1064,  1065,
     823,  1007,   823,  1007,   545,   934,  1329,   238,   542,   981,
     129,   498,   496,   904,   905,  1176,  1178,  1309,   119,   525,
     284,   544,   345,   345,   342,   238,  1329,   463,   233,   817,
     342,    82,    83,    84,    86,   110,   124,   126,   127,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   277,   279,   294,   302,   303,   320,   322,   327,   332,
     333,   335,   344,   354,   367,   383,   408,   424,   433,   448,
     461,   462,   467,   469,   470,   479,   485,   493,   513,   514,
     515,   516,   518,   519,   520,   521,   526,   533,   534,   535,
     542,  1011,  1089,  1092,  1095,  1096,  1097,  1099,  1100,  1101,
    1104,  1105,  1109,  1111,  1112,  1113,  1115,  1136,  1137,  1138,
    1142,  1161,  1166,  1173,  1174,  1184,  1185,  1186,  1309,  1321,
    1323,  1325,  1326,  1327,  1328,  1329,  1172,  1173,   463,   531,
    1332,  1329,   463,   531,  1261,   102,   590,  1175,  1176,   423,
     572,   187,   581,  1329,   582,  1329,   119,   140,   572,   525,
     434,   940,   345,   238,   463,   531,   119,   525,   284,  1342,
     941,   542,  1176,   535,   540,   544,  1167,  1169,  1065,  1313,
     237,   239,   496,   966,   967,   969,  1331,   237,   972,  1109,
    1145,  1016,   545,   542,   973,   543,   543,  1176,   102,   201,
    1022,  1022,   129,  1022,   228,   233,   298,   339,  1029,  1031,
    1032,  1047,  1049,  1050,  1051,  1025,  1026,   238,   280,  1064,
    1066,   542,   546,  1235,   535,  1254,  1255,  1257,   548,   548,
      25,   276,   276,   463,   463,   463,   463,   542,   463,   533,
     534,   691,  1187,  1222,  1328,   212,   111,  1209,   129,  1212,
    1212,   280,  1267,  1269,   280,  1267,  1268,  1269,   491,  1278,
    1279,  1325,    14,    83,   436,   533,   534,  1186,  1270,  1271,
    1272,  1321,  1323,  1327,  1328,  1329,  1330,   276,   282,  1178,
     463,  1178,     6,  1178,  1302,  1257,   357,   394,   425,   542,
     869,  1169,   357,   390,   394,   425,   544,   808,   357,   394,
     425,   158,   210,   304,   357,   394,   425,   455,   457,   505,
     583,   586,   946,   947,   948,   949,  1331,   839,    98,   206,
     357,   394,   425,   489,   598,  1178,    98,   206,   425,   484,
     566,   509,   255,  1064,   131,   165,   195,   224,   258,   293,
     327,   357,   358,   394,   402,   409,   417,   425,   437,   445,
     500,   583,   587,   874,   882,   542,   856,  1169,   394,   566,
     261,   221,    98,   104,   145,   195,   199,   206,   209,   234,
     266,   325,   327,   337,   346,   357,   394,   397,   398,   425,
     489,   595,   597,   718,   691,   102,   255,  1176,   807,   807,
     542,   887,   357,   425,   544,   221,   342,    98,   206,   357,
     394,   425,   261,   561,   394,   505,   528,   554,   561,   342,
     357,   394,   221,   111,   130,   179,   263,   311,   314,   325,
     356,   394,   399,   419,   425,   439,   595,   688,   689,   357,
     394,   497,   718,   726,   357,   394,   425,   158,   199,   209,
     357,   390,   394,   425,   585,   573,   575,   261,   221,   117,
     197,   394,   425,   595,   596,   357,   394,   398,   425,   156,
     198,   359,   457,   342,    98,   104,   206,   357,   394,   425,
     615,   616,   561,   233,   394,   554,   561,   221,   394,   425,
     595,  1178,   546,   296,   189,   343,   510,   545,   939,   486,
     964,   342,   312,   871,   542,  1178,  1086,   468,   180,   452,
     859,   336,   498,   143,   227,   890,  1178,  1178,   415,   233,
    1178,  1086,   288,   807,  1178,   543,   655,  1178,   542,   780,
     869,   141,  1086,   327,   238,   542,   776,  1178,   554,   111,
     958,  1178,   327,   554,   509,   255,  1176,   554,   807,   807,
     776,   482,   635,   342,   233,   918,   919,   554,   327,   119,
     569,   327,   473,   725,   327,   973,   158,   357,   702,   156,
     198,   359,   457,   100,   121,   275,   749,   111,   776,   233,
     255,   554,   498,   255,  1176,   255,   678,  1176,  1176,   498,
     807,   155,   845,  1184,  1178,   233,   700,    73,  1207,  1309,
     547,  1208,  1205,   125,   178,   273,   325,   414,   221,   132,
     400,   545,   599,   599,   221,   542,   221,   495,  1103,  1103,
    1103,   542,  1091,  1091,   369,   542,  1093,   221,   138,   139,
    1103,  1091,  1088,   507,   528,   542,  1106,   542,  1106,   545,
     599,   110,  1087,   542,   182,   316,   523,   542,  1107,   808,
    1091,   509,   221,   545,   599,   221,   545,   255,   806,   255,
     807,   255,   807,   221,   545,   599,  1190,   221,   221,   599,
     221,   156,   198,   359,   457,   233,   221,   599,   221,   233,
     255,   255,   582,   221,   545,   599,   221,   545,   599,   221,
     342,   543,  1334,  1335,  1333,   545,   549,  1145,  1266,  1341,
    1342,   452,  1008,   543,   545,   226,   342,   470,   579,   582,
     691,   979,   975,   824,  1007,   824,  1007,  1344,  1345,   824,
    1007,   824,  1007,  1345,   824,  1007,  1007,  1007,   824,    14,
     436,  1317,  1320,  1325,  1007,   542,   656,   657,  1309,   656,
     102,   181,   204,   235,   240,   288,   289,   412,   419,   452,
     455,   473,   830,  1175,  1190,   829,  1178,   261,   545,   997,
    1007,  1007,  1329,  1262,  1086,  1148,   111,  1190,   845,   543,
     545,   296,  1309,   233,   233,   830,  1190,   411,  1309,   582,
     342,   542,   540,  1011,  1149,  1109,  1165,   542,   542,   233,
     542,   542,  1011,   542,   542,   542,   542,   542,   542,  1109,
     542,   542,   542,   542,   542,   542,   542,   542,  1011,   542,
     542,   542,   542,   542,   542,   542,   542,  1109,  1109,  1109,
     492,  1011,  1109,  1145,  1169,  1329,   542,  1329,    84,    87,
      91,    92,    93,   108,   111,   116,   123,   147,   256,   261,
     282,   283,   297,   330,   344,   347,   430,   526,   529,   530,
     531,   533,   534,   535,   536,   537,   538,  1140,  1142,  1144,
    1331,   506,  1124,   353,  1109,   280,   545,  1019,  1342,   542,
    1329,  1169,    22,  1324,  1325,  1170,  1019,   338,   342,  1294,
    1294,    10,   491,  1281,  1282,  1284,  1261,  1261,   190,   257,
     591,   545,   140,   187,   582,   111,   187,   301,   580,   691,
    1105,  1329,  1331,  1329,   161,   203,  1121,   170,   187,   576,
     577,   579,   691,   187,   576,  1342,  1342,   296,  1176,  1109,
    1168,   535,  1181,  1311,  1167,   162,   399,   811,   282,   543,
     545,   970,   543,   545,  1017,  1177,   111,   973,  1013,  1013,
    1027,  1028,  1109,  1013,   230,   324,  1038,   286,   325,   382,
     428,   484,   102,  1033,  1109,   533,   534,  1034,  1035,  1109,
    1111,  1047,  1048,  1032,  1031,  1029,  1030,   233,  1050,   337,
    1052,  1029,  1047,  1066,   986,  1176,   111,  1309,   425,  1145,
    1254,   535,   545,   546,  1312,  1231,  1234,  1231,   276,   182,
     253,   313,  1108,   313,  1108,  1108,   316,  1186,   313,   316,
     416,  1328,  1328,   545,  1223,   186,  1261,   485,  1210,  1212,
    1178,   436,  1186,  1283,  1325,   545,   531,  1178,    14,  1186,
    1328,  1186,  1328,   545,  1241,   542,  1178,   542,  1313,   463,
     463,   412,   261,   271,   348,   350,   427,   494,   535,   862,
     863,   864,   866,   868,   870,  1086,  1310,   463,   497,   463,
     412,  1181,   544,   463,   463,   412,   298,   463,   463,   455,
     572,   357,   946,   948,   531,   950,   233,   244,   261,   403,
     840,   841,   141,   159,   217,   235,   373,   479,   652,   653,
     159,   187,   327,   463,   159,   463,   187,   327,   412,   159,
     199,   209,   357,   394,   772,   412,   708,    96,   101,   135,
     148,   163,   204,   215,   235,   240,   310,   344,   412,   419,
     422,   452,   459,   466,   473,   498,   700,  1178,   221,   394,
     425,   595,   342,   691,   342,   417,   293,   463,  1309,   463,
     332,   691,   191,   281,   412,   423,   465,   574,   400,   425,
     874,   883,   543,   857,   862,   463,   485,   455,  1176,   149,
     217,   255,   642,   652,  1309,   149,   159,   908,   342,   342,
     408,   410,   468,   159,   908,   105,   397,   408,   410,   468,
     408,  1176,   234,   266,   337,   807,   542,   463,   463,   254,
     542,   603,   307,   455,   482,   505,   507,   603,   159,   545,
     357,   261,   221,   195,   394,   425,   595,   486,   486,   326,
    1086,   463,   412,   542,   888,  1178,  1176,   452,   452,   463,
     463,   452,   776,   181,   425,   586,   463,   556,   586,  1176,
     463,   463,  1176,  1088,   691,   129,   690,   691,   691,   179,
     311,   314,   129,   463,   554,   318,   412,   554,   325,   689,
     463,   463,   332,  1329,   718,   463,   463,   412,  1329,   463,
     379,   463,   379,   776,   455,  1064,   361,   361,   159,   463,
     908,   412,   463,   463,   603,   603,   807,   807,   807,   807,
    1176,   118,   491,   118,   118,   463,   118,   463,   491,   412,
     545,   586,   485,   735,  1189,   463,   556,   586,  1176,   463,
     412,   357,   394,   382,   395,   421,   578,   939,  1182,  1309,
    1176,   282,  1086,   342,   282,   509,   282,   691,   807,   807,
     282,   342,   342,   156,   198,   359,   457,  1086,   342,   282,
     282,   282,   463,   505,   626,   473,   781,   782,  1331,   776,
     542,   111,   221,   807,   777,   778,  1311,   100,   946,  1086,
     342,   221,   705,  1178,   327,   361,   542,   555,   790,   486,
     386,   498,  1176,   102,   452,   505,   878,   555,   221,  1189,
     166,   244,   570,   634,   684,   748,   825,   843,   942,   221,
    1329,   726,   727,   221,   342,  1329,  1189,   304,   807,   807,
     807,   807,   337,   192,   274,   471,   484,   750,   751,   213,
     381,   542,   735,   327,   555,  1176,   327,   686,   688,   327,
     111,   337,   361,   542,   655,   655,   255,   681,  1176,   233,
     255,   846,  1182,   542,   860,   111,  1086,   288,   544,  1186,
    1208,   505,   507,  1009,   414,   872,   871,  1086,  1179,   542,
    1145,  1186,   809,  1103,  1103,   110,  1087,   461,   461,  1186,
    1186,  1086,   540,   540,  1186,   463,   463,  1186,  1091,   858,
     859,  1190,  1189,   221,   599,   221,   486,   221,   486,   889,
     890,   599,  1190,  1178,  1178,  1086,   809,  1190,   735,   221,
     221,   599,   806,   807,  1177,  1178,  1178,   807,   543,   549,
    1336,   543,  1342,  1343,  1266,  1176,   178,   975,   977,  1007,
    1007,  1345,  1007,  1007,  1345,  1007,  1007,  1178,    14,   545,
    1324,   656,   543,   545,   543,   241,   420,   453,  1177,   806,
     180,   422,   858,  1177,   336,  1177,  1175,  1175,  1177,   806,
     463,   505,   836,   216,   298,   732,   733,    96,   219,   408,
     428,   998,  1064,   331,   999,   543,   545,   982,   463,  1176,
     902,   903,   905,   828,   827,   828,   238,   245,   837,  1309,
     101,   149,   181,   204,   215,   235,   240,   289,   310,   379,
     405,   412,   419,   447,   452,   455,   473,   498,   700,   818,
     819,  1145,   541,  1145,  1149,  1150,   501,  1162,  1163,  1109,
    1145,   542,  1186,  1186,   182,   253,   313,   316,   416,   523,
    1151,  1152,  1329,  1331,  1145,  1145,  1145,  1186,  1186,  1109,
     888,  1109,  1153,   408,   533,   534,   542,  1110,  1111,  1142,
    1155,   543,  1145,  1109,  1145,  1156,  1109,   128,   238,   292,
     464,  1109,  1145,  1159,  1145,   318,  1111,  1109,  1119,  1120,
    1121,   318,  1109,  1121,   543,   545,  1186,  1107,  1086,  1109,
    1109,  1109,  1109,  1311,   461,   115,   449,  1171,   807,  1109,
     542,  1011,  1160,   201,   203,   226,   327,   332,   337,   470,
     480,  1109,   542,  1109,   463,   123,   256,   261,   297,   430,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
     102,   109,   435,  1139,   247,   229,  1125,   408,   542,  1136,
     243,   301,   452,   456,   458,   482,  1020,  1176,  1174,   238,
    1054,   102,   201,   494,   535,   543,   864,  1109,  1146,  1147,
    1310,  1178,  1325,  1167,  1054,  1283,   545,   531,  1176,   465,
     542,  1329,   545,  1342,   543,   541,   547,   254,   254,   599,
    1241,  1176,   967,   968,  1176,  1109,   543,   542,   545,   112,
     196,   486,   852,   408,   409,   533,   534,  1035,  1037,  1111,
     428,   286,   343,   545,  1036,  1186,  1328,  1036,   408,   409,
    1037,  1175,   331,   432,  1000,  1048,  1030,   486,   995,   187,
     355,   542,   987,  1010,   111,  1309,   542,  1002,  1003,  1004,
    1309,   543,   546,  1255,  1087,   549,  1234,   549,   543,   691,
     543,    34,  1211,  1286,  1287,  1325,  1279,  1284,  1332,  1270,
    1087,  1319,  1335,  1319,  1087,  1189,  1178,  1178,   350,   129,
    1310,   543,   864,   866,   863,   866,  1310,   348,   543,   545,
     808,  1189,  1178,  1178,  1181,  1189,  1178,  1178,  1189,  1179,
    1178,   187,   579,  1187,   405,   485,   827,   412,   244,   827,
     542,  1178,   486,   847,   286,   286,   486,   542,   676,   255,
    1178,   332,  1189,  1178,  1178,  1109,   332,  1178,  1178,   105,
     397,   463,   463,  1178,   463,   709,   312,   871,   542,   807,
     807,  1086,   468,   180,   452,   859,   498,   143,   227,   890,
    1178,   807,  1178,   807,   415,   233,  1086,   807,   288,   249,
     325,   357,   394,   490,   712,   713,   714,  1064,   463,   908,
     412,   332,   223,   191,   281,  1189,  1178,   342,  1178,   543,
     545,  1188,  1190,  1178,   394,   595,   255,   642,   327,  1086,
    1178,  1309,  1178,   223,   296,  1178,   102,   485,  1178,   255,
    1178,   255,  1309,   410,   468,   410,   468,   296,  1178,   102,
     485,  1178,   296,   408,  1176,    98,   206,   425,   719,   720,
     721,   722,  1311,  1189,  1178,   187,   239,   328,   486,   602,
     605,   606,  1311,  1178,   340,   145,   340,  1178,   597,   463,
     455,  1176,   342,   463,   908,   412,  1180,  1309,  1180,   545,
     543,   545,  1189,  1178,   913,   914,  1311,   342,   394,   463,
     743,  1065,  1065,  1189,  1178,  1065,  1179,  1188,   158,   211,
     266,   363,   477,   485,   488,   557,  1331,   394,  1189,  1178,
     394,   425,   595,   688,   691,   807,  1178,   691,   807,  1178,
     691,  1189,  1178,  1189,  1178,  1178,  1189,   878,  1178,   922,
     923,  1311,  1178,   394,   425,   595,   596,  1176,  1176,  1178,
    1178,  1178,  1178,  1189,  1178,    98,   104,   206,   357,   394,
     425,   357,   394,   425,   776,   394,   425,   394,   425,   195,
     394,  1078,  1309,   255,   786,  1309,   255,  1309,  1189,  1178,
    1178,  1329,  1178,    98,   616,   422,  1188,   394,   425,   595,
    1178,  1178,   463,   463,   154,   476,   382,   332,   815,  1329,
     111,   204,   807,   815,   815,   282,   486,   486,   815,   807,
     807,   288,   807,   815,   815,   815,   378,   620,   340,   238,
     463,   619,   264,   543,   545,   531,  1109,  1086,   807,   543,
     545,   531,   750,   644,  1311,  1178,   132,   238,   412,   497,
     706,   713,   714,   221,   337,   297,   636,   638,   640,   642,
     649,   652,    99,   261,   405,   450,   557,   558,   233,  1180,
     498,  1176,   111,   744,   453,  1065,   776,   568,  1309,   569,
     347,   635,  1178,   235,   807,  1145,   379,  1329,   776,   776,
     776,   776,   337,   342,   347,   542,   776,  1076,  1077,  1078,
     422,   221,   542,   221,   221,   220,  1199,   807,   337,   636,
    1309,   505,   507,   672,   505,   604,   327,   111,   655,  1329,
     327,   342,   543,   861,   862,   867,   111,   288,   402,   466,
     504,   873,   874,   875,   342,   288,   582,  1207,   536,   252,
     252,   233,   599,   111,  1145,   543,   543,   599,   540,   525,
     525,   543,   543,  1186,   541,   542,  1186,  1309,  1329,  1340,
     543,   543,   599,   806,   807,  1180,   807,  1180,   599,   599,
     288,   599,   422,   233,   582,   599,   599,   342,   599,  1009,
    1332,  1320,   543,   657,   261,   261,   261,   509,  1177,   691,
     692,   247,   831,   832,  1189,    99,   837,   463,   542,   238,
     219,   428,   219,   428,   408,   484,   315,  1086,  1189,   505,
     679,  1176,  1178,   238,   342,   831,   129,   599,   871,  1086,
     468,   452,   859,   336,   498,  1086,   288,   807,  1178,   543,
     541,   541,   545,  1109,   208,  1163,  1164,   111,   543,  1109,
     543,   543,   543,   238,   543,   543,   543,   543,   543,   545,
     543,   364,  1154,   543,   542,  1110,  1110,  1145,    87,    91,
      92,    93,   261,   282,   344,   529,   530,   531,   533,   534,
     535,   536,   537,   538,  1142,  1110,   543,   543,   233,   238,
    1157,  1158,   543,   111,  1159,  1145,  1159,  1159,   238,   543,
     543,  1311,   362,  1123,   111,   543,   545,  1109,  1311,   545,
    1109,  1170,  1109,   543,   525,  1110,  1110,   214,  1145,   238,
     201,   203,   226,   332,   337,   470,   480,   542,   214,   888,
    1109,   449,  1171,  1109,  1160,  1109,   463,   542,  1011,   542,
     542,   352,  1129,   542,  1145,   456,   458,   456,   458,  1176,
    1021,  1021,  1021,   291,   409,   522,   542,  1011,  1055,  1056,
    1057,  1064,  1069,  1079,  1112,  1114,  1115,  1184,  1309,   502,
    1074,  1146,  1146,  1147,   543,    89,    90,   545,  1025,  1026,
    1074,     8,    11,    12,    22,    23,    24,    26,    27,    31,
      32,    33,   180,   318,   369,   473,  1289,  1290,  1292,  1282,
    1283,   940,  1186,  1107,   577,  1109,  1168,  1087,   973,   982,
    1028,   344,  1140,  1143,   527,   853,  1186,  1328,  1037,   343,
     484,  1034,   306,  1055,   502,  1075,   492,   451,   485,   988,
     989,   990,  1309,   342,   991,  1309,  1004,  1005,   545,  1054,
     531,  1170,   547,  1237,   546,   545,   531,    30,  1298,   543,
     543,   546,   870,   808,   866,   866,   129,   868,   537,  1190,
    1190,   342,  1177,   345,   342,  1109,   653,  1180,   542,   542,
     542,   676,   264,   656,   765,   221,   599,   463,  1189,  1178,
     582,  1178,  1086,  1178,   509,   807,   807,   807,   807,   156,
     198,   359,   457,  1086,  1178,   695,  1178,   249,   490,   463,
     463,   695,   712,   718,   394,   425,   595,  1178,  1178,  1178,
     272,  1178,   332,   862,   356,   425,   463,   327,   221,   346,
     716,   765,    98,   206,   398,   399,   425,   598,   607,   608,
     718,   909,  1178,   417,   221,   599,   221,   599,  1178,  1178,
    1178,  1178,   417,   417,   296,   721,   722,   721,   543,   545,
     723,  1329,   264,   543,   545,   531,   544,  1189,  1178,   394,
     425,   595,   223,  1178,  1178,  1178,   357,   394,   425,    98,
     206,   357,   394,   425,  1086,   326,  1086,   543,   545,   531,
    1176,   463,  1190,   486,   740,   298,   363,   332,  1329,   363,
    1190,   483,   463,   463,   412,   545,   878,   356,   425,   159,
     463,   908,   412,   233,   609,   463,   463,   308,   308,   308,
     463,   463,   412,   463,   463,   412,   463,   412,   463,   412,
     342,   463,   599,  1086,   327,  1329,   425,   909,   221,   599,
     463,   463,  1178,   463,   412,  1189,  1178,  1086,   807,   282,
     815,  1180,  1180,   282,   282,  1178,   282,   442,   443,   621,
    1329,   620,   249,   782,  1331,   326,   344,   533,   534,   691,
     779,   866,  1143,  1195,  1329,   543,   543,   238,   776,   778,
     779,   342,   141,   147,   159,   187,   189,   242,   268,   327,
     332,   373,   388,   479,   645,   646,   648,   220,   501,   554,
     582,  1178,   582,   716,  1176,  1176,  1176,   543,   545,  1190,
     247,   405,  1190,  1186,   473,  1176,   655,  1331,   233,   745,
     119,   569,   396,   452,   725,   180,   973,   238,   922,   604,
     656,  1176,   751,   783,   784,  1329,   543,   545,  1178,   233,
     656,  1176,  1176,  1178,  1010,   542,   637,  1176,   543,   340,
     603,   340,   342,   673,   603,   111,   221,  1010,   604,   463,
     221,  1176,   543,   545,   187,   531,   876,  1329,   582,   452,
     865,   866,   233,   877,   875,   878,   192,   274,   418,   484,
     931,  1178,   249,  1203,  1010,  1217,  1086,   543,  1186,  1106,
    1106,   541,  1340,   542,   533,   534,   535,   536,   537,   541,
     599,   486,   599,   486,   599,  1178,  1178,   735,   599,   807,
     233,   412,   412,   412,  1177,   545,  1189,   505,   545,   833,
     345,  1065,   422,   219,   219,   180,   325,  1190,   830,   599,
    1189,   282,   282,   282,   691,   282,   282,   282,  1149,   460,
    1109,   212,  1086,   543,  1109,  1109,  1109,  1157,   543,  1145,
     545,  1086,  1110,  1110,  1110,  1110,   201,   203,   327,   337,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1109,  1109,  1158,  1157,  1086,   543,   543,   543,  1145,   543,
     545,   129,  1111,   543,  1311,  1120,   370,   446,  1122,   543,
     545,   497,  1116,   111,   543,  1329,  1109,   108,   108,  1109,
     543,  1109,   238,   542,  1148,  1109,   543,   214,  1110,  1110,
     214,   214,  1109,  1109,  1026,   502,   542,  1130,  1309,   543,
    1145,   545,  1021,  1021,  1021,  1021,  1176,  1176,  1176,  1011,
    1069,  1079,   238,   542,  1011,  1056,  1057,   111,  1058,  1059,
    1309,   545,   167,   239,   270,   285,   295,   321,   404,  1061,
    1059,   111,  1058,  1060,  1309,  1059,   528,  1073,   542,  1169,
    1109,   247,  1039,   545,  1025,  1025,  1025,  1109,  1109,   494,
    1147,   543,  1039,   545,   531,   543,   541,  1298,   543,   542,
     853,   230,   290,   343,   170,  1109,   401,   993,   491,   543,
     545,  1170,   157,   993,   543,   545,  1003,  1075,  1109,  1186,
     531,  1256,  1287,  1292,   543,   537,   870,   473,   241,   413,
     420,   453,   474,   842,   233,   842,   543,   542,   659,   660,
     849,  1114,  1309,   656,   656,   765,  1182,   543,   189,   268,
     325,   327,   766,  1178,  1178,   111,  1178,   486,   486,   807,
     807,   807,   807,   288,   808,  1189,  1178,   463,   908,   412,
     463,   272,   129,   455,  1178,   221,   642,   542,   644,   242,
     254,   327,   603,   554,   180,   242,   327,   441,   444,   603,
     689,   425,   608,   473,  1178,  1309,   417,   720,  1178,   606,
     779,  1311,   356,   425,   463,   908,   412,  1178,   463,   463,
     463,   412,   240,   344,   444,   788,   789,   240,   344,   796,
     797,   463,   463,   412,   543,   543,   543,   914,   326,   691,
     866,   915,  1143,  1195,  1329,   394,  1178,   542,   505,   741,
    1187,  1329,  1329,  1329,  1178,  1178,  1178,   923,   129,   455,
    1178,  1178,  1178,  1178,   492,  1178,  1178,   233,   233,   396,
     233,   255,  1189,  1178,  1178,  1189,  1178,  1178,  1178,  1178,
    1178,  1178,   223,  1178,   147,   600,   221,   100,   121,   473,
    1309,  1178,  1329,   718,  1178,  1178,   543,   282,   815,   282,
     282,   815,   815,   282,   815,   554,   621,   695,   765,   505,
     507,   807,  1176,   542,   807,  1178,  1110,   105,   129,   647,
     190,   257,   189,   332,   286,  1176,   878,   377,   768,   769,
    1309,   705,   361,   542,   637,   650,   267,   666,   640,  1190,
    1190,  1086,   542,   604,   102,   192,   274,   418,   484,   746,
     463,   742,  1189,  1176,   727,   509,   342,  1055,   878,   389,
     752,   543,   545,  1078,   716,   735,   543,   686,   337,   361,
     542,   984,   679,   639,   641,   643,   652,  1309,   361,   667,
     668,   637,   666,   153,   455,   674,  1010,   681,   679,   674,
    1329,  1182,   847,   867,  1109,  1109,   545,   542,   873,   473,
     545,   463,   542,   695,    84,  1214,   543,   541,   543,  1241,
    1340,  1340,  1340,  1340,  1340,  1180,  1180,   599,   422,   599,
    1177,  1177,  1177,   691,   244,   832,   543,  1178,   180,   837,
     238,   332,   820,  1329,   820,   820,   282,   820,   820,   820,
    1109,   543,   543,  1158,   543,  1109,   238,   201,   203,   337,
     542,   543,   512,  1118,  1145,   387,   129,   503,   503,   543,
    1109,   325,  1109,   545,  1117,  1088,  1109,  1109,  1109,  1148,
     543,  1109,   108,   108,  1109,  1109,   214,   543,   543,  1109,
    1131,  1309,   543,  1109,  1176,  1176,  1176,  1176,  1059,  1060,
    1059,   542,   517,  1111,   543,  1309,   542,  1056,   285,   351,
    1062,  1056,  1062,   285,  1061,  1062,   285,   454,  1067,   542,
    1309,   542,   349,  1146,   129,   250,  1046,   543,   543,   543,
    1147,  1329,  1046,  1290,   534,  1283,  1291,  1328,  1329,  1329,
     888,   337,  1173,  1010,   355,  1010,   990,   342,   542,   992,
     531,  1004,   993,  1336,   473,   543,   463,   827,   238,   765,
    1109,   543,   545,   505,   147,   850,   850,   543,   543,   878,
     190,   257,   266,   189,   488,   599,  1086,  1180,  1180,  1178,
    1178,  1178,  1178,  1178,  1190,  1178,   642,   717,   721,   647,
     255,   332,   691,   647,   332,  1187,  1309,  1086,   599,   599,
     531,   129,   455,  1178,  1178,  1178,  1178,  1189,  1178,  1178,
    1186,  1186,  1086,   545,  1186,  1186,   545,  1189,  1178,  1178,
     463,  1109,   141,  1190,  1178,   463,   463,   238,   261,  1177,
    1177,   807,  1177,   221,  1178,   807,  1329,  1329,  1086,   599,
     599,   282,   815,   815,   815,   815,   542,   622,   623,   486,
     627,   628,   240,   271,   240,   238,   764,  1109,   327,   646,
     187,   111,   878,   655,   486,   675,  1184,   108,   220,   261,
     337,   636,   609,   218,   262,   542,   422,   486,   656,   111,
    1190,   740,   569,   542,   235,  1178,  1145,   323,   341,   753,
     754,   755,   233,   758,  1329,   422,   604,   807,   337,   636,
     679,   543,   545,   505,   644,   129,   672,   609,   667,   192,
     206,   370,  1178,   505,   943,   111,   238,   342,   542,  1329,
     864,   879,   880,  1310,   878,  1086,   233,  1176,   238,   463,
     899,   269,   696,  1215,  1309,   599,   543,   599,   599,  1178,
     345,   280,   599,   831,   820,   543,  1110,   238,   542,  1148,
     542,   543,   545,   543,  1111,   387,   543,   491,   438,   543,
     543,   543,  1109,  1109,  1109,   543,   361,  1132,   543,  1070,
    1071,  1114,   542,  1123,  1058,   542,  1177,  1056,   342,   486,
    1063,  1056,   285,  1056,  1184,  1077,   542,  1077,  1309,  1025,
     169,   248,   407,   542,  1040,  1041,  1042,  1043,  1044,  1045,
    1109,  1109,   504,  1126,  1025,  1126,  1186,  1328,   543,  1007,
    1343,   988,   159,   848,   849,   202,  1109,   831,   342,   831,
     543,   878,   660,   344,   888,   807,   807,   851,   851,   388,
     878,   675,   543,   463,   425,   999,   543,   545,   111,   221,
     600,   779,  1190,  1178,   463,   542,   859,   888,   890,   789,
     542,   542,   797,  1178,   543,   542,   425,   999,  1178,  1178,
     542,   542,   505,   528,   961,   396,   961,   961,   233,   600,
     815,   629,   630,  1311,   125,   168,   193,   210,   214,   234,
     237,   251,   332,   340,   380,   624,   554,   194,   859,   111,
     895,   895,  1176,   765,   543,   254,   675,   309,   658,   264,
     542,   769,   377,   542,  1176,   543,   422,   102,   152,   160,
     188,   254,   265,   441,   444,   651,   651,  1175,  1178,  1180,
     543,  1010,   741,   180,   716,   238,   754,   408,   452,   756,
     207,   759,   501,   761,  1178,   111,   637,  1176,   543,   641,
     346,   669,  1192,  1331,   673,   667,   672,   409,   409,   133,
     141,   301,  1010,   807,  1176,   848,   866,   543,   545,   473,
    1074,   436,   436,   543,   695,   325,   490,   697,   698,   531,
    1216,  1178,   599,  1110,  1148,   543,  1119,  1145,   129,   325,
     524,   129,  1025,   543,   545,   111,  1072,   187,  1084,  1085,
    1110,   150,  1177,   543,  1109,   542,  1056,  1063,   542,   543,
    1077,   543,   543,   542,   426,   542,   543,   545,  1127,  1128,
    1309,   543,   491,  1178,   543,   545,   328,   484,   833,   842,
     599,   850,   675,   542,   852,   852,  1176,   675,   765,  1178,
     455,   721,   254,   486,   601,   425,   999,  1178,  1148,   233,
     792,   792,  1148,  1148,  1109,   455,   226,   311,   314,   332,
     470,   610,   612,   613,   691,  1329,   610,   611,   806,   807,
     806,   807,  1177,   599,   543,   545,   535,   542,   579,   631,
     691,   958,  1329,   958,   327,   332,   380,   958,   958,   622,
    1329,   895,   114,   259,   233,   325,   654,   542,   687,   239,
     360,   431,   342,   662,   663,   664,   455,   543,  1184,    81,
     770,   637,   666,  1178,   543,   716,   227,   791,   604,   943,
     509,  1055,   958,   408,   440,   760,   542,   220,   716,  1010,
     667,   637,   666,   644,   542,   674,   672,   673,   141,   345,
     141,   679,   847,   543,   873,   879,  1086,   202,   505,   505,
     490,   695,  1186,  1323,  1331,    84,   716,   543,   543,   543,
     387,   491,  1145,   381,   409,  1133,  1073,  1070,   542,  1110,
     543,   545,   111,  1080,  1081,  1309,   543,  1177,  1145,   543,
    1145,   542,  1145,  1041,   545,   111,  1010,  1074,   849,   425,
     238,   851,   502,   661,   888,   853,   853,   655,   765,  1178,
     687,  1109,   455,   543,   348,   415,   385,   793,   793,   543,
     543,   543,  1178,   543,   545,   543,   545,   961,   630,   579,
     632,   633,  1329,  1329,   332,   656,   535,   656,  1329,  1329,
     207,   266,   688,   192,   484,   342,   664,   342,   663,  1178,
     542,   543,   545,   609,   422,   716,   807,   111,   111,  1178,
     757,  1309,  1109,   377,   943,   672,   609,   667,   542,   670,
     671,  1114,  1309,   673,   674,   345,   345,   542,   604,   878,
     103,   275,   932,   240,   240,  1215,   123,   170,   475,  1109,
    1134,  1135,  1134,   543,  1077,   545,  1085,  1311,   543,   545,
     233,  1086,   543,   543,   543,  1040,   543,  1128,  1130,  1002,
     831,   852,   542,   765,   543,   658,   999,  1178,   859,   129,
     999,   463,   613,   610,   807,   543,   545,   656,   408,   543,
     132,   325,   400,   425,   665,   665,   543,    81,   422,  1178,
     788,  1010,   716,   543,  1184,   673,   667,   672,  1109,   543,
     545,   850,   850,   674,   848,   674,   328,   542,   927,   929,
     933,   985,   994,  1001,  1010,   859,   859,  1135,   408,   232,
     368,   232,   368,   543,  1111,  1081,   349,   187,   327,   332,
    1082,  1083,  1331,   395,  1068,   543,  1074,   599,   853,  1109,
     662,   999,   807,   542,   633,   761,    97,   187,   332,  1178,
     716,   943,   542,   674,   672,   673,   543,   671,   851,   851,
     543,  1074,   928,   929,   930,  1011,  1012,   545,   545,   108,
    1123,  1110,   332,  1083,  1110,   542,   543,   765,   612,   220,
     716,   762,   763,  1186,  1311,  1328,  1329,   673,   674,   850,
     604,   543,   546,   463,   238,  1135,   150,  1109,   543,   377,
     543,   545,   674,   851,   674,   930,   436,   436,  1080,   543,
    1184,   763,  1074,   505,   505,   543,   542,   240,   240,   762,
     859,   859,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   553,   554,   554,   554,
     555,   555,   556,   556,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   558,   558,   558,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   563,   563,
     563,   563,   563,   563,   564,   565,   566,   566,   567,   567,
     567,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     570,   570,   571,   571,   571,   572,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   575,   575,   576,   576,   577,   577,   578,
     578,   578,   578,   579,   579,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   581,   582,   582,   583,
     584,   584,   584,   584,   585,   585,   586,   586,   587,   587,
     588,   588,   588,   588,   588,   589,   590,   590,   591,   591,
     592,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     594,   594,   594,   594,   594,   594,   594,   594,   594,   594,
     594,   594,   594,   594,   595,   595,   596,   596,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   598,   598,   599,   599,   599,   600,
     600,   601,   601,   602,   602,   602,   602,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   607,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   610,   610,   611,
     611,   612,   612,   613,   613,   613,   614,   615,   615,   616,
     616,   616,   616,   617,   617,   618,   618,   619,   619,   620,
     620,   621,   621,   621,   622,   622,   623,   623,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     624,   624,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   630,   631,   631,   631,   631,   631,   632,   632,
     633,   634,   634,   634,   634,   634,   634,   635,   635,   635,
     635,   635,   635,   635,   635,   636,   636,   637,   637,   638,
     638,   639,   639,   640,   640,   640,   641,   641,   642,   643,
     643,   644,   644,   645,   645,   645,   645,   646,   646,   646,
     646,   646,   646,   646,   646,   647,   647,   648,   648,   648,
     648,   649,   650,   650,   650,   651,   651,   651,   651,   651,
     651,   651,   651,   652,   652,   653,   653,   653,   653,   653,
     653,   653,   654,   654,   655,   655,   656,   656,   657,   658,
     658,   658,   658,   659,   659,   660,   660,   661,   661,   662,
     662,   662,   662,   662,   663,   664,   665,   665,   665,   665,
     665,   666,   666,   667,   667,   668,   669,   669,   670,   670,
     671,   671,   671,   672,   672,   672,   672,   673,   673,   673,
     673,   674,   674,   675,   675,   676,   677,   677,   678,   679,
     679,   679,   680,   680,   681,   682,   682,   683,   684,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   690,   690,   691,   691,   691,   691,   692,   692,
     693,   693,   694,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   700,   700,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   706,   706,   706,   707,
     708,   708,   709,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   711,
     712,   712,   712,   712,   713,   713,   714,   714,   715,   715,
     716,   716,   717,   717,   718,   719,   719,   720,   720,   720,
     720,   721,   722,   723,   724,   724,   725,   725,   726,   726,
     727,   727,   728,   728,   728,   729,   729,   729,   729,   730,
     730,   731,   732,   732,   733,   733,   734,   734,   735,   735,
     736,   736,   737,   738,   739,   740,   740,   741,   741,   742,
     742,   743,   743,   744,   744,   745,   745,   746,   746,   746,
     746,   746,   747,   748,   748,   749,   749,   749,   750,   750,
     751,   751,   751,   751,   751,   752,   752,   753,   753,   754,
     755,   755,   756,   756,   757,   758,   758,   759,   759,   760,
     760,   761,   761,   762,   762,   762,   763,   763,   763,   763,
     764,   764,   765,   765,   766,   766,   766,   766,   766,   766,
     767,   767,   768,   768,   769,   770,   770,   771,   772,   772,
     772,   772,   773,   774,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     776,   777,   777,   778,   778,   779,   779,   779,   779,   779,
     779,   780,   781,   781,   782,   783,   783,   784,   784,   785,
     785,   785,   785,   786,   786,   787,   788,   788,   789,   789,
     789,   789,   789,   790,   790,   791,   791,   792,   792,   792,
     793,   793,   794,   795,   795,   796,   796,   797,   797,   798,
     798,   799,   799,   800,   801,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     804,   804,   804,   804,   804,   804,   804,   805,   805,   805,
     806,   806,   807,   807,   808,   808,   809,   809,   810,   811,
     811,   811,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   815,   815,   816,   816,   816,
     816,   816,   816,   816,   817,   817,   818,   818,   818,   818,
     818,   818,   819,   819,   819,   819,   819,   819,   819,   819,
     820,   820,   821,   821,   821,   821,   821,   821,   821,   821,
     821,   821,   821,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   823,   823,   824,
     824,   825,   826,   826,   827,   827,   827,   827,   827,   828,
     828,   829,   829,   829,   829,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   831,   831,   832,   832,   833,   833,   834,   835,   835,
     836,   836,   837,   837,   838,   839,   839,   840,   840,   840,
     841,   841,   841,   842,   842,   842,   842,   842,   843,   843,
     844,   844,   845,   845,   846,   846,   847,   847,   848,   848,
     849,   849,   849,   850,   850,   851,   851,   852,   852,   852,
     853,   853,   853,   854,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   859,   859,   859,   860,   860,
     861,   861,   862,   862,   862,   862,   862,   863,   863,   863,
     863,   863,   864,   865,   866,   866,   866,   867,   867,   867,
     868,   869,   869,   869,   869,   870,   870,   871,   872,   872,
     873,   873,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   875,   875,
     875,   875,   875,   876,   876,   877,   877,   878,   878,   879,
     880,   880,   881,   882,   882,   883,   883,   884,   884,   885,
     885,   886,   886,   887,   887,   887,   887,   888,   888,   889,
     889,   890,   891,   892,   892,   893,   893,   894,   894,   894,
     895,   895,   895,   896,   897,   897,   898,   899,   899,   899,
     899,   900,   901,   901,   901,   901,   902,   902,   903,   903,
     903,   904,   904,   905,   906,   906,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   908,   908,   909,
     909,   910,   910,   910,   910,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     912,   913,   913,   914,   914,   915,   915,   915,   915,   915,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   917,   918,   918,   919,   919,   920,   920,   920,
     920,   921,   922,   922,   923,   924,   924,   924,   924,   924,
     924,   925,   925,   926,   927,   927,   927,   928,   928,   929,
     929,   929,   929,   929,   930,   930,   931,   931,   931,   931,
     932,   932,   932,   933,   934,   934,   935,   936,   936,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     937,   937,   937,   938,   938,   938,   939,   939,   939,   939,
     939,   940,   940,   940,   941,   941,   942,   942,   942,   942,
     943,   943,   943,   943,   944,   945,   946,   946,   947,   947,
     948,   948,   948,   949,   949,   949,   949,   949,   949,   949,
     950,   950,   951,   951,   951,   952,   953,   953,   954,   955,
     955,   956,   957,   957,   957,   957,   957,   957,   957,   958,
     958,   959,   960,   960,   960,   960,   960,   960,   961,   961,
     962,   963,   963,   963,   964,   964,   965,   965,   965,   965,
     965,   966,   966,   967,   967,   967,   967,   967,   968,   968,
     969,   969,   970,   970,   971,   971,   972,   972,   973,   973,
     974,   974,   974,   974,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   976,   976,   977,   978,   978,   979,   979,
     979,   980,   980,   981,   981,   982,   982,   982,   982,   983,
     983,   984,   984,   985,   986,   986,   987,   987,   987,   987,
     987,   988,   988,   989,   989,   990,   991,   991,   991,   992,
     992,   992,   993,   993,   994,   995,   995,   996,   997,   997,
     998,   998,   998,   998,   998,   998,   998,   998,   999,   999,
    1000,  1000,  1000,  1001,  1002,  1002,  1003,  1003,  1004,  1005,
    1005,  1006,  1007,  1007,  1008,  1008,  1008,  1008,  1008,  1009,
    1009,  1009,  1010,  1010,  1011,  1011,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1013,  1013,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1015,  1015,  1015,  1016,  1016,  1017,  1018,
    1018,  1019,  1019,  1019,  1020,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1021,  1021,  1022,  1022,  1022,  1023,  1023,
    1024,  1024,  1025,  1025,  1026,  1027,  1027,  1028,  1028,  1029,
    1029,  1029,  1029,  1030,  1030,  1031,  1031,  1031,  1031,  1032,
    1032,  1033,  1033,  1034,  1035,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1041,
    1041,  1041,  1042,  1043,  1044,  1045,  1046,  1046,  1047,  1047,
    1048,  1048,  1049,  1049,  1050,  1051,  1051,  1051,  1051,  1052,
    1052,  1053,  1053,  1054,  1054,  1055,  1055,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,  1057,
    1057,  1057,  1057,  1058,  1058,  1058,  1058,  1059,  1059,  1060,
    1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,  1062,  1062,
    1063,  1063,  1064,  1064,  1064,  1064,  1065,  1065,  1066,  1066,
    1066,  1067,  1068,  1068,  1069,  1069,  1070,  1071,  1071,  1072,
    1072,  1073,  1073,  1074,  1074,  1075,  1075,  1075,  1076,  1076,
    1077,  1077,  1078,  1079,  1079,  1080,  1080,  1081,  1081,  1081,
    1082,  1082,  1083,  1083,  1083,  1083,  1084,  1084,  1085,  1085,
    1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,  1087,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1089,  1089,  1089,  1089,
    1090,  1090,  1091,  1091,  1092,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1092,  1092,  1093,  1093,  1094,  1094,  1095,
    1095,  1096,  1097,  1098,  1098,  1099,  1099,  1100,  1101,  1102,
    1102,  1102,  1102,  1102,  1102,  1103,  1103,  1104,  1104,  1104,
    1104,  1105,  1106,  1106,  1106,  1107,  1107,  1107,  1107,  1107,
    1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1108,
    1108,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1112,  1112,  1112,  1112,  1112,  1112,
    1112,  1113,  1113,  1114,  1114,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1116,  1116,  1117,
    1117,  1117,  1117,  1118,  1119,  1119,  1120,  1120,  1121,  1121,
    1122,  1122,  1122,  1123,  1123,  1123,  1123,  1124,  1124,  1125,
    1125,  1126,  1126,  1127,  1127,  1128,  1129,  1129,  1129,  1130,
    1131,  1131,  1132,  1132,  1133,  1133,  1133,  1134,  1134,  1135,
    1135,  1135,  1135,  1135,  1136,  1136,  1136,  1137,  1137,  1138,
    1139,  1139,  1139,  1140,  1140,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1142,  1142,  1143,
    1143,  1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,  1146,
    1146,  1147,  1147,  1147,  1148,  1148,  1149,  1149,  1149,  1150,
    1150,  1151,  1151,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1153,  1153,  1154,  1155,  1155,  1156,  1156,  1156,  1156,
    1156,  1156,  1157,  1158,  1159,  1159,  1159,  1160,  1160,  1161,
    1162,  1162,  1163,  1164,  1164,  1165,  1165,  1166,  1166,  1167,
    1167,  1167,  1167,  1168,  1168,  1169,  1169,  1170,  1170,  1171,
    1171,  1172,  1172,  1173,  1173,  1174,  1174,  1174,  1174,  1175,
    1175,  1176,  1176,  1177,  1177,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1184,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1186,  1187,
    1187,  1187,  1187,  1188,  1189,  1189,  1189,  1190,  1190,  1191,
    1191,  1191,  1191,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1196,  1196,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1199,  1198,  1200,  1201,  1201,  1201,  1201,  1202,  1202,
    1202,  1202,  1203,  1203,  1204,  1205,  1206,  1206,  1207,  1207,
    1207,  1208,  1208,  1209,  1209,  1210,  1210,  1211,  1211,  1211,
    1211,  1212,  1212,  1212,  1213,  1214,  1214,  1215,  1215,  1216,
    1216,  1216,  1216,  1217,  1217,  1218,  1219,  1220,  1221,  1221,
    1222,  1223,  1223,  1224,  1224,  1224,  1224,  1224,  1226,  1225,
    1227,  1228,  1229,  1229,  1230,  1230,  1230,  1230,  1231,  1231,
    1233,  1232,  1235,  1234,  1236,  1234,  1234,  1237,  1237,  1238,
    1238,  1238,  1239,  1239,  1239,  1239,  1240,  1240,  1241,  1241,
    1241,  1241,  1241,  1241,  1242,  1242,  1242,  1243,  1245,  1244,
    1246,  1247,  1246,  1248,  1248,  1249,  1249,  1250,  1250,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1253,  1253,
    1254,  1254,  1255,  1256,  1256,  1257,  1257,  1257,  1258,  1259,
    1260,  1260,  1260,  1260,  1261,  1261,  1261,  1262,  1262,  1263,
    1263,  1264,  1265,  1265,  1266,  1266,  1267,  1267,  1268,  1268,
    1269,  1270,  1270,  1271,  1271,  1271,  1272,  1272,  1272,  1272,
    1272,  1272,  1272,  1272,  1272,  1273,  1273,  1273,  1273,  1273,
    1274,  1274,  1275,  1276,  1277,  1278,  1278,  1279,  1280,  1281,
    1281,  1282,  1283,  1283,  1284,  1285,  1286,  1286,  1287,  1288,
    1289,  1289,  1290,  1291,  1291,  1291,  1291,  1291,  1292,  1292,
    1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,
    1292,  1292,  1292,  1293,  1293,  1294,  1294,  1295,  1295,  1295,
    1297,  1296,  1298,  1298,  1300,  1299,  1301,  1301,  1301,  1302,
    1302,  1302,  1302,  1302,  1302,  1302,  1302,  1302,  1303,  1303,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1305,  1305,  1305,  1305,  1305,  1305,  1306,
    1306,  1306,  1306,  1306,  1306,  1306,  1307,  1308,  1308,  1308,
    1308,  1308,  1308,  1308,  1308,  1309,  1309,  1309,  1309,  1309,
    1309,  1309,  1310,  1310,  1310,  1310,  1310,  1310,  1311,  1311,
    1311,  1311,  1311,  1311,  1311,  1311,  1311,  1311,  1311,  1312,
    1312,  1312,  1312,  1312,  1313,  1313,  1313,  1313,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1315,  1315,  1315,  1316,  1316,
    1316,  1316,  1316,  1316,  1317,  1317,  1318,  1319,  1319,  1320,
    1320,  1321,  1322,  1323,  1324,  1324,  1324,  1325,  1326,  1327,
    1328,  1329,  1329,  1329,  1329,  1329,  1330,  1331,  1331,  1331,
    1332,  1332,  1333,  1333,  1333,  1334,  1334,  1335,  1335,  1336,
    1336,  1337,  1337,  1337,  1337,  1337,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1339,  1339,  1339,  1339,  1340,  1340,  1340,  1340,
    1340,  1340,  1340,  1340,  1340,  1340,  1341,  1341,  1341,  1341,
    1342,  1342,  1343,  1343,  1344,  1344,  1345,  1345
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     5,     0,     3,     5,     5,     5,     5,     3,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     1,     3,     3,     2,     2,     2,     2,     3,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       1,     2,     3,     2,     1,     1,     2,     1,     2,     1,
       3,     4,     5,     4,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     6,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     4,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     9,
       4,     5,     7,     6,     4,     8,     4,     2,     4,     3,
       6,     4,     3,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,    10,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     1,     0,     6,     1,     1,     1,     3,
       3,     3,     5,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     5,     2,
       3,     0,     8,    11,     4,     1,     0,     6,     5,     8,
       4,     6,     1,     0,     3,     0,     1,     2,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     7,     6,    10,     6,     6,     6,     6,
       7,     6,     9,     9,     6,     7,     6,     8,     8,     8,
       8,     6,     6,     7,     7,     8,     6,     9,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,    13,     2,     0,     2,     2,
       1,     0,     5,     4,     4,    11,    14,    12,    15,     5,
       7,    11,     2,     1,     4,     0,     8,    11,     1,     1,
       7,     9,     8,    10,     8,     4,     0,     5,     0,     2,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,    16,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     2,     0,     1,     2,     4,
       1,     1,     1,     1,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     7,     5,     8,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     8,     3,     0,    13,     1,     3,     5,     5,
       3,     6,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     6,     4,     6,
       8,     4,     6,     4,     6,     5,     7,     1,     1,     1,
       2,     1,     2,     1,     1,     1,     3,     3,     3,     3,
       2,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     3,     1,     3,     5,     2,
       2,     0,     6,     6,     6,     6,     6,     6,     6,     8,
       9,     8,     8,     9,     8,     9,     9,     7,    10,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     3,
       3,     3,     3,     2,     1,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     8,     8,     8,
       8,     8,     8,     9,     2,     0,     1,     2,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,    14,    17,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     1,     2,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     4,     6,     4,
       6,     4,     6,     3,     5,     5,     5,     1,     3,     1,
       3,     2,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,    10,    11,    11,     5,
       5,     8,     3,     3,     6,     6,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     9,    11,
       8,    10,     9,    11,     8,     8,     7,     6,     6,     6,
       6,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     7,     9,     8,     7,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     8,     8,     8,     6,     7,
       6,     6,     5,     1,     0,     3,     3,     5,     6,     6,
       6,     8,     1,     3,     1,     5,     5,     6,     7,     4,
       4,     4,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     4,     3,     5,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       0,     5,     4,     3,     0,     1,     1,     1,     1,     4,
       9,     3,     0,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     3,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,     7,     1,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     9,     1,     2,
       4,     4,     4,     2,     2,     3,     1,     3,     6,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     4,     2,
       3,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     0,     1,     3,     1,     1,     1,
       1,     1,     2,     4,     4,     5,     2,     0,     1,     3,
       1,     0,     1,     2,     3,     2,     4,     2,     3,     2,
       0,     4,     5,     2,     0,     1,     3,     2,     3,     2,
       3,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     7,    12,     1,     3,     2,     3,     3,
       1,     2,     2,     2,     2,     1,     1,     3,     3,     2,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     4,     1,     2,
       2,     1,     3,     3,     2,     1,     0,     5,     2,     5,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     3,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     4,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     2,     2,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     2,     4,     3,     2,     1,     1,     1,     1,
       1,     0,     8,     2,     5,     3,     2,     2,     3,     7,
       1,     1,     1,     0,     2,     2,     1,     0,     1,     3,
       1,     2,     0,     2,     0,     2,     0,     1,     3,     4,
       3,     1,     1,     1,     1,     2,     0,     2,     4,     0,
       2,     2,     2,     1,     1,     7,     3,     1,     1,     1,
       1,     2,     0,     1,     3,     3,     3,     3,     0,     4,
       5,     5,     0,     1,     1,     1,     2,     2,     1,     2,
       0,     7,     0,     5,     0,     4,     2,     2,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     2,     1,     3,     2,     2,     3,     0,     5,
       1,     0,     5,     2,     2,     1,     1,     1,     2,     2,
       3,     1,     2,     2,     3,     3,     4,     2,     1,     2,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     0,
       1,     3,     5,     0,     2,     0,     1,     2,     3,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     2,
       2,     3,     0,     1,     2,     1,     4,     3,     4,     3,
       2,     1,     3,     1,     1,     1,     1,     2,     2,     1,
       2,     2,     1,     1,     1,     4,     4,     4,     4,     4,
       1,     0,     3,     3,     4,     1,     3,     3,     4,     1,
       3,     3,     1,     1,     1,     6,     1,     3,     3,     6,
       1,     3,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     1,     1,     4,     4,     3,
       0,     7,     1,     0,     0,     7,     3,     4,     3,     1,
       1,     1,     2,     3,     5,     2,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     4,     0,     2,     2,     1,
       2,     1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32661 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32667 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32673 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32679 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32685 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32691 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32697 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32703 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32709 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32715 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32721 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32727 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32733 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32739 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32745 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32751 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32757 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32763 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32769 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32775 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32781 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32787 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32793 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32799 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32805 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32811 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32817 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32823 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32829 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32835 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32841 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32847 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32853 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1668 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 32875 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32881 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32887 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32905 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32911 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32917 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32923 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32929 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32935 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32941 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32947 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32953 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32959 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32965 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32971 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32977 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32983 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32989 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32995 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33001 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33007 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33013 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33019 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33025 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33031 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33037 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33043 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33049 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33055 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33061 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33067 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33073 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1752 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33079 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1754 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33085 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33091 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1758 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 33099 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 33105 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33111 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33117 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 33123 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33129 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33135 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33141 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1776 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33147 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1778 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33153 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1780 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33159 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1782 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33165 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1784 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33171 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33177 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33183 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1790 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33189 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1792 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33195 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1794 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33201 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1796 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33207 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 33213 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33219 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 33225 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33231 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33237 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1808 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33243 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1810 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33249 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1812 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33255 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33261 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33267 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33273 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1820 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33279 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1822 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33285 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1824 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 33296 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33302 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33308 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1835 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33314 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1837 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33320 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1839 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33326 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1841 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33332 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1843 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1845 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33344 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1847 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33350 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1849 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33356 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33362 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1853 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33372 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33378 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1861 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33384 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33390 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1865 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33396 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1867 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33402 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1869 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33408 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33414 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1873 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33420 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1875 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33430 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1881 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33444 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1891 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33452 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1895 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33462 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33470 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1905 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 33484 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1915 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33498 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1924 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 33504 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1926 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33522 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1940 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33533 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1947 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33543 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1953 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 33558 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1964 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33568 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1970 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33581 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1979 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33592 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1986 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33602 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1992 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 33615 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2001 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33626 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2008 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33637 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33643 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33651 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33659 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33667 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33674 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33682 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33689 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33697 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33704 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2078 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 33737 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 33745 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 33753 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 33761 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 33769 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33777 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33785 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 33793 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 33801 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33809 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 33817 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 33825 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33833 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33841 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33849 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33856 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 33864 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33872 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33880 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33888 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33896 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 33904 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 33912 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 33920 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 33928 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 33936 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 33944 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33952 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 33960 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 33968 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 33976 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33984 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33992 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2250 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34001 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2255 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34010 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34018 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34025 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34033 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34040 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34048 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34056 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34064 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34072 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34080 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34088 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34096 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 34104 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 34112 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 34120 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 34128 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34136 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34144 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34152 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 34160 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34168 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 34176 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 34184 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2371 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 34193 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 34201 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 34209 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 34217 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 34225 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 34233 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 34241 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 34249 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34257 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 34265 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34273 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34281 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34289 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 34303 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 34311 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 34319 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 34327 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 34335 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 34343 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 34351 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 34359 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34367 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34375 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34383 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34391 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34399 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34407 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34415 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 34423 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34431 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34439 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34446 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34454 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34462 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34470 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34478 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 34486 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 34494 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 34502 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34510 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34518 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34526 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34542 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34550 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 34558 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 34566 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 34574 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 34582 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2629 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 34591 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34599 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34607 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34615 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 34623 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 34631 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 34639 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 34647 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 34655 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 34663 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 34671 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 34679 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34687 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34695 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34703 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34711 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34719 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34727 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34735 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34743 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34751 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34759 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34767 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34775 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34783 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34791 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34799 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34807 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34815 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34823 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34831 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34839 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34847 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 34855 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34863 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 34871 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 34879 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 34887 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34895 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34903 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34911 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 34919 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34927 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34935 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 34943 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 34951 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34959 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 34967 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 34975 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34983 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34991 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34999 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35007 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35015 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35023 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 35031 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35039 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35047 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 35055 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 35063 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 35071 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 35079 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 35087 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 35095 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 35103 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 35111 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 35119 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 35127 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 35135 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 35143 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 35151 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 35159 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 35167 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 35175 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 35183 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 35191 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 35199 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 35207 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 35215 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 35223 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35231 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 35239 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35247 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 35255 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 35263 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 35271 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 35279 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 35287 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 35295 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35303 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 35311 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 35319 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35327 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 35335 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35342 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35350 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35357 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35365 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35372 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35380 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 35388 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35396 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 35404 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35412 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35420 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35427 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35435 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35443 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35451 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35459 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35467 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35475 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35483 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35491 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35499 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35507 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35515 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 35523 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35531 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35539 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35547 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35555 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 35563 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 35571 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35579 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35587 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35603 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35611 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 35619 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 35627 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35635 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35643 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35651 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35659 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35667 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35675 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35683 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35691 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3298 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 35700 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 35708 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3311 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35720 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35728 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35736 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 35744 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 35752 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35759 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35767 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 35775 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 35783 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35791 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35799 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35807 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35814 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35822 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 35830 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 35838 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35846 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35854 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 35862 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 35870 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35878 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35886 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 35894 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 35902 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 35910 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 35918 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 35926 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35934 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35941 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 35949 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35956 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 35964 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35971 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35986 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35994 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36002 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36010 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36018 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36026 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 36034 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36042 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36049 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36057 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36065 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36073 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36081 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36089 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36097 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36105 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36113 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36121 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 36129 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 36137 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 36145 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 36153 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 36161 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 36169 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 36177 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36184 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36192 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36199 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36207 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36254 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36262 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36270 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36278 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36286 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36294 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36302 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 36310 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36318 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36325 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36333 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36341 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36349 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 36357 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 36365 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 36373 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36381 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36389 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36397 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 36405 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 36413 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36421 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 36429 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 36437 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36445 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36453 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36461 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36469 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36477 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 36485 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 36493 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36500 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 36508 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 36516 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 36524 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 36532 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 36540 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 36556 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36564 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36572 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36580 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36588 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36596 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36604 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36612 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36620 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36628 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36636 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36644 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36651 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36659 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36666 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36674 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36682 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36690 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 36698 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3961 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 36707 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 36715 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36722 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36730 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36738 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36746 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36754 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36762 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36769 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36777 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36785 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36793 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36801 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36808 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 36816 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 36824 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 36832 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36840 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36848 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 36856 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 36864 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36872 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36879 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36887 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36894 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36902 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36910 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36918 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36926 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36934 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36942 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36950 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36958 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36966 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36974 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 36982 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36989 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 36997 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 37005 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 37013 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 37028 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37035 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 37043 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37050 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 37058 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 37066 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 37074 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37082 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 37090 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 37098 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37144 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37152 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37160 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37168 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37176 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37184 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37192 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37199 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37207 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37214 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37222 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37230 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 37238 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 37246 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 37254 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 37262 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37270 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 37278 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 37286 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 37294 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 37302 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 37310 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 37318 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37326 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 37334 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37342 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 37350 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37357 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37365 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 37373 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 37381 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37389 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37397 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37405 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37413 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37421 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 37429 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37436 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37444 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37452 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 37460 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37467 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37475 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37483 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37491 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37514 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 37522 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37529 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37537 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 37545 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37592 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37599 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 37607 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37615 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 37623 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37631 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 37639 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37647 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37654 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37662 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 37670 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 37678 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37686 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 37694 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 37702 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 37710 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 37718 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37726 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 37734 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37742 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37750 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 37758 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 37766 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 37774 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 37782 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 37790 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 37798 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 37806 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37814 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 37822 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 37830 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 37838 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37846 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37854 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37862 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 37870 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37878 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 37886 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 37894 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37902 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37910 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37918 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37926 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37934 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37941 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37949 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37957 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37965 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37972 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37980 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37988 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38012 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38020 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 38028 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 38036 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 38044 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38052 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38060 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38076 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38084 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38092 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38099 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 38107 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 38115 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38123 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38130 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38138 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38146 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38154 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38162 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38170 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38178 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38186 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38194 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38202 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38210 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 38218 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 38226 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38234 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38241 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38249 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38257 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38265 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 38273 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 38281 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 38289 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38297 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38305 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38313 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38321 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38328 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38336 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38343 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 38351 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38358 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 38366 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38373 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38381 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38388 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 38396 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38403 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38411 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 38419 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38427 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38435 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38443 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 38451 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38459 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38467 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 38475 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 38483 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 38491 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38499 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 38507 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38515 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38523 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38531 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 38539 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 38547 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 38555 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38562 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38570 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38578 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38586 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 38594 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 38602 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38610 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38618 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38626 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38634 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38641 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 38649 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38656 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38664 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 38672 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38680 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38687 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38695 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38703 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38710 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38718 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38726 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38734 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38742 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38750 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38757 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38764 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38772 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38780 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38788 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38796 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38804 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 38812 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38820 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38828 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38836 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38844 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38852 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38860 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 38868 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 38876 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38884 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 38892 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 38900 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 38908 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 38916 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5511 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38925 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5520 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38934 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38950 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38958 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38966 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 38974 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38982 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38990 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 38998 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39006 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39014 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39022 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39030 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39038 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39046 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 39054 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39070 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39078 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39094 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39102 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39197 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39205 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39213 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39221 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 39229 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 39237 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39245 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 39253 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39260 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39268 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39276 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39284 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39292 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39300 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39308 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39316 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 39324 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 39332 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39339 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 39347 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 39362 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 39370 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39377 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5820 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 39386 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39393 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39401 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 39409 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 39417 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39425 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39433 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39441 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39449 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39457 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39465 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39473 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39481 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39489 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39497 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39505 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39513 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39521 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39529 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39537 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39545 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39553 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39561 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39569 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39577 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39585 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39593 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39601 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39609 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39617 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39625 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39633 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39641 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39649 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39665 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39673 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39681 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39689 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39697 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39705 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39713 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39721 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39737 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39745 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39753 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 39761 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 39769 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 39777 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39785 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39793 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39801 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39817 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39825 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39841 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39864 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39872 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39880 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39888 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39896 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39904 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39912 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39920 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39928 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39944 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39952 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39960 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39984 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 40000 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40008 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 40016 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 40024 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 40032 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40040 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 40048 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 40056 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 40064 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 40072 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 40080 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 40088 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 40096 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 40104 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 40112 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 40120 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 40128 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 40136 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 40144 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 40152 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 40160 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 40168 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 40176 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 40184 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 40192 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 40200 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40208 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40216 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 40224 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40232 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40240 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40248 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40256 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40264 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40272 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40280 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 40288 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40295 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40303 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 40311 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 40319 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40327 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 40335 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 40343 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 40351 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 40359 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 40367 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 40375 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 40383 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 40391 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 40399 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 40423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 40431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 40439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6459 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 40447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6463 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6469 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 40467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6475 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 40477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6481 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 40487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6487 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 40497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6493 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 40507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6499 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 40517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6505 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 40527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6526 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6537 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6548 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6581 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6597 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6613 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6629 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6640 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6656 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6667 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6683 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 40770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 40881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 40889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 40897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 40937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 40945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 40953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 40961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 40969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 40977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 40985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 41001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 41009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 41017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 41025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 41033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 41065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 41112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 41127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 41165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 41181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 41213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 41221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 41229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 41237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 41245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 41269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 41369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 41399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 41407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 41422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 41430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 41469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 41636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 41644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 41652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 41660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 41668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 41724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7356 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 41741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 41749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 41837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 41845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 41861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 41885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 41893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 41917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 41925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 41957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 41965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 41989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 42021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 42029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 42187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 42203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 42235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 42299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 42307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 42330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 42353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 42361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 42369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 42377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 42441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 42449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 42481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 42497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 42928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 43454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 43462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 43478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 43486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 43494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 43542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 43550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 43566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 43574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 43630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 43701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 43764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 43779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 43787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 43795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 43803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 43819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 43827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 43835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 43843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 43851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 43859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 43867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 43875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 43891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 43899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 43907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8793 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8798 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 44051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 44059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 44067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 44145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 44161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 44169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 44177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 44185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 44193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 44201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 44209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 44224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 44240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 44256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 44264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 44272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 44280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 44288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 44415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 44423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 44447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 44463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 44471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 44682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 44698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9349 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 44851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9355 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 44861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 44914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 45001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 45017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 45057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 45080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 45095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 45118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 45188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 45196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 45204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 45212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 45220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 45235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 45243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 45290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9686 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 45367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9743 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 45387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 45402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 45410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9778 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 45437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 45445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 45453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 45645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9948 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 45870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 45957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10128 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 45966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 45990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 46038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 46046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 46070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 46078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 46086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 46094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 46102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 46173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 46205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 46228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 46291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 46299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 46307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10452 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10459 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 46463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 46487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 46495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 46511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 46589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 46597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 46605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 46613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 46644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 46660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 46668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10739 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 46943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 46983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 47023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10878 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 47029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10880 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 47035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 47059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 47067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10902 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 47081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10912 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 47095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10922 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 47105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 47232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 47240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 47248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 47256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 47264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 47272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 47280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 47288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 47296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 47304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 47312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 47375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 47431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 47439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 47447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 47455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 47463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 47471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 47479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 47502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 47518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 47526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 47534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 47542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 47573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 47589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 47613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 47621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 47629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 47637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 47645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 47653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 47700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 47708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 47860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 47884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 47900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 47916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 47932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 47948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11539 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 48165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 48173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 48181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 48189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 48205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 48213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 48221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 48237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 48245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 48253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 48261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 48269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 48277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 48285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 48301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 48309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 48317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 48349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 48357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 48381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 48389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 48605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 48613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 48629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 48645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 48661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 48677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 48685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 48693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 48701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 48709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 48717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 48933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 48941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 48957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 48965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 49059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 49067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 49075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 49083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 49121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 49160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 49168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 49206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 49222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 49230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 49261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 49269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 49277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 49285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 49293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 49309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 49333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 49349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 49357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 49365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 49389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 49397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 49413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 49421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 49429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 49437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 49445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 49453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 49461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 49469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 49477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 49541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 49557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 49605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 49613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 49653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 49772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 49850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 49898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 49922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 49930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 49976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 49984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 50000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 50124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 50276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 50358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 50380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 50388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 50476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 50484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 50492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 50500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 50508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 50516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 50524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 50532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 50548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 50556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 50564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 50572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 50580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 50588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 50596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 50604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 50612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 50620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 50628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 50644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 50652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 50660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 50668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 50676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 50684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 50692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 50708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 50716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 50732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 50756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 50772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 50796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 50820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 50828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 50836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 50844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 50860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 50868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 50876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 50884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 50892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 50900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 50908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 50924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 50932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 50940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 50948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 50956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 50964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 50972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 50988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 50996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 51004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 51012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 51020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 51028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 51036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 51044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 51052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 51060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 51068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 51076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 51084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 51092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 51100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 51108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 51116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 51124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 51132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 51140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 51148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 51156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 51164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 51172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 51180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 51188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 51196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 51204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 51212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 51220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 51228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 51236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 51244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 51252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 51260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 51268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 51276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 51284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 51292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 51300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 51308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 51316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 51324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 51332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 51340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 51348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 51356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 51364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 51372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 51380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 51388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 51396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 51404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 51412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 51420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 51428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 51436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 51444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 51452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 51468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 51476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 51484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 51492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 51500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 51508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 51516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 51524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 51532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 51540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 51548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 51556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 51564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 51572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 51580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 51588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 51596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 51604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 51612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 51620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 51628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 51636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 51644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 51652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 51660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 51668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 51676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 51684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 51692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 51700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 51708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 51716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 51732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 51740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 51748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 51756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 51764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 51772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 51780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 51788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 51796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 51804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 51812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 51820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 51828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 51836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 51844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 51852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 51860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 51868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 51876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 51884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 51892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 51900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 51908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 51916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 51924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 51932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 51940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 51948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 51956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 51964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 51972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 51980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 51988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 51996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 52004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 52012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 52020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 52028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 52036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 52044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 52052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 52060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 52068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 52076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 52084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 52092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 52100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 52108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 52116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 52124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 52132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 52140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 52148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 52156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 52164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 52172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 52180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 52188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 52196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 52204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 52212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 52220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 52228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 52236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 52244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 52252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 52260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 52268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 52276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 52284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 52292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 52300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 52308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 52316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 52324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 52332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 52340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 52348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 52356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 52364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 52372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 52380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 52388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 52396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 52404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 52412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 52420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 52428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 52436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 52444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 52452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 52460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 52468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 52476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 52484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 52492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 52500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 52508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 52516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 52524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 52532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 52540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 52548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 52556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 52564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 52572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 52580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 52588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 52596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 52604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 52612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 52620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 52628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 52636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 52644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 52652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 52660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 52668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 52676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 52684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 52692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 52700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 52708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 52716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 52724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 52732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 52740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 52748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 52756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 52764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 52772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 52780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 52788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 52796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 52804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 52812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 52820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 52828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 52836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 52844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 52852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 52860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 52868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 52884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 52900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 52908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 52916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 52924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 52932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 52948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 52956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 52964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 52972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 52980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 52988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 52996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 53004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 53012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 53020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 53028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 53036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 53044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 53052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 53060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 53068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 53076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 53084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 53092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 53100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 53108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 53124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 53132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 53140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 53148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 53156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 53164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 53172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 53180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 53188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 53196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 53204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 53212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 53220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 53228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 53236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 53244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 53252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 53260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 53268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 53276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 53284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 53292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 53300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 53308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 53316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 53324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 53332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 53340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 53348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 53356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 53364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 53372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 53380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 53388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 53396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 53404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 53412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 53420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 53428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 53436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 53444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 53452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 53460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 53468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 53476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 53484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 53492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 53500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 53508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 53516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 53524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 53532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 53540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 53548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 53556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 53564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 53572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 53580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 53588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 53596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 53604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 53612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 53620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 53628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 53636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 53644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 53652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 53660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 53668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 53676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 53684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 53692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 53700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 53708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 53716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 53724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 53732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 53740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 53748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 53756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 53764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 53772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 53780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 53788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 53796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 53804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 53812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 53818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14708 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 53828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 53846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14718 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 53861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14730 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 53867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14731 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 53878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14740 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 53892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 53898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 53904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 53910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 53916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14766 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 53932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14778 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 53952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14794 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 53960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14798 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 53973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14813 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 53999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14825 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 54010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14834 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 54034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 54040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 54046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 54064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 54076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 54088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 54094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 54100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14865 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 54111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14872 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 54122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14879 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 54140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14895 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 54176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14929 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 54190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14942 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 54204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14946 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 54218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 54230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 54236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 54242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14968 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 54260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14989 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 54329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15050 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 54339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 54381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 54387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 54393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 54399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15081 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 54405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15083 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 54415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15090 "preproc.y" /* yacc.c:1646  */
    {}
#line 54421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15092 "preproc.y" /* yacc.c:1646  */
    {}
#line 54427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15109 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 54485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15115 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 54497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15125 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15135 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15139 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15149 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15153 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 54549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15158 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 54555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15163 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15164 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15165 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15179 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15187 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 54648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15204 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15212 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15235 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 54797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15341 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 54833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 54839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15386 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 54868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15393 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15438 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 54930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15444 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15453 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 54951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15459 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 54960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15466 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 54969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15471 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 54977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15477 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15480 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15481 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 55001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15482 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 55007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15483 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 55013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 55019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 55025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15487 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 55037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15495 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 55049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 55055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15505 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 55061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 55067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15507 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 55073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15508 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 55079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15509 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 55085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15511 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 55097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15519 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 55109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15526 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 55115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15527 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 55121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15528 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 55127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15538 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 55144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15547 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 55233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15636 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 55248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 55260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 55266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15651 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 55293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 55299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 55305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 55311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 55317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 55335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 55347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15691 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 55357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15707 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15712 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15719 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15724 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15731 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15740 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 55437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15765 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15772 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15784 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15790 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15797 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15818 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15829 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15840 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 55597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15848 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 55609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15861 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15867 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15875 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15880 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 55643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15888 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15895 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15899 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15907 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15913 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15922 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15927 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15937 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15947 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15958 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 55735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15959 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 55741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15960 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 55747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15961 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 55753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15962 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 55759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15963 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 55765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15964 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15965 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 55777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15966 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 55783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15967 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 55789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15968 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 55795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15969 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15970 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 55807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15971 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 55813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15972 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 55819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15983 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 55837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 55843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16000 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16006 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 55884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 55890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16017 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16024 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16030 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16094 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16100 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16106 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16114 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 56008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16120 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 56018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16126 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 56028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16132 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 56038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16138 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 56048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16144 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 56058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16150 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 56068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16156 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 56078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16162 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 56088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 56106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 56112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 56118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 56124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 56130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 56136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 56142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 56148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 56154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 56160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16186 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 56166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 56172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 56178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 56184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 56190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 56196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 56202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 56208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 56214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16195 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 56220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16196 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 56226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 56232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16198 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 56238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 56244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 56250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16203 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 56256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 56262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16205 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 56268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 56274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16210 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 56280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16211 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 56286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16212 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 56292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16213 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 56298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16214 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16215 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16216 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16219 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16226 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16227 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16228 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16229 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16244 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16245 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16253 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16254 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 56472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 56478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56580 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56586 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56598 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56604 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56610 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56622 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56628 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 56634 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56646 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56652 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56658 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16330 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 56673 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56679 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16337 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56685 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16341 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 56691 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16343 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 56697 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16348 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 56709 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16358 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56722 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16369 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 56731 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16375 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56737 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16376 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56743 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16377 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56749 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16381 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 56784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56790 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56796 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56802 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16421 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 56816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16431 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56830 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16441 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56844 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56850 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56862 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56868 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56874 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56886 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 56892 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56898 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 56904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16474 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56910 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56916 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56922 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16483 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56934 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56940 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56946 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 56958 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 56964 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 56970 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 56976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56982 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56988 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56994 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 57006 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 57012 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 57018 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 57024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 57030 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 57036 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 57042 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 57048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 57054 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 57060 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 57066 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 57072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 57078 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 57084 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 57090 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 57096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 57102 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 57108 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 57114 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 57120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 57126 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 57132 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 57138 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 57144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 57150 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 57156 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 57162 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 57168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 57174 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 57180 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16531 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 57186 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 57192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 57198 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 57204 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 57210 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 57216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 57222 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 57228 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 57234 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 57240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 57246 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 57252 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 57258 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 57264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 57270 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 57276 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 57282 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 57288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 57294 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 57300 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 57306 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16552 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 57312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16555 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57318 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57324 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 57330 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 57336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57342 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 57348 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 57354 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 57360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16565 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 57366 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 57372 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 57378 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16568 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16569 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57390 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16570 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 57400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57406 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57412 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57418 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57430 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16584 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57436 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 16587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57442 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 16588 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3134:
#line 16591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57454 "preproc.c" /* yacc.c:1646  */
    break;

  case 3135:
#line 16593 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 57467 "preproc.c" /* yacc.c:1646  */
    break;

  case 3136:
#line 16603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57473 "preproc.c" /* yacc.c:1646  */
    break;

  case 3137:
#line 16604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57479 "preproc.c" /* yacc.c:1646  */
    break;


#line 57483 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16607 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
